package com.yonge.netty.entity;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.Map.Entry;
import java.util.stream.Collectors;

public class MusicXmlBasicInfo {

	private Integer id;
	
	private Integer tenantId;

	private Integer subjectId;

    private Integer campId;
	
	private String clientId;
	
	private String evaluationCriteria;

	private Integer detailId;

	private Integer examSongId;

	private String xmlUrl;

	private String behaviorId;

	private String platform;
	
	private String partIndex;

	private int speed;

	private String heardLevel;

	private String uuid;
	
	private float beatLength;

	private List<MusicXmlNote> musicXmlInfos = new ArrayList<MusicXmlNote>();

	private Map<Integer, MusicXmlSection> musicXmlSectionMap = new HashMap<Integer, MusicXmlSection>();


    public Integer getCampId() {
        return campId;
    }

    public void setCampId(Integer campId) {
        this.campId = campId;
    }

    public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public Integer getTenantId() {
		return tenantId;
	}

	public void setTenantId(Integer tenantId) {
		this.tenantId = tenantId;
	}

	public Integer getSubjectId() {
		return subjectId;
	}

	public void setSubjectId(Integer subjectId) {
		this.subjectId = subjectId;
	}

	public String getClientId() {
		return clientId;
	}

	public void setClientId(String clientId) {
		this.clientId = clientId;
	}

	public String getEvaluationCriteria() {
		return evaluationCriteria;
	}

	public void setEvaluationCriteria(String evaluationCriteria) {
		this.evaluationCriteria = evaluationCriteria;
	}

	public Integer getDetailId() {
		return detailId;
	}

	public void setDetailId(Integer detailId) {
		this.detailId = detailId;
	}

	public Integer getExamSongId() {
		return examSongId;
	}

	public void setExamSongId(Integer examSongId) {
		this.examSongId = examSongId;
	}

	public String getXmlUrl() {
		return xmlUrl;
	}

	public void setXmlUrl(String xmlUrl) {
		this.xmlUrl = xmlUrl;
	}

	public String getBehaviorId() {
		return behaviorId;
	}

	public void setBehaviorId(String behaviorId) {
		this.behaviorId = behaviorId;
	}

	public String getPlatform() {
		return platform;
	}

	public void setPlatform(String platform) {
		this.platform = platform;
	}

	public void setPartIndex(String partIndex) {
		this.partIndex = partIndex;
	}

	public String getPartIndex() {
		return partIndex;
	}

	public int getSpeed() {
		return speed;
	}

	public void setSpeed(int speed) {
		this.speed = speed;
	}

	public String getHeardLevel() {
		return heardLevel;
	}

	public void setHeardLevel(String heardLevel) {
		this.heardLevel = heardLevel;
	}

	public String getUuid() {
		return uuid;
	}

	public void setUuid(String uuid) {
		this.uuid = uuid;
	}

	public float getBeatLength() {
		return beatLength;
	}

	public void setBeatLength(float beatLength) {
		this.beatLength = beatLength;
	}

	public List<MusicXmlNote> getMusicXmlInfos() {
		return musicXmlInfos;
	}

	public void setMusicXmlInfos(List<MusicXmlNote> musicXmlInfos) {
		this.musicXmlInfos = musicXmlInfos;
	}

	public Map<Integer, MusicXmlSection> getMusicXmlSectionMap() {

		if (musicXmlSectionMap.size() == 0) {
			Map<Integer, List<MusicXmlNote>> map = musicXmlInfos.stream().collect(Collectors.groupingBy(MusicXmlNote::getMeasureIndex));

			List<MusicXmlNote> noteList = null;
			MusicXmlSection section = null;
			for (Entry<Integer, List<MusicXmlNote>> entry : map.entrySet()) {
				noteList = entry.getValue();

				section = new MusicXmlSection();

				section.setStartTime(noteList.stream().map(t -> t.getTimeStamp()).distinct().min(Double::compareTo).get());
				section.setDuration(noteList.stream().mapToDouble(t -> t.getDuration()).sum());
				section.setNoteNum(noteList.size());
				section.setIndex(entry.getKey());
				section.setMeasureRenderIndex(noteList.stream().findFirst().get().getMeasureRenderIndex());

				musicXmlSectionMap.put(entry.getKey(), section);
			}
		}

		return musicXmlSectionMap;
	}

	public void setMusicXmlSectionMap(Map<Integer, MusicXmlSection> musicXmlSectionMap) {
		this.musicXmlSectionMap = musicXmlSectionMap;
	}
}
