package com.ym.mec.cms.dal.dao;

import com.ym.mec.cms.dal.entity.SysNewsInformation;
import com.ym.mec.cms.dto.SysNewsInformationDto;
import com.ym.mec.common.dal.BaseDAO;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

public interface SysNewsInformationDao extends BaseDAO<Long, SysNewsInformation> {

	List<SysNewsInformation> queryBottomInfo(@Param("subType") Integer subType);

	/**
	 * 逻辑删除
	 * @param id
	 * @return
	 */
	int deleteWithLogical(Long id);
	
	List<SysNewsInformation> queryHomePage(Map<String, Object> params);
	
	int queryHomeCount(Map<String, Object> params);
	
	/**
	 * 查询需要更新状态的对象集合
	 * @return
	 */
	List<SysNewsInformation> queryNeedUpdateStatusList();
	
	SysNewsInformationDto queryById(Long id);

	List<SysNewsInformation> queryBySubType(@Param("subType") Integer subType, @Param("memo") String memo, @Param("organIds") String organIds, @Param("excludeFunctionIds") String excludeFunctionIds);

    Boolean countStudentAttendanceError(@Param("startTime") String startTime, @Param("userId") Integer userId);

    Integer queryHomework(Integer teacherId);

    int queryPractice(@Param("userId") Integer userId, @Param("date") String date);

	String queryTeacherOrgan(Integer userId);
}