package com.ym.mec.cms.dal.entity;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 对应数据库表(teacher):
 */
@Data
public class Teacher {

	private Integer id;

	/** 职务类型（指导老师、教务老师、教学主管） */
	@ApiModelProperty(value = "职务类型（指导老师 ADVISER、教务老师 ACADEMIC、教学主管 TEACHING）", required = false)
	private String jobType;

	/** 工作性质（兼职、全职） */
	@ApiModelProperty(value = "工作性质（兼职 PART_JOB、全职FULL_JOB）", required = false)
	private String jobNature;

	/** 是否试用期 */
	@ApiModelProperty(value = "是否试用期1是，0否", required = false)
	private String isProbationPeriod;

	/** 学历 */
	@ApiModelProperty(value = "学历", required = false)
	private String educationBackground;

	/** 毕业学校 */
	@ApiModelProperty(value = "毕业学校", required = false)
	private String graduateSchool;

	/** 技术职称 */
	@ApiModelProperty(value = "技术职称", required = false)
	private String technicalTitles;


	/** 所属分部名称 */
	@ApiModelProperty(value = "教师所属分部编号", required = false)
	private Integer teacherOrganId;

	/** 工作单位 */
	@ApiModelProperty(value = "工作单位", required = false)
	private String workUnit;

	/** 专业技能（支持多个，用|分隔），对应科目表编号 */
	@ApiModelProperty(value = "专业技能（支持多个，用逗号分隔），对应科目表编号", required = false)
	private String subjectId;

	/** 入职时间 */
	@ApiModelProperty(value = "入职时间", required = false)
	private Date entryDate;

	/** 证件类型 */
	@ApiModelProperty(value = "证件类型", required = false)
	private String certificateType;

	/** 证件号码 */
	@ApiModelProperty(value = "证件号码", required = false)
	private String certificateNum;

	/** 流动范围(多个用|分开) */
	@ApiModelProperty(value = "流动范围(多个用逗号分开)", required = false)
	private String flowOrganRange;

	/** 流动范围(多个用|分开) */
	@ApiModelProperty(value = "流动范围编号", required = false)
	private String flowOrganRangeId;

	@ApiModelProperty(value = "老师介绍", required = false)
	private String introduction;

	@ApiModelProperty(value = "VIP课数量", required = false)
	private Integer vipNum;

	@ApiModelProperty(value = "试听课数量", required = false)
	private Integer demoNum;
	
	@ApiModelProperty(value = "离职时间", required = false)
	private Date demissionDate;
	
	@ApiModelProperty(value = "转正时间", required = false)
	private Date formalStaffDate;
	
	@ApiModelProperty(value = "是否支持课程奖励规则活动", required = false)
	private Boolean isSupportCourseScheduleRewardsRules;
	
	@ApiModelProperty(value = "是否支持额外的网管课", required = false)
	private Boolean isSupportExtraPracticeLesson;
	
	@ApiModelProperty(value = "身份证正面照", required = false)
	private String idcardFrontImg;
	
	@ApiModelProperty(value = "身份证反面照", required = false)
	private String idcardBackImg;
	
	@ApiModelProperty(value = "手持身份证照", required = false)
	private String idcardHandImg;

	private Integer lectureNum;
	
	private String memo;
	
	private String contractUrl;

	private BigDecimal serviceIndex;

	@ApiModelProperty(value = "是否结算课酬")
	private Boolean isSettlementSalary = true;

	@ApiModelProperty(value = "社保部门id",required = false)
	private Integer deptId;

	@ApiModelProperty(value = "部门ids",required = false)
	private String deptIds;

	@ApiModelProperty(value = "岗位管理部门",required = false)
	private String postDeptIds;

	@ApiModelProperty(value = "云教练限制")
	private Boolean coursewareLimit;

    @ApiModelProperty("IM绑定设备")
    private String imDeviceId;

	@ApiModelProperty(value = "是否可以查看云课堂", required = false)
	private Boolean coursewareFlag = true;

}
