package com.ym.mec.cms.service;

import com.ym.mec.auth.api.entity.SysUser;
import com.ym.mec.cms.controller.queryinfo.NewsInformationQueryInfo;
import com.ym.mec.cms.dal.entity.SysNewsInformation;
import com.ym.mec.cms.dto.SysNewsInformationDto;
import com.ym.mec.common.page.PageInfo;
import com.ym.mec.common.service.BaseService;

import java.util.List;
import java.util.Map;

public interface SysNewsInformationService extends BaseService<Long, SysNewsInformation> {

    List<SysNewsInformation> queryBottomInfo(Integer subType);

	/**
	 * 逻辑删除
	 * @param id
	 * @return
	 */
	boolean deleteWithLogical(Long id);

	/**
	 * 获取首页新闻列表
	 * @param user
	 * @param queryInfo
	 * @return
	 */
	Map<String, PageInfo<SysNewsInformation>> getHomeList(SysUser user, NewsInformationQueryInfo queryInfo);

	/**
	 * 获取详情
	 * @param id
	 * @return
	 */
	SysNewsInformationDto queryById(Long id);

	/**
	 * 自动更新状态
	 * @return
	 */
	boolean autoUpdateStatus();
}