package com.ym.mec.student.controller;

import com.ym.mec.biz.service.ActivityUserMapperService;
import com.ym.mec.common.controller.BaseController;
import com.ym.mec.common.entity.HttpResponseResult;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RequestMapping("${app-config.url.student:}/activityUserMapper")
@Api(tags = "活动排课服务")
@RestController
public class ActivityUserMapperController extends BaseController {

    @Autowired
    private ActivityUserMapperService activityUserMapperService;

    @ApiOperation(value = "获取学员未排课信息")
    @GetMapping("getStudentNoCourseInfo")
    public HttpResponseResult getStudentNoCourseInfo() {
        return succeed(activityUserMapperService.getStudentNoMapperInfo());
    }

}
