package com.ym.mec.student.controller;

import com.ym.mec.biz.service.ImGroupService;
import com.ym.mec.biz.service.UploadFileService;
import com.ym.mec.common.controller.BaseController;
import com.ym.mec.common.entity.HttpResponseResult;
import com.yonge.log.service.HistoryMessageService;
import com.yonge.log.service.HistoryMessageTenantService;
import com.yonge.log.wrapper.HistoryMessageTencentWrapper;
import com.yonge.mongodb.PageInfo;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RequestMapping("${app-config.url.student:}/imHistoryMessage")
@Slf4j
@RestController
public class ImHistoryMessageController extends BaseController {

	@Autowired
	private HistoryMessageService historyMessageService;
	@Autowired
	private UploadFileService uploadFileService;

	@Autowired
	private ImGroupService imGroupService;

    @Autowired
    private HistoryMessageTenantService historyMessageTenantService;

    @ApiOperation("历史聊天记录查询")
    @PostMapping(value = "/historyMessage")
    public HttpResponseResult<PageInfo<HistoryMessageTencentWrapper.HistoryMessageTencent>> historyMessage(@RequestBody  HistoryMessageTencentWrapper.HistoryMessageTencentQuery query) throws Exception {

        return succeedData(imGroupService.historyMessage(query));
    }


}
