package com.ym.mec.student.controller;


import com.ym.mec.biz.dal.dao.OrganizationDao;
import com.ym.mec.biz.dal.entity.Organization;
import com.ym.mec.common.controller.BaseController;
import com.ym.mec.common.entity.HttpResponseResult;
import com.ym.mec.common.tenant.TenantContextHolder;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;


@RequestMapping("${app-config.url.student:}/organization")
@Api(tags = "分部服务")
@RestController
public class OrganizationController extends BaseController {

    @Autowired
    private OrganizationDao organizationDao;

    @ApiOperation(value = "获取分部列表")
    @GetMapping("/getOrgans")
    public HttpResponseResult<List<Organization>> getOrgans() {
        return succeed(organizationDao.findAllOrgans(TenantContextHolder.getTenantId()));
    }
}
