package com.ym.mec.student.controller;

import com.ym.mec.biz.dal.vo.ImLiveRoomVideoVo;
import com.ym.mec.biz.service.ImLiveRoomVideoService;
import com.ym.mec.common.controller.BaseController;
import com.ym.mec.common.entity.HttpResponseResult;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;

@Api(tags = "直播回放录像记录表")
@RestController
@RequestMapping("${app-config.url.student:}/imLiveRoomVideo")
public class StudentImLiveRoomVideoController extends BaseController {

    /**
     * 服务对象
     */
    @Resource
    private ImLiveRoomVideoService imLiveRoomVideoService;

    @ApiOperation("查询该机构目前推广的直播间")
    @GetMapping(value = "/queryList")
    public HttpResponseResult<List<ImLiveRoomVideoVo>> queryList(String roomUid) {
        return succeed(imLiveRoomVideoService.queryList(roomUid));
    }
}
