package com.ym.mec.student.controller;

import com.ym.mec.biz.dal.entity.SysSuggestionType;
import com.ym.mec.biz.service.SysSuggestionTypeService;
import com.ym.mec.common.controller.BaseController;
import com.ym.mec.common.entity.HttpResponseResult;
import com.ym.mec.common.tenant.TenantContextHolder;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.apache.commons.collections.CollectionUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

@Api(tags = "意见反馈类型")
@RestController
@RequestMapping("${app-config.url.student:}/sysSuggestionType/")
public class SysSuggestionTypeController extends BaseController {

    @Autowired
    private SysSuggestionTypeService sysSuggestionTypeService;

    @ApiOperation(value = "查询所有")
    @PostMapping("queryAll")
    public HttpResponseResult<List<SysSuggestionType>> queryAll() {
        return succeed(sysSuggestionTypeService.lambdaQuery()
                .eq(SysSuggestionType::getTenantId, TenantContextHolder.getTenantId())
                .orderByDesc(SysSuggestionType::getId).list());
    }

}
