package com.ym.mec.student.controller.degree;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.microsvc.toolkit.common.response.paging.PageInfo;
import com.microsvc.toolkit.common.response.paging.QueryInfo;
import com.ym.mec.biz.dal.entity.DegreeNews;
import com.ym.mec.biz.dal.vo.DegreeNewsVo;
import com.ym.mec.biz.dal.wrapper.DegreeNewsWrapper;
import com.ym.mec.biz.service.DegreeNewsService;
import com.ym.mec.biz.service.SysUserService;
import com.ym.mec.common.controller.BaseController;
import com.ym.mec.common.entity.HttpResponseResult;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;

@Slf4j
@Validated
@RestController
@RequestMapping("${app-config.url.student:}/degreeNews")
@Api(tags = "考级资讯表")
public class DegreeNewsController extends BaseController {

    @Autowired
    private DegreeNewsService degreeNewsService;
    @Autowired
    private SysUserService sysUserService;

	@ApiOperation(value = "详情", notes = "考级资讯表-根据详情ID查询单条, 传入id")
    @GetMapping("/detail/{id}")
    public HttpResponseResult<DegreeNews> detail(@PathVariable("id") Long id) {
    	DegreeNews wrapper = degreeNewsService.detail(id);
        return succeed(wrapper);
	}
    
    @ApiOperation(value = "查询分页", notes = "考级资讯表- 传入 DegreeNewsWrapper.DegreeNewsQuery") 
    @PostMapping("/page")
    public HttpResponseResult<PageInfo<DegreeNewsVo>> page(@RequestBody DegreeNewsWrapper.DegreeNewsQuery query) {
        query.setOrganId(sysUserService.getUser().getOrganId());
        IPage<DegreeNewsVo> pages = degreeNewsService.selectPage(QueryInfo.getPage(query), query);
        return succeed(QueryInfo.pageInfo(pages));
	}
    
}