package com.ym.mec.teacher.controller;

import com.ym.mec.biz.service.ImGroupService;
import com.ym.mec.biz.service.UploadFileService;
import com.ym.mec.common.controller.BaseController;
import com.ym.mec.common.entity.HttpResponseResult;
import com.ym.mec.common.entity.UploadReturnBean;
import com.yonge.log.dal.model.HistoryMessage;
import com.yonge.log.service.HistoryMessageService;
import com.yonge.log.service.HistoryMessageTenantService;
import com.yonge.log.wrapper.HistoryMessageTencentWrapper;
import com.yonge.mongodb.PageInfo;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.apache.commons.collections.CollectionUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.io.File;
import java.util.List;

@RequestMapping("${app-config.url.teacher:}/imHistoryMessage")
@Slf4j
@RestController
public class ImHistoryMessageController extends BaseController {

	@Autowired
	private HistoryMessageService historyMessageService;
	@Autowired
	private UploadFileService uploadFileService;

	@Autowired
	private ImGroupService imGroupService;

    @Autowired
    private HistoryMessageTenantService historyMessageTenantService;

    @ApiOperation("历史聊天记录查询")
    @PostMapping(value = "/historyMessage")
    public HttpResponseResult<PageInfo<HistoryMessageTencentWrapper.HistoryMessageTencent>> historyMessage(@RequestBody  HistoryMessageTencentWrapper.HistoryMessageTencentQuery query) throws Exception {

        return succeedData(imGroupService.historyMessage(query));
    }


}
