package com.ym.mec.teacher.controller;


import com.ym.mec.biz.dal.dto.LessonExaminationResultDto;
import com.ym.mec.biz.dal.dto.LessonExaminationSaveDto;
import com.ym.mec.biz.dal.page.LessonExaminationQueryInfo;
import com.ym.mec.biz.service.LessonExaminationService;
import com.ym.mec.biz.service.SysUserService;
import com.ym.mec.common.controller.BaseController;
import com.ym.mec.common.entity.HttpResponseResult;
import com.ym.mec.common.page.PageInfo;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;

/**
 * 进度评测表(LessonExamination)表控制层
 *
 * @author zx
 * @since 2023-04-03 18:20:19
 */
@Api(tags = "进度评测表")
@RestController
@RequestMapping("${app-config.url.teacher:}/lessonExamination")
public class LessonExaminationController extends BaseController {

    @Resource
    private LessonExaminationService lessonExaminationService;
    @Resource
    private SysUserService sysUserService;

    @ApiOperation(value = "布置作业")
    @PostMapping("publish")
    public HttpResponseResult publish(@RequestBody LessonExaminationSaveDto lessonExaminationSaveDto) {
        lessonExaminationSaveDto.setTeacherId(sysUserService.getUserId());
        lessonExaminationService.publish(lessonExaminationSaveDto);
        return succeed();
    }

    @ApiOperation(value = "获取作业列表")
    @PostMapping("queryPage")
    public HttpResponseResult<PageInfo<LessonExaminationResultDto>> queryPage(@RequestBody LessonExaminationQueryInfo queryInfo) {
        queryInfo.setTeacherId(sysUserService.getUserId());
        return succeed(lessonExaminationService.queryPage(queryInfo));
    }

    @ApiOperation(value = "获取单个作业")
    @GetMapping("getOne")
    public HttpResponseResult<LessonExaminationResultDto> queryPage(Long lessonExaminationId) {
        LessonExaminationQueryInfo queryInfo = new LessonExaminationQueryInfo();
        queryInfo.setLessonExaminationId(lessonExaminationId);
        LessonExaminationResultDto resultDto = lessonExaminationService.queryPage(queryInfo).getRows().get(0);
        return succeed(resultDto);
    }

}

