package com.ym.mec.teacher.controller;


import com.ym.mec.biz.dal.dto.StudentLessonExaminationDto;
import com.ym.mec.biz.dal.page.StudentLessonExaminationQueryInfo;
import com.ym.mec.biz.service.StudentLessonExaminationService;
import com.ym.mec.common.controller.BaseController;
import com.ym.mec.common.entity.HttpResponseResult;
import com.ym.mec.common.page.PageInfo;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * 学生进度评测表(StudentLessonExamination)表控制层
 *
 * @author zx
 * @since 2023-04-03 18:21:30
 */
@Api(tags = "学生进度评测表")
@RestController
@RequestMapping("${app-config.url.teacher:}/studentLessonExamination")
public class StudentLessonExaminationController extends BaseController {
    /**
     * 服务对象
     */
    @Resource
    private StudentLessonExaminationService studentLessonExaminationService;

    @ApiOperation(value = "获取学员列表")
    @PostMapping("queryPage")
    public HttpResponseResult<PageInfo<StudentLessonExaminationDto>> queryPage(@RequestBody StudentLessonExaminationQueryInfo queryInfo) {
        return succeed(studentLessonExaminationService.queryPage(queryInfo));
    }

    @ApiOperation(value = "获取单个学员")
    @PostMapping("getOne")
    public HttpResponseResult<StudentLessonExaminationDto> getOne(@RequestBody StudentLessonExaminationQueryInfo queryInfo) {
        return succeed(studentLessonExaminationService.queryPage(queryInfo).getRows().get(0));
    }

}

