package com.ym.mec.teacher.controller;


import com.ym.mec.biz.dal.dto.StudentLessonExaminationDetailDto;
import com.ym.mec.biz.dal.page.StudentLessonExaminationQueryDto;
import com.ym.mec.biz.service.StudentLessonExaminationDetailService;
import com.ym.mec.common.controller.BaseController;
import com.ym.mec.common.entity.HttpResponseResult;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;

/**
 * 进度评测详情表(StudentLessonExaminationDetail)表控制层
 *
 * @author zx
 * @since 2023-04-03 18:22:00
 */
@Api(tags = "进度评测详情表")
@RestController
@RequestMapping("${app-config.url.teacher:}/studentLessonExaminationDetail")
public class StudentLessonExaminationDetailController extends BaseController {
    /**
     * 服务对象
     */
    @Resource
    private StudentLessonExaminationDetailService studentLessonExaminationDetailService;


    @ApiOperation(value = "获取学员评测详情列表")
    @PostMapping("queryAll")
    public HttpResponseResult<List<StudentLessonExaminationDetailDto>> queryAll(@RequestBody StudentLessonExaminationQueryDto query) {
        return succeed(studentLessonExaminationDetailService.queryAll(query));
    }
}

