package com.ym.mec.teacher.controller;

import com.ym.mec.biz.dal.dao.TeacherDao;
import com.ym.mec.biz.dal.entity.SysMusicScore;
import com.ym.mec.biz.dal.entity.Teacher;
import com.ym.mec.biz.dal.enums.ClientTypeEnum;
import com.ym.mec.biz.dal.page.SysExamSongQueryInfo;
import com.ym.mec.biz.service.SysMusicScoreService;
import com.ym.mec.biz.service.SysUserService;
import com.ym.mec.biz.service.TeacherService;
import com.ym.mec.common.controller.BaseController;
import com.ym.mec.common.entity.HttpResponseResult;
import com.ym.mec.common.exception.BizException;
import com.ym.mec.common.page.PageInfo;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

@RequestMapping("${app-config.url.teacher:}/sysMusicScore")
@Api(tags = "曲库")
@RestController
public class SysMusicScoreController extends BaseController {

    @Resource
    private SysMusicScoreService sysMusicScoreService;
    @Resource
    private TeacherDao teacherDao;
    @Resource
    private SysUserService sysUserService;

    @ApiOperation(value = "分页查询")
    @GetMapping("/queryPage2")
    public HttpResponseResult<PageInfo<SysMusicScore>> queryPage2(SysExamSongQueryInfo queryInfo) {
        //判断用户是否可以访问云练习
        Integer userId = sysUserService.getUserId();
        Teacher teacher = teacherDao.get(userId);
        if (teacher == null) {
            throw new BizException("老师信息不存在");
        }
        //是否限制用户使用云教练
        if(teacher.getCoursewareLimit()){
            throw new BizException("您没有权限使用云练习");
        }
        queryInfo.setType("COMMON");
        queryInfo.setClientFlag(true);
        queryInfo.setClientType(ClientTypeEnum.SMART_PRACTICE);
        return succeed(sysMusicScoreService.queryMusicScorePageInfo(queryInfo));
    }
}
