package com.ym.mec.teacher.controller;

import com.ym.mec.biz.dal.dao.CourseScheduleDao;
import com.ym.mec.biz.dal.entity.TeacherLeaveRecord;
import com.ym.mec.biz.service.SysUserService;
import com.ym.mec.biz.service.TeacherLeaveRecordService;
import com.ym.mec.common.controller.BaseController;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.Date;

@Api(tags = "老师请假服务")
@RequestMapping("${app-config.url.teacher:}/teacherLeaveRecord")
@RestController
public class TeacherLeaveRecordController extends BaseController {

	@Autowired
	private SysUserService sysUserService;
	@Autowired
	private CourseScheduleDao courseScheduleDao;
	@Autowired
	private TeacherLeaveRecordService teacherLeaveRecordService;

	@ApiOperation(value = "查询vip课列表")
	@GetMapping("/queryVipCourseScheduleList")
	public Object queryVipCourseScheduleList(Date startTime, Date endTime) {
		return succeed(courseScheduleDao.queryTeacherCourseScheduleListByTimeRangeAndType(sysUserService.getUserId(), null, startTime, endTime));
	}

	@ApiOperation(value = "请假")
	@PostMapping("/askForLeave")
	public Object askForLeave(TeacherLeaveRecord teacherLeaveRecord) {
		teacherLeaveRecordService.askForLeave(teacherLeaveRecord);
		return succeed();
	}
}
