package com.ym.mec.teacher.controller;

import com.ym.mec.biz.dal.entity.TenantConfig;
import com.ym.mec.biz.service.TenantConfigService;
import com.ym.mec.common.controller.BaseController;
import com.ym.mec.common.tenant.TenantContextHolder;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RequestMapping("${app-config.url.teacher:}/tenantConfig")
@Api(tags = "机构配置管理")
@RestController
public class TenantConfigController extends BaseController {

	@Autowired
	private TenantConfigService tenantConfigService;

	@ApiOperation("修改机构启用停用状态")
	@GetMapping(value = "/get")
	public Object get() {
		// 查询云教室扣费标准
		TenantConfig tenantConfig = tenantConfigService.queryByTenantId(TenantContextHolder.getTenantId());

		return succeed(tenantConfig);
	}
}
