package com.ym.mec.teacher.controller;

import com.ym.mec.biz.dal.page.TenantEntryActivitiesQueryInfo;
import com.ym.mec.biz.service.TenantEntryActivitiesService;
import com.ym.mec.common.controller.BaseController;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.Date;

@RequestMapping("${app-config.url.teacher:}/tenantEntryActivities")
@Api(tags = "租客入驻活动")
@RestController
public class TenantEntryActivitiesController extends BaseController {

    @Autowired
    private TenantEntryActivitiesService tenantEntryActivitiesService;

    @ApiOperation(value = "分页查询活动列表")
    @GetMapping("/queryPage")
    public Object queryPage(TenantEntryActivitiesQueryInfo queryInfo) {
    	queryInfo.setDelFlag(false);
    	queryInfo.setStartDate(new Date());
        return succeed(tenantEntryActivitiesService.queryPage(queryInfo));
    }

}
