package com.ym.mec.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.Date;
import java.util.Objects;

/**
 * Created by Eric.Shang on 2022/10/17.
 */
public class ImUserWrapper {

    /**
     * IM好友用户列表
     */
    @Data
    @Builder
    @NoArgsConstructor
    @AllArgsConstructor
    public static class ImUserFriend implements Serializable {

        @ApiModelProperty(value = "主键;")
        private Long id;

        @ApiModelProperty(value = "当前用户编号")
        private Long userId;

        @ApiModelProperty(value = "好友编号")
        private Long friendId;

        @ApiModelProperty(value = "IM用户ID")
        private String imFriendId;

        @ApiModelProperty(value = "好友头像")
        private String friendAvatar;

        @ApiModelProperty(value = "好友昵称")
        private String friendNickname;

        @ApiModelProperty(value = "备注")
        private String memo;

        @ApiModelProperty(value = "创建时间;")
        private Date createTime;

        @ApiModelProperty(value = "修改时间;")
        private Date updateTime;

        @ApiModelProperty("好友身份")
        private String roleType;

        @ApiModelProperty(value = "好友身份")
        private String friendType;

        public String getImFriendId() {
            if (Objects.nonNull(getFriendId())) {
                return String.valueOf(getFriendId());
            }
            return imFriendId;
        }
    }

}
