package com.ym.mec.web.controller;

import com.ym.mec.biz.dal.page.ActivityStudentQueryInfo;
import com.ym.mec.biz.service.ActivityUserMapperAdjustLogService;
import com.ym.mec.common.controller.BaseController;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@Api(tags = "学员活动排课记录服务")
@RequestMapping("${app-config.url.web:}/activityUserMapperAdjustLog")
@RestController
public class ActivityUserMapperAdjustLogController extends BaseController {

    @Autowired
    private ActivityUserMapperAdjustLogService activityUserMapperAdjustLogService;

    @ApiOperation(value = "获取列表")
    @RequestMapping("/queryPage")
    @PreAuthorize("@pcs.hasPermissions('activityUserMapperAdjustLog/queryPage')")
    public Object queryPage(ActivityStudentQueryInfo queryInfo){
        return succeed(activityUserMapperAdjustLogService.queryPage(queryInfo));
    }
}
