package com.ym.mec.web.controller;

import com.ym.mec.biz.dal.enums.KitGroupPurchaseTypeEnum;
import com.ym.mec.biz.service.ContractService;
import com.ym.mec.biz.service.SysUserService;
import com.ym.mec.common.controller.BaseController;
import com.ym.mec.common.entity.HttpResponseResult;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

@RequestMapping("${app-config.url.web:}/contracts")
@Api(tags = "协议服务")
@RestController
public class ContractsController extends BaseController {

	@Autowired
	private SysUserService sysUserService;

	@Autowired
	private ContractService contractService;

	@ApiOperation("查询注册协议")
	@GetMapping(value = "queryRegisterContract")
	public Object queryRegisterContract() {
		return succeed(contractService.queryRegisterContract(sysUserService.getUserId()));
	}

	@ApiOperation("查询商品协议")
	@GetMapping(value = "queryGoodsContract")
	public Object queryGoodsContract(String musicGroupId, String goodsIds, KitGroupPurchaseTypeEnum kitGroupPurchaseTypeEnum) {
		return succeed(contractService.queryGoodsContract(sysUserService.getUserId(), musicGroupId, goodsIds, kitGroupPurchaseTypeEnum));
	}

	@ApiOperation("查询乐团课程协议")
	@GetMapping(value = "queryMusicGroupCoursesContract")
	public Object queryMusicGroupCoursesContract(String musicGroupId) {
		return succeed(contractService.queryMusicGroupCoursesContract(sysUserService.getUserId(), musicGroupId));
	}

	@ApiOperation("查询VIP课程协议")
	@GetMapping(value = "queryVipGroupCoursesContract")
	public Object queryVipGroupCoursesContract(Long vipGroupId) {
		return succeed(contractService.queryVipGroupCoursesContract(sysUserService.getUserId(), vipGroupId));
	}

	@ApiOperation("查询陪练课课程协议")
	@GetMapping(value = "queryPracticeCoursesContract")
	public Object queryPracticeCoursesContract(int courseSectionNum, Date startDate, Date endDate, BigDecimal fee) {
		return succeed(contractService.queryPracticeCoursesContract(sysUserService.getUserId(), courseSectionNum, startDate, endDate, fee));
	}

	@PostMapping("transferProduceContract")
	public HttpResponseResult transferProduceContract(@RequestBody List<Integer> userIds){
		for (Integer userId : userIds) {
			contractService.transferProduceContract(userId,null, null);
		}
		return succeed();
	}

}
