package com.ym.mec.web.controller;

import com.ym.mec.biz.dal.entity.CooperationShareProfit;
import com.ym.mec.biz.dal.entity.CooperationShareProfitDto;
import com.ym.mec.biz.dal.page.CooperationShareProfitQueryInfo;
import com.ym.mec.biz.service.CooperationShareProfitService;
import com.ym.mec.biz.service.OrganizationService;
import com.ym.mec.common.controller.BaseController;
import com.ym.mec.common.entity.HttpResponseResult;
import com.ym.mec.common.page.PageInfo;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RequestMapping("${app-config.url.web:}/cooperationShareProfit")
@Api(tags = "合作单位分润")
@RestController
public class CooperationShareProfitController extends BaseController {

    @Autowired
    private CooperationShareProfitService cooperationShareProfitService;
    @Autowired
    private OrganizationService organizationService;

    @ApiOperation(value = "获取合作单位分润列表")
    @PostMapping("/queryPage")
    @PreAuthorize("@pcs.hasPermissions('cooperationShareProfit/queryPage')")
    public HttpResponseResult<PageInfo<CooperationShareProfitDto>> queryPage(@RequestBody CooperationShareProfitQueryInfo queryInfo) throws Exception {
        queryInfo.setOrganId(organizationService.getEmployeeOrgan(queryInfo.getOrganId()));
        return succeed(cooperationShareProfitService.queryDtoPage(queryInfo));
    }

    @ApiOperation(value = "添加付款凭证")
    @PostMapping("/addCredentials")
    @PreAuthorize("@pcs.hasPermissions('cooperationShareProfit/addCredentials')")
    public HttpResponseResult addCredentials(@RequestBody CooperationShareProfit profit) throws Exception {
        cooperationShareProfitService.addCredentials(profit);
        return succeed();
    }
}
