package com.ym.mec.web.controller;

import com.ym.mec.biz.dal.page.TeacherManageDemoGroupQueryInfo;
import com.ym.mec.biz.service.DemoGroupService;
import com.ym.mec.common.controller.BaseController;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Author Joburgess
 * @Date 2019/9/25
 */
@Api(tags = "试听课")
@RequestMapping("${app-config.url.web:}/demoGroup")
@RestController
public class DemoGroupController extends BaseController {

    @Autowired
    private DemoGroupService demoGroupService;
    @ApiOperation(value = "获取教师试听课安排列表")
    @GetMapping("/findTeacherDemoGroups")
    @PreAuthorize("@pcs.hasPermissions('demoGroup/findTeacherDemoGroups')")
    public Object findTeacherDemoGroups(TeacherManageDemoGroupQueryInfo queryInfo){
        return succeed(demoGroupService.findTeacherDemoGroups(queryInfo));
    }

}
