package com.ym.mec.web.controller;

import com.ym.mec.biz.dal.wrapper.MultiDataSourceHomeStatsWrapper;
import com.ym.mec.biz.service.MultiDataSourceHomeStatsService;
import com.ym.mec.biz.service.OrganizationService;
import com.ym.mec.common.controller.BaseController;
import com.ym.mec.common.entity.HttpResponseResult;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@Api(tags = "首页多数据源统计")
@RequestMapping("${app-config.url.web:}/multiDataSourceHomeStats")
@RestController
public class MultiDataSourceHomeStatsController extends BaseController {

    @Autowired
    private MultiDataSourceHomeStatsService multiDataSourceHomeStatsService;
    @Autowired
    private OrganizationService organizationService;

    @ApiOperation(value = "收入统计")
    @PostMapping("/summerIncome")
    @PreAuthorize("@pcs.hasPermissions('multiDataSourceHomeStats/summerIncome')")
    public HttpResponseResult<List<MultiDataSourceHomeStatsWrapper.summerIncome>> summerIncome(@RequestBody MultiDataSourceHomeStatsWrapper.QueryDto queryDto){
        queryDto.setOrganIds(organizationService.getEmployeeOrgan(queryDto.getOrganIds()));
        return succeed(multiDataSourceHomeStatsService.summerIncome(queryDto));
    }
}
