package com.ym.mec.web.controller;

import com.ym.mec.biz.service.MusicGroupBuildLogService;
import com.ym.mec.common.controller.BaseController;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RequestMapping("${app-config.url.web:}/recharge")
@Api(tags = "乐团流程日志记录")
@RestController
public class MusicGroupBuildLogController extends BaseController {

    @Autowired
    private MusicGroupBuildLogService musicGroupBuildLogService;

    @ApiOperation("根据乐团编号获取乐团流程记录")
    @GetMapping(value = "/findAll")
    @PreAuthorize("@pcs.hasPermissions('recharge/findAll')")
    public Object findAll(String musicGroupId){
        return succeed(musicGroupBuildLogService.findById(musicGroupId));
    }
}
