package com.ym.mec.web.controller;

import com.ym.mec.biz.dal.dto.MusicGroupDeliveryRecordDto;
import com.ym.mec.biz.dal.page.MusicGroupDeliveryRecordQueryInfo;
import com.ym.mec.biz.service.MusicGroupDeliveryRecordService;
import com.ym.mec.common.controller.BaseController;
import com.ym.mec.common.entity.HttpResponseResult;
import com.ym.mec.common.page.PageInfo;
import io.swagger.annotations.Api;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
@RequestMapping("${app-config.url.web:}/musicGroupDeliveryRecord")
@Api(tags = "乐团发货记录")
@RestController
public class MusicGroupDeliveryRecordController extends BaseController {

	@Autowired
	private MusicGroupDeliveryRecordService musicGroupDeliveryRecordService;
	
	@GetMapping("/queryPage")
	public HttpResponseResult<PageInfo<MusicGroupDeliveryRecordDto>> queryPage(MusicGroupDeliveryRecordQueryInfo queryInfo) {
		return succeed(musicGroupDeliveryRecordService.queryPage(queryInfo));
	}
	
	@GetMapping("/queryGoodsDetail")
	public Object queryGoodsDetail(String musicGroupId, String deliveryBatchNo) {
		
		return succeed(musicGroupDeliveryRecordService.queryDeliveryList(musicGroupId, deliveryBatchNo));
	}
}
