package com.ym.mec.web.controller;

import com.ym.mec.biz.dal.entity.MusicGroupSchoolTermCourseDetail;
import com.ym.mec.biz.service.MusicGroupSchoolTermCourseDetailService;
import com.ym.mec.common.controller.BaseController;
import com.ym.mec.common.entity.HttpResponseResult;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RequestMapping("${app-config.url.web:}/musicGroupSchoolTermCourseDetail")
@Api(tags = "会员乐团每学期排课安排")
@RestController
public class MusicGroupSchoolTermCourseDetailController extends BaseController {

	@Autowired
	private MusicGroupSchoolTermCourseDetailService musicGroupSchoolTermCourseDetailService;

	@ApiOperation("新增、修改乐团预排课详情")
	@GetMapping(value = "upset")
	@PreAuthorize("@pcs.hasPermissions('musicGroupSchoolTermCourseDetail/upset')")
	public HttpResponseResult upset(MusicGroupSchoolTermCourseDetail musicGroupSchoolTermCourseDetail) {
		return musicGroupSchoolTermCourseDetailService.upset(musicGroupSchoolTermCourseDetail);
	}
}
