package com.ym.mec.web.controller;

import com.ym.mec.biz.dal.entity.ResourceRespository;
import com.ym.mec.biz.service.ResourceRespositoryService;
import com.ym.mec.common.controller.BaseController;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RequestMapping("${app-config.url.web:}/resourceRepository")
@Api(tags = "资源服务")
@RestController
public class ResourceRepositoryController extends BaseController {

    @Autowired
    private ResourceRespositoryService resourceRepositoryService;

    @ApiOperation(value = "新增")
    @PostMapping("/add")
    @PreAuthorize("@pcs.hasPermissions('resourceRepository/add')")
    public Object add(ResourceRespository resourceRepository){
        resourceRepositoryService.insert(resourceRepository);
        return succeed();
    }
}
