package com.ym.mec.web.controller;

import com.ym.mec.biz.dal.page.StudentCloudCoachPaymentDetailsQueryInfo;
import com.ym.mec.biz.service.StudentCloudCoachPaymentDetailsService;
import com.ym.mec.common.controller.BaseController;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@Api(tags = "学员云教练缴费明细")
@RequestMapping("${app-config.url.web:}/studentCloudCoachPaymentDetails")
@RestController
public class StudentCloudCoachPaymentDetailsController extends BaseController {

    @Autowired
    private StudentCloudCoachPaymentDetailsService studentCloudCoachPaymentDetailsService;

    @ApiOperation(value = "分页查询")
    @GetMapping("/queryPage")
    @PreAuthorize("@pcs.hasPermissions('studentCloudCoachPaymentDetails/queryPage')")
    public Object queryPage(StudentCloudCoachPaymentDetailsQueryInfo queryInfo){
        return succeed(studentCloudCoachPaymentDetailsService.queryPage(queryInfo));
    }
}
