package com.ym.mec.web.controller;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.ym.mec.auth.api.entity.SysUser;
import com.ym.mec.biz.dal.entity.SysMusicScoreCategories;
import com.ym.mec.biz.dal.entity.TenantConfig;
import com.ym.mec.biz.service.CbsMusicScoreCategoriesService;
import com.ym.mec.biz.service.OrganizationService;
import com.ym.mec.biz.service.SysUserService;
import com.ym.mec.biz.service.TenantConfigService;
import com.ym.mec.common.controller.BaseController;
import com.ym.mec.common.entity.HttpResponseResult;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.apache.commons.lang3.StringUtils;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;

@RequestMapping("${app-config.url.web:}/sysMusicScoreCategories")
@Api(tags = "曲库分类服务")
@RestController
public class SysMusicScoreCategoriesController extends BaseController {

    @Resource
    private CbsMusicScoreCategoriesService cbsMusicScoreCategoriesService;
    @Resource
    private SysUserService sysUserService;
//    @Resource
//    private SysMusicScoreCategoriesService sysMusicScoreCategoriesService;
    @Resource
    private OrganizationService organizationService;
    @Resource
    private TenantConfigService tenantConfigService;
//    @Autowired
//    private OrganizationService organizationService;
/*
    @ApiOperation(value = "分页查询")
    @GetMapping("/queryPage")
    @PreAuthorize("@pcs.hasPermissions('sysMusicScoreCategories/queryPage')")
    public Object queryPage(SysExamSongQueryInfo queryInfo) {
        queryInfo.setParentId(0);
        queryInfo.setOrganId(organizationService.getEmployeeOrgan(queryInfo.getOrganId()));
        return succeed(sysMusicScoreCategoriesService.queryPage(queryInfo));
    }

    @ApiOperation(value = "启用、停用")
    @RequestMapping("/enable")
    @PreAuthorize("@pcs.hasPermissions('sysMusicScoreCategories/enable')")
    public Object enable(Integer categoriesId) {
        sysMusicScoreCategoriesService.enable(categoriesId);
        return succeed();
    }

    @ApiOperation(value = "新增")
    @PostMapping("/save")
    @PreAuthorize("@pcs.hasPermissions('sysMusicScoreCategories/save')")
    public Object save(@RequestBody SysMusicScoreCategories musicScoreCategories) {
        sysMusicScoreCategoriesService.save(musicScoreCategories);
        return succeed();
    }

    @ApiOperation(value = "修改")
    @PostMapping("/update")
    @PreAuthorize("@pcs.hasPermissions('sysMusicScoreCategories/update')")
    public Object update(@RequestBody SysMusicScoreCategories musicScoreCategories) {
        sysMusicScoreCategoriesService.updateCategories(musicScoreCategories);
        return succeed();
    }

    @ApiOperation(value = "删除")
    @PostMapping("/delete")
    @PreAuthorize("@pcs.hasPermissions('sysMusicScoreCategories/delete')")
    public Object delete(Integer id) {
        sysMusicScoreCategoriesService.del(id);
        return succeed();
    }*/

    @ApiOperation(value = "树状列表")
    @GetMapping("/queryTree")
    @PreAuthorize("@pcs.hasPermissions('sysMusicScoreCategories/queryTree')")
    public HttpResponseResult<List<SysMusicScoreCategories>> queryTree(String queryType) {
        //queryType  ALL  代表查询所有分类，不传代表按分部和机构配置的来筛选，TENANT 表示查询机构配置的分类
        if ("ALL".equals(queryType)) {
            return succeed(cbsMusicScoreCategoriesService.queryTreeByAppId());
        }else if ("TENANT".equals(queryType)) {
            SysUser user = sysUserService.getUser();
            TenantConfig tenantConfig = tenantConfigService.getOne(new QueryWrapper<TenantConfig>().eq("tenant_id_", user.getTenantId()));
            if(tenantConfig == null){
                return succeed(cbsMusicScoreCategoriesService.queryTreeByAppId());
            }
            return succeed(cbsMusicScoreCategoriesService.queryCategoriesTreeList(tenantConfig.getTeachingMaterialId(),false));
        }
        SysUser user = sysUserService.getUser();
        String teachingMaterialIds = organizationService.getTeachingMaterialIds(organizationService.getEmployeeOrgan(null),user.getTenantId());
        return succeed(cbsMusicScoreCategoriesService.queryCategoriesTreeList(teachingMaterialIds,true));
    }

/*    @ApiOperation(value = "获取分类详情")
    @GetMapping("/get")
    @PreAuthorize("@pcs.hasPermissions('sysMusicScoreCategories/get')")
    public Object get(Integer id) {
        cbsMusicScoreCategoriesService.queryByIds(id.toString());
        return succeed(sysMusicScoreCategoriesService.getDetail(id));
    }*/
}
