package com.ym.mec.web.controller;

import com.ym.mec.biz.dal.page.TeacherCloudCourseReportQueryInfo;
import com.ym.mec.biz.dal.vo.TeacherCloudCourseReportDto;
import com.ym.mec.biz.service.TeacherCloudCourseReportService;
import com.ym.mec.common.controller.BaseController;
import com.ym.mec.common.entity.HttpResponseResult;
import com.ym.mec.common.page.PageInfo;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@Api(tags = "老师课程云教练使用时长统计")
@RequestMapping("${app-config.url.web:}/teacherCloudCourseReport")
@RestController
public class TeacherCloudCourseReportController extends BaseController {

    @Autowired
    private TeacherCloudCourseReportService teacherCloudCourseReportService;

    @ApiOperation(value = "分页查询")
    @PostMapping("/queryReportPage")
    @PreAuthorize("@pcs.hasPermissions('teacherCloudCourseReport/queryReportPage')")
    public HttpResponseResult<PageInfo<TeacherCloudCourseReportDto>> queryReportPage(@RequestBody TeacherCloudCourseReportQueryInfo queryInfo){
        return succeed(teacherCloudCourseReportService.queryReportPage(queryInfo));
    }
}
