package com.ym.mec.web.controller;

import com.ym.mec.biz.dal.entity.TeacherSalaryModifyLog;
import com.ym.mec.biz.service.TeacherSalaryModifyLogService;
import com.ym.mec.common.controller.BaseController;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RequestMapping("${app-config.url.web:}/teacherSalaryModifyLog")
@Api(tags = "教师课酬调整")
@RestController
public class TeacherSalaryModifyLogController extends BaseController {

    @Autowired
    private TeacherSalaryModifyLogService teacherSalaryModifyLogService;

    @ApiOperation(value = "调整课酬")
    @RequestMapping("/add")
    @PreAuthorize("@pcs.hasPermissions('teacherSalaryModifyLog/add')")
    public Object add(TeacherSalaryModifyLog modifyLog){
        teacherSalaryModifyLogService.add(modifyLog);
        return succeed();
    }
}
