package com.ym.mec.web.controller;

import com.ym.mec.biz.dal.enums.OrderTypeEnum;
import com.ym.mec.biz.service.ContractService;
import com.ym.mec.biz.service.TempTestService;
import com.ym.mec.common.controller.BaseController;
import com.ym.mec.util.excel.POIUtil;
import org.apache.commons.io.FileUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.multipart.MultipartFile;

import java.io.File;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.OutputStream;
import java.util.Date;
import java.util.List;
import java.util.Map;

@RequestMapping("${app-config.url.web:}/temp")
@RestController
public class TempController extends BaseController {
	
	@Autowired
	private TempTestService tempTestService;
	
	@Autowired
	private ContractService contractService;

	@PostMapping(value = "/queryOrganMusicInfos")
	public Object queryOrganMusicInfos(@RequestParam("multipartFile") MultipartFile multipartFile) {

		File file = new File(multipartFile.getOriginalFilename());
		OutputStream out = null;
		try {
			out = new FileOutputStream(file);
		    byte[] ss = multipartFile.getBytes();
		    for(int i = 0; i < ss.length; i++){
		        out.write(ss[i]);
		    }
		    
			//FileUtils.write(file, IOUtils.toString(multipartFile.getBytes()), "utf-8");

			Map<String, List<Map<String, Object>>> sheetMap = POIUtil.importExcel(file, 2);
			
			tempTestService.processBiz1(sheetMap.get("Sheet1"));

		} catch (IOException e) {
			e.printStackTrace();
		} finally {
			FileUtils.deleteQuietly(file);
			if(out != null){
				try {
					out.close();
				} catch (IOException e) {
					// TODO Auto-generated catch block
					e.printStackTrace();
				}
			}
		}

		return succeed();
	}

	@PostMapping(value = "/generateContract")
	public Object generateContract(Integer userId, String musicGroupId, OrderTypeEnum orderType, Date currentDate) {

		contractService.transferProduceContract(userId, musicGroupId, orderType, currentDate);

		return succeed();
	}
}
