package com.ym.mec.web.controller;

import com.ym.mec.biz.dal.entity.TenantConfig;
import com.ym.mec.biz.service.TenantConfigService;
import com.ym.mec.common.controller.BaseController;
import com.ym.mec.common.tenant.TenantContextHolder;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RequestMapping("${app-config.url.web:}/tenantConfig")
@Api(tags = "机构配置管理")
@RestController
public class TenantConfigController extends BaseController {

	@Autowired
	private TenantConfigService tenantConfigService;

	@ApiOperation("修改机构启用停用状态")
	@GetMapping(value = "/get")
	@PreAuthorize("@pcs.hasPermissions('tenantConfig/get')")
	public Object get() {
		// 查询云教室扣费标准
		TenantConfig tenantConfig = tenantConfigService.queryByTenantId(TenantContextHolder.getTenantId());
		return succeed(tenantConfig);
	}

	@ApiOperation("当前机构是否可以自动激活团练宝")
	@GetMapping(value = "/autoActivationFlag")
	@PreAuthorize("@pcs.hasPermissions('tenantConfig/autoActivationFlag')")
	public Object autoActivationFlag() {
		return succeed(tenantConfigService.autoActivationFlag(TenantContextHolder.getTenantId()));
	}
}
