package com.ym.mec.web.controller;


import com.ym.mec.biz.dal.dto.TenantOrderRecordDto;
import com.ym.mec.biz.service.TenantOrderRecordService;
import com.ym.mec.common.controller.BaseController;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * 机构付款记录表(TenantOrderRecord)表控制层
 *
 * @author hgw
 * @since 2021-12-20 10:08:27
 */
@RestController
@Api(tags = "机构付款记录")
@RequestMapping("${app-config.url.web:}/tenantOrderRecord")
public class TenantOrderRecordController extends BaseController {
    /**
     * 服务对象
     */
    @Resource
    private TenantOrderRecordService tenantOrderRecordService;

    @ApiOperation("分页查询")
    @PostMapping(value = "/queryPage")
    public Object queryPage(@RequestBody TenantOrderRecordDto dto) {
        return succeed(tenantOrderRecordService.queryPage(dto));
    }

    @ApiOperation(value = "自测用的")
    @PostMapping("/checkTenantOrder")
    public Object checkTenantOrder(String orderNo) {
        return succeed(tenantOrderRecordService.checkTenantOrder(orderNo));
    }

}

