package com.ym.mec.web.controller.education;

import com.ym.mec.biz.dal.entity.Subject;
import com.ym.mec.biz.service.SubjectService;
import com.ym.mec.common.controller.BaseController;
import com.ym.mec.common.entity.HttpResponseResult;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RequestMapping("${app-config.url.web:}/eduSubject")
@Api(tags = "教务端科目服务")
@RestController
public class EduSubjectController extends BaseController {

    @Autowired
    private SubjectService subjectService;

    @ApiOperation(value = "获取子集科目列表")
    @GetMapping("/findSubSubjects")
    public Object findSubSubjects(Integer tenantId){
        return succeed(subjectService.findSubSubjects(null,null));
    }

    @ApiOperation(value = "根据科目编号查询科目")
    @GetMapping("/findBySubjectByIdList")
    public Object get(String subjectIdList){
        return succeed(subjectService.findBySubjectByIdList(subjectIdList));
    }


    @ApiOperation(value = "获取指定名称的科目列表")
    @GetMapping("/findByNames")
    public HttpResponseResult<List<Subject>> findByNames() {
        return succeed(subjectService.getDao().findByNames());
    }
}
