package com.ym.mec.web.controller.education;

import com.ym.mec.auth.api.client.SysUserFeignService;
import com.ym.mec.auth.api.entity.SysUser;
import com.ym.mec.biz.dal.dao.EmployeeDao;
import com.ym.mec.biz.dal.entity.Employee;
import com.ym.mec.biz.service.VipGroupCategoryService;
import com.ym.mec.common.controller.BaseController;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import org.apache.commons.lang3.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.Arrays;
import java.util.List;

@Api(tags = "vip课类别")
@RequestMapping("${app-config.url.web:}/eduVipGroupCategory")
@RestController
public class EduVipGroupCategoryController extends BaseController {

	@Autowired
	private VipGroupCategoryService vipGroupCategoryService;
	@Autowired
	private SysUserFeignService sysUserFeignService;
	@Autowired
	private EmployeeDao employeeDao;

	@ApiOperation("全查询")
	@ApiImplicitParams({
			@ApiImplicitParam(name = "organId", value = "分部id", dataType = "int", paramType = "query"),
			@ApiImplicitParam(name = "groupType", value = "课程类型", dataType = "String", paramType = "query", defaultValue = "VIP"),
	})
	@GetMapping(value = "/queryAll")
	public Object queryAll(String organId, @RequestParam(defaultValue = "VIP") String groupType) {
		SysUser sysUser = sysUserFeignService.queryUserInfo();
		if (sysUser == null) {
			return failed("用户信息获取失败");
		}
		Employee employee = employeeDao.get(sysUser.getId());
		if (StringUtils.isEmpty(organId)) {
			organId = employee.getOrganIdList();
		}else if(StringUtils.isEmpty(employee.getOrganIdList())){
			return failed("用户所在分部异常");
		}else {
			List<String> list = Arrays.asList(employee.getOrganIdList().split(","));
			if(!list.containsAll(Arrays.asList(organId.split(",")))){
				return failed("非法请求");
			}
		}
		return succeed(vipGroupCategoryService.findAllByOrgan(organId, groupType));
	}
}
