package com.ym.mec.web.controller.education;

import com.ym.mec.biz.dal.dto.ImGroupNoticeDto;
import com.ym.mec.biz.dal.entity.ImGroupNotice;
import com.ym.mec.biz.dal.page.ImGroupNoticeQueryInfo;
import com.ym.mec.biz.service.ImGroupNoticeService;
import com.ym.mec.biz.service.SysUserService;
import com.ym.mec.common.controller.BaseController;
import com.ym.mec.common.entity.HttpResponseResult;
import com.ym.mec.common.page.PageInfo;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.Date;

/**
 * @Author Joburgess
 * @Date 2019/9/18
 */
@RequestMapping("${app-config.url.web:}/imGroupNotice")
@Api(tags = "即时通讯群公告")
@RestController
public class ImGroupNoticeController extends BaseController {

    @Resource
    private ImGroupNoticeService imGroupNoticeService;
    @Resource
    private SysUserService sysUserService;

    @ApiOperation(value = "新增")
    @RequestMapping("/add")
    public HttpResponseResult<Long> add(ImGroupNotice imGroupNotice ) {
        imGroupNotice.setOperatorId(sysUserService.getUserId().longValue());
        return succeed(imGroupNoticeService.add(imGroupNotice));
    }

    @ApiOperation(value = "修改")
    @RequestMapping("/update")
    public HttpResponseResult<Object> update(ImGroupNotice imGroupNotice ) {
        imGroupNotice.setOperatorId(sysUserService.getUserId().longValue());
        imGroupNotice.setUpdateTime(new Date());
        imGroupNoticeService.modify(imGroupNotice);
        return succeed();
    }

    @ApiOperation(value = "获取最新一条群公告")
    @RequestMapping("/getNewNotice")
    public HttpResponseResult<ImGroupNoticeDto> getNewNotice(String groupId) {
        return succeed(imGroupNoticeService.queryLatestNotice(groupId));
    }

    @ApiOperation(value = "获取群公告")
    @RequestMapping("/getNotice")
    public HttpResponseResult<ImGroupNoticeDto> getNotice(Long id) {
        return succeed(imGroupNoticeService.getNotice(id));
    }

    @ApiOperation(value = "获取群公告列表")
    @RequestMapping("/queryNoticePage")
    public HttpResponseResult<PageInfo<ImGroupNoticeDto>> queryPage(ImGroupNoticeQueryInfo queryInfo) {
        return succeed(imGroupNoticeService.queryPage(queryInfo));
    }

    @ApiOperation(value = "删除")
    @RequestMapping("/del")
    public HttpResponseResult<Object> del(Long id) {
        imGroupNoticeService.del(id);
        return succeed();
    }
}
