package com.ym.mec.web.controller.school;

import com.ym.mec.biz.dal.dto.BaseMapDto;
import com.ym.mec.biz.service.ClassGroupService;
import com.ym.mec.common.controller.BaseController;
import com.ym.mec.common.entity.HttpResponseResult;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestHeader;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RestController
@RequestMapping("${app-config.url.web:}/schoolClassGroup")
@Api(tags = "学校端班级服务")
public class SchoolClassGroupController extends BaseController {

    @Autowired
    private ClassGroupService classGroupService;

    @ApiOperation(value = "获取合作单位所有班级列表")
    @GetMapping("/queryClassGroup")
    public HttpResponseResult<List<BaseMapDto>> queryClassGroup(@RequestHeader Integer coopId) {
        return succeed(classGroupService.queryClassGroup(coopId));
    }
}
