package com.ym.mec.web.controller.school;

import com.ym.mec.biz.dal.dao.ClassGroupDao;
import com.ym.mec.biz.dal.entity.ClassGroup;
import com.ym.mec.biz.dal.entity.MusicGroup;
import com.ym.mec.biz.service.CooperationOrganService;
import com.ym.mec.common.controller.BaseController;
import com.ym.mec.common.entity.HttpResponseResult;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestHeader;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;

@RequestMapping("${app-config.url.web:}/schoolCooperationOrgan")
@Api(tags = "合作单位(教学点)服务")
@RestController
public class SchoolCooperationOrganController extends BaseController {

    @Resource
    private CooperationOrganService cooperationOrganService;
    @Resource
    private ClassGroupDao classGroupDao;

    @ApiOperation(value = "合作单位的乐团")
    @GetMapping("/musicGroupPage")
    public HttpResponseResult<List<MusicGroup>> musicGroupPage(@RequestHeader Integer coopId) {
        if (coopId == null) {
            return succeed();
        }
        return succeed(cooperationOrganService.musicGroupPage(coopId));
    }

    @ApiOperation(value = "获取乐团班级列表")
    @GetMapping("/musicGroupClassPage")
    public HttpResponseResult<List<ClassGroup>> musicGroupClassPage(String musicGroupId) {
        return succeed(classGroupDao.findClassGroups(musicGroupId));
    }
}
