package com.ym.mec.web.controller.school;

import com.ym.mec.biz.dal.dto.SchoolIndexStatDto;
import com.ym.mec.biz.dal.wrapper.SchoolIndexStatWrapper;
import com.ym.mec.biz.service.SchoolIndexStatService;
import com.ym.mec.common.controller.BaseController;
import com.ym.mec.common.entity.HttpResponseResult;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;

@Slf4j
@Validated
@RestController
@RequestMapping("${app-config.url.web:}/schoolIndex")
@Api(tags = "学校端首页")
public class SchoolIndexController extends BaseController {

    @Autowired
    private SchoolIndexStatService schoolIndexStatService;

	@ApiOperation(value = "统计", notes = "学校端首页数据统计")
    @PostMapping("/stat")
    public HttpResponseResult<SchoolIndexStatDto> stat(@RequestBody SchoolIndexStatWrapper.QueryDto queryDto, @RequestHeader Integer coopId) {
        queryDto.setCoopId(coopId);
        return succeed(schoolIndexStatService.stat(queryDto));
	}

	@ApiOperation(value = "学员出勤统计")
    @PostMapping("/attendanceStat")
    public HttpResponseResult<SchoolIndexStatWrapper.StudentAttendance> attendanceStat(@RequestBody SchoolIndexStatWrapper.QueryDto queryDto, @RequestHeader Integer coopId) {
        queryDto.setCoopId(coopId);
        return succeed(schoolIndexStatService.attendanceStat(queryDto));
	}

	@ApiOperation(value = "学员练习统计")
    @PostMapping("/lessonStat")
    public HttpResponseResult<SchoolIndexStatWrapper.StudentLesson> lessonStat(@RequestBody SchoolIndexStatWrapper.QueryDto queryDto, @RequestHeader Integer coopId) {
        queryDto.setCoopId(coopId);
        return succeed(schoolIndexStatService.lessonStat(queryDto));
	}
}