package com.ym.mec.web.controller.school;


import com.ym.mec.biz.dal.school.dto.NewsInformationDto;
import com.ym.mec.biz.service.SysNewsInformationService;
import com.ym.mec.common.controller.BaseController;
import com.ym.mec.common.entity.HttpResponseResult;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestHeader;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;

/**
 * 新闻资讯表(SysNewsInformation)表控制层
 *
 * @author zx
 * @since 2023-05-11 16:08:21
 */
@Api(tags = "新闻资讯表")
@RestController
@RequestMapping("${app-config.url.web:}/sysNewsInformation")
public class SchoolSysNewsInformationController extends BaseController {
    /**
     * 服务对象
     */
    @Resource
    private SysNewsInformationService sysNewsInformationService;

    @ApiOperation(value = "分页查询")
    @GetMapping("queryPage")
    public HttpResponseResult<List<NewsInformationDto>> queryPage(Integer type, @RequestHeader Integer coopId) throws Exception {
        return succeed(sysNewsInformationService.queryPage(type,coopId));
    }

}

