package com.ym.mec.auth.dal.dao;

import com.ym.mec.auth.api.entity.SysRole;
import com.ym.mec.common.dal.BaseDAO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface SysRoleDao extends BaseDAO<Integer, SysRole> {

    /**
     * 根据userId查询角色列表
     * @param userId 用户编号
     * @return
     */
    List<SysRole> findRoleByUserId(Integer userId);

    /**
     * 根据role_code 查询角色
     * @param code
     * @return
     */
    SysRole findRoleByCode(@Param("code") String code, @Param("tenantId") Integer tenantId);

    /**
     * 根据角色名称获取角色
     * @param roleName
     * @return
     */
    SysRole findByRoleName(@Param("roleName") String roleName, @Param("tenantId") Integer tenantId);

    /**
    * @description: 获取机构管理员角色
     * @param tenantId
    * @return java.lang.Integer
    * @author zx
    * @date 2022/1/10 14:35
    */
    Integer getMinRoleId(@Param("tenantId") Integer tenantId);
}