package com.ym.mec.auth.dal.dao;

import java.util.List;

import com.ym.mec.auth.api.entity.SysRoleMenu;
import com.ym.mec.common.dal.BaseDAO;
import org.apache.ibatis.annotations.Param;

public interface SysRoleMenuDao extends BaseDAO<Integer, SysRoleMenu> {

	/**
	 * 根据角色查询权限列表
	 * @param userId
	 * @return
	 */
	List<String> queryPermissionsByRoleId(Integer userId);

	/**
	 * 根据角色查询权限列表
	 * @param roleId
	 * @return
	 */
	List<Integer> queryMenuIdByRoleId(Integer roleId);

	/**
	 * 删除角色菜单权限
	 * @param sysRoleMenu
	 * @return
	 */
	int delete(SysRoleMenu sysRoleMenu);

	/**
	 * 删除角色所有的菜单权限
	 * @param id
	 */
	void deleteAllMenu(Integer id);

	/**
	 * 批量插入角色菜单
	 * @param roleId
	 * @param menuIds
	 */
    void batchAdd(@Param("roleId") Integer roleId,@Param("menuIds")  List<Integer> menuIds, @Param("tenantId") Integer tenantId);
}