package com.ym.mec.auth.service.impl;

import java.util.ArrayList;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.ym.mec.auth.api.entity.SysRoleMenu;
import com.ym.mec.auth.dal.dao.SysRoleMenuDao;
import com.ym.mec.auth.service.SysRoleMenuService;
import com.ym.mec.common.dal.BaseDAO;
import com.ym.mec.common.service.impl.BaseServiceImpl;

@Service
public class SysRoleMenuServiceImpl extends BaseServiceImpl<Integer, SysRoleMenu> implements SysRoleMenuService {

	@Autowired
	private SysRoleMenuDao sysRoleMenuDao;

	@Override
	public BaseDAO<Integer, SysRoleMenu> getDAO() {
		return sysRoleMenuDao;
	}

	@Override
	public List<String> queryPermissionsByRoleIdList(Integer userId) {
		return sysRoleMenuDao.queryPermissionsByRoleId(userId);
	}

	@Override
	public boolean batchInsert(Integer roleId, String menuIds) {
		SysRoleMenu sysRoleMenu = new SysRoleMenu();
		sysRoleMenu.setRoleId(roleId);
		String[] split = menuIds.split(",");
		for (String string:split) {
			sysRoleMenu.setMenuId(Integer.parseInt(string));
			sysRoleMenuDao.delete(sysRoleMenu);
		}
		return true;
	}

	@Override
	public boolean batchdel(Integer roleId, String menuIds) {
		SysRoleMenu sysRoleMenu = new SysRoleMenu();
		sysRoleMenu.setRoleId(roleId);
		String[] split = menuIds.split(",");
		for (String string:split) {
			sysRoleMenu.setMenuId(Integer.parseInt(string));
			sysRoleMenuDao.insert(sysRoleMenu);
		}
		return true;
	}

}