package com.ym.mec.biz.aspect;

import com.ym.mec.biz.annotation.PushSchoolCourseChange;
import com.ym.mec.biz.service.CourseScheduleModifyLogService;
import org.aspectj.lang.JoinPoint;
import org.aspectj.lang.annotation.AfterReturning;
import org.aspectj.lang.annotation.Aspect;
import org.aspectj.lang.annotation.Pointcut;
import org.springframework.beans.factory.annotation.Autowired;

@Aspect
public class PushSchoolCourseChangeAspect {

    @Pointcut("@annotation(pushSchoolCourseChange)")
    public void courseChange(PushSchoolCourseChange pushSchoolCourseChange){}

    @Autowired
    private CourseScheduleModifyLogService courseScheduleModifyLogService;

    @AfterReturning(pointcut = "courseChange(pushSchoolCourseChange)")
    public void afterPush(JoinPoint joinPoint, PushSchoolCourseChange pushSchoolCourseChange){
        long courseId = pushSchoolCourseChange.courseId();
        int event = pushSchoolCourseChange.event();
        //事件、1创建，2修改
        if(event == 1){
            courseScheduleModifyLogService.pushSchoolCourseCreate(courseId);
        }else {
            courseScheduleModifyLogService.pushSchoolCourseChange(courseId);
        }

    }
}
