package com.ym.mec.biz.dal.dao;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.ym.mec.biz.dal.entity.ChargeTypeSubjectMapper;
import com.ym.mec.biz.dal.enums.CourseViewTypeEnum;
import com.ym.mec.common.dal.BaseDAO;

public interface ChargeTypeSubjectMapperDao extends BaseDAO<Long, ChargeTypeSubjectMapper> {

    /**
     * 删除当前收费类型关联的科目
     */
    void deleteByChargeTypeId(CourseViewTypeEnum courseViewType);

    int batchInsert(List<ChargeTypeSubjectMapper> chargeTypeSubjectMapperList);

    int batchUpdate(List<ChargeTypeSubjectMapper> chargeTypeSubjectMapperList);

    /**
     * 根据收费类型获取声部的折扣
     *
     * @param chargeTypeId
     * @param subjectId
     * @return
     */
    ChargeTypeSubjectMapper getSubjectDiscount(@Param("courseViewType") CourseViewTypeEnum courseViewType, @Param("subjectId") Integer subjectId);

    ChargeTypeSubjectMapper getSubjectsDiscount(@Param("courseViewType") CourseViewTypeEnum courseViewType, @Param("subjectIds") String subjectIds);

    ChargeTypeSubjectMapper findByViewTypeANdSubject(@Param("courseViewType") CourseViewTypeEnum courseViewType,
                                                     @Param("subjectId") Integer subjectId,
                                                     @Param("tenantId") Integer tenantId);
}
