package com.ym.mec.biz.dal.dao;


import com.ym.mec.biz.dal.dto.ChildrenDayMsgDto;
import com.ym.mec.biz.dal.dto.ChildrenStatisticsDetailDto;
import com.ym.mec.biz.dal.dto.ChildrenStatisticsDto;
import com.ym.mec.biz.dal.entity.ChildrenDayReserve;
import com.ym.mec.biz.dal.page.ChildrenReserveQueryInfo;
import com.ym.mec.common.dal.BaseDAO;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

public interface ChildrenDayReserveDao extends BaseDAO<Integer, ChildrenDayReserve> {

    /**
     * 获取后台考级活动列表
     *
     * @param params
     * @return
     */
    List<ChildrenStatisticsDto> queryChildrenStatistics(Map<String, Object> params);

    /**
     * 获取后台考级活动列表
     *
     * @param params
     * @return
     */
    int countChildrenStatistics(Map<String, Object> params);

    /**
     * 根据用户id获取用户预约信息
     *
     * @param userId
     * @return
     */
    ChildrenDayReserve getByUserId(@Param("userId") Integer userId);

    /**
     * 获取后台考级活动详情列表
     *
     * @param params
     * @return
     */
    int countChildrenStatisticsDetail(Map<String, Object> params);

    /**
     * 获取后台考级活动详情列表
     *
     * @param params
     * @return
     */
    List<ChildrenStatisticsDetailDto> queryChildrenStatisticsDetail(Map<String, Object> params);

    /**
     * 统计
     *
     * @param params
     * @return
     */
    ChildrenStatisticsDto childrenStatistics(Map<String, Object> params);

    /**
     * 导出详情
     *
     * @param queryInfo
     * @return
     */
    List<ChildrenStatisticsDetailDto> exportStatisticsDetail(ChildrenReserveQueryInfo queryInfo);

    /**
     * 获取发送的信息的用户
     *
     * @param msgDtos
     * @return
     */
    List<ChildrenStatisticsDetailDto> getSendMsgList(@Param("msgDtos") List<ChildrenDayMsgDto> msgDtos);


    /**
     * 修改发送短信的状态
     *
     * @param userIds
     */
    Integer updateSendMasStatus(@Param("userIds") List<Integer> userIds);
}
