package com.ym.mec.biz.dal.dao;

import com.ym.mec.biz.dal.entity.ClassGroupRelation;
import com.ym.mec.common.dal.BaseDAO;

import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

public interface ClassGroupRelationDao extends BaseDAO<Integer, ClassGroupRelation> {


    /**
     * 批量插入班级关联关系
     *
     * @param classGroupRelationList
     * @return
     */
    int classGroupRelationsInsert(@Param("classGroupRelationList") List<ClassGroupRelation> classGroupRelationList);

    /**
     * 删除班级关系
     *
     * @param classGroupId
     */
    void deleteByClassId(Integer classGroupId);

    /**
     * 根据子班id'查询父班id
     *
     * @param subClassGroupId
     * @return
     */
    ClassGroupRelation findClassGroupRelation(@Param("subClassGroupId") Integer subClassGroupId);

    /**
     * 删除单技跟跟合奏班关系
     * @param subClassGroupId
     * @return
     */
    int deleteBySubClassId(@Param("classGroupId") Integer subClassGroupId);

    /**
     * 获取乐团班级关系列表
     * @param musicGroupId
     * @return
     */
    List<Map<Integer,Integer>> queryClassRelationIdMap(String musicGroupId);

    /**
     * 获取乐团班级关系列表
     * @param musicGroupId
     * @return
     */
    List<Map<Integer,String>> queryClassRelationNameMap(String musicGroupId);
}