package com.ym.mec.biz.dal.dao;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.ym.mec.common.dal.BaseDAO;
import com.ym.mec.biz.dal.entity.CooperationOrganLinkman;

public interface CooperationOrganLinkmanDao extends BaseDAO<Integer, CooperationOrganLinkman> {

	/**
	 * 批量新增
	 * @param cooperationOrganLinkmanList
	 * @return
	 */
	long batchInsert(List<CooperationOrganLinkman> cooperationOrganLinkmanList);

	/**
	 * 批量修改
	 * @param cooperationOrganLinkmanList
	 * @return
	 */
	int batchUpdate(@Param("cooperationOrganLinkmans") List<CooperationOrganLinkman> cooperationOrganLinkmanList);

	/**
	 * 根据合作单位编号查询联系人
	 * @param cooperationOrganId
	 * @return
	 */
	List<CooperationOrganLinkman> queryByCooperationOrganId(Integer cooperationOrganId);

	/**
	 * 根据合作单位删除记录
	 * @param cooperationOrganId
	 * @return
	 */
	int deleteByCooperationOrganId(Integer cooperationOrganId);
}