package com.ym.mec.biz.dal.dao;

import com.ym.mec.biz.dal.entity.CooperationShareProfitDto;
import com.ym.mec.common.dal.BaseDAO;
import com.ym.mec.biz.dal.entity.CooperationShareProfit;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

public interface CooperationShareProfitDao extends BaseDAO<Integer, CooperationShareProfit> {


    /**
    * @description: 获取已添加分润记录的乐团
     * @param musicGroupIds
    * @return java.util.List<java.lang.String>
    * @author zx
    * @date 2022/10/20 11:00
    */
    List<String> queryNotShare(@Param("musicGroupIds") List<String> musicGroupIds);


    List<CooperationShareProfit> initShareProfit(@Param("musicGroupIds") List<String> musicGroupIds);

    void batchInsert(@Param("profits") List<CooperationShareProfit> profits);

    int countDto(Map<String, Object> params);

    List<CooperationShareProfitDto> queryDtoPage(Map<String, Object> params);
}