package com.ym.mec.biz.dal.dao;

import com.ym.mec.biz.dal.dto.BasicUserDto;
import com.ym.mec.biz.dal.dto.CourseConvertSumDto;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface CourseScheduleConvertDao {

    /**
    * @description: 获取符合课程转换要求的课程数量，用于校验
     * @param courseIdList
    * @return int
    * @author zx
    * @date 2022/9/21 10:33
    */
    int countLegalCourse(@Param("courseIdList") List<Long> courseIdList);

    /**
    * @description: 校验所选课程是否所有学员的课程数量一致
     * @param courseIdList
     * @param courseNum
    * @return java.lang.String
    * @author zx
    * @date 2022/9/21 11:40
    */
    Integer checkStudentCourseNum(@Param("courseIdList") List<Long> courseIdList, @Param("courseNum") int courseNum);

    /**
    * @description: 获取可转换课程时长，学员数量，课程数量
     * @param courseIdList
    * @return com.ym.mec.biz.dal.dto.CourseConvertSumDto
    * @author zx
    * @date 2022/9/21 14:48 
    */
    CourseConvertSumDto sumCourseConvert(@Param("courseIdList") List<Long> courseIdList);

    /**
    * @description: 获取课程关联的学员列表
     * @param courseIdList
    * @return java.util.List<com.ym.mec.biz.dal.dto.BasicUserDto>
    * @author zx
    * @date 2022/9/21 15:16
    */
    List<BasicUserDto> queryStudents(@Param("courseIdList") List<Long> courseIdList);

    /**
    * @description: 获取课关联的班级数量
     * @param courseIdList
    * @return int
    * @author zx
    * @date 2022/9/21 16:42
    */
    int countClassNum(@Param("courseIdList") List<Long> courseIdList);
}
