package com.ym.mec.biz.dal.dao;

import com.ym.mec.common.dal.BaseDAO;
import com.ym.mec.biz.dal.entity.CourseScheduleStatistics;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface CourseScheduleStatisticsDao extends BaseDAO<Long, CourseScheduleStatistics> {


    //获取需要更新的课程统计信息
    List<CourseScheduleStatistics> queryUpdateCourseScheduleStatistics();

    //获取需要新增的课程统计信息
    List<CourseScheduleStatistics> queryInsertCourseScheduleStatistics();

    void batchUpdate(@Param("scheduleStatisticsList") List<CourseScheduleStatistics> scheduleStatisticsList);

    void batchInsert(@Param("scheduleStatisticsList") List<CourseScheduleStatistics> scheduleStatisticsList);

    void delWaitByCourseId(@Param("courseIdList") List<Long> courseIdList);

    //更新服务指标
    void updateCourseService(@Param("courseIds") List<Integer> courseIds, @Param("serviceFlag") int serviceFlag);

    void updateNum(@Param("courseScheduleId") Long courseScheduleId,
                   @Param("teacherId") Integer teacherId,
                   @Param("studentIds") List<Integer> studentIds);

    void updateLastSubmitTime(@Param("courseScheduleId") Long courseScheduleId,
                              @Param("teacherId") Integer teacherId,
                              @Param("userId") Integer userId);
}