package com.ym.mec.biz.dal.dao;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ym.mec.biz.dal.dto.StudentManageListDto;
import com.ym.mec.biz.dal.entity.CourseShare;
import com.ym.mec.common.dal.BaseDAO;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

public interface CourseShareDao extends BaseDAO<Integer, CourseShare> {

    int batchInsert(@Param("courseShares") List<CourseShare> courseShares);

    List<CourseShare> selectByCourseId(@Param("courseId") Long courseId);

    void deleteByCourseId(@Param("courseId") Long courseId);

    void deleteByIds(@Param("ids") List<Integer> ids);

    void deleteByCourseAndUserIds(@Param("courseId") Long courseId, @Param("userIds") List<Integer> userIds);


    /**
     * 根据用户id和课程id查询是否已经私有分享当前课程
     *
     * @param studentId        用户id
     * @param courseScheduleId 课程id
     */
    CourseShare getByUserIdAndCourseId(@Param("studentId") Integer studentId,
                                       @Param("courseScheduleId") Integer courseScheduleId);

    <T> IPage<T> selectStudentByParam(Page<StudentManageListDto> page, @Param("param") Map<String, Object> param);

    <T> List<T> selectStudentByParam(@Param("param") Map<String, Object> param);

}