package com.ym.mec.biz.dal.dao;

import com.ym.mec.biz.dal.entity.DegreeRegistration;
import com.ym.mec.biz.dal.enums.DegreeTypeEnum;
import com.ym.mec.common.dal.BaseDAO;
import org.apache.ibatis.annotations.Param;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

public interface DegreeRegistrationDao extends BaseDAO<Integer, DegreeRegistration> {

    int batchUpdate(@Param("degrees") List<DegreeRegistration> degrees);

    DegreeRegistration findByMobileAndSporadicId(@Param("mobile") String mobile, @Param("sporadicId") Integer sporadicId);

    DegreeRegistration getLock(@Param("id") Integer id);

    DegreeRegistration getTotalAmount(Map<String, Object> params);

    int countApplyNum(Map<String, Object> params);

    DegreeRegistration getWithUserIdAndActivityTag(@Param("degree") DegreeRegistration degree);

    DegreeRegistration getUserLevelDegrees(@Param("userId") Integer userId,
                                                 @Param("degreeId") Long degreeId,
                                                 @Param("type") DegreeTypeEnum type,
                                                 @Param("levels") String levels,
                                                 @Param("subjectId") Integer subjectId);

    void batchInsert(@Param("degreeRegistrationList") List<DegreeRegistration> degreeRegistrationList);

    List<DegreeRegistration> getLockByOrderId(@Param("orderNo") String orderNo);

    List<DegreeRegistration> findByByOrderId(@Param("orderNo") String orderNo);

    /**
     * 根据考级ID查询考级报名信息
     *
     * @param degreeId 考级ID
     */
    List<DegreeRegistration> selectByDegreeId(@Param("degreeIds") List<Long> degreeId);

    BigDecimal getDegreeIncomeDecimal(@Param("degreeId") Long degreeId);
}
