package com.ym.mec.biz.dal.dao;

import com.ym.mec.biz.dal.dto.ExportStudentCourseInfoDto;
import com.ym.mec.biz.dal.dto.ExportWrapper;
import org.apache.commons.lang3.StringUtils;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface ExportDao {

    //平衡关系-乐团课
    List<ExportWrapper.ExportBalancedRelationshipMusicCourse> exportBalancedRelationshipMusicCourse(@Param("month") String month, @Param("organIds") String organIds);

    //平衡关系-VIP已排课
    List<ExportWrapper.ExportBalancedRelationshipVipCourse> exportBalancedRelationshipVipCourse(@Param("month") String month, @Param("organIds") String organIds);

    //平衡关系-VIP未排课
    List<ExportWrapper.ExportBalancedRelationshipVipNoCourse> exportBalancedRelationshipVipNoCourse(@Param("month") String month, @Param("organIds") String organIds);

    //平衡关系-乐团课剩余时长
    List<ExportWrapper.ExportBalancedRelationshipMusicSubCourse> exportBalancedRelationshipMusicSubCourse(@Param("startMonth") String startMonth, @Param("endMonth") String endMonth, @Param("organIds") String organIds);

    //平衡关系-学员情况总表
    List<ExportWrapper.ExportBalancedRelationshipStudentInfo> exportBalancedRelationshipStudentInfo(@Param("month") String month, @Param("organIds") String organIds);

    //平衡关系(分表)-乐团在读学员
    List<ExportWrapper.ExportBalancedRelationshipStudentNormalDetail> exportBalancedRelationshipStudentNormalDetail( @Param("organIds") String organIds);

    //平衡关系(分表)-乐团退团学员
    List<ExportWrapper.ExportBalancedRelationshipStudentQuitDetail> exportBalancedRelationshipStudentQuitDetail(@Param("month") String month, @Param("organIds") String organIds);

    //小组课学员课程导出
    Boolean hasStudentMusicTheoryCourseInfo(@Param("organId") String organId, @Param("tenantId") Integer tenantId, @Param("groupType") String groupType);

    //小组课学员课程导出
    List<ExportStudentCourseInfoDto> queryStudentCourseInfo(@Param("organId") String organId, @Param("tenantId") Integer tenantId, @Param("groupType") String groupType);
}
