package com.ym.mec.biz.dal.dao;

import java.util.List;
import java.util.Map;
import java.util.Set;

import com.ym.mec.biz.dal.dto.ImGroupMemberDto;
import com.ym.mec.biz.dal.wrapper.ImGroupMemberWrapper;
import org.apache.ibatis.annotations.Param;

import com.ym.mec.biz.dal.entity.ImGroupMember;
import com.ym.mec.common.dal.BaseDAO;

public interface ImGroupMemberDao extends BaseDAO<Long, ImGroupMember> {

	int deleteByImGroupId(String imGroupId);

	int batchDelete(List<ImGroupMember> imGroupMemberList);

	List<ImGroupMember> queryByImGroupIdAndUserId(@Param("imGroupIdList") String imGroupIdList, @Param("userIdList") String userIdList);
	
	int batchUpdate(List<ImGroupMember> imGroupMemberList);
	
	int batchInsert(List<ImGroupMember> imGroupMemberList);

	void batchDeleteByGroupIdAndUserId(List<ImGroupMember> imGroupMemberList);

	boolean isExit(@Param("groupId") String groupId, @Param("userId") String userId);

	void delRepeat();

    List<ImGroupMember> queryMembers(@Param("groupId") String groupId,
									 @Param("userIdList") List<String> userIdList,
									 @Param("tenantId") Integer tenantId);

    int countGroupMember(Map<String, Object> params);

	List<ImGroupMemberDto> queryGroupMemberPage(Map<String, Object> params);

    List<ImGroupMember> queryMembersByUserId(@Param("userId") Long userId);

    void deleteByUserId(Long userId);

    /**
     *  查询群组
     *
     * @param imGroupId 群组id
     */
    ImGroupMember getAdmin(@Param("imGroupId") String imGroupId);

    void updateAdmin(@Param("imGroupId") String imGroupId, @Param("userId") Integer userId);

    /**
     * 查询一个群组成员
     *
     * @param imGroupId 群组id
     * @param userId    用户id
     */
    ImGroupMember queryOneByGroupIdAndNotUser(@Param("imGroupId") String imGroupId, @Param("userId") Long userId);

    List<ImGroupMember> getByGroupId(@Param("musicGroupIds") List<String> musicGroupId);

    void delByImGroupAndUserId(@Param("imGroupId") String imGroupId, @Param("userIds") List<Integer> userIds);

    void updateGroupMemberMute(@Param("groupId") String groupId, @Param("userIds") List<String> userIds, @Param("groupMute") Boolean groupMute);

    void batchUpdateGroupMemberRole(@Param("groupId") String groupId, @Param("userIds") List<String> userIds, @Param("groupRoleType") String groupRoleType);

    List<ImGroupMemberWrapper.GroupMemberRole1> groupRoleInit(@Param("groupRoleType") String groupRoleType);
}