package com.ym.mec.biz.dal.dao;

import java.util.Collection;
import java.util.List;
import com.ym.mec.biz.dal.dto.BasicUserDto;
import com.ym.mec.biz.dal.dto.NameDto;
import com.ym.mec.biz.dal.wrapper.ImGroupWrapper;
import org.apache.ibatis.annotations.Param;
import com.ym.mec.biz.dal.dto.ImUserFriendDto;
import com.ym.mec.biz.dal.entity.ImUserFriend;
import com.ym.mec.common.dal.BaseDAO;

public interface ImUserFriendDao extends BaseDAO<Long, ImUserFriend> {

	ImUserFriend query(@Param("userId") Integer userId, @Param("friendId") Integer friendId);

	/**
	 * 根据条件查询指定用户的好友列表
	 * @param userId 指定用户的编号
	 * @param search 搜索条件
	 * @return
	 */
	List<ImUserFriendDto> queryFriendListByUserId(@Param("userId") Integer userId, @Param("search") String search);

	ImUserFriendDto queryFriendDetail(@Param("userId") Integer userId, @Param("friendUserId") Integer friendUserId);

	/**
	 * 清除通讯录
	 * @param teacherId
	 */
    void deleteByUserId(Integer teacherId);

	void insertByBasicUser(@Param("basicUserDto") BasicUserDto basicUserDto, @Param("teacherId") Integer teacherId);

	/**
	* @description: 更新用户朋友昵称是空的历史数据
	 * @param
	* @return void
	* @author zx
	* @date 2022/1/20 11:56
	*/
	void updateNullNickName();

    List<NameDto> queryNameByIds(@Param("ids") String ids, @Param("userId") Integer userId);

    List<ImUserFriendDto> queryFriendListByUserIdV2(@Param("userId") Integer userId, @Param("search") String search, @Param("musicGroupId") String musicGroupId, @Param("subjectId") Integer subjectId, @Param("vipFlag") Boolean vipFlag);

    /**
     *  删除好友关系
     *
     * @param userId 用户id
     */
    void deleteByUserIdAndFriendId(Long userId);

    List<ImUserFriendDto> getFriendListByUserId(@Param("param") ImGroupWrapper.ImQuery query);
}