package com.ym.mec.biz.dal.dao;

import com.ym.mec.biz.dal.entity.InspectionItemPlan;
import com.ym.mec.common.dal.BaseDAO;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

public interface InspectionItemPlanDao extends BaseDAO<Long, InspectionItemPlan> {

    /**
     * 获取当天的巡查计划
     *
     * @param startTime
     * @param endTime
     * @return
     */
    List<InspectionItemPlan> getStartPlan(@Param("startTime") Date startTime, @Param("endTime") Date endTime);

    /**
     * 获取巡查日程详情
     *
     * @param id
     * @return
     */
    InspectionItemPlan getPlanInfo(@Param("id") Long id);

    /**
     * 获取事项时间段内乐团的计划数
     *
     * @return
     */
    int getMusicGroupItemPlanCount(@Param("itemId") Long itemId, @Param("musicGroupId") String musicGroupId,
                                   @Param("startTime") Date startTime, @Param("endTime") Date endTime, @Param("id") Long id);
}