package com.ym.mec.biz.dal.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ym.mec.biz.dal.dto.LessonExaminationResultDto;
import com.ym.mec.biz.dal.dto.LessonExaminationResultDto1;
import com.ym.mec.biz.dal.dto.LessonExaminationResultDto2;
import com.ym.mec.biz.dal.dto.LessonExaminationSaveDto;
import com.ym.mec.biz.dal.entity.LessonExamination;
import com.ym.mec.biz.dal.entity.Subject;
import com.ym.mec.biz.dal.wrapper.SchoolIndexStatWrapper;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * 进度评测表(LessonExamination)表数据库访问层
 *
 * @author zx
 * @since 2023-04-03 18:20:27
 */
public interface LessonExaminationDao extends BaseMapper<LessonExamination> {

    int insertBatch(@Param("entities") List<LessonExaminationSaveDto> entities);

    List<LessonExaminationResultDto> queryPage(Map<String, Object> params);

    int findCount(Map<String, Object> params);

    List<LessonExaminationResultDto1> queryPageByStudent(Map<String, Object> params);

    int findCountByStudent(Map<String, Object> params);

    LessonExaminationResultDto1 getOneByStudent(@Param("userId") Integer userId, @Param("lessonExaminationId") Long lessonExaminationId);

    void updateTrainingNum(@Param("lessonExaminationId") Long lessonExaminationId);

    void updateStandardNum(@Param("lessonExaminationId") Long lessonExaminationId);

    List<LessonExamination> queryEndList();

    List<Subject> querySubject(@Param("lessonExaminationId") Long lessonExaminationId);

    SchoolIndexStatWrapper.StudentLesson schoolLessonStat(@Param("musicGroupIds") List<String> musicGroupIds,
                                                          @Param("queryDto") SchoolIndexStatWrapper.QueryDto queryDto);
}

