package com.ym.mec.biz.dal.dao;

import com.ym.mec.biz.dal.dto.MusicEnlightenmentQuestionnaireStatDto;
import com.ym.mec.common.dal.BaseDAO;
import com.ym.mec.biz.dal.entity.MusicEnlightenmentQuestionnaire;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface MusicEnlightenmentQuestionnaireDao extends BaseDAO<Long, MusicEnlightenmentQuestionnaire> {

    /**
     * @describe 获取乐团下所有启蒙问卷
     * @author Joburgess
     * @date 2021/10/13 0013
     * @param musicGroupId:
     * @return java.util.List<com.ym.mec.biz.dal.entity.MusicEnlightenmentQuestionnaire>
     */
    List<MusicEnlightenmentQuestionnaire> findByMusicGroupId(@Param("musicGroupId") String musicGroupId);

    /**
     * @describe 查询学员月u谈启蒙课问卷
     * @author Joburgess
     * @date 2021/10/13 0013
     * @param musicGroupId:
     * @param userPhone:
     * @return com.ym.mec.biz.dal.entity.MusicEnlightenmentQuestionnaire
     */
    MusicEnlightenmentQuestionnaire lockUserMusicEnlightenmentQuestionnaire(@Param("musicGroupId") String musicGroupId,
                                                @Param("userPhone") String userPhone);

    /**
     * @describe 启蒙课问卷统计
     * @author Joburgess
     * @date 2021/10/13 0013
     * @param musicGroupId:
     * @return java.util.List<com.ym.mec.biz.dal.dto.MusicEnlightenmentQuestionnaireStatDto>
     */
    List<MusicEnlightenmentQuestionnaireStatDto> musicEnlightenmentQuestionnaireStat(@Param("musicGroupId") String musicGroupId);
	
}
