package com.ym.mec.biz.dal.dao;

import com.ym.mec.biz.dal.dto.CooperationCalenderRefundDto;
import com.ym.mec.biz.dal.dto.CooperationRefundDto;
import com.ym.mec.biz.dal.entity.MusicGroupCalenderRefundPeriod;
import com.ym.mec.common.dal.BaseDAO;
import org.apache.ibatis.annotations.Param;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

public interface MusicGroupCalenderRefundPeriodDao extends BaseDAO<Integer, MusicGroupCalenderRefundPeriod> {

    void batchInsert(@Param("refundPeriods") List<MusicGroupCalenderRefundPeriod> refundPeriods);

    List<MusicGroupCalenderRefundPeriod> findByCalenderId(@Param("calenderId") Long calenderId);

    int countCoopRefund(Map<String, Object> params);

    List<CooperationRefundDto> queryCoopRefund(Map<String, Object> params);

    BigDecimal sumCoopRefund(Map<String, Object> params);

    int countCoopCalender(Map<String, Object> params);

    List<CooperationCalenderRefundDto> queryCoopCalender(Map<String, Object> params);

    void deleteByCalenderId(@Param("calenderId") Long calenderId);

    void batchUpdate(@Param("refundPeriods") List<MusicGroupCalenderRefundPeriod> refundPeriods);

    List<MusicGroupCalenderRefundPeriod> queryByIds(@Param("periodsIds") List<Integer> periodsIds);
}