package com.ym.mec.biz.dal.dao;

import com.ym.mec.biz.dal.entity.MusicGroupPaymentCalenderStudentDetail;
import com.ym.mec.common.dal.BaseDAO;
import org.apache.ibatis.annotations.Param;

import java.math.BigDecimal;
import java.util.List;

public interface MusicGroupPaymentCalenderStudentDetailDao extends BaseDAO<Integer, MusicGroupPaymentCalenderStudentDetail> {

    void batchInsert(@Param("musicGroupPaymentCalenderStudentDetails") List<MusicGroupPaymentCalenderStudentDetail> musicGroupPaymentCalenderStudentDetails, @Param("batchNo") String batchNo);

    void batchUpdate(@Param("musicGroupPaymentCalenderStudentDetails") List<MusicGroupPaymentCalenderStudentDetail> musicGroupPaymentCalenderStudentDetails);

    /**
     * 根据批次号获取缴费详情
     * @param batchNo
     * @return
     */
    List<MusicGroupPaymentCalenderStudentDetail> findByBatchNo(String batchNo);

    /**
     * 根据批次号删除
     * @param batchNo
     */
    void delByBatchNo(String batchNo);

    /**
     * 获取跨团合班学员缴费详情
     * @param batchNo
     * @param userId
     */
    List<MusicGroupPaymentCalenderStudentDetail>  findByBatchNoAndUserId(@Param("batchNo") String batchNo, @Param("userId") Integer userId);

    /**
     * 更新学员实际的缴费金额
     * @param courseType
     * @param batchNo
     * @param studentIds
     * @param courseCurrentPrice
     */
    void updateByCourseType(@Param("courseType") String courseType,
                            @Param("batchNo") String batchNo,
                            @Param("studentIds") List<Integer> studentIds,
                            @Param("courseCurrentPrice") BigDecimal courseCurrentPrice);
}