package com.ym.mec.biz.dal.dao;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.ym.mec.biz.dal.entity.MusicGroupSubjectGoodsGroup;
import com.ym.mec.common.dal.BaseDAO;

public interface MusicGroupSubjectGoodsGroupDao extends BaseDAO<Long, MusicGroupSubjectGoodsGroup> {

    /**
     * 批量保存
     * @param musicGroupSubjectGoodsGroups
     * @return
     */
    int batchInsert(@Param("lists") List<MusicGroupSubjectGoodsGroup> musicGroupSubjectGoodsGroups,@Param("musicGroupId")String musicGroupId);

    /**
     * 获取建团申请，声部设置已确认数据
     * @param musicGroupId
     * @param subId
     * @return
     */
    List<MusicGroupSubjectGoodsGroup> findGoodsGroup(@Param("musicGroupId") String musicGroupId, @Param("subId") Integer subId);


    /**
     * 根据ids获取打包商品
     *
     * @return
     */
    List<MusicGroupSubjectGoodsGroup> findGoodsGroupByIds(@Param("ids") String ids);

    /**
     * 删除声部商品打包列表
     * @param musicGroupId
     * @return
     */
    int delByMusicGroupId(String musicGroupId);
    
    MusicGroupSubjectGoodsGroup query(@Param("musicGroupId")String musicGroupId,@Param("subjectId")Integer subjectId,@Param("goodsIdList") String goodsIdList);
}