package com.ym.mec.biz.dal.dao;

import com.ym.mec.biz.dal.entity.OperatingReportCloud;
import com.ym.mec.common.dal.BaseDAO;
import org.apache.ibatis.annotations.Param;

public interface OperatingReportCloudDao extends BaseDAO<Integer, OperatingReportCloud> {

    /**
    * @description: 根据缴费项目编号查询
     * @param calenderId
    * @return com.ym.mec.biz.dal.entity.OperatingReportCloud
    * @author zx
    * @date 2022/9/7 09:45
    */
    OperatingReportCloud findByCalenderId(@Param("calenderId") Long calenderId);

    //标记经营报表已结算
    void settlementCalender(@Param("month") String month);

    //当月的经营报表标记为已结算
    void settlementCurrentCalender(@Param("month") String month);

    /**
    * @description: 获取当月结算的缴费项目
     * @param calenderId
    * @return com.ym.mec.biz.dal.entity.OperatingReportCloud
    * @author zx
    * @date 2022/9/13 15:47
    */
    OperatingReportCloud findByCurrentCalenderId(@Param("calenderId") Long calenderId);
}