package com.ym.mec.biz.dal.dao;

import com.ym.mec.biz.dal.entity.CourseSchedule.CourseScheduleType;
import com.ym.mec.biz.dal.entity.OrganizationCourseDurationSettings;
import com.ym.mec.common.dal.BaseDAO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface OrganizationCourseDurationSettingsDao extends BaseDAO<Integer, OrganizationCourseDurationSettings> {

	/**
	 * 根据分部编号以及课程类型查询对象
	 *
	 * @param organId    分部编号
	 * @param courseType 课程类型
	 * @return
	 */
	OrganizationCourseDurationSettings queryByOrganIdAndCourseType(@Param("organId") Integer organId,
																			  @Param("courseScheduleType") CourseScheduleType courseType);

	/**
	 * 获取分部所有课程类型的课程时长设置
	 * @param organId
	 * @return
	 */
	List<OrganizationCourseDurationSettings> queryByOrganId(@Param("organId") Integer organId);
}