package com.ym.mec.biz.dal.dao;

import com.ym.mec.biz.dal.entity.CourseSchedule.CourseScheduleType;
import com.ym.mec.biz.dal.entity.OrganizationCourseUnitPriceSettings;
import com.ym.mec.biz.dal.enums.CourseViewTypeEnum;
import com.ym.mec.common.dal.BaseDAO;

import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

public interface OrganizationCourseUnitPriceSettingsDao extends BaseDAO<Integer, OrganizationCourseUnitPriceSettings> {

	/**
	 * 根据分部编号以及课程类型查询对象
	 * @param organId 分部编号
	 * @param courseType 课程类型
	 * @param chargeTypeId 收费类型编号
	 * @return
	 */
	OrganizationCourseUnitPriceSettings queryByOrganIdAndCourseTypeAndChargeType(@Param("organId") Integer organId,
			@Param("courseScheduleType") CourseScheduleType courseType, @Param("courseViewType") CourseViewTypeEnum courseViewType);

	/**
	 * 批量新增
	 * @param organizationCourseUnitPriceSettingsList
	 * @return
	 */
	int batchInsert(List<OrganizationCourseUnitPriceSettings> organizationCourseUnitPriceSettingsList);

	/**
	 * 根据分部和收费类型获取课程类型，单价map
	 * @author zouxuan
	 * @param chargeTypeId
	 * @param organId
	 * @return
	 */
    List<Map<String, Integer>> queryMapByOrganIdAndChargeTypeId(@Param("courseViewType") CourseViewTypeEnum courseViewType, @Param("organId") Integer organId);

    List<OrganizationCourseUnitPriceSettings> querySingle(@Param("organId")Integer organId, @Param("courseType") String courseType, @Param("tenantId") Integer tenantId);

	List<OrganizationCourseUnitPriceSettings> queryByMusicGroupId(@Param("musicGroupId") String musicGroupId);
}