package com.ym.mec.biz.dal.dao;

import com.ym.mec.biz.dal.entity.StudentCloudCoachPaymentDetails;
import com.ym.mec.common.dal.BaseDAO;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

public interface StudentCloudCoachPaymentDetailsDao extends BaseDAO<Long, StudentCloudCoachPaymentDetails> {


    void batchInsert(@Param("cloudCoachPaymentProgramId") Long cloudCoachPaymentProgramId,
                     @Param("userIds") List<Integer> userIds,
                     @Param("tenantId") Integer tenantId);

    StudentCloudCoachPaymentDetails findByUserId(@Param("paymentId") Long paymentId, @Param("userId") Integer userId);

    /**
    * @description: 修改学员为已缴费
     * @param cloudCoachPaymentProgramId
    * @return void
    * @author zx
    * @date 2022/3/2 19:35
    */
    void updatePaymentStatus(Long cloudCoachPaymentProgramId);

    List<Integer> findUserByProgramId(Long programId);

    List<Map> queryStudentName(@Param("programIds") List<Long> programIds);
}