package com.ym.mec.biz.dal.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ym.mec.biz.dal.dto.StudentLessonExaminationDto;
import com.ym.mec.biz.dal.dto.StudentLessonExaminationDto1;
import com.ym.mec.biz.dal.entity.StudentLessonExamination;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * 学生进度评测表(StudentLessonExamination)表数据库访问层
 *
 * @author zx
 * @since 2023-04-03 18:21:30
 */
public interface StudentLessonExaminationDao extends BaseMapper<StudentLessonExamination> {

    int insertBatch(@Param("entities") List<StudentLessonExamination> entities);

    List<StudentLessonExaminationDto> queryPage(Map<String, Object> params);

    int findCount(Map<String, Object> params);

    List<StudentLessonExaminationDto1> queryStudentPage(@Param("lessonExaminationId") Long lessonExaminationId,
                                                        @Param("subjectId") Integer subjectId);

    /**
     * 查询未完成的考试
     *
     * @param userId 用户id
     */
    int queryNotSuccessExaminationList(Integer userId);

    void updateTrainingScore(@Param("lessonExaminationId") Long lessonExaminationId, @Param("userId") Integer userId);

    List<Map<Long, String>> getStudentName(@Param("examinationIds") List<Long> examinationIds);

    List<StudentLessonExamination> queryEndList(@Param("date") String date);
}

