package com.ym.mec.biz.dal.dao;

import com.ym.mec.biz.dal.dto.StudentTeacherMapperDto;
import com.ym.mec.biz.dal.entity.StudentTeacherMapper;
import com.ym.mec.common.dal.BaseDAO;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;
import java.util.Set;

public interface StudentTeacherMapperDao extends BaseDAO<Integer, StudentTeacherMapper> {


    /**
    * @description: 获取学员关联的所有老师
     * @param studentId
    * @return java.util.List<java.lang.Integer>
    * @author zx
    * @date 2022/11/15 10:33
    */
    List<Integer> queryTeacherIds(@Param("studentId") Integer studentId, @Param("teacherType") String teacherType);

    /**
    * @description: 获取老师关联的学员列表
     * @param teacherId
    * @return java.util.List<java.lang.Integer>
    * @author zx
    * @date 2022/11/15 15:02
    */
    List<Integer> queryStudentIds(@Param("teacherId") Integer teacherId, @Param("teacherType") String teacherType);

    void delAll();

    void create();

    List<StudentTeacherMapperDto> queryDtoByStudent(@Param("userIds") Set<Integer> userIds);

    List<Map<Integer, String>> queryTeacherMapper(@Param("userIds") List<Integer> userIds, @Param("teacherType") String teacherType);

    void updatePracticeTeacher();

    void updateVipTeacher();

    List<StudentTeacherMapper> findByCourseIds(@Param("courseIds") List<Long> courseIds);


    void batchInsert(@Param("list") List<StudentTeacherMapper> list);

    void delByStudent(@Param("studentIds") List<Integer> studentIds, @Param("teacherType") String teacherType);
}