package com.ym.mec.biz.dal.dao;

import com.ym.mec.biz.dal.entity.SysAccount;
import com.ym.mec.common.dal.BaseDAO;
import org.apache.ibatis.annotations.Param;

import java.math.BigDecimal;
import java.util.List;

public interface SysAccountDao extends BaseDAO<Integer, SysAccount> {

    /**
     * 获取支付账户
     *
     * @param company
     * @param channel
     * @param type
     * @param amount
     * @return
     */
    List<SysAccount> getAccount(@Param("company") String company, @Param("channel") String channel, @Param("type") String type, @Param("amount") BigDecimal amount);

    /**
     * 获取一个支付
     *
     * @param company
     * @param channel
     * @param type
     * @param amount
     * @return
     */
    SysAccount getOneAccount(@Param("company") String company, @Param("channel") String channel, @Param("type") String type, @Param("amount") BigDecimal amount);

    /**
     * 获取所有私有账户
     *
     * @param channel
     * @return
     */
    List<SysAccount> getPerAccount(@Param("channel") String channel);


    SysAccount getAdaAccount(@Param("organId") Integer organId, @Param("channel") String channel);


}