package com.ym.mec.biz.dal.dao;

import java.util.List;
import java.util.Map;

import com.ym.mec.biz.dal.dto.SysMessageVo;
import org.apache.ibatis.annotations.Param;

import com.ym.mec.biz.dal.dto.Mapper;
import com.ym.mec.biz.dal.dto.SysMessageDto;
import com.ym.mec.biz.dal.entity.SysMessage;
import com.ym.mec.biz.dal.enums.MessageSendMode;
import com.ym.mec.common.dal.BaseDAO;

public interface SysMessageDao extends BaseDAO<Long, SysMessage> {
	
	List<SysMessageDto> queryListPage(Map<String, Object> params);

	List<SysMessage> queryUserInRecentMinList(@Param("mobile") String mobile, @Param("recentMin") int recentMin, @Param("type") MessageSendMode type);

	/**
	 * 根据状态查询最近N分钟的记录
	 *
	 * @param status    状态值
	 * @param recentMin 最近分钟数
	 * @return
	 */
	List<SysMessage> queryByStatusAndTime(@Param("status") int status, @Param("recentMin") int recentMin);

	/**
	 * 批量插入
	 *
	 * @param messages
	 * @return
	 */
	int batchInsert(List<SysMessage> messages);

	/**
	 * 查询消息未读条数
	 *
	 * @param type
	 * @param userId
	 * @return
	 */
	List<Mapper> queryCountOfUnread(@Param("type") MessageSendMode type, @Param("userId") Integer userId, @Param("jpushType") String jpushType, @Param("tenantId") Integer tenantId);

	/**
	 * 修改用户所有消息阅读状态
	 */
	int updateStatus(@Param("userId") Integer userId, @Param("status") int status, @Param("jpushType") String jpushType);

	/**
	 * 修改单个消息状态
	 */
	int updateOneStatus(@Param("id") Long id, @Param("status") int status);

    int countMessageCode(Map<String, Object> params);

	List<SysMessageVo.SysMessageList> queryMessageCode(Map<String, Object> params);
}