package com.ym.mec.biz.dal.dao;


import com.dayaedu.cbs.openfeign.wrapper.music.CbsMusicSheetApiWrapper;
import com.dayaedu.cbs.openfeign.wrapper.music.CbsMusicSheetApplicationExtendWrapper;
import com.ym.mec.biz.dal.entity.SysMusicScore;
import com.ym.mec.common.dal.BaseDAO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface SysMusicScoreDao extends BaseDAO<Integer, SysMusicScore> {

    List<SysMusicScore> findByIds(@Param("musicScoreIds") String musicScoreIds);

    int countBuyCategoriesIds(@Param("categoriesIds") String delCategoriesIds);

    List<SysMusicScore> findByCbsId(@Param("cbsMusicSheetIds") List<Long> cbsMusicSheetIds, @Param("delFlag") Boolean delFlag);

    void updateBatchByCbsId(@Param("vos") List<CbsMusicSheetApplicationExtendWrapper.MusicSheetApplicationExtend> updateMusicScore);

    void batchInsert(@Param("vos") List<CbsMusicSheetApplicationExtendWrapper.MusicSheetApplicationExtend> addMusicSheet);

    void batchEnable(@Param("cbsMusicSheetIds") String cbsMusicSheetIds, @Param("status") Boolean status);

    void batchDel(@Param("cbsMusicSheetIds") String cbsMusicSheetIds);

    void updateMusicSheet(@Param("param") CbsMusicSheetApiWrapper.MusicSheetUpdate musicSheetUpdate);

    void batchInsertAccompaniment(@Param("vos") List<Integer> musicSheetIds);

    List<SysMusicScore> selectSyncPage();

    SysMusicScore getCbsId(@Param("cbsMusicSheetId") Long cbsMusicSheetId);
}