package com.ym.mec.biz.dal.dao;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.ym.mec.biz.dal.entity.TeacherDefaultMusicGroupSalary;
import com.ym.mec.common.dal.BaseDAO;

public interface TeacherDefaultMusicGroupSalaryDao extends BaseDAO<Long, TeacherDefaultMusicGroupSalary> {


    /**
     * 获取老师对应课程类型的课酬
     *
     * @param userId
     * @param classGroupType
     * @return
     */
    List<TeacherDefaultMusicGroupSalary> getTeacherSalaryByUserIdAndType(@Param("userId") int userId, @Param("classGroupType") String classGroupType);

    /**
     * 根据教师编号删除
     * @param userId
     */
    void delByTeacherId(@Param("userId")Integer userId);

    /**
     * 批量新增
     * @param salaries
     */
    void batchAdd(@Param("salaries") List<TeacherDefaultMusicGroupSalary> salaries);

    /**
     * @describe 根据教师获取对应默认课酬
     * @author Joburgess
     * @date 2019/10/24
     * @param userIds:
     * @return java.util.List<com.ym.mec.biz.dal.entity.TeacherDefaultMusicGroupSalary>
     */
    List<TeacherDefaultMusicGroupSalary> findByTeacher(@Param("userIds") List<Integer> userIds);

    TeacherDefaultMusicGroupSalary findByTeacherAndCourseType(@Param("userId") Integer userID,
                                                              @Param("courseType") String courseType);
}
