package com.ym.mec.biz.dal.dao;

import com.ym.mec.biz.dal.entity.TeacherDefaultPracticeGroupSalary;
import com.ym.mec.common.dal.BaseDAO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface TeacherDefaultPracticeGroupSalaryDao extends BaseDAO<Long, TeacherDefaultPracticeGroupSalary> {

	/**
	 * 查询指定老师的默认课酬
	 * @param userId
	 * @return
	 */
	List<TeacherDefaultPracticeGroupSalary> queryByUserId(Integer userId);

	List<TeacherDefaultPracticeGroupSalary> queryByUserIdList(@Param("userIdList") List<Integer> userIdList);

    int deleteByUserId(Integer userId);
    
    int batchInsert(List<TeacherDefaultPracticeGroupSalary> teacherDefaultPracticeGroupSalaryList);

    /**
     * @describe 根据用户和课程时长获取教师课酬
     * @author Joburgess
     * @date 2020/2/19
     * @param userId: 教师编号
     * @param minutes: 课程时长
     * @return com.ym.mec.biz.dal.entity.TeacherDefaultPracticeGroupSalary
     */
    TeacherDefaultPracticeGroupSalary findByTeacherAndCourseMinutes(@Param("userId")Integer userId,
																	@Param("minutes") Integer minutes);

	List<TeacherDefaultPracticeGroupSalary> findByTeachersAndCourseMinutes(@Param("teacherIds")List<Integer> teacherIds,
																	@Param("minutes") Integer minutes);


}
