package com.ym.mec.biz.dal.dao;

import com.ym.mec.biz.dal.entity.TeacherLeaveRecord;
import com.ym.mec.common.dal.BaseDAO;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

public interface TeacherLeaveRecordDao extends BaseDAO<Long, TeacherLeaveRecord> {

    /**
     * @describe 获取指定日期后的教师请假记录
     * @author Joburgess
     * @date 2019/10/29
     * @param teacherIds:
     * @return java.util.List<com.ym.mec.biz.dal.entity.TeacherLeaveRecord>
     */
    List<TeacherLeaveRecord> findByTeacherIds(@Param("teacherIds") List<Integer> teacherIds,
                                              @Param("date")Date date);
	
}
