package com.ym.mec.biz.dal.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ym.mec.biz.dal.entity.TenantProxyDividend;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * 代理商分润表(TenantProxyDividend)表数据库访问层
 *
 * @author hgw
 * @since 2022-04-22 14:08:19
 */
public interface TenantProxyDividendDao extends BaseMapper<TenantProxyDividend> {

    int insertBatch(@Param("entities") List<TenantProxyDividend> entities);

    /**
     * 代理商分润查询
     *
     * @param param 传入参数
     *              <p> -  proxyId 代理商id
     *              <p> -  recommenderId 推荐人id
     *              <p> -  startData 开始日期 年月日
     *              <p> -  endData 结束日期 年月日
     */
    <T> IPage<T> queryProxyDividendInfo(Page<T> page, @Param("param") Map<String, Object> param);

    /**
     * @param param 传入参数
     *              <p> -  proxyId 代理商id
     */
   int queryProxyDividendCount(@Param("param") Map<String, Object> param);

}

