package com.ym.mec.biz.dal.dto;

import com.ym.mec.biz.dal.entity.MusicGroupTrainPlan;
import com.ym.mec.biz.dal.entity.SysMusicScore;
import com.ym.mec.biz.dal.enums.StandardEnum;
import com.ym.mec.biz.dal.enums.YesOrNoEnum;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * @Author Joburgess
 * @Date 2019/9/18
 */
@Data
public class CourseHomeworkStudentDetailDto {

    @ApiModelProperty(value = "乐团名称",required = false)
    private String musicGroupName;

    @ApiModelProperty(value = "班级名称",required = false)
    private String classGroupName;

    @ApiModelProperty(value = "作业ID",required = false)
    private Long courseHomeworkId;

    private Long courseScheduleId;

    @ApiModelProperty(value = "学生作业编号",required = false)
    private Long studentCourseHomeworkId;

    @ApiModelProperty(value = "作业内容",required = false)
    private String content;

    @ApiModelProperty(value = "截至日期",required = false)
    private Date expiryDate;

    @ApiModelProperty(value = "已完成人数",required = false)
    private Integer completedNum;

    @ApiModelProperty(value = "预计完成人数",required = false)
    private Integer expectNum;

    @ApiModelProperty(value = "学生作业文件链接",required = false)
    private String attachments;

    @ApiModelProperty(value = "学生作业是否过期",required = false)
    private boolean expire;

    @ApiModelProperty(value = "学生作业评分",required = false)
    private Long score;

    @ApiModelProperty(value = "提交状态",required = false)
    private YesOrNoEnum status;

    @ApiModelProperty(value = "是否已经回复",required = false)
    private YesOrNoEnum isReplied;

    @ApiModelProperty(value = "作业评价评级",required = false)
    private StandardEnum standardFlag;

    private Integer studentId;

    private String studentName;

    private Integer teacherId;

    private String teacherName;

    @ApiModelProperty(value = "伴奏编号",required = false)
    private String musicScoreId;

    @ApiModelProperty(value = "伴奏编号(包含分谱)",required = false)
    private String musicScoreContent;

    private String musicScoreName;

    private String type;

    private Integer hasMember;

    private SysMusicScore sysMusicScore;

    private List<SysMusicScore> sysMusicScoreList;
    
    private MusicGroupTrainPlan musicGroupTrainPlan;

    private Date submitTime;

    @ApiModelProperty(value = "是否可以提交作业",required = false)
    private Boolean submitFlag = true;

    @ApiModelProperty(value = "作业创建时间",required = false)
    private Date createTime;

    @ApiModelProperty(value = "提交云教练的作业开关",required = false)
    private Integer homeworkOpenFlag;
}
