package com.ym.mec.biz.dal.dto;

import com.ym.mec.biz.dal.entity.CourseSchedule;
import com.ym.mec.biz.dal.entity.PracticeGroup;
import com.ym.mec.biz.dal.enums.SignInStatusEnum;
import com.ym.mec.biz.dal.enums.SignOutStatusEnum;
import com.ym.mec.biz.dal.enums.YesOrNoEnum;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @Author Joburgess
 * @Date 2019/12/27
 */
@Data
public class CourseScheduleEndDto extends CourseSchedule {

    private String groupName;

    private String teacherName;

    private String educationTeacherName;

    private String subjectName;

    private String organName;

    private String remark;

    private int isSignIn = 3;

    private int isSignOut = 3;

    private SignInStatusEnum signInStatusEnum;

    private SignOutStatusEnum signOutStatusEnum;

    private YesOrNoEnum isCallNames;

    private Date signInTime;

    private Date signOutTime;

    private String studentId;

    private String settlementTime;

    private PracticeGroup practiceGroup;

    private String isComplaints;

    private boolean beMerged;

    private Date generateTime;

    /** 处理时间 */
    private java.util.Date dealTime;
    /** 合作单位 */
    private String cooperationOrgan;

    @ApiModelProperty(value = "被合并的课程ids,多个,分割")
    private String mergedCourseIds;

    @ApiModelProperty(value = "助教老师姓名")
    private String teachingUserNames;

    private String courseScheduleType;

    private BigDecimal expectSalary;

    private BigDecimal expectPrice;
}
