package com.ym.mec.biz.dal.dto;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * @author 袁亮
 * @apiNote 课程分享模型
 */
@ApiModel(value = "课程分享模型")
@Data
@NoArgsConstructor
public class CourseShareDto {

    @NotNull(message = "课程不能为空")
    @ApiModelProperty(value = "课程ID")
    private Long courseId;

    @ApiModelProperty(value = "学生列表")
    private List<Integer> userIds;

    @ApiModelProperty(value = "查询条件")
    private String search;

    @ApiModelProperty(value = "声部ID")
    private String subjectId;

    @ApiModelProperty(value = "分部ID，多个逗号隔开")
    private String organIds;

    @ApiModelProperty(value = "群聊ID")
    private String groupIds;

    @ApiModelProperty(value = "学校ID")
    private String schoolIds;

    @ApiModelProperty(value = "乐团ID")
    private String teamIds;
}
