package com.ym.mec.biz.dal.dto;

import com.ym.mec.biz.dal.entity.ClassGroupTeacherMapper;
import com.ym.mec.biz.dal.entity.CourseSchedule;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;
import java.util.Calendar;
import java.util.Date;
import java.util.List;

@Data
public class CourseTimeDto {


    @ApiModelProperty(value = "课程类型", required = true)
    private CourseSchedule.CourseScheduleType courseType;

    @ApiModelProperty(value = "开始排课时间（原来按周排课参数，从外层，提到内层）")
    private Date courseCreateStartTime;

    @ApiModelProperty(value = "排课星期几")
    private Integer dayOfWeek;
//    当前排课日期
    private LocalDateTime calendar;

    @ApiModelProperty(value = "间隔天数（默认7）")
    private Integer intervalDays = 7;

    @ApiModelProperty(value = "开始排课日期，如果有值，则单独循环")
    private Date startDate;

    @ApiModelProperty(value = "结束排课日期")
    private Date endDate;

    @ApiModelProperty(value = "上课开始时间")
    private String startClassTime;

    @ApiModelProperty(value = "上课结束时间")
    private String endClassTime;

    @ApiModelProperty(value = "预计排课次数")
    private int expectCourseNum;

    @ApiModelProperty(value = "预计排课时长")
    private int expectCourseMinutes;

    @ApiModelProperty(value = "已生成课程数量")
    private int courseNum;

    @ApiModelProperty(value = "是否跳过节假日 true-跳过 false-不跳过", required = true)
    private Boolean isHoliday = false;

    @ApiModelProperty(value = "课程老师设置", required = true)
    private List<ClassGroupTeacherMapper> classGroupTeacherMapperList;

    public Boolean getHoliday() {
        return isHoliday;
    }

    public void setHoliday(Boolean holiday) {
        isHoliday = holiday;
    }
}
