package com.ym.mec.biz.dal.dto;

import com.ym.mec.auth.api.enums.CertificateTypeEnum;
import com.ym.mec.common.tenant.TenantContextHolder;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

@Data
public class DegreeRegistrationActivityDto {
    @ApiModelProperty(value = "考级编号",required = true)
    private Long degreeId;

    @ApiModelProperty(value = "学员编号",required = true)
    private Integer userId;

    @ApiModelProperty(value = "名字",required = true)
    private String name;

    @ApiModelProperty(value = "性别",required = true)
    private String gender;

    @ApiModelProperty(value = "证件类型",required = true)
    private CertificateTypeEnum certificateType;

    @ApiModelProperty(value = "身份证号",required = true)
    private String idcard;

    @ApiModelProperty(value = "城市",required = true)
    private String city;

    @ApiModelProperty(value = "学校",required = true)
    private String school;

    @ApiModelProperty(value = "声部",required = true)
    private Integer subjectId;

    @ApiModelProperty(value = "证书",required = true)
    private String theoryCert;

    @ApiModelProperty(value = "家长联系电话",required = true)
    private String mobile;

    @ApiModelProperty(value = "学员分部",required = true)
    private Integer organId;

    @ApiModelProperty(value = "用户考级报名基本信息",required = true)
    private List<DegreeRegistrationDto> degreeRegistrationDtos;

    @ApiModelProperty(value = "总金额",required = true)
    private BigDecimal price;

    @ApiModelProperty(value = "是否余额支付",required = true)
    private boolean isUseBalance;

    @ApiModelProperty(value = "是否重新支付",required = false)
    private Boolean isRepay = false;

    private Integer tenantId = TenantContextHolder.getTenantId();
}
