package com.ym.mec.biz.dal.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author zx
 */
@ApiModel(description = "导出对象")
public class ExportWrapper {


    @Data
    @ApiModel(" AddStudentLessonTrainingDetail-练习内容")
    public static class ExportMusicGroupNoCourseDto {
        @ApiModelProperty("分部")
        private String organName;

        @ApiModelProperty("乐团名称")
        private String musicGroupName;

        @ApiModelProperty("乐团编号")
        private String musicGroupId;

        @ApiModelProperty("学员编号")
        private String studentId;

        @ApiModelProperty("学员姓名")
        private String studentName;

        @ApiModelProperty("课堂课")
        private Integer classroom;

        @ApiModelProperty("综合课")
        private Integer comprehensive;

        @ApiModelProperty("基础技能课")
        private Integer high;

        @ApiModelProperty("基础技能课(线上)")
        private Integer highOnline;

        @ApiModelProperty("合奏课")
        private Integer mix;

        @ApiModelProperty("单技课")
        private Integer single;

        @ApiModelProperty("集训合奏课")
        private Integer trainingMix;

        @ApiModelProperty("集训单技课")
        private Integer trainingSingle;
    }

    @Data
    @ApiModel("平衡关系(分表)-乐团退团")
    public static class ExportBalancedRelationshipStudentQuitDetail {
        @ApiModelProperty("分部")
        private String organName;

        @ApiModelProperty("乐团编号")
        private String musicGroupId;

        @ApiModelProperty("乐团名称")
        private String musicGroupName;

        @ApiModelProperty("学员编号")
        private String studentId;

        @ApiModelProperty("学员姓名")
        private String studentName;
    }

    @Data
    @ApiModel("平衡关系(分表)-乐团新增")
    public static class ExportBalancedRelationshipStudentAddDetail {
        @ApiModelProperty("分部")
        private String organName;

        @ApiModelProperty("乐团编号")
        private String musicGroupId;

        @ApiModelProperty("乐团名称")
        private String musicGroupName;

        @ApiModelProperty("学员编号")
        private String studentId;

        @ApiModelProperty("学员姓名")
        private String studentName;
    }

    @Data
    @ApiModel("平衡关系(分表)-乐团在读学员")
    public static class ExportBalancedRelationshipStudentNormalDetail {
        @ApiModelProperty("分部")
        private String organName;

        @ApiModelProperty("乐团编号")
        private String musicGroupId;

        @ApiModelProperty("乐团名称")
        private String musicGroupName;

        @ApiModelProperty("学员编号")
        private String studentId;

        @ApiModelProperty("学员名称")
        private String studentName;

        @ApiModelProperty("合作单位名称")
        private String coopName;
    }

    @Data
    @ApiModel("平衡关系-学员情况总表")
    public static class ExportBalancedRelationshipStudentInfo {
        @ApiModelProperty("分部")
        private String organName;

        @ApiModelProperty("进行中乐团数")
        private Integer musicGroupCount;

        @ApiModelProperty("当月在读学员总数")
        private Integer currentMonthStudentCount;

        @ApiModelProperty("当月新增学员")
        private Integer currentMonthAddStudentCount;

        @ApiModelProperty("当月退团学员")
        private Integer currentMonthQuitStudentCount;
    }

    @Data
    @ApiModel("平衡关系-缴费项目课时明细")
    public static class ExportBalancedRelationshipMusicSubCourse {
        @ApiModelProperty("分部")
        private String organName;

        @ApiModelProperty("乐团编号")
        private String musicGroupId;

        @ApiModelProperty("乐团名称")
        private String musicGroupName;

        @ApiModelProperty("缴费批次号")
        private String paymentBatchNo;

        @ApiModelProperty("缴费收费金额")
        private String paymentAmount;

        @ApiModelProperty("学员编号")
        private String studentId;

        @ApiModelProperty("课堂课")
        private Integer classroom;

        @ApiModelProperty("综合课")
        private Integer comprehensive;

        @ApiModelProperty("基础技能课")
        private Integer high;

        @ApiModelProperty("线上基础技能课")
        private Integer highOnline;

        @ApiModelProperty("合奏课")
        private Integer mix;

        @ApiModelProperty("单技课")
        private Integer single;

        @ApiModelProperty("集训合奏课")
        private Integer trainingMix;

        @ApiModelProperty("集训单技课")
        private Integer trainingSingle;

    }

    @Data
    @ApiModel("平衡关系-VIP未排课")
    public static class ExportBalancedRelationshipVipNoCourse {
        @ApiModelProperty("分部")
        private String organName;

        @ApiModelProperty("学员姓名")
        private String studentName;

        @ApiModelProperty("学员编号")
        private String studentId;

        @ApiModelProperty("课程类型")
        private String courseType;

        @ApiModelProperty("未排课时")
        private Integer noCourse;

        @ApiModelProperty("当月新增课时")
        private Integer addCourse;
    }

    @Data
    @ApiModel("平衡关系-VIP已排课")
    public static class ExportBalancedRelationshipVipCourse {
        @ApiModelProperty("分部")
        private String organName;

        @ApiModelProperty("学员姓名")
        private String studentName;

        @ApiModelProperty("学员编号")
        private String studentId;

        @ApiModelProperty("课程类型")
        private String courseType;

        @ApiModelProperty("当月剩余课时")
        private Integer surplusCourse;

        @ApiModelProperty("当月已上课时")
        private Integer alreadyCourse;

        @ApiModelProperty("当月消耗课时")
        private Integer consumeCourse;

        @ApiModelProperty("当月新增课时")
        private Integer addCourse;
    }

    @Data
    @ApiModel("平衡关系-乐团课")
    public static class ExportBalancedRelationshipMusicCourse {
        @ApiModelProperty("分部")
        private String organName;

        @ApiModelProperty("乐团名称")
        private String musicGroupName;

        @ApiModelProperty("乐团编号")
        private String musicGroupId;

        @ApiModelProperty("班级名称")
        private String className;

        @ApiModelProperty("班级类型")
        private String classType;

        @ApiModelProperty("班级编号")
        private String classId;

        @ApiModelProperty("课程类型")
        private String courseType;

        @ApiModelProperty("剩余课次")
        private Integer surplusCourse;

        @ApiModelProperty("剩余课次课酬")
        private String surplusCourseReward;

        @ApiModelProperty("剩余被合并课次")
        private Integer surplusMergedCourse;

        @ApiModelProperty("剩余被合并课次课酬")
        private String surplusMergedCourseReward;

        @ApiModelProperty("已上课次")
        private Integer alreadyCourse;

        @ApiModelProperty("已上课次课酬")
        private String alreadyCourseReward;

        @ApiModelProperty("已上被合并课次")
        private Integer alreadyMergedCourse;

        @ApiModelProperty("已上被合并课次课酬")
        private String alreadyMergedCourseReward;

        @ApiModelProperty("当月新增")
        private Integer currentMonthAdd;

        @ApiModelProperty("当月新增课酬")
        private String currentMonthAddReward;

        @ApiModelProperty("当月被合并新增")
        private Integer currentMonthMergedAdd;

        @ApiModelProperty("当月被合并新增课酬")
        private String currentMonthMergedAddReward;

        @ApiModelProperty("当月消耗")
        private Integer currentMonthConsume;

        @ApiModelProperty("当月消耗课酬")
        private String currentMonthConsumeReward;

        @ApiModelProperty("当月被合并消耗")
        private Integer currentMonthMergedConsume;

        @ApiModelProperty("当月被合并消耗课酬")
        private String currentMonthMergedConsumeReward;
    }
}
