package com.ym.mec.biz.dal.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;

/**
 * Description
 *
 * @author liujunchi
 * @date 2023-03-09
 */
@Data
@ApiModel(value = "更新直播间状态")
public class LiveRoomStatus {

    @ApiModelProperty(value = "房间uid",required = true)
    @NotBlank(message = "房间号不能为空")
    private String roomUid;

    @ApiModelProperty(value = "主播状态: 0离开;1在播")
    private Integer speakerStatus;

    @ApiModelProperty(value = "推流状态: 0 暂停; 1在播")
    private Integer pushStatus;

    @ApiModelProperty(value = "禁言状态: 0 取消；1禁言")
    private Integer banStatus;

    @ApiModelProperty(value = "主播摄像头状态 1:开启 0:关闭")
    private Integer cameraStatus;

    @ApiModelProperty(value = "直播时长")
    private Integer liveTotalTime;

    @ApiModelProperty(value = "全员闭麦状态 1:开启 0:关闭")
    private Integer micStatus;

}
