package com.ym.mec.biz.dal.dto;

import com.ym.mec.biz.dal.entity.*;
import com.ym.mec.biz.dal.entity.MusicGroupPaymentCalender.PayUserType;
import com.ym.mec.biz.dal.entity.MusicGroupPaymentCalender.PaymentType;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

@Data
public class MusicGroupPaymentBaseCalender {
	@ApiModelProperty(value = "是否继续操作", required = true)
	private Boolean confirmCreate = false;

	private Long calenderId;

	@ApiModelProperty(value = "乐团编号", required = true)
	private String musicGroupId;

	private MusicGroup musicGroup;

	private Integer musicGroupOrganizationCourseSettingId;

	@ApiModelProperty(value = "学校缴费、个人缴费", required = true)
	private PayUserType payUserType;

	@ApiModelProperty(value = "缴费类型", required = false)
	private PaymentType paymentType;

	@ApiModelProperty(value = "缴费开始时间", required = true)
	private Date startPaymentDate;

	@ApiModelProperty(value = "缴费截止时间", required = true)
	private Date deadlinePaymentDate;

	@ApiModelProperty(value = "备注", required = true)
	private String memo;

	@ApiModelProperty(value = "批次号", required = false)
	private String batchNo;

	@ApiModelProperty(value = "商品采购相关信息", required = false)
	private List<MusicGroupPaymentCalenderGoods> calenderGoodsList;

	@ApiModelProperty(value = "收货地址相关信息", required = false)
	private MusicGroupPaymentCalenderAddress calenderAddress;

	@ApiModelProperty(value = "会员相关缴费信息", required = false)
	private MusicGroupPaymentCalenderMember calenderMember;

	@ApiModelProperty(value = "乐保信息", required = false)
	private MusicGroupPaymentCalenderRepair musicRepair;

	@ApiModelProperty(value = "乐团活动相关信息（vip、网管课）", required = false)
	private List<MusicGroupPaymentCalenderActivity> calenderActivityList;

	@ApiModelProperty(value = "乐团课程信息", required = false)
	private List<MusicGroupPaymentCalenderCourseSettings> musicGroupPaymentCalenderCourseSettingsList;

	@ApiModelProperty(value = "进行中加学员拓展信息", required = false)
	private CalenderAddStudent calenderAddStudent;
	
	@ApiModelProperty(value = "缴费项目显示状态", required = false)
	private String paymentItemShowState;
	
	@ApiModelProperty(value = "是否显示销售价", required = false)
	private Boolean isShowSalePrice;

	@ApiModelProperty(value = "学校缴费计价json", required = false)
	private String calenderFeeJson;

	@ApiModelProperty(value = "学校缴费计价标准，STUDENT、TEACHER", required = false)
	private String calenderFeeType;

	@ApiModelProperty(value = "学校缴费回款周期", required = false)
	private List<MusicGroupCalenderRefundPeriod> musicGroupCalenderRefundPeriods;

	@ApiModelProperty(value = "学校缴费折扣价", required = false)
	private BigDecimal currentTotalAmount;

	@ApiModelProperty(value = "合同url", required = false)
	private String contractUrl;

	@ApiModelProperty(value = "缴费项目名称", required = false)
	private String name;

}
