package com.ym.mec.biz.dal.dto;

import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.Date;

import com.ym.mec.biz.dal.entity.SubjectChange;
import com.ym.mec.biz.dal.enums.KitGroupPurchaseTypeEnum;
import com.ym.mec.biz.dal.enums.PaymentStatusEnum;
import com.ym.mec.biz.dal.enums.StudentMusicGroupStatusEnum;
import com.ym.mec.biz.dal.enums.YesOrNoEnum;
import com.ym.mec.common.enums.UserGenderEnum;

public class StudentApplyDetailDto{

    @ApiModelProperty(value = "学生报名编号",required = false)
    private Long id;

    @ApiModelProperty(value = "学生姓名",required = false)
    private String studentName;

    @ApiModelProperty(value = "学生编号",required = false)
    private Integer studentId;

    @ApiModelProperty(value = "家长姓名",required = false)
    private String parentsName;

    /** 当前所在年级 */
    @ApiModelProperty(value = "年级年份",required = false)
    private Date currentGradeDate;

    /** 当前所在年级 */
    @ApiModelProperty(value = "当前所在年级",required = false)
    private String currentGrade;

    /** 当前所在班级 */
    @ApiModelProperty(value = "当前所在班级",required = false)
    private String currentClass;

    @ApiModelProperty(value = "性别",required = false)
    private UserGenderEnum gender;

    /** 是否允许调剂 */
    @ApiModelProperty(value = "是否允许调剂",required = false)
    private YesOrNoEnum isAllowAdjust;

    @ApiModelProperty(value = "报名专业名称",required = false)
    private String subjectName;

    @ApiModelProperty(value = "报名专业名称",required = false)
    private Integer actualSubjectId;

    @ApiModelProperty(value = "实际专业名称",required = false)
    private String actualSubjectName;

    @ApiModelProperty(value = "家长电话",required = false)
    private String parentsPhone;

    @ApiModelProperty(value = "学员缴费状态",required = false)
    private PaymentStatusEnum paymentStatus;
    
    @ApiModelProperty(value = "学员在团状态",required = false)
    private StudentMusicGroupStatusEnum studentStatus;

    @ApiModelProperty(value = "乐器团购类型",required = false)
    private KitGroupPurchaseTypeEnum kitGroupPurchaseTypeEnum;

    @ApiModelProperty(value = "备注",required = false)
    private String remark;

    @ApiModelProperty(value = "注册时间",required = false)
    private Date createTime;

    @ApiModelProperty(value = "声部更换详情",required = false)
    private SubjectChange subjectChange;

    @ApiModelProperty(value = "回访次数",required = false)
    private Integer visitNum;

    @ApiModelProperty(value = "是否有乐保",required = false)
    private Boolean hasMaintenance = false;

    @ApiModelProperty(value = "云教练金额",required = false)
    private BigDecimal cloudTeacherAmount = BigDecimal.ZERO;

    @ApiModelProperty(value = "缴费中状态 0-正常 1-缴费中 2-审核中",required = false)
    private Integer payingStatus;

    @ApiModelProperty(value = "是否购买云教练",required = false)
    private Integer hasCloudTeacher;

    private String payingStatusStr;

    @ApiModelProperty(value = "不需要要购买云教练",required = false)
    private Integer noneNeedCloudTeacher;

    public KitGroupPurchaseTypeEnum getKitGroupPurchaseTypeEnum() {
        return kitGroupPurchaseTypeEnum;
    }

    public void setKitGroupPurchaseTypeEnum(KitGroupPurchaseTypeEnum kitGroupPurchaseTypeEnum) {
        this.kitGroupPurchaseTypeEnum = kitGroupPurchaseTypeEnum;
    }

    public Integer getActualSubjectId() {
        return actualSubjectId;
    }

    public void setActualSubjectId(Integer actualSubjectId) {
        this.actualSubjectId = actualSubjectId;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public Integer getStudentId() {
        return studentId;
    }

    public void setStudentId(Integer studentId) {
        this.studentId = studentId;
    }

    public String getActualSubjectName() {
        return actualSubjectName;
    }

    public void setActualSubjectName(String actualSubjectName) {
        this.actualSubjectName = actualSubjectName;
    }

    public String getStudentName() {
        return studentName;
    }

    public void setStudentName(String studentName) {
        this.studentName = studentName;
    }

    public String getParentsName() {
        return parentsName;
    }

    public void setParentsName(String parentsName) {
        this.parentsName = parentsName;
    }

    public String getCurrentGrade() {
        return currentGrade;
    }

    public void setCurrentGrade(String currentGrade) {
        this.currentGrade = currentGrade;
    }

    public String getCurrentClass() {
        return currentClass;
    }

    public void setCurrentClass(String currentClass) {
        this.currentClass = currentClass;
    }

    public String getSubjectName() {
        return subjectName;
    }

    public void setSubjectName(String subjectName) {
        this.subjectName = subjectName;
    }

    public String getParentsPhone() {
        return parentsPhone;
    }

    public void setParentsPhone(String parentsPhone) {
        this.parentsPhone = parentsPhone;
    }

    public UserGenderEnum getGender() {
        return gender;
    }

    public void setGender(UserGenderEnum gender) {
        this.gender = gender;
    }

    public YesOrNoEnum getIsAllowAdjust() {
        return isAllowAdjust;
    }

    public void setIsAllowAdjust(YesOrNoEnum isAllowAdjust) {
        this.isAllowAdjust = isAllowAdjust;
    }

    public PaymentStatusEnum getPaymentStatus() {
        return paymentStatus;
    }

    public void setPaymentStatus(PaymentStatusEnum paymentStatus) {
        this.paymentStatus = paymentStatus;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public SubjectChange getSubjectChange() {
        return subjectChange;
    }

    public void setSubjectChange(SubjectChange subjectChange) {
        this.subjectChange = subjectChange;
    }

    public Date getCurrentGradeDate() {
        return currentGradeDate;
    }

    public void setCurrentGradeDate(Date currentGradeDate) {
        this.currentGradeDate = currentGradeDate;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Integer getVisitNum() {
        return visitNum;
    }

    public void setVisitNum(Integer visitNum) {
        this.visitNum = visitNum;
    }

    public Boolean getHasMaintenance() {
        return hasMaintenance;
    }

    public void setHasMaintenance(Boolean hasMaintenance) {
        this.hasMaintenance = hasMaintenance;
    }

    public BigDecimal getCloudTeacherAmount() {
        return cloudTeacherAmount;
    }

    public void setCloudTeacherAmount(BigDecimal cloudTeacherAmount) {
        this.cloudTeacherAmount = cloudTeacherAmount;
    }

    public Integer getHasCloudTeacher() {
        return hasCloudTeacher;
    }

    public void setHasCloudTeacher(Integer hasCloudTeacher) {
        this.hasCloudTeacher = hasCloudTeacher;
    }

    public Integer getPayingStatus() {
        return payingStatus;
    }

    public void setPayingStatus(Integer payingStatus) {
        this.payingStatus = payingStatus;
    }

    public String getPayingStatusStr() {
        return payingStatusStr;
    }

    public void setPayingStatusStr(String payingStatusStr) {
        this.payingStatusStr = payingStatusStr;
    }

    public Integer getNoneNeedCloudTeacher() {
        return noneNeedCloudTeacher;
    }

    public void setNoneNeedCloudTeacher(Integer noneNeedCloudTeacher) {
        this.noneNeedCloudTeacher = noneNeedCloudTeacher;
    }

	public StudentMusicGroupStatusEnum getStudentStatus() {
		return studentStatus;
	}

	public void setStudentStatus(StudentMusicGroupStatusEnum studentStatus) {
		this.studentStatus = studentStatus;
	}
}
