package com.ym.mec.biz.dal.dto;

import com.ym.mec.biz.dal.enums.ELessonTrainingType;
import com.ym.mec.biz.dal.enums.StandardEnum;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

/**
 * @Author Joburgess
 * @Date 2020/3/20
 */
public class StudentHomeworkRecordDto {

    @ApiModelProperty(value = "学生作业ID")
    private Integer studentCourseHomeworkId;

    @ApiModelProperty(value = "课程ID")
    private Long courseScheduleId;

    @ApiModelProperty(value = "课程名称")
    private String courseName;

    @ApiModelProperty(value = "上课开始时间")
    private Date startClassTime;

    @ApiModelProperty(value = "老师ID")
    private Integer teacherId;

    @ApiModelProperty(value = "老师名称")
    private String teacherName;

    @ApiModelProperty(value = "老师头像")
    private String headUrl;

    @ApiModelProperty(value = "作业状态")
    private int status;

    @ApiModelProperty(value = "作业过期时间")
    private Date expiryDate;


    @ApiModelProperty(value = "结束时间")
    private Date endClassTime;


    @ApiModelProperty(value = "乐团id")
    private String musicGroupId;

    @ApiModelProperty(value = "乐团名称")
    private String musicGroupName;

    @ApiModelProperty(value = "乐团图片")
    private String musicGroupImg;

    private StandardEnum standardFlag;

    @ApiModelProperty("班级id")
    private Integer classGroupId;

    @ApiModelProperty("班级名称")
    private String classGroupName;

    @ApiModelProperty("教学形式（线上、线下）")
    private String teachMode;

    @ApiModelProperty(value = "作业类型 来源（HOMEWORK,EXTRACURRICULAR,EXTRA）",required = true)
    private ELessonTrainingType type;

    @ApiModelProperty("完成状态 false 未完成 true 已完成")
    private Boolean finishStatus;

    @ApiModelProperty("提交时间")
    private Date submitTime;

    public Date getSubmitTime() {
        return submitTime;
    }

    public void setSubmitTime(Date submitTime) {
        this.submitTime = submitTime;
    }

    public StandardEnum getStandardFlag() {
        return standardFlag;
    }

    public void setStandardFlag(StandardEnum standardFlag) {
        this.standardFlag = standardFlag;
    }

    public ELessonTrainingType getType() {
        return type;
    }

    public void setType(ELessonTrainingType type) {
        this.type = type;
    }

    public Boolean getFinishStatus() {
        return finishStatus;
    }

    public void setFinishStatus(Boolean finishStatus) {
        this.finishStatus = finishStatus;
    }

    public Date getEndClassTime() {
        return endClassTime;
    }

    public void setEndClassTime(Date endClassTime) {
        this.endClassTime = endClassTime;
    }

    public String getMusicGroupId() {
        return musicGroupId;
    }

    public void setMusicGroupId(String musicGroupId) {
        this.musicGroupId = musicGroupId;
    }

    public String getMusicGroupName() {
        return musicGroupName;
    }

    public void setMusicGroupName(String musicGroupName) {
        this.musicGroupName = musicGroupName;
    }

    public String getMusicGroupImg() {
        return musicGroupImg;
    }

    public void setMusicGroupImg(String musicGroupImg) {
        this.musicGroupImg = musicGroupImg;
    }

    public Integer getClassGroupId() {
        return classGroupId;
    }

    public void setClassGroupId(Integer classGroupId) {
        this.classGroupId = classGroupId;
    }

    public String getClassGroupName() {
        return classGroupName;
    }

    public void setClassGroupName(String classGroupName) {
        this.classGroupName = classGroupName;
    }

    public String getTeachMode() {
        return teachMode;
    }

    public void setTeachMode(String teachMode) {
        this.teachMode = teachMode;
    }

    public String getHeadUrl() {
        return headUrl;
    }

    public void setHeadUrl(String headUrl) {
        this.headUrl = headUrl;
    }

    public Date getExpiryDate() {
        return expiryDate;
    }

    public void setExpiryDate(Date expiryDate) {
        this.expiryDate = expiryDate;
    }

    public Integer getStudentCourseHomeworkId() {
        return studentCourseHomeworkId;
    }

    public void setStudentCourseHomeworkId(Integer studentCourseHomeworkId) {
        this.studentCourseHomeworkId = studentCourseHomeworkId;
    }

    public Long getCourseScheduleId() {
        return courseScheduleId;
    }

    public void setCourseScheduleId(Long courseScheduleId) {
        this.courseScheduleId = courseScheduleId;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public Date getStartClassTime() {
        return startClassTime;
    }

    public void setStartClassTime(Date startClassTime) {
        this.startClassTime = startClassTime;
    }

    public Integer getTeacherId() {
        return teacherId;
    }

    public void setTeacherId(Integer teacherId) {
        this.teacherId = teacherId;
    }

    public String getTeacherName() {
        return teacherName;
    }

    public void setTeacherName(String teacherName) {
        this.teacherName = teacherName;
    }

    public int getStatus() {
        return status;
    }

    public void setStatus(int status) {
        this.status = status;
    }
}
