package com.ym.mec.biz.dal.dto;

import com.ym.mec.biz.dal.enums.VipGroupActivityTypeEnum;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @Author Joburgess
 * @Date 2019/9/23
 */
@Data
public class StudentVipGroupShowListDto {

    @ApiModelProperty(value = "vip课ID",required = false)
    private Long vipGroupId;

    @ApiModelProperty(value = "vip课名称",required = false)
    private String vipGroupName;

    @ApiModelProperty(value = "单节课时", required = false)
    private Integer singleClassMinutes;

    @ApiModelProperty(value = "缴费截止时间", required = false)
    private java.util.Date paymentExpireDate;

    @ApiModelProperty(value = "线上课课时数", required = false)
    private Integer onlineClassesNum;

    @ApiModelProperty(value = "线下课课时数", required = false)
    private Integer offlineClassesNum;

    @ApiModelProperty(value = "原价",required = false)
    private BigDecimal originalTotalPrice;

    @ApiModelProperty(value = "学生购买价格",required = false)
    private BigDecimal totalPrice;

    @ApiModelProperty(value = "预计招生人数",hidden = true)
    private Integer expectStudentNum;

    @ApiModelProperty(value = "学生数量", required = false)
    private Integer studentNum;

    @ApiModelProperty(value = "教师编号")
    private Integer teacherId;

    @ApiModelProperty(value = "教师名称",required = false)
    private String teacherName;

    @ApiModelProperty(value = "教师简介",required = false)
    private String introduction;

    @ApiModelProperty(value = "教师头像",required = false)
    private String avatar;

    /** 活动类型（基础活动、折扣、赠送课时） */
    private VipGroupActivityTypeEnum type;

    private String attribute1;

    private String categoryName;

    @ApiModelProperty(value = "开课时间")
    private Date courseStartDate;

    private Date createTime;

    private String groupType;
}
