package com.ym.mec.biz.dal.dto;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.microsvc.toolkit.common.response.paging.QueryInfo;
import com.ym.mec.biz.dal.enums.ClientEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@ApiModel(value = "SysMessageVo对象", description = "系统消息表查询视图对象")
public class SysMessageVo {

    @Data
    @ApiModel(" SysMessageList-系统消息表")
    public static class SysMessageQuery implements QueryInfo {

        @ApiModelProperty(value = "接收人编号")
        private String receiver;

        @ApiModelProperty(value = "验证码类型，验证码登录：SMS_VERIFY_CODE_LOGIN，密码修改：SMS_VERIFY_CODE_UPDATE_PSW")
        private TitleEnum titleEnum = TitleEnum.SMS_VERIFY_CODE_LOGIN;

        private String title = "验证码登录";

        @ApiModelProperty(value = "发送时间-年月日")
        private String sendTime;

        public void setTitleEnum(String titleEnum) {
            this.titleEnum = TitleEnum.valueOf(titleEnum);
            this.title = this.titleEnum.getMsg();
        }
    }

    @Data
    @ApiModel(" SysMessageList-系统消息表")
    public static class SysMessageList {
		@ApiModelProperty("标题")
        private String title;

        @ApiModelProperty("验证码")
        private String verityCode;

		@ApiModelProperty("接收人(多个人用逗号分隔)")
        private String receiver;

		@ApiModelProperty("发送时间")
        private Date sendTime;

        private String content;

    }

    public enum TitleEnum {
        SMS_VERIFY_CODE_LOGIN("验证码登录"),

        ;
        @EnumValue
        private String code;
        private String msg;

        TitleEnum(String msg) {
            this.code = this.name();
            this.msg = msg;
        }

        public String getCode() {
            return code;
        }

        public String getMsg() {
            return msg;
        }
    }
}
