package com.ym.mec.biz.dal.dto;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.Date;

public class TempLittleArtistTrainingCampDto implements Serializable {

    @TableId(value = "id_", type = IdType.AUTO)
    @ApiModelProperty(value = "主键")
    private Integer id;

    @ApiModelProperty(value = "活动名称")
    private String name;

    @NotNull(message = "报名开始日期不能为空")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @ApiModelProperty(value = "申请报名登记开始日期")
    private Date applyStartDate;

    @NotNull(message = "报名结束日期不能为空")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @ApiModelProperty(value = "申请报名登记结束日期")
    private Date applyEndDate;

    @NotNull(message = "训练开始日期不能为空")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @ApiModelProperty(value = "训练开始日期")
    private Date trainStartDate;

    @NotNull(message = "训练结束日期不能为空")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @ApiModelProperty(value = "训练结束日期")
    private Date trainEndDate;

    @ApiModelProperty(value = "适用分部")
    private String organIds;

    @ApiModelProperty(value = "适用学校")
    private String musicGroupIds;

    @NotNull(message = "打卡标准不能为空")
    @ApiModelProperty(value = "打卡标准")
    private Integer signStandard;

    @NotNull(message = "达标天数不能为空")
    @ApiModelProperty(value = "达标天数")
    private Integer standardDays;

    @ApiModelProperty(value = "是否启用")
    private Boolean enableFlag;

    @ApiModelProperty(value = "图片")
    private String picUrl;

    public Boolean getEnableFlag() {
        return enableFlag;
    }

    public void setEnableFlag(Boolean enableFlag) {
        this.enableFlag = enableFlag;
    }

    public String getOrganIds() {
        return organIds;
    }

    public void setOrganIds(String organIds) {
        this.organIds = organIds;
    }

    public String getMusicGroupIds() {
        return musicGroupIds;
    }

    public void setMusicGroupIds(String musicGroupIds) {
        this.musicGroupIds = musicGroupIds;
    }

    public Integer getSignStandard() {
        return signStandard;
    }

    public void setSignStandard(Integer signStandard) {
        this.signStandard = signStandard;
    }

    public Integer getStandardDays() {
        return standardDays;
    }

    public void setStandardDays(Integer standardDays) {
        this.standardDays = standardDays;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Date getApplyStartDate() {
        return applyStartDate;
    }

    public void setApplyStartDate(Date applyStartDate) {
        this.applyStartDate = applyStartDate;
    }

    public Date getApplyEndDate() {
        return applyEndDate;
    }

    public void setApplyEndDate(Date applyEndDate) {
        this.applyEndDate = applyEndDate;
    }

    public Date getTrainStartDate() {
        return trainStartDate;
    }

    public void setTrainStartDate(Date trainStartDate) {
        this.trainStartDate = trainStartDate;
    }

    public Date getTrainEndDate() {
        return trainEndDate;
    }

    public void setTrainEndDate(Date trainEndDate) {
        this.trainEndDate = trainEndDate;
    }

    public String getPicUrl() {
        return picUrl;
    }

    public void setPicUrl(String picUrl) {
        this.picUrl = picUrl;
    }
}
