package com.ym.mec.biz.dal.dto;

import com.ym.mec.biz.dal.entity.VipGroup;
import com.ym.mec.biz.dal.entity.VipGroupStudentCoursePrice;
import com.ym.mec.biz.dal.enums.ActivityCourseType;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

/**
 * @Author Joburgess
 * @Date 2019/9/21
 */
@Data
public class VipGroupApplyBaseInfoDto extends VipGroup {

    @ApiModelProperty(value = "科目编号列表")
    private String subjectIdList;

    @ApiModelProperty(value = "课时总数")
    private Integer allCourseNum;

    @ApiModelProperty(value = "教师ID",required = false)
    private Long teacherId;

    @ApiModelProperty(value = "课酬",required = false)
    private BigDecimal salary;

    @ApiModelProperty(value = "预计招生人数",hidden = true)
    private Integer expectStudentNum;

    @ApiModelProperty(value = "教师线下课课酬")
    private BigDecimal offlineTeacherSalary;

    @ApiModelProperty(value = "课程组学员缴费设置")
    private List<VipGroupStudentCoursePrice> vipGroupStudentCoursePrices;

    @ApiModelProperty(value = "第一个选择的学员")
    private Integer firstStudentId;

    @ApiModelProperty(value = "活动课程类型")
    private ActivityCourseType activityCourseType;
}
