package com.ym.mec.biz.dal.entity;

import com.ym.mec.biz.dal.enums.PeriodEnum;
import com.ym.mec.common.tenant.TenantContextHolder;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.Date;

import com.ym.mec.common.entity.BaseEntity;
import lombok.Data;

@ApiModel(value = "com-domain-CloudTeacherOrder")
@Data
public class CloudTeacherOrder {
    @ApiModelProperty(value = "")
    private Long id;

    @ApiModelProperty(value = "分部id")
    private Integer organId;

    @ApiModelProperty(value = "学生id")
    private Integer studentId;

    @ApiModelProperty(value = "时长类型 1-天 2-月 3-年")
    private PeriodEnum type;

    @ApiModelProperty(value = "会员等级")
    private Integer level;

    @ApiModelProperty(value = "购买时长")
    private Integer time;

    @ApiModelProperty(value = "购买价格")
    private BigDecimal amount;

    @ApiModelProperty(value = "经营报表结算价")
    private BigDecimal operatingAmount = BigDecimal.ZERO;

    @ApiModelProperty(value = "退回金额")
    private BigDecimal refundAmount = BigDecimal.ZERO;

    @ApiModelProperty(value = "1-生效中 2-已生效 3-已退")
    private Integer status;

    @ApiModelProperty(value = "服务开始时间")
    private Date startTime;

    @ApiModelProperty(value = "服务结束时间")
    private Date endTime;

    @ApiModelProperty(value = "订单id")
    private Long orderId;

    @ApiModelProperty(value = "订单id")
    private Long platformOrderId;

    @ApiModelProperty(value = "备注")
    private String remark = "";

    @ApiModelProperty(value = "活动备注")
    private Integer activeRemark;

    @ApiModelProperty(value = "版本")
    private Integer version = 0;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "更新时间")
    private Date updateTime;

    @ApiModelProperty(value = "乐团编号")
    private String musicGroupId;

    @ApiModelProperty(value = "操作人")
    private Long operator;

    @ApiModelProperty(value = "操作时间")
    private Date operateTime;

    @ApiModelProperty(value = "取消原因")
    private String cancelReason;

    private StudentPaymentOrder studentPaymentOrder = new StudentPaymentOrder();

    private Integer tenantId = TenantContextHolder.getTenantId();
}