package com.ym.mec.biz.dal.entity;

import com.ym.mec.biz.dal.dto.LessonExaminationSaveDto;
import com.ym.mec.biz.dal.dto.MusicScoreSubjectDto;

import com.ym.mec.biz.dal.dto.StudentLessonTrainingDetailWrapper;
import io.swagger.annotations.ApiModelProperty;

import org.apache.commons.lang3.builder.ToStringBuilder;

import com.ym.mec.biz.dal.enums.GroupType;
import com.ym.mec.common.entity.BaseEntity;

import java.util.Date;
import java.util.List;

/**
 * 对应数据库表(course_homework):
 */
public class CourseHomework extends BaseEntity {

	/**  */
	private Long id;
	
	private GroupType groupType;
	
	/**  */
	private Long courseScheduleId;
	
	/** 图片地址（多个用逗号分隔） */
	private String attachments;
	
	/** 作业内容 */
	private String content;

    private Boolean pushFlag;

	/** 作业内容 */
	private String title;
	
	/**  */
	private java.util.Date createTime;
	
	/**  */
	private java.util.Date updateTime;

	@ApiModelProperty(value = "截至日期",required = false)
	private Date expiryDate;
	
	/**  */
	private String musicGroupId;

    private String versionTag;
	
	private MusicGroup musicGroup = new MusicGroup();
	
	/**  */
	private Integer classGroupId;
	
	private ClassGroup classGroup = new ClassGroup();

	@ApiModelProperty(value = "作业完成人数",required = false)
	private Integer completedNum;

	@ApiModelProperty(value = "预计完成人数",required = false)
	private Integer expectNum;

	@ApiModelProperty(value = "伴奏编号",required = false)
	private String musicScoreId;

	private List<MusicScoreSubjectDto> musicScoreSubjectDto;

    @ApiModelProperty("新版作业 time:2023-03-31")
    private List<StudentLessonTrainingDetailWrapper.AddStudentLessonTrainingDetail> studentLessonTrainingDetails;

	@ApiModelProperty(value = "课后评测信息")
	private LessonExaminationSaveDto lessonExaminationSaveDto;

	public LessonExaminationSaveDto getLessonExaminationSaveDto() {
		return lessonExaminationSaveDto;
	}

    public Boolean getPushFlag() {
        return pushFlag;
    }

    public void setPushFlag(Boolean pushFlag) {
        this.pushFlag = pushFlag;
    }

    public void setLessonExaminationSaveDto(LessonExaminationSaveDto lessonExaminationSaveDto) {
		this.lessonExaminationSaveDto = lessonExaminationSaveDto;
	}

	public List<StudentLessonTrainingDetailWrapper.AddStudentLessonTrainingDetail> getStudentLessonTrainingDetails() {
        return studentLessonTrainingDetails;
    }

    public void setStudentLessonTrainingDetails(List<StudentLessonTrainingDetailWrapper.AddStudentLessonTrainingDetail> studentLessonTrainingDetails) {
        this.studentLessonTrainingDetails = studentLessonTrainingDetails;
    }

    public String getVersionTag() {
        return versionTag;
    }

    public void setVersionTag(String versionTag) {
        this.versionTag = versionTag;
    }

    public String getTitle() {
		return title;
	}

	public void setTitle(String title) {
		this.title = title;
	}

	public List<MusicScoreSubjectDto> getMusicScoreSubjectDto() {
		return musicScoreSubjectDto;
	}

	public void setMusicScoreSubjectDto(List<MusicScoreSubjectDto> musicScoreSubjectDto) {
		this.musicScoreSubjectDto = musicScoreSubjectDto;
	}

	public String getMusicScoreId() {
		return musicScoreId;
	}

	public void setMusicScoreId(String musicScoreId) {
		this.musicScoreId = musicScoreId;
	}

	public Date getExpiryDate() {
		return expiryDate;
	}

	public void setExpiryDate(Date expiryDate) {
		this.expiryDate = expiryDate;
	}

	public Integer getCompletedNum() {
		return completedNum;
	}

	public void setCompletedNum(Integer completedNum) {
		this.completedNum = completedNum;
	}

	public Integer getExpectNum() {
		return expectNum;
	}

	public void setExpectNum(Integer expectNum) {
		this.expectNum = expectNum;
	}

	public void setId(Long id){
		this.id = id;
	}
	
	public Long getId(){
		return this.id;
	}
			
	public GroupType getGroupType() {
		return groupType;
	}

	public void setGroupType(GroupType groupType) {
		this.groupType = groupType;
	}

	public void setCourseScheduleId(Long courseScheduleId){
		this.courseScheduleId = courseScheduleId;
	}
	
	public Long getCourseScheduleId(){
		return this.courseScheduleId;
	}

	public String getAttachments() {
		return attachments;
	}

	public void setAttachments(String attachments) {
		this.attachments = attachments;
	}

	public void setContent(String content){
		this.content = content;
	}
	
	public String getContent(){
		return this.content;
	}
			
	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	public void setUpdateTime(java.util.Date updateTime){
		this.updateTime = updateTime;
	}
	
	public java.util.Date getUpdateTime(){
		return this.updateTime;
	}
			
	public void setMusicGroupId(String musicGroupId){
		this.musicGroupId = musicGroupId;
	}
	
	public String getMusicGroupId(){
		return this.musicGroupId;
	}
			
	public void setClassGroupId(Integer classGroupId){
		this.classGroupId = classGroupId;
	}
	
	public Integer getClassGroupId(){
		return this.classGroupId;
	}
			
	public MusicGroup getMusicGroup() {
		return musicGroup;
	}

	public void setMusicGroup(MusicGroup musicGroup) {
		this.musicGroup = musicGroup;
	}

	public ClassGroup getClassGroup() {
		return classGroup;
	}

	public void setClassGroup(ClassGroup classGroup) {
		this.classGroup = classGroup;
	}

	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
