package com.ym.mec.biz.dal.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.ym.mec.biz.dal.enums.EEvaluateStatus;
import lombok.Data;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;


/**
 * 巡堂详情
 * 2023-05-04 11:32:00
 */
@Data
@ApiModel(" CoursePatrolEvaluation-巡堂详情")
@TableName("course_patrol_evaluation")
public class CoursePatrolEvaluation implements Serializable {

    @TableId(value = "id_", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty("合作单位ID")
	@TableField(value = "cooperation_organ_id_")
    private Integer cooperationOrganId;

    @ApiModelProperty("课程ID") 
	@TableField(value = "course_schedule_id_")
    private Integer courseScheduleId;

    @ApiModelProperty("操作用户ID")
	@TableField(value = "user_id_")
    private Integer userId;

    @ApiModelProperty("优秀EXCELLENT、良好GOOD、合格QUALIFIED、不合格UNQUALIFIED")
    @TableField(value = "evaluate_status_")
    private EEvaluateStatus evaluateStatus;

    @ApiModelProperty("问题类型 课堂纪律 CLASSROOM_DISCIPLINE, 放学组织 AFTER_SCHOOL_ORGANIZATION, 环境卫生 ENVIRONMENTAL_SANITATION, 教态仪表 TEACHING_DEMEANOR, 沟通表达 COMMUNICATION_EXPRESSION, 专业能力 PROFESSIONAL_ABILITY, 其他 OTHER")
    @TableField(value = "problem_type_")
    private String problemType;

    @ApiModelProperty("问题描述") 
	@TableField(value = "problem_desc_")
    private String problemDesc;


    @ApiModelProperty("处理状态")
    @TableField(value = "handle_status_")
    private Boolean handleStatus;

    @ApiModelProperty("建议") 
	@TableField(value = "suggestion_")
    private String suggestion;

    @ApiModelProperty("附件") 
	@TableField(value = "attachment_url_")
    private String attachmentUrl;

	@TableField(value = "create_time_")
    private Date createTime;

	@TableField(value = "update_time_")
    private Date updateTime;

}