package com.ym.mec.biz.dal.entity;

import com.ym.mec.biz.dal.enums.GroupType;
import com.ym.mec.biz.dal.enums.JoinCourseType;
import com.ym.mec.common.entity.BaseEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;

import java.math.BigDecimal;

/**
 * 对应数据库表(course_schedule_student_payment):
 */
@Data
public class CourseScheduleStudentPayment extends BaseEntity implements Comparable<CourseScheduleStudentPayment> {

	/**  */
	private Long id;
	
	private GroupType groupType;
	
	/**  */
	@ApiModelProperty(value = "乐团编号",required = false)
	private String musicGroupId;
	
	/**  */
	private Long courseScheduleId;
	
	private CourseSchedule courseSchedule;
	
	/**  */
	private Integer userId;

	//关联的是否是赠送的课程
	private Boolean giveFlag = false;

	private BigDecimal originalPrice = BigDecimal.ZERO;
	
	/** 预计价格 */
	private java.math.BigDecimal expectPrice = BigDecimal.ZERO;
	
	/**  */
	private java.math.BigDecimal actualPrice = BigDecimal.ZERO;

	/** 经营报表预计价格 */
	private java.math.BigDecimal expectPriceBak = BigDecimal.ZERO;

	/** 经营报表实际价格 */
	private java.math.BigDecimal actualPriceBak = BigDecimal.ZERO;
	
	/**  */
	private java.util.Date createTime;
	
	/**  */
	private java.util.Date updateTime;
	
	/** 结算时间 */
	private java.util.Date settlementTime;
	
	private Integer classGroupId;

	private String batchNo;

	private String openPlayMidi;

	private String examSongDownloadJson;

	private Boolean beMerged;

	@ApiModelProperty(value = "如果是活动排课，那么这里关联的是学员排课资格编号",required = false)
	private Integer activityUserMapperId;

	@ApiModelProperty(value = "关联的云教练缴费项目编号",required = false)
	private Long calenderId;

	@ApiModelProperty(value = "加入课程类型 PURCHASE:购买 SHARE：分享")
	private JoinCourseType joinCourseType;

	public CourseScheduleStudentPayment() {
	}

	public CourseScheduleStudentPayment(Long courseScheduleId, Integer userId, BigDecimal expectPrice, Integer classGroupId) {
		this.courseScheduleId = courseScheduleId;
		this.userId = userId;
		this.expectPrice = expectPrice;
		this.classGroupId = classGroupId;
	}

	public CourseScheduleStudentPayment(Long id, Long courseScheduleId) {
		this.id = id;
		this.courseScheduleId = courseScheduleId;
	}

	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

	@Override
	public int compareTo(CourseScheduleStudentPayment cssp) {
		if(courseSchedule != null){
			int r = courseSchedule.getClassDate().compareTo(cssp.getCourseSchedule().getClassDate());
			if(r == 0){
				return courseSchedule.getStartClassTime().compareTo(cssp.getCourseSchedule().getStartClassTime());
			}
			return r;
		}
		return 0;
	}

}
