package com.ym.mec.biz.dal.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ym.mec.biz.dal.enums.ShareModeEnum;
import com.ym.mec.common.entity.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

/**
 * @author 袁亮
 * @apiNote 课程分享实体模型
 */
@ApiModel(value = "课程分享DB模型")
@TableName("course_share")
@EqualsAndHashCode(callSuper = true)
@Data
public class CourseShare extends BaseEntity {

    @ApiModelProperty(value = "主键id")
    @TableId(value = "id_", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "课程ID")
    @TableField(value = "course_id_")
    private Long courseId;

    @ApiModelProperty(value = "学生用户ID")
    @TableField(value = "user_id_")
    private Integer userId;

    @ApiModelProperty(value = "创建时间")
    @TableField(value = "create_time_")
    private Date createTime;

    @ApiModelProperty(value = "创建人")
    @TableField(value = "create_by_")
    private Integer createBy;
}
