package com.ym.mec.biz.dal.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.ym.mec.biz.dal.enums.EDegreeStatus;
import com.ym.mec.common.tenant.TenantContextHolder;
import lombok.Data;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;
import java.util.Optional;


/**
 * 考级信息
 * 2023-04-10 10:24:25
 */
@Data
@ApiModel(" Degree-考级信息")
@TableName("degree")
public class Degree implements Serializable {

    @ApiModelProperty("主键ID") 
    @TableId(value = "id_", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("机构ID")
    @TableField(value = "tenant_id_")
    private Integer tenantId;

    @ApiModelProperty("分部ID")
    @TableField(value = "organ_ids_")
    private String organIds;

    @ApiModelProperty("考级名称")
    @TableField(value = "name_")
    private String name;

    @ApiModelProperty("报名开始时间")
    @TableField(value = "start_time_")
    private Date startTime;

    @ApiModelProperty("报名结束时间")
    @TableField(value = "end_time_")
    private Date endTime;

    @ApiModelProperty("登记时间")
    @TableField(value = "registration_time_")
    private Date registrationTime;

    @ApiModelProperty("报名人次")
    @TableField(value = "register_total_")
    private Integer registerTotal;

    @ApiModelProperty("报名人数")
    @TableField(value = "register_num_")
    private Integer registerNum;

    @ApiModelProperty("购买课程")
    @TableField(value = "purchase_course_")
    private Integer purchaseCourse;

    @ApiModelProperty("报名状态 NOT_START:未开始,START:报名中,END:报名结束")
    @TableField(value = "status_")
    private EDegreeStatus status;

    @ApiModelProperty("创建时间")
    @TableField(value = "create_time_")
    private Date createTime;

    public Integer getTenantId() {
        return Optional.ofNullable(tenantId).orElse(TenantContextHolder.getTenantId());
    }
}
