package com.ym.mec.biz.dal.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.ym.mec.biz.dal.enums.DegreeTypeEnum;
import com.ym.mec.common.tenant.TenantContextHolder;
import lombok.Data;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;

import java.math.BigDecimal;
import java.util.Optional;

/**
 * 考级等级费用配置
 * 2023-04-10 10:24:25
 */
@Data
@ApiModel(" DegreeLevelFee-考级等级费用配置")
@TableName("degree_level_fee")
public class DegreeLevelFeeNew implements Serializable {

    @TableId(value = "id_", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty("声部ID")
    @TableField(value = "subject_id_")
    private Integer subjectId;

    @ApiModelProperty("等级")
    @TableField(value = "level_")
    private Integer level;

    @ApiModelProperty("费用")
    @TableField(value = "fee_")
    private BigDecimal fee;

    @ApiModelProperty("考级分类, GRADE,THEORY")
    @TableField(value = "degree_type_")
    private DegreeTypeEnum degreeType;

    @ApiModelProperty("是否上传证书")
    @TableField(value = "credentials_")
    private Boolean credentials;

    @ApiModelProperty("创建时间")
    @TableField(value = "create_time_")
    private Date createTime;

    @ApiModelProperty("修改时间")
    @TableField(value = "update_time_")
    private Date updateTime;

    @TableField(value = "tenant_id_")
    private Integer tenantId;

    public Integer getTenantId() {
        return Optional.ofNullable(tenantId).orElse(TenantContextHolder.getTenantId());
    }
}