package com.ym.mec.biz.dal.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.ym.mec.biz.dal.enums.DegreeNewsTypeEnum;
import com.ym.mec.common.tenant.TenantContextHolder;
import lombok.Data;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;
import java.util.Optional;


/**
 * 考级资讯表
 * 2023-04-10 10:24:25
 */
@Data
@ApiModel(" DegreeNews-考级资讯表")
@TableName("degree_news")
public class DegreeNews implements Serializable {

    @ApiModelProperty("主键ID") 
    @TableId(value = "id_", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("标题")
    @TableField(value = "title_")
    private String title;

    @ApiModelProperty("内容")
    @TableField(value = "content_")
    private String content;

    @ApiModelProperty("封面图片")
    @TableField(value = "cover_image_")
    private String coverImage;

    @ApiModelProperty("咨询类型")
    @TableField(value = "type_")
    private DegreeNewsTypeEnum type;

    @ApiModelProperty("状态（1-可见 0-不可见）")
    @TableField(value = "status_")
    private Boolean status;

    @ApiModelProperty("上线时间")
    @TableField(value = "online_time_")
    private Date onlineTime;

    @ApiModelProperty("下线时间")
    @TableField(value = "offline_time_")
    private Date offlineTime;

    @ApiModelProperty("备注")
    @TableField(value = "memo_")
    private String memo;

    @ApiModelProperty("链接地址")
    @TableField(value = "link_url_")
    private String linkUrl;

    @ApiModelProperty("跳转类型_bank,_slef")
    @TableField(value = "href_target_")
    private String hrefTarget;

    @ApiModelProperty("顺序号")
    @TableField(value = "order_")
    private Integer order;

    @ApiModelProperty("删除标识")
    @TableField(value = "del_flag_")
    private Boolean delFlag;

    @ApiModelProperty("机构ID")
    @TableField(value = "tenant_id_")
    private Integer tenantId;

    @ApiModelProperty("所属分部")
    @TableField(value = "organ_ids_")
    private String organIds;

    @ApiModelProperty("视频封面")
    @TableField(value = "video_cover_image_")
    private String videoCoverImage;

    @ApiModelProperty("修改人")
    @TableField(value = "operator_id_")
    private Integer operatorId;

    @ApiModelProperty("更新时间")
    @TableField(value = "update_time_")
    private Date updateTime;

    @ApiModelProperty("创建时间")
    @TableField(value = "create_time_")
    private Date createTime;

    public Integer getTenantId() {
        return Optional.ofNullable(tenantId).orElse(TenantContextHolder.getTenantId());
    }
}
