package com.ym.mec.biz.dal.entity;

import com.ym.mec.auth.api.enums.CertificateTypeEnum;
import com.ym.mec.biz.dal.enums.DegreeTypeEnum;
import com.ym.mec.common.tenant.TenantContextHolder;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.Date;

import com.ym.mec.common.entity.BaseEntity;
import lombok.Data;

@Data
public class DegreeRegistration {
    private Integer id;

    @ApiModelProperty(value = "考级编号",required = true)
    private Long degreeId;

    @ApiModelProperty(value = "学员编号",required = true)
    private Integer userId;

    @ApiModelProperty(value = "订单编号",required = false)
    private String orderNo;

    @ApiModelProperty(value = "订单流水号",required = false)
    private String transNo;

    @ApiModelProperty(value = "名字",required = true)
    private String name;

    @ApiModelProperty(value = "性别",required = true)
    private String gender;

    @ApiModelProperty(value = "证件类型",required = true)
	private CertificateTypeEnum certificateType;

    @ApiModelProperty(value = "身份证号",required = true)
    private String idcard;

    @ApiModelProperty(value = "城市",required = true)
    private String city;

    @ApiModelProperty(value = "学校",required = true)
    private String school;

    @ApiModelProperty(value = "声部",required = true)
    private Integer subjectId;

    private String subjectName;

    @ApiModelProperty(value = "考试级别",required = true)
    private String level;

    @ApiModelProperty(value = "考级类型",required = true)
    private DegreeTypeEnum type;

    @ApiModelProperty(value = "证书",required = true)
    private String theoryCert;

    @ApiModelProperty(value = "家长联系电话",required = true)
    private String mobile;

    @ApiModelProperty(value = "考级费用",required = false)
    private BigDecimal money;

    @ApiModelProperty(value = "备注",required = false)
    private String memo;

    private Date createTime;

    private Date updateTime;

    @ApiModelProperty(value = "支付状态 0-未支付 1-支付中 2-已支付 2-已退费",required = false)
    private Integer status;

    @ApiModelProperty(value = "支付状态 0-未支付 1-支付中 2-已支付 2-已退费",required = false)
    private String statusStr;

    @ApiModelProperty(value = "是否重新支付",required = false)
    private Boolean isRepay = false;

    private Integer organId;

    private String organName;

    private String vipTeacherName;

    private String normalTeacherName;

    private Integer tenantId = TenantContextHolder.getTenantId();
}
