package com.ym.mec.biz.dal.entity;

import com.ym.mec.auth.api.entity.SysUser;
import com.ym.mec.biz.dal.dto.MusicScoreSubjectDto;
import com.ym.mec.biz.dal.dto.StudentLessonTrainingDetailWrapper;
import com.ym.mec.biz.dal.enums.ELessonTrainingType;
import com.ym.mec.biz.dal.enums.GroupType;
import com.ym.mec.biz.dal.enums.ImSendTypeEnum;
import com.ym.mec.common.entity.BaseEntity;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;

import javax.validation.constraints.NotNull;
import java.util.Date;
import java.util.List;

/**
 * 对应数据库表(extracurricular_exercises):
 */
public class ExtracurricularExercises extends BaseEntity {

	/**  */
	private Long id;
	
	private String musicGroupId;
	
	/** 老师编号 */
	@ApiModelProperty(value="等级")
	private Integer teacherId;
	
	private SysUser teacher = new SysUser();
	
	/** 学生列表 */
	@ApiModelProperty(value="学生列表")
	private String studentIdList;

    @ApiModelProperty("班级id")
    private Integer classGroupId;

    @ApiModelProperty("作业来源分类")
    private String groupType;
	
	/** 批次号 */
	@ApiModelProperty(value="批次号")
	private String batchNo;

    private String versionTag;
	
	/** 标题 */
	@ApiModelProperty(value="标题")
	private String title;
	
	/** 附件地址（多个用逗号分隔） */
	@ApiModelProperty(value="附件地址（多个用逗号分隔）")
	private String attachments;
	
	/** 作业内容 */
	@ApiModelProperty(value="作业内容")
	private String content;
	
	/** 截止日期 */
	@ApiModelProperty(value="截止日期")
	private java.util.Date expireDate;
	
	/** 完成人数 */
	@ApiModelProperty(value="完成人数")
	private Integer completedNum;
	
	/** 预计人数 */
	@ApiModelProperty(value="预计人数")
	private Integer expectNum;
	
	/**  */
	private java.util.Date createTime;
	
	/**  */
	private java.util.Date updateTime;

	@ApiModelProperty(value="是否及时回复")
	private int isReplied;

	@ApiModelProperty(value="是否提交")
	private int isSubmit;

    private Boolean pushFlag;

	private int status;
	
	private String organName;

	private ImSendTypeEnum msgType = ImSendTypeEnum.TXT;

	/** 伴奏列表（多个用逗号分隔） */
	@ApiModelProperty(value="伴奏列表（多个用逗号分隔）")
	private String musicScoreId;

	private String musicScoreName;

	private List<MusicScoreSubjectDto> musicScoreSubjectDtos;

    @ApiModelProperty(value = "作业类型 来源（HOMEWORK,EXTRACURRICULAR,EXTRA）",required = true)
    private String type;

    @ApiModelProperty("乐团名")
    private String musicGroupName;

    @ApiModelProperty("班级名")
    private String classGroupName;


    @ApiModelProperty("布置时间")
    private java.util.Date assignTime;

    @ApiModelProperty("新版作业 time:2023-03-31")
    private List<StudentLessonTrainingDetailWrapper.AddStudentLessonTrainingDetail> studentLessonTrainingDetails;

    public Boolean getPushFlag() {
        return pushFlag;
    }

    public void setPushFlag(Boolean pushFlag) {
        this.pushFlag = pushFlag;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getVersionTag() {
        return versionTag;
    }

    public void setVersionTag(String versionTag) {
        this.versionTag = versionTag;
    }

    public String getMusicGroupName() {
        return musicGroupName;
    }

    public void setMusicGroupName(String musicGroupName) {
        this.musicGroupName = musicGroupName;
    }

    public String getClassGroupName() {
        return classGroupName;
    }

    public void setClassGroupName(String classGroupName) {
        this.classGroupName = classGroupName;
    }

    public Date getAssignTime() {
        return assignTime;
    }

    public void setAssignTime(Date assignTime) {
        this.assignTime = assignTime;
    }

    public Integer getClassGroupId() {
        return classGroupId;
    }

    public void setClassGroupId(Integer classGroupId) {
        this.classGroupId = classGroupId;
    }

    public String getGroupType() {
        return groupType;
    }

    public void setGroupType(String groupType) {
        this.groupType = groupType;
    }

    public List<StudentLessonTrainingDetailWrapper.AddStudentLessonTrainingDetail> getStudentLessonTrainingDetails() {
        return studentLessonTrainingDetails;
    }

    public void setStudentLessonTrainingDetails(List<StudentLessonTrainingDetailWrapper.AddStudentLessonTrainingDetail> studentLessonTrainingDetails) {
        this.studentLessonTrainingDetails = studentLessonTrainingDetails;
    }

	public List<MusicScoreSubjectDto> getMusicScoreSubjectDtos() {
		return musicScoreSubjectDtos;
	}

	public void setMusicScoreSubjectDtos(List<MusicScoreSubjectDto> musicScoreSubjectDtos) {
		this.musicScoreSubjectDtos = musicScoreSubjectDtos;
	}

	public String getMusicScoreName() {
		return musicScoreName;
	}

	public void setMusicScoreName(String musicScoreName) {
		this.musicScoreName = musicScoreName;
	}

	public String getMusicScoreId() {
		return musicScoreId;
	}

	public void setMusicScoreId(String musicScoreId) {
		this.musicScoreId = musicScoreId;
	}

	public ImSendTypeEnum getMsgType() {
		return msgType;
	}

	public void setMsgType(ImSendTypeEnum msgType) {
		this.msgType = msgType;
	}

	public int getStatus() {
		return status;
	}

	public void setStatus(int status) {
		this.status = status;
	}

	public int getIsReplied() {
		return isReplied;
	}

	public void setIsReplied(int isReplied) {
		this.isReplied = isReplied;
	}

	public int getIsSubmit() {
		return isSubmit;
	}

	public void setIsSubmit(int isSubmit) {
		this.isSubmit = isSubmit;
	}

	public void setId(Long id){
		this.id = id;
	}
	
	public Long getId(){
		return this.id;
	}
			
	public void setTeacherId(Integer teacherId){
		this.teacherId = teacherId;
	}
	
	public Integer getTeacherId(){
		return this.teacherId;
	}
			
	public void setStudentIdList(String studentIdList){
		this.studentIdList = studentIdList;
	}
	
	public String getStudentIdList(){
		return this.studentIdList;
	}
			
	public void setBatchNo(String batchNo){
		this.batchNo = batchNo;
	}
	
	public String getBatchNo(){
		return this.batchNo;
	}
			
	public void setTitle(String title){
		this.title = title;
	}
	
	public String getTitle(){
		return this.title;
	}
			
	public void setAttachments(String attachments){
		this.attachments = attachments;
	}
	
	public String getAttachments(){
		return this.attachments;
	}
			
	public void setContent(String content){
		this.content = content;
	}
	
	public String getContent(){
		return this.content;
	}
			
	public void setExpireDate(java.util.Date expireDate){
		this.expireDate = expireDate;
	}
	
	public java.util.Date getExpireDate(){
		return this.expireDate;
	}
			
	public void setCompletedNum(Integer completedNum){
		this.completedNum = completedNum;
	}
	
	public Integer getCompletedNum(){
		return this.completedNum;
	}
			
	public void setExpectNum(Integer expectNum){
		this.expectNum = expectNum;
	}
	
	public Integer getExpectNum(){
		return this.expectNum;
	}
			
	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	public void setUpdateTime(java.util.Date updateTime){
		this.updateTime = updateTime;
	}
	
	public java.util.Date getUpdateTime(){
		return this.updateTime;
	}
			
	public SysUser getTeacher() {
		return teacher;
	}

	public void setTeacher(SysUser teacher) {
		this.teacher = teacher;
	}

	public String getOrganName() {
		return organName;
	}

	public void setOrganName(String organName) {
		this.organName = organName;
	}

	public String getMusicGroupId() {
		return musicGroupId;
	}

	public void setMusicGroupId(String musicGroupId) {
		this.musicGroupId = musicGroupId;
	}

	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
