package com.ym.mec.biz.dal.entity;

import com.ym.mec.auth.api.entity.SysUser;
import com.ym.mec.biz.dal.enums.StandardEnum;
import com.ym.mec.common.entity.BaseEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;

import java.util.Date;

/**
 * 对应数据库表(extracurricular_exercises_reply):
 */
@Data
public class ExtracurricularExercisesReply extends BaseEntity {

	/**  */
	private Long id;
	
	/**  */
	private Long extracurricularExercisesId;
	
	private ExtracurricularExercises extracurricularExercises = new ExtracurricularExercises();
	
	/**  */
	private Integer userId;
	
	private SysUser user = new SysUser();
	
	/** 作品附件 */
	@ApiModelProperty(value="作品附件")
	private String attachments;
	
	/**  */
	private java.util.Date createTime;
	
	/**  */
	private java.util.Date updateTime;
	
	/** 备注 */
	@ApiModelProperty(value="备注")
	private String remark;
	
	/** 提交状态 */
	@ApiModelProperty(value="提交状态")
	private Integer status;
	
	/** 是否回复 */
	@ApiModelProperty(value="是否回复")
	private Integer isReplied;

	@ApiModelProperty(value="是否及时回复")
	private Integer isRepliedTimely;
	
	/** 是否已查看 */
	@ApiModelProperty(value="是否已查看")
	private Integer isView;
	
	private String organName;

	@ApiModelProperty(value="提交时间")
	private Date submitTime;

	@ApiModelProperty(value="曲目编号，逗号分割")
	private String musicScoreId;

	/** 伴奏详情包含，曲目编号、分谱 */
	@ApiModelProperty(value="伴奏详情包含，曲目编号、分谱")
	private String musicScoreContent;

	@ApiModelProperty(value = "作业评级",required = true)
	private StandardEnum standardFlag;

	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
