package com.ym.mec.biz.dal.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import lombok.Data;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

import java.math.BigDecimal;

/**
 * 组合商品，子商品信息
 * 2024-02-21 16:24:38
 */
@Data
@ApiModel(" GoodsSub-组合商品，子商品信息")
@TableName("goods_sub")
public class GoodsSub implements Serializable {

    @ApiModelProperty("id")
    @TableId(value = "id_", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty("商品编号")
    @TableField(value = "goods_id_")
    private Integer goodsId;

    @ApiModelProperty("商城商品编号")
    @TableField(value = "mall_goods_id_")
    private Integer mallGoodsId;

    @ApiModelProperty("sku编号")
    @TableField(value = "sku_")
    private Integer sku;

    @ApiModelProperty("商品状态，1:上架、0:下架")
    @TableField(value = "goods_status_")
    private Boolean goodsStatus;

    @ApiModelProperty("成本")
    @TableField(value = "goods_price_")
    private BigDecimal goodsPrice;

}