package com.ym.mec.biz.dal.entity;


import java.math.BigDecimal;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.*;
import com.ym.mec.biz.dal.enums.HumanCostTypeEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 人力资源成本(HumanCost)表实体类
 *
 * @author zx
 * @since 2023-04-17 15:31:31
 */
@ApiModel(value = "human_cost-人力资源成本")
@Data
@TableName("human_cost")
public class HumanCost{
    @TableId(value = "id_", type = IdType.AUTO)
    private Integer id;

    @TableField("organ_id_")
    @ApiModelProperty(value = "分部")
    private Integer organId;

    @TableField("human_cost_type_")
    @ApiModelProperty(value = "费用类型")
    private HumanCostTypeEnum humanCostType;

    @TableField("amount_")
    @ApiModelProperty(value = "费用")
    private BigDecimal amount;

    @TableField("month_")
    @ApiModelProperty(value = "月份")
    private String month;

    @TableField("create_time_")
    private Date createTime;

    @TableField("update_time_")
    private Date updateTime;
}

