package com.ym.mec.biz.dal.entity;

import com.ym.mec.common.entity.BaseEntity;
import com.ym.mec.common.enums.BaseEnum;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import org.apache.commons.lang3.StringUtils;
import org.apache.commons.lang3.builder.ToStringBuilder;

/**
 * 对应数据库表(im_group):
 */
public class ImGroup extends BaseEntity {

	/**  */
	private String id;

    private Long schoolId;

	/** 群名称 */
	private String name;
	
	/** 群介绍 */
	private String introduce;
	
	/** 群成员数 */
	private Integer memberNum;
	
	/** 群备注 */
	private String memo;

	@ApiModelProperty(value = "禁言配置")
	private String configJson;
	
	/** 群标签 */
	private String tags;
	
	private String img;

	/** 乐团群 MUSIC，班级群 CLASS，训练营 TRAINING 学校SCHOOL*/
	private String type;

	private Boolean importFlag;

	public enum GroupTypeEnum implements BaseEnum<String,GroupTypeEnum> {
		NORMAL("NORMAL", "普通班级", "https://oss.dayaedu.com/default-images/mec/NORMAL.png"),
		MIX("MIX", "合奏班级", "https://oss.dayaedu.com/default-images/mec/NORMAL.png"),
		HIGH("HIGH", "基础技能班", "https://oss.dayaedu.com/default-images/mec/NORMAL.png"),
		VIP("VIP", "vip课", "https://oss.dayaedu.com/default-images/mec/VIP.png"),
		DEMO("DEMO", "试听课", "https://oss.dayaedu.com/default-images/mec/NORMAL.png"),
		PRACTICE("PRACTICE", "网管课", "https://oss.dayaedu.com/default-images/mec/NORMAL.png"),
		SNAP("SNAP","临时班级", "https://oss.dayaedu.com/default-images/mec/NORMAL.png"),
		COMM("COMM", "对外课程", "https://oss.dayaedu.com/default-images/mec/NORMAL.png"),
		HIGH_ONLINE("HIGH_ONLINE", "线上基础技能课", "https://oss.dayaedu.com/default-images/mec/NORMAL.png"),
		MUSIC_NETWORK("MUSIC_NETWORK","乐团网管课", "https://oss.dayaedu.com/default-images/mec/MUSIC_NETWORK.png"),
		PARENT_MEETING("PARENT_MEETING","家长会", "https://oss.dayaedu.com/default-images/mec/PARENT_MEETING.png"),
		TRAINING("TRAINING","训练营", "https://oss.dayaedu.com/default-images/mec/TRAINING.png"),
		REPERTOIRE_PLAY("REPERTOIRE_PLAY","曲目演奏课", "https://oss.dayaedu.com/default-images/mec/REPERTOIRE_PLAY.png"),
		SCHOOL("SCHOOL","学校衔接群", "https://oss.dayaedu.com/default-images/mec/SCHOOL.png"),
		LIVE("LIVE","直播课", "https://oss.dayaedu.com/default-images/mec/LIVE.png");

		private String code;

		private String msg;

		private String avatar;

		GroupTypeEnum(String code, String msg, String avatar) {
			this.code = code;
			this.msg = msg;
			this.avatar = avatar;
		}

		public void setCode(String code) {
			this.code = code;
		}

		public String getMsg() {
			return msg;
		}

		public void setMsg(String msg) {
			this.msg = msg;
		}

		@Override
		public String getCode() {
			return this.code;
		}

		public String getAvatar() {
			return avatar;
		}

		public void setAvatar(String avatar) {
			this.avatar = avatar;
		}
	}

	public String getConfigJson() {
		if (StringUtils.isEmpty(configJson)){
			return "{mute: false}";
		}
		return configJson;
	}

	//群类型
	private GroupTypeEnum groupType;

	public GroupTypeEnum getGroupType() {
		return groupType;
	}

	public void setGroupType(GroupTypeEnum groupType) {
		this.groupType = groupType;
	}

	/**  */
	private java.util.Date createTime;
	
	/**  */
	private java.util.Date updateTime;

    public Long getSchoolId() {
        return schoolId;
    }

    public void setSchoolId(Long schoolId) {
        this.schoolId = schoolId;
    }

    public void setId(String id){
		this.id = id;
	}
	
	public String getId(){
		return this.id;
	}
			
	public void setName(String name){
		this.name = name;
	}
	
	public String getName(){
		return this.name;
	}
			
	public void setIntroduce(String introduce){
		this.introduce = introduce;
	}
	
	public String getIntroduce(){
		return this.introduce;
	}
			
	public void setMemberNum(Integer memberNum){
		this.memberNum = memberNum;
	}
	
	public Integer getMemberNum(){
		return this.memberNum;
	}
			
	public void setMemo(String memo){
		this.memo = memo;
	}
	
	public String getMemo(){
		return this.memo;
	}
			
	public void setTags(String tags){
		this.tags = tags;
	}
	
	public String getTags(){
		return this.tags;
	}
			
	public String getImg() {
		return img;
	}

	public void setImg(String img) {
		this.img = img;
	}

	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}

	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	public void setUpdateTime(java.util.Date updateTime){
		this.updateTime = updateTime;
	}
	
	public java.util.Date getUpdateTime(){
		return this.updateTime;
	}

	public Boolean getImportFlag() {
		return importFlag;
	}

	public void setImportFlag(Boolean importFlag) {
		this.importFlag = importFlag;
	}

	public void setConfigJson(String configJson) {
		this.configJson = configJson;
	}

	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
