package com.ym.mec.biz.dal.entity;

import com.ym.mec.biz.dal.enums.im.EImGroupRoleType;
import com.ym.mec.common.entity.BaseEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import org.apache.commons.lang3.StringUtils;
import org.apache.commons.lang3.builder.ToStringBuilder;

import java.util.Date;

/**
 * 对应数据库表(im_group_member):
 */
public class ImGroupMember extends BaseEntity {

	/**  */
	@Getter
	private Long id;
	
	/**  */
	@Getter
	private String imGroupId;
	
	/**  */
	@Getter
	private Integer userId;
	
	@Getter
	private String nickname;

	@Getter
	@ApiModelProperty(value = "群昵称")
	private String groupNickname;
	
	@ApiModelProperty(value = "是否是管理员")
	private boolean isAdmin;

	@Getter
	@Setter
	@ApiModelProperty(value = "是否禁言")
	private Boolean muteFlag = false;

	@Getter
	@ApiModelProperty(value = "第三方群角色")
	private String groupRoleType;
	
	@Getter
	@ApiModelProperty(value = "群角色")
	private String roleType;

	@Getter
	@ApiModelProperty(value = "群角色")
    private String type;

	@Getter
	private Integer memberRankSettingId;

	@Getter
	private String subjectName;

	@Getter
	private String subjectId;

	@Getter
	private String avatar;
	
	/**  */
	@Getter
	private java.util.Date createTime;
	
	/**  */
	@Getter
	private java.util.Date updateTime;

	private ImGroup.GroupTypeEnum groupType;

	public ImGroup.GroupTypeEnum getGroupType() {
		return groupType;
	}

	public void setGroupType(ImGroup.GroupTypeEnum groupType) {
		this.groupType = groupType;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public void setImGroupId(String imGroupId) {
		this.imGroupId = imGroupId;
	}

	public void setUserId(Integer userId) {
		this.userId = userId;
	}

	public void setNickname(String nickname) {
		this.nickname = nickname;
	}

	public void setGroupNickname(String groupNickname) {
		this.groupNickname = groupNickname;
	}

	public boolean getIsAdmin() {
		return isAdmin;
	}

	public void setIsAdmin(boolean admin) {
		isAdmin = admin;
		if (admin){
			this.groupRoleType = EImGroupRoleType.Owner.getCode();
		}
	}

	public void setGroupRoleType(String groupRoleType) {
		this.groupRoleType = groupRoleType;
	}

	public void setRoleType(String roleType) {
		this.roleType = roleType;
		if(StringUtils.isEmpty(this.groupRoleType)){
			this.groupRoleType = StringUtils.isEmpty(roleType)?EImGroupRoleType.Member.getCode():EImGroupRoleType.Admin.getCode();
		}
	}

	public void setType(String type) {
		this.type = type;
	}

	public void setMemberRankSettingId(Integer memberRankSettingId) {
		this.memberRankSettingId = memberRankSettingId;
	}

	public void setSubjectName(String subjectName) {
		this.subjectName = subjectName;
	}

	public void setSubjectId(String subjectId) {
		this.subjectId = subjectId;
	}

	public void setAvatar(String avatar) {
		this.avatar = avatar;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	public void setUpdateTime(Date updateTime) {
		this.updateTime = updateTime;
	}

	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
