package com.ym.mec.biz.dal.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 对应数据库表(im_group_member):
 */
@Data
@TableName("im_group_member")
public class ImGroupMemberPlus implements Serializable {

    @TableId(value = "id_", type = IdType.AUTO)
    private Long id;

    @TableField(value = "im_group_id_")
    private String imGroupId;

    @TableField(value = "user_id_")
    private Integer userId;

    @TableField(value = "nickname_")
    private String nickname;

    @TableField(exist = false)
    private String groupNickname;

    @ApiModelProperty("是否是管理员")
    @TableField(value = "is_admin_")
    private Boolean isAdmin;

    @TableField(value = "role_type_")
    private String roleType;

    @ApiModelProperty(value = "第三方群角色")
    @TableField(value = "group_role_type_")
    private String groupRoleType;

    @TableField(value = "type_")
    private String type;

    @TableField(exist = false)
    private Integer memberRankSettingId;

    @TableField(exist = false)
    private String subjectName;

    @TableField(exist = false)
    private String subjectId;

    @TableField(exist = false)
    private String avatar;

    @TableField(value = "create_time_")
    private Date createTime;

    @TableField(value = "update_time_")
    private Date updateTime;

    @TableField(value = "tenant_id_")
    private Integer tenantId;
}
