package com.ym.mec.biz.dal.entity;


import java.util.Date;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.annotation.TableId;

import java.io.Serializable;

/**
 * 直播间人员关系表(ImLiveBroadcastRoomMember)表实体类
 *
 * @author hgw
 * @since 2022-02-21 14:26:58
 */
@ApiModel(value = "im_live_broadcast_room_member-直播间人员关系表")
public class ImLiveBroadcastRoomMember implements Serializable {
    @TableId(value = "id_", type = IdType.AUTO)
    @ApiModelProperty(value = "主键")
    private Integer id;

    @TableField("tenant_id_")
    @ApiModelProperty(value = "机构id")
    private Integer tenantId;

    @TableField("room_uid_")
    @ApiModelProperty(value = "房间编号")
    private String roomUid;

    @TableField("user_id_")
    @ApiModelProperty(value = "进入房间的人员id/学生id")
    private Integer userId;

    @TableField("join_time_")
    @ApiModelProperty(value = "进入房间时间")
    private Date joinTime;

    @TableField("total_time_")
    @ApiModelProperty(value = "累计观看时间/以分钟为单位")
    private Integer totalTime;

    @TableField("online_status_")
    @ApiModelProperty(value = "在线状态;0离线；1在线")
    private Integer onlineStatus;

    @TableField("ban_status_")
    @ApiModelProperty(value = "禁言状态:0取消；1禁言")
    private Integer banStatus;

    @TableField("microphone_flag_")
    @ApiModelProperty(value = "是否能上麦:0否；1是")
    private Boolean microphoneFlag;
    @TableField("live_room_status_")
    @ApiModelProperty(value = "直播状态: 0离开;1观看")
    private Integer liveRoomStatus;


    @TableField("whether_mic_status_")
    @ApiModelProperty(value = "连麦状态 0:未申请1:申请连麦中2:连麦中")
    private Integer whetherMicStatus;

    @TableField("fingerprint_")
    @ApiModelProperty("游客凭据")
    private String fingerprint;

    @TableField("visitor_name_")
    @ApiModelProperty("游客名称")
    private String visitorName;

    @TableField("create_time_")
    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    private static final long serialVersionUID = 1L;

    public Boolean getMicrophoneFlag() {
        return microphoneFlag;
    }

    public void setMicrophoneFlag(Boolean microphoneFlag) {
        this.microphoneFlag = microphoneFlag;
    }

    public Integer getWhetherMicStatus() {
        return whetherMicStatus;
    }

    public void setWhetherMicStatus(Integer whetherMicStatus) {
        this.whetherMicStatus = whetherMicStatus;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getTenantId() {
        return tenantId;
    }

    public void setTenantId(Integer tenantId) {
        this.tenantId = tenantId;
    }

    public String getRoomUid() {
        return roomUid;
    }

    public void setRoomUid(String roomUid) {
        this.roomUid = roomUid;
    }

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public Date getJoinTime() {
        return joinTime;
    }

    public void setJoinTime(Date joinTime) {
        this.joinTime = joinTime;
    }

    public Integer getTotalTime() {
        return totalTime;
    }

    public void setTotalTime(Integer totalTime) {
        this.totalTime = totalTime;
    }

    public Integer getOnlineStatus() {
        return onlineStatus;
    }

    public void setOnlineStatus(Integer onlineStatus) {
        this.onlineStatus = onlineStatus;
    }

    public Integer getBanStatus() {
        return banStatus;
    }

    public void setBanStatus(Integer banStatus) {
        this.banStatus = banStatus;
    }

    public Integer getLiveRoomStatus() {
        return liveRoomStatus;
    }

    public void setLiveRoomStatus(Integer liveRoomStatus) {
        this.liveRoomStatus = liveRoomStatus;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getFingerprint() {
        return fingerprint;
    }

    public void setFingerprint(String fingerprint) {
        this.fingerprint = fingerprint;
    }

    public String getVisitorName() {
        return visitorName;
    }

    public void setVisitorName(String visitorName) {
        this.visitorName = visitorName;
    }
}

