package com.ym.mec.biz.dal.entity;

import com.ym.mec.biz.dal.enums.IndexDataType;
import com.ym.mec.common.entity.BaseEntity;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 对应数据库表(index_base_month_data):
 */
public class IndexBaseMonthData extends BaseEntity {

	/**  */
	private Long id;
	
	/**  */
	private java.util.Date month;

	/**  */
	private String monthStr;

	private String title;
	
	/** 分部编号 */
	private Integer organId;

	private String organName;
	
	/** 总数量 */
	private BigDecimal totalNum = BigDecimal.ZERO;
	
	/** 有效数量 */
	private BigDecimal activateNum = BigDecimal.ZERO;
	
	/** 最终结果 */
	private BigDecimal percent = BigDecimal.ZERO;

	private IndexDataType dataType;

	private String extendInfo;

	private String orderType;

	private Date createTime;

	private Date updateTime;

	public String getOrganName() {
		return organName;
	}

	public void setOrganName(String organName) {
		this.organName = organName;
	}

	public String getOrderType() {
		return orderType;
	}

	public void setOrderType(String orderType) {
		this.orderType = orderType;
	}

	public String getMonthStr() {
		return monthStr;
	}

	public void setMonthStr(String monthStr) {
		this.monthStr = monthStr;
	}

	public IndexBaseMonthData() {
	}

	public IndexBaseMonthData(Integer organId, String organName,IndexDataType indexDataType, BigDecimal percent) {
		this.dataType = indexDataType;
		this.title = indexDataType.getMsg();
		this.organId = organId;
		this.organName = organName;
		this.percent = percent;
	}

	public IndexBaseMonthData(Date month, Integer organId, Integer tenantId) {
		this.month = month;
		this.organId = organId;
		setTenantId(tenantId);
		this.totalNum = BigDecimal.ZERO;
		this.activateNum = BigDecimal.ZERO;
		this.percent = BigDecimal.ZERO;
	}

	public IndexBaseMonthData(Date month, Integer organId, BigDecimal percent) {
		this.month = month;
		this.percent = percent;
	}

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public Date getMonth() {
		return month;
	}

	public void setMonth(Date month) {
		this.month = month;
	}

	public Integer getOrganId() {
		return organId;
	}

	public void setOrganId(Integer organId) {
		this.organId = organId;
	}

	public BigDecimal getTotalNum() {
		return totalNum;
	}

	public void setTotalNum(BigDecimal totalNum) {
		this.totalNum = totalNum;
	}

	public BigDecimal getActivateNum() {
		return activateNum;
	}

	public void setActivateNum(BigDecimal activateNum) {
		this.activateNum = activateNum;
	}

	public BigDecimal getPercent() {
		return percent;
	}

	public void setPercent(BigDecimal percent) {
		this.percent = percent;
	}

	public IndexDataType getDataType() {
		return dataType;
	}

	public void setDataType(IndexDataType dataType) {
		this.dataType = dataType;
	}

	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	public Date getUpdateTime() {
		return updateTime;
	}

	public void setUpdateTime(Date updateTime) {
		this.updateTime = updateTime;
	}

	public String getTitle() {
		return title;
	}

	public void setTitle(String title) {
		this.title = title;
	}

	public String getExtendInfo() {
		return extendInfo;
	}

	public void setExtendInfo(String extendInfo) {
		this.extendInfo = extendInfo;
	}
}
