package com.ym.mec.biz.dal.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;


/**
 * 乐器设置
 * 2024-04-22 16:55:18
 */
@Data
@ApiModel(" Instrument-乐器设置")
@TableName("instrument")
public class Instrument implements Serializable {

    @ApiModelProperty("主键ID,内容平台乐器ID")
    @TableId(value = "id_")
    private Integer id;

    @ApiModelProperty("声部ID")
	@TableField(value = "subject_id_")
    private Integer subjectId;

    @ApiModelProperty("横竖屏：1:竖 0:横")
	@TableField(value = "orientation_")
    private Boolean orientation;

    @ApiModelProperty("启用/停用")
    @TableField(value = "enable_flag_")
    private Boolean enableFlag;

    @ApiModelProperty("删除标记")
	@TableField(value = "del_flag_")
    private Boolean delFlag;

    @ApiModelProperty("创建时间")
	@TableField(value = "create_time_")
    private Date createTime;

    @ApiModelProperty("更新时间")
	@TableField(value = "update_time_")
    private Date updateTime;

    @ApiModelProperty("操作人")
	@TableField(value = "operator_")
    private Long operator;

}
