package com.ym.mec.biz.dal.entity;


import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.ym.mec.common.tenant.TenantContextHolder;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * 进度评测表(LessonExamination)表实体类
 *
 * @author zx
 * @since 2023-04-03 18:20:36
 */
@ApiModel(value = "lesson_examination-进度评测表")
@Data
public class LessonExamination{
    @TableId(value = "id_", type = IdType.AUTO)
    private Long id;

    @TableField("organ_id_")
    @ApiModelProperty(value = "分部编号")
    private Integer organId;

    @TableField("music_group_id_")
    @ApiModelProperty(value = "乐团编号")
    private String musicGroupId;

    @TableField("class_group_id_")
    @ApiModelProperty(value = "班级编号")
    private Integer classGroupId;

    @TableField("course_schedule_id_")
    @ApiModelProperty(value = "课程编号")
    private Long courseScheduleId;

    @TableField("teacher_id_")
    @ApiModelProperty(value = "老师编号")
    private Integer teacherId;

    @TableField("expire_date_")
    @ApiModelProperty(value = "截止日期")
    private Date expireDate;

    @TableField("training_num_")
    @ApiModelProperty(value = "提交人数")
    private Integer trainingNum;

    @TableField("standard_num_")
    @ApiModelProperty(value = "达标人数")
    private Integer standardNum;

    @TableField("expect_num_")
    @ApiModelProperty(value = "预计人数")
    private Integer expectNum;

    @TableField("push_flag_")
    @ApiModelProperty(value = "是否推送")
    private Boolean pushFlag;

    @TableField("create_time_")
    private Date createTime;

    @TableField("update_time_")
    private Date updateTime;

    @TableField("tenant_id_")
    private Integer tenantId = TenantContextHolder.getTenantId();
}

