package com.ym.mec.biz.dal.entity;

import com.ym.mec.biz.dal.entity.CooperationOrgan.OwnershipType;
import com.ym.mec.biz.dal.enums.*;
import com.ym.mec.common.entity.BaseEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 对应数据库表(music_group):
 */
@Data
public class MusicGroup extends BaseEntity {

	/**  */
	private String id;
	
	/** 乐团名称 */
	@ApiModelProperty(value = "乐团名称",required = false)
	private String name;
	
	/** 所属分部 */
	@ApiModelProperty(value = "所属分部编号",required = false)
	private Integer organId;

	/** 所属分部 */
	@ApiModelProperty(value = "所属分部名称",required = false)
	private String organName;
	
	/** 学校(合作单位) */
	@ApiModelProperty(value = "学校(合作单位) ",required = false)
	private Integer schoolId;

	/** 学校(合作单位) */
	@ApiModelProperty(value = "学校名称 ",required = false)
	private String schoolName;

	/** 学校(合作单位) */
	@ApiModelProperty(value = "上课地点 ",required = false)
	private String address;
	
	/** 报名截止日期 */
	@ApiModelProperty(value = "报名截止日期",required = false)
	private java.util.Date applyExpireDate;

	@ApiModelProperty(value = "预报名截止日期",required = false)
	private java.util.Date preApplyExpireDate;
	
	/** 团长 */
//	@ApiModelProperty(value = "运营主管",required = false)
//	private Integer teamTeacherId;

	/** 团长 */
//	@ApiModelProperty(value = "运营主管名称",required = false)
//	private String teamTeacherName;
	
	/** 教务老师 */
	@ApiModelProperty(value = "教务老师名字",required = false)
	private String educationalTeacherName;
	/** 教务老师 */
	@ApiModelProperty(value = "教务老师编号",required = false)
	private Integer educationalTeacherId;

	@ApiModelProperty(value = "衔接老师名字",required = false)
	private String transactionTeacherName;

	@ApiModelProperty(value = "衔接老师编号",required = false)
	private Integer transactionTeacherId;
	
	@ApiModelProperty(value = "课程形态",required = false)
	private String courseForm;

	@ApiModelProperty(value = "老师课酬结算方式",required = false)
	private SalarySettlementTypeEnum settlementType = SalarySettlementTypeEnum.GRADIENT_SALARY;

	@ApiModelProperty(value = "课程展现形式",required = false)
	private CourseViewTypeEnum courseViewType;
	
	/**  */
	private java.util.Date createTime;
	
	/**  */
	private java.util.Date updateTime;
	
	/** 状态（报名中、缴费中、筹备中、进行中、取消） */
	@ApiModelProperty(value = "乐团状态（报名中、缴费中、筹备中、进行中、取消）",required = false)
	private MusicGroupStatusEnum status;
	
	/** 缴费截止日期 */
	@ApiModelProperty(value = "乐团缴费截止日期",required = false)
	private java.util.Date paymentExpireDate;

	@ApiModelProperty(value = "缴费有效期开始时间", required = false)
	private Date paymentValidStartDate;

	@ApiModelProperty(value = "缴费有效期结束时间", required = false)
	private Date paymentValidEndDate;

	@ApiModelProperty(value = "缴费方式0按月,1按季，2一次性", required = false)
	private Integer paymentPattern;
	
	/** 计费开始日期 */
	@ApiModelProperty(value = "乐团计费开始日期 ",required = false)
	private java.util.Date billStartDate;
	
	@ApiModelProperty(value = "提高课班级数",required = false)
	private Integer improventClassesNum;
	
	@ApiModelProperty(value = "招生年级（多个用,分开）",required = false)
	private String enrollClasses;
	
	/** 是否是加课*/
	@ApiModelProperty(value = "是否是加课",required = false)
	private YesOrNoEnum isExtraClass;
	
	@ApiModelProperty(value = "合作单位编号",required = false)
	private Integer cooperationOrganId;

	@ApiModelProperty(value = "合作单位名称",required = false)
	private String cooperationOrganName;
	
	@ApiModelProperty(value = "启蒙课日期",required = false)
	private String enlightenmentCourseTime;
	
	@ApiModelProperty(value = "家长会日期",required = false)
	private String parentMeetingTime;

	@ApiModelProperty(value = "缴费月份（多个用,分开）",required = false)
	private String paymentMonths;

	@ApiModelProperty(value = "乐团图片",required = false)
	private String img;
	
	@ApiModelProperty(value = "乐队指导",required = false)
	private Integer directorUserId;

	@ApiModelProperty(value = "乐队指导",required = false)
	private String directorUserName;

	@ApiModelProperty(value = "乐团创建人",required = false)
	private Integer operatorUserId;

	@ApiModelProperty(value = "在读人数",required = true)
	private Integer payNum;

	@ApiModelProperty(value = "在读且有会员的人数",required = true)
	private Integer memberNum = 0;

	@ApiModelProperty(value = "在读且没有会员的人数",required = true)
	private Integer notMemberNum = 0;
	
	@ApiModelProperty(value = "是否是课堂课",required = true)
	private boolean isClassroomLessons;
	
	@ApiModelProperty(value = "备注",required = true)
	private String memo;

	private Integer repairUserId;

	@ApiModelProperty(value = "维修技师名称",required = true)
	private String repairUserName;

	@ApiModelProperty(value = "预计开团日期",required = true)
	private Date expectStartGroupDate;

	@ApiModelProperty(value = "成团人数",required = true)
	private Integer groupMemberNum;
	
	private OwnershipType ownershipType;
	
	private Boolean delFlag;

	private String subjectName;

	private Boolean hasVerifyMusicalList = false;
	
	private Boolean isShowRecordOfStudent = false;

	//0云教练1云教练+
	private Integer cloudTeacherType;

	@ApiModelProperty(value = "是否发放乐器",required = true)
	private Integer musicalInstrumentsProvideStatus;

	@ApiModelProperty(value = "发放乐器时间",required = true)
	private String musicalInstrumentsProvideTime;
	
	private Boolean memberCourseShowFlag = false;

	@ApiModelProperty(value = "作业是否发送消息",required = true)
	private Integer homeworkPushFlag = 1;

	@ApiModelProperty(value = "有乐保的人数",required = true)
	private Integer hasInstrumentNum;
	
	@ApiModelProperty(value = "收费标准",required = false)
	private BigDecimal chargeStandard;
	
	@ApiModelProperty(value = "是否赠送辅件",required = false)
	private Boolean isGiveAccessories;
	
	private ClassGroupTypeEnum extracurricularTeacher;
	
	@ApiModelProperty(value = "第一节课实际开始时间",required = false)
	private Date firstCourseStartTime;
	
	@ApiModelProperty(value = "建团编制",required = false)
	private Integer musicGroupPlanMakingId;
	
	@ApiModelProperty(value = "成团年级",required = false)
	private String firstRecruitGrade;
	
	@ApiModelProperty(value = "默认收费标准",required = false)
	private BigDecimal defaultChargeStandard;
	
	@ApiModelProperty(value = "单次训练时长",required = false)
	private String singleTrainMinutes;
	
	@ApiModelProperty(value = "课程计划",required = false)
	private String coursePlan;
	
	@ApiModelProperty(value = "销售活动描述",required = false)
	private String saleActivityDesc;
	
	@ApiModelProperty(value = "毕业年级",required = false)
	private Integer graduateGrade;
	
	@ApiModelProperty(value = "学生基数",required = false)
	private Integer basicStudentNum;
	
	@ApiModelProperty(value = "缴费方(学生、学校、第三方)",required = false)
	private String paymentUserType;
	
	@ApiModelProperty(value = "计费方式（缴费方为第三方或学校时，选择学员计费、老师计费）",required = false)
	private String chargeMode;

    @ApiModelProperty(value = "学生分布",required = false)
    private String gradeType;

	@ApiModelProperty(value = "进行中,缴费按钮控制",required = true)
	private Boolean isRemedy = false;

	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
