package com.ym.mec.biz.dal.entity;


import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

@ApiModel(value = "music_group_payment_calender_address")
@Data
public class MusicGroupPaymentCalenderAddress implements Serializable {
    @TableId(value = "id_", type = IdType.AUTO)
    @ApiModelProperty(value = "主键")
    private Long id;

    @TableField("calender_id_")
    @ApiModelProperty(value = "缴费项目编号")
    private Long calenderId;

    @TableField("order_no_")
    @ApiModelProperty("订单编号")
    private String orderNo;

    @TableField("delivery_flag_")
    @ApiModelProperty("是否发货")
    private Boolean deliveryFlag = false;

    @TableField("name_")
    @ApiModelProperty(value = "收货人")
    private String name;

    @TableField("phone_")
    @ApiModelProperty(value = "收货人手机号")
    private String phone;

    @TableField("province_")
    @ApiModelProperty(value = "省")
    private String province;

    @TableField("city_")
    @ApiModelProperty(value = "市")
    private String city;

    @TableField("region_")
    @ApiModelProperty(value = "区")
    private String region;

    @TableField("post_code_")
    @ApiModelProperty(value = "邮编")
    private String postCode;

    @TableField("address_")
    @ApiModelProperty(value = "详细地址")
    private String address;

    @TableField("delivery_detail_")
    @ApiModelProperty(value = "商品发货明细，用于同步订单的发货信息")
    private String deliveryDetail;

    @TableField("create_time_")
    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @TableField("update_time_")
    @ApiModelProperty(value = "更新时间")
    private Date updateTime;
}

