package com.ym.mec.biz.dal.entity;

import com.ym.mec.common.entity.BaseEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;

import java.math.BigDecimal;

/**
 * 对应数据库表(music_group_payment_calender_course_settings):
 */
@Data
public class MusicGroupPaymentCalenderCourseSettings extends BaseEntity {

	private Integer id;
	
	private Long musicGroupPaymentCalenderId;

	private String name;
	
	@ApiModelProperty(value = "课程类型", required = false)
	private CourseSchedule.CourseScheduleType courseType;

	@ApiModelProperty(value = "课程总时间", required = false)
	private Integer courseTotalMinuties;
	
	@ApiModelProperty(value = "单价", required = false)
	private java.math.BigDecimal unitPrice;
	
	@ApiModelProperty(value = "课程原价", required = false)
	private java.math.BigDecimal courseOriginalPrice;

	@ApiModelProperty(value = "课程现价", required = false)
	private java.math.BigDecimal courseCurrentPrice;

	@ApiModelProperty(value = "乐器、云教练溢出课程费用", required = false)
	private java.math.BigDecimal overflowCoursePrice = BigDecimal.ZERO;
	
	@ApiModelProperty(value = "是否学生可选", required = false)
	private boolean isStudentOptional = true;

	/**  */
	private java.util.Date createTime;
	
	/**  */
	private java.util.Date updateTime;

	public boolean getIsStudentOptional() {
		return isStudentOptional;
	}

	public void setIsStudentOptional(boolean studentOptional) {
		isStudentOptional = studentOptional;
	}

	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}
}
