package com.ym.mec.biz.dal.entity;

import com.ym.mec.auth.api.entity.SysUser;
import com.ym.mec.biz.dal.entity.MusicGroupStudentFee.PaymentStatus;
import com.ym.mec.biz.dal.enums.YesOrNoEnum;
import com.ym.mec.common.entity.BaseEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;

import java.math.BigDecimal;

/**
 * 对应数据库表(music_group_payment_calender_detail):
 */
@Data
public class MusicGroupPaymentCalenderDetail extends BaseEntity {

	/**  */
	private Long id;
	
	/**  */
	private Long musicGroupPaymentCalenderId;
	
	/**  */
	private Integer userId;

	/** 废弃字段，如果需要查看金额，请前往订单详情 */
	//经营报表乐器收入
	private java.math.BigDecimal expectAmount = BigDecimal.ZERO;

	/** 废弃字段，如果需要查看金额，请前往订单详情 */
	//经营报表云教练收入
	private java.math.BigDecimal expectMemberAmount = BigDecimal.ZERO;
	
	/** 废弃字段，如果需要查看金额，请前往订单详情 */
	//经营报表溢出的课程费用
	private java.math.BigDecimal actualAmount = BigDecimal.ZERO;
	
	/**  */
	private PaymentStatus paymentStatus;

	private MusicGroupPaymentCalender.PaymentType paymentType;
	
	/**  */
	private String userStatus;

	/**  */
	private String musicGroupId;

	/**1是0否  */
	private Integer open;

	/**1是0否  */
	private YesOrNoEnum openFlag;
	
	/**  */
	private java.util.Date payTime;

	/**  */
	private java.util.Date startPaymentDate;

	/**  */
	private java.util.Date deadlinePaymentDate;

	/**  */
	private java.util.Date startPaymentDateMgpc;

	/**  */
	private java.util.Date deadlinePaymentDateMgpc;

	@ApiModelProperty(value = "订单编号",required = true)
	private Long paymentOrderId;

	/**  */
	private java.util.Date updateTime;
	
	/**  */
	private java.util.Date createTime;

	private Integer useInCourse;
	
	private Integer responsibleUserId;
	
	private String responsibleRecord;

	private SysUser sysUser = new SysUser();
	
	private SysUser responsible = new SysUser();

	private StudentRegistration studentRegistration = new StudentRegistration();

	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
