package com.ym.mec.biz.dal.entity;

import com.ym.mec.biz.dal.entity.CourseSchedule.CourseScheduleType;
import com.ym.mec.common.entity.BaseEntity;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;

import java.math.BigDecimal;

/**
 * 对应数据库表(music_group_payment_student_course_detail):
 */
public class MusicGroupPaymentStudentCourseDetail extends BaseEntity {

	@ApiModelProperty(value = "乐团编号", required = false)
	private String musicGroupId;

	private Long id;

	@ApiModelProperty(value = "缴费项目编号", required = false)
	private Long musicGroupPaymentCalenderId;

	@ApiModelProperty(value = "缴费项目详情编号", required = false)
	private Long musicGroupPaymentCalenderDetailId;

	private Integer userId;

	@ApiModelProperty(value = "课程类型", required = false)
	private CourseScheduleType courseType;

	@ApiModelProperty(value = "总课时数", required = false)
	private Integer totalCourseMinutes;

	@ApiModelProperty(value = "课程原价", required = false)
	private BigDecimal courseOriginalPrice;

	@ApiModelProperty(value = "课程现价", required = false)
	private BigDecimal courseCurrentPrice;

	@ApiModelProperty(value = "剩余可排课课程原价", required = false)
	private java.math.BigDecimal subCourseOriginalPrice;

	@ApiModelProperty(value = "剩余可排课课程现价", required = false)
	private java.math.BigDecimal subCourseCurrentPrice;

	@ApiModelProperty(value = "已消耗时长", required = false)
	private Integer usedCourseMinutes;

	@ApiModelProperty(value = "剩余课程时长", required = false)
	private Integer subCourseMinutes;

	@ApiModelProperty(value = "标记是否云教练缴费项目",required = false)
	private Boolean cloudTeacherPaymentFlag = false;

	public BigDecimal getSubCourseOriginalPrice() {
		return subCourseOriginalPrice;
	}

	public void setSubCourseOriginalPrice(BigDecimal subCourseOriginalPrice) {
		this.subCourseOriginalPrice = subCourseOriginalPrice;
	}

	public BigDecimal getSubCourseCurrentPrice() {
		return subCourseCurrentPrice;
	}

	public void setSubCourseCurrentPrice(BigDecimal subCourseCurrentPrice) {
		this.subCourseCurrentPrice = subCourseCurrentPrice;
	}

	public Integer getSubCourseMinutes() {
		return subCourseMinutes;
	}

	public void setSubCourseMinutes(Integer subCourseMinutes) {
		this.subCourseMinutes = subCourseMinutes;
	}

	public String getMusicGroupId() {
		return musicGroupId;
	}

	public void setMusicGroupId(String musicGroupId) {
		this.musicGroupId = musicGroupId;
	}

	public Boolean getCloudTeacherPaymentFlag() {
		return cloudTeacherPaymentFlag;
	}

	public void setCloudTeacherPaymentFlag(Boolean cloudTeacherPaymentFlag) {
		this.cloudTeacherPaymentFlag = cloudTeacherPaymentFlag;
	}
	
	/**  */
	private java.util.Date createTime;
	
	/**  */
	private java.util.Date updateTime;

	public BigDecimal getCourseOriginalPrice() {
		return courseOriginalPrice;
	}

	public void setCourseOriginalPrice(BigDecimal courseOriginalPrice) {
		this.courseOriginalPrice = courseOriginalPrice;
	}

	public BigDecimal getCourseCurrentPrice() {
		return courseCurrentPrice;
	}

	public void setCourseCurrentPrice(BigDecimal courseCurrentPrice) {
		this.courseCurrentPrice = courseCurrentPrice;
	}

	public void setId(Long id){
		this.id = id;
	}
	
	public Long getId(){
		return this.id;
	}
			
	public void setMusicGroupPaymentCalenderId(Long musicGroupPaymentCalenderId){
		this.musicGroupPaymentCalenderId = musicGroupPaymentCalenderId;
	}
	
	public Long getMusicGroupPaymentCalenderId(){
		return this.musicGroupPaymentCalenderId;
	}
			
	public void setMusicGroupPaymentCalenderDetailId(Long musicGroupPaymentCalenderDetailId){
		this.musicGroupPaymentCalenderDetailId = musicGroupPaymentCalenderDetailId;
	}
	
	public Long getMusicGroupPaymentCalenderDetailId(){
		return this.musicGroupPaymentCalenderDetailId;
	}
			
	public void setUserId(Integer userId){
		this.userId = userId;
	}
	
	public Integer getUserId(){
		return this.userId;
	}
			
	public void setCourseType(CourseScheduleType courseType){
		this.courseType = courseType;
	}
	
	public CourseScheduleType getCourseType(){
		return this.courseType;
	}
			
	public void setTotalCourseMinutes(Integer totalCourseMinutes){
		this.totalCourseMinutes = totalCourseMinutes;
	}
	
	public Integer getTotalCourseMinutes(){
		return this.totalCourseMinutes;
	}
			
	public void setUsedCourseMinutes(Integer usedCourseMinutes){
		this.usedCourseMinutes = usedCourseMinutes;
	}
	
	public Integer getUsedCourseMinutes(){
		return this.usedCourseMinutes;
	}
			
	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	public void setUpdateTime(java.util.Date updateTime){
		this.updateTime = updateTime;
	}
	
	public java.util.Date getUpdateTime(){
		return this.updateTime;
	}
			
	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
