package com.ym.mec.biz.dal.entity;

import com.ym.mec.auth.api.entity.SysUser;
import com.ym.mec.biz.dal.enums.school.EQuitGroupAuditStatusEnum;
import com.ym.mec.common.entity.BaseEntity;
import com.ym.mec.common.enums.BaseEnum;
import com.ym.mec.common.tenant.TenantContextHolder;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 对应数据库表(music_group_quit):
 */
@Data
public class MusicGroupQuit {

	/**  */
	private Long id;

	/** 用户编号 */
	private Integer userId;

	/** 乐团编号 */
	private String musicGroupId;

	/** 加入时间 */
	private java.util.Date joinDate;

	/** 退出时间 */
	private java.util.Date quitDate;

	/**  */
	private java.util.Date createTime;
	
	private String userComment;

	private ReasonEnum reasonEnum;

	/** 退团原因 */
	private String reason;

	private ApprovalStatus status;
	
	private Integer applyUserId;

	private String applyUserName;
	
	private Boolean isVisit = false;
	
	private Date visitTime;
	
	private String feeJson;
	
	private BigDecimal returnTotalFee;
	
	private String currentApproveRole;

	private Integer operatorId;
	
	private SysUser user = new SysUser();
	
	private MusicGroup musicGroup = new MusicGroup();
	
	private MusicGroupReturnFeeDto returnFeeDto;

	@ApiModelProperty(value = "是否有乐保",required = false)
	private Boolean hasMaintenance = false;

	@ApiModelProperty(value = "云教练金额",required = false)
	private BigDecimal cloudTeacherAmount = BigDecimal.ZERO;

	@ApiModelProperty(value = "学校审核人",required = false)
	private Integer auditSchoolStaff;

	@ApiModelProperty(value = "学校审核状态",required = false)
	private EQuitGroupAuditStatusEnum schoolStaffAuditStatus;

	@ApiModelProperty(value = "学校审核原因",required = true)
	private String schoolStaffAuditReason;

	//毕业、不感兴趣、时间冲突、身体不适、其他（必选）
	public enum ReasonEnum implements BaseEnum<String, MusicGroupQuit.ReasonEnum> {
		GRADUATE("GRADUATE", "毕业"),
		NOT_INTERESTED("NOT_INTERESTED", "不感兴趣"),
		TIME_CONFLICT("TIME_CONFLICT", "时间冲突"),
		FEELING_UNWELL("FEELING_UNWELL", "身体不适"),
		OTHER("OTHER", "其他");

		private String code;

		private String msg;

		ReasonEnum(String code, String msg) {
			this.code = code;
			this.msg = msg;
		}

		@Override
		public String getCode() {
			return code;
		}

		public String getMsg() {
			return msg;
		}
	}

	private Integer tenantId = TenantContextHolder.getTenantId();
}
