package com.ym.mec.biz.dal.entity;

import com.ym.mec.biz.dal.enums.GoodsType;
import com.ym.mec.biz.dal.enums.KitGroupPurchaseTypeEnum;
import com.ym.mec.common.entity.BaseEntity;

import io.swagger.annotations.ApiModelProperty;

import org.apache.commons.lang3.builder.ToStringBuilder;

import java.math.BigDecimal;
import java.util.List;

/**
 * 对应数据库表(music_group_subject_goods_group):
 */
public class MusicGroupSubjectGoodsGroup extends BaseEntity {

	/**  */
	private Long id;
	
	/** 名称 */
	@ApiModelProperty(value = "商品打包名称",required = false)
	private String name;
	
	/** 类型(乐器、辅件、教材) */
	@ApiModelProperty(value = "商品类型",required = false)
	private GoodsType type;
	
	/**  */
	@ApiModelProperty(value = "乐团编号",required = false)
	private String musicGroupId;
	
	/**  */
	@ApiModelProperty(value = "科目编号",required = false)
	private Integer subjectId;
	
	/** 商品列表(用逗号,分开) */
	@ApiModelProperty(value = "商品列表(用逗号,分开)",required = false)
	private String goodsIdList;

	@ApiModelProperty(value = "商品名称列表",required = false)
	private List<String> goodsName;

	private List<Goods> goodsList;

	//团购减免课程费用
	private BigDecimal remissionCourseFee;

	//团购减免课程费用 1-是 0-否
	private Integer groupRemissionCourseFee;

	//租赁押金
	private BigDecimal depositFee;

	//购买方式
	private KitGroupPurchaseTypeEnum kitGroupPurchaseType;

	//购买方式-乐器减免金额 json
	@ApiModelProperty(value = "购买方式-乐器减免金额 json",required = false)
	private String kitGroupPurchaseTypeJson;

	//购买方式-减免金额 json
	@ApiModelProperty(value = "购买方式-课程减免金额 json",required = false)
	private String coursePurchaseTypeJson;


	@ApiModelProperty(value = "子商品列表",required = false)
	private List<Goods> childGoodsList;


	/**  */
	private java.util.Date createTime;
	
	/**  */
	private java.util.Date updateTime;
	
	/** 打包价格 */
	@ApiModelProperty(value = "打包价格",required = false)
	private BigDecimal price = new BigDecimal(0);
	
	@ApiModelProperty(value = "分部分润金额",required = false)
	private BigDecimal organShareProfit;

	public List<String> getGoodsName() {
		return goodsName;
	}

	public void setGoodsName(List<String> goodsName) {
		this.goodsName = goodsName;
	}

	public void setId(Long id){
		this.id = id;
	}
	
	public Long getId(){
		return this.id;
	}
			
	public void setName(String name){
		this.name = name;
	}
	
	public String getName(){
		return this.name;
	}

	public GoodsType getType() {
		return type;
	}

	public void setType(GoodsType type) {
		this.type = type;
	}

	public void setMusicGroupId(String musicGroupId){
		this.musicGroupId = musicGroupId;
	}
	
	public String getMusicGroupId(){
		return this.musicGroupId;
	}
			
	public void setSubjectId(Integer subjectId){
		this.subjectId = subjectId;
	}
	
	public Integer getSubjectId(){
		return this.subjectId;
	}
			
	public void setGoodsIdList(String goodsIdList){
		this.goodsIdList = goodsIdList;
	}
	
	public String getGoodsIdList(){
		return this.goodsIdList;
	}
			
	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	public void setUpdateTime(java.util.Date updateTime){
		this.updateTime = updateTime;
	}
	
	public java.util.Date getUpdateTime(){
		return this.updateTime;
	}

	public BigDecimal getPrice() {
		return price;
	}

	public void setPrice(BigDecimal price) {
		this.price = price;
	}

	public List<Goods> getGoodsList() {
		return goodsList;
	}

	public void setGoodsList(List<Goods> goodsList) {
		this.goodsList = goodsList;
	}

	public BigDecimal getRemissionCourseFee() {
		return remissionCourseFee;
	}

	public void setRemissionCourseFee(BigDecimal remissionCourseFee) {
		this.remissionCourseFee = remissionCourseFee;
	}

	public BigDecimal getDepositFee() {
		return depositFee;
	}

	public void setDepositFee(BigDecimal depositFee) {
		this.depositFee = depositFee;
	}

	public KitGroupPurchaseTypeEnum getKitGroupPurchaseType() {
		return kitGroupPurchaseType;
	}

	public void setKitGroupPurchaseType(KitGroupPurchaseTypeEnum kitGroupPurchaseType) {
		this.kitGroupPurchaseType = kitGroupPurchaseType;
	}

	public String getCoursePurchaseTypeJson() {
		return coursePurchaseTypeJson;
	}

	public void setCoursePurchaseTypeJson(String coursePurchaseTypeJson) {
		this.coursePurchaseTypeJson = coursePurchaseTypeJson;
	}


	public String getKitGroupPurchaseTypeJson() {
		return kitGroupPurchaseTypeJson;
	}

	public void setKitGroupPurchaseTypeJson(String kitGroupPurchaseTypeJson) {
		this.kitGroupPurchaseTypeJson = kitGroupPurchaseTypeJson;
	}

	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

	public Integer getGroupRemissionCourseFee() {
		return groupRemissionCourseFee;
	}

	public void setGroupRemissionCourseFee(Integer groupRemissionCourseFee) {
		this.groupRemissionCourseFee = groupRemissionCourseFee;
	}

	public List<Goods> getChildGoodsList() {
		return childGoodsList;
	}

	public void setChildGoodsList(List<Goods> childGoodsList) {
		this.childGoodsList = childGoodsList;
	}

	public BigDecimal getOrganShareProfit() {
		return organShareProfit;
	}

	public void setOrganShareProfit(BigDecimal organShareProfit) {
		this.organShareProfit = organShareProfit;
	}
}
