package com.ym.mec.biz.dal.entity;

import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;

import com.ym.mec.biz.dal.enums.GradeTypeEnum;
import com.ym.mec.biz.dal.enums.YesOrNoEnum;
import com.ym.mec.common.entity.BaseEntity;

/**
 * 对应数据库表(organization):
 */
@Data
public class Organization extends BaseEntity {

	private static final long serialVersionUID = -8979746516597046410L;

	/**  */
	private Integer id;
	
	/** 机构名称 */
	@ApiModelProperty(value = "机构名称",required = false)
	private String name;

	/** 机构名称 */
	@ApiModelProperty(value = "区域名称",required = false)
	private String areaName;
	
	/** 区域编码 */
	@ApiModelProperty(value = "区域编码",required = false)
	private Integer areaId;
	
	private String corporateName;
	
	private String corporateCode;
	
	private String corporateSeal;
	
	private String corporateFinancialSeal;
	
	private BigDecimal maxMusicalInstrumentsProfits;
	
	/** 创建时间 */
	private Date createTime;
	
	/** 修改时间 */
	private Date updateTime;
	
	/** 是否删除  -1：已删除  0：正常 */
	@ApiModelProperty(value = "是否删除  1：已删除  0：正常",required = false)
	private YesOrNoEnum delFlag;

	@ApiModelProperty(value = "成立日期",required = false)
	private Date registerDate;

	@ApiModelProperty(value = "联系人",required = false)
	private String linkman;

	@ApiModelProperty(value = "联系方式",required = false)
	private String mobile;

	@ApiModelProperty(value = "地址",required = false)
	private String address;

	@ApiModelProperty(value = "可用教材编号，多个逗号分割",required = false)
	private String teachingMaterialId;

	@ApiModelProperty(value = "学年制",required = false)
	private GradeTypeEnum gradeType;

	@ApiModelProperty(value = "子节点列表",required = false)
	private List<Organization> organizations;
	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}
}
