package com.ym.mec.biz.dal.entity;

import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;

import org.apache.commons.lang3.builder.ToStringBuilder;

import com.ym.mec.biz.dal.entity.CourseSchedule.CourseScheduleType;
import com.ym.mec.biz.dal.enums.CourseViewTypeEnum;
import com.ym.mec.common.entity.BaseEntity;

/**
 * 对应数据库表(organization_course_unit_price_settings):
 */
public class OrganizationCourseUnitPriceSettings extends BaseEntity {

	/**  */
	private Integer id;
	
	/**  */
	private Integer organId;
	
	/** 课程类型 */
	private CourseScheduleType courseType;
	
	@ApiModelProperty(value = "收费模式",required = false)
	private CourseViewTypeEnum courseViewType;

	private BigDecimal unitPrice = new BigDecimal(0);
	
	/**  */
	private java.util.Date createTime;
	
	/**  */
	private java.util.Date updateTime;
	
	private Organization organ = new Organization();
	
	public void setId(Integer id){
		this.id = id;
	}
	
	public Integer getId(){
		return this.id;
	}
			
	public void setOrganId(Integer organId){
		this.organId = organId;
	}
	
	public Integer getOrganId(){
		return this.organId;
	}
			
	public CourseViewTypeEnum getCourseViewType() {
		return courseViewType;
	}

	public void setCourseViewType(CourseViewTypeEnum courseViewType) {
		this.courseViewType = courseViewType;
	}

	public CourseScheduleType getCourseType() {
		return courseType;
	}

	public void setCourseType(CourseScheduleType courseType) {
		this.courseType = courseType;
	}
			
	public BigDecimal getUnitPrice() {
		return unitPrice;
	}

	public void setUnitPrice(BigDecimal unitPrice) {
		this.unitPrice = unitPrice;
	}

	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	public void setUpdateTime(java.util.Date updateTime){
		this.updateTime = updateTime;
	}
	
	public java.util.Date getUpdateTime(){
		return this.updateTime;
	}

	public Organization getOrgan() {
		return organ;
	}

	public void setOrgan(Organization organ) {
		this.organ = organ;
	}

	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
