package com.ym.mec.biz.dal.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.ym.mec.biz.dal.enums.ESchoolActivityType;
import lombok.Data;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;


/**
 * 学校活动
 * 2023-05-04 11:32:00
 */
@Data
@ApiModel(" SchoolActivity-学校活动")
@TableName("school_activity")
public class SchoolActivity implements Serializable {

	    @TableId(value = "id_", type = IdType.AUTO)
        private Integer id;

    @ApiModelProperty("合作单位ID")
    @TableField(value = "cooperation_organ_id_")
    private Integer cooperationOrganId;

    @ApiModelProperty("活动开始日期") 
	@TableField(value = "start_time_")
    private Date startTime;

    @ApiModelProperty("活动结束日期") 
	@TableField(value = "end_time_")
    private Date endTime;

    @ApiModelProperty("活动名称") 
	@TableField(value = "name_")
    private String name;

    @ApiModelProperty("活动类型 开放日 OPEN_DAY 汇演 PERFORMANCE 音乐会 CONCERT 比赛 COMPETITION 讲座 LECTURE 校庆 SCHOOL_DAY 迎宾 WELCOME 其他 OTHER")
	@TableField(value = "type_")
    private ESchoolActivityType type;

    @ApiModelProperty("创建人ID") 
	@TableField(value = "create_by_")
    private Integer createBy;

	@TableField(value = "create_time_")
    private Date createTime;

	@TableField(value = "update_time_")
    private Date updateTime;

}