package com.ym.mec.biz.dal.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.ym.mec.biz.dal.enums.ESchoolActivityProgramType;
import lombok.Data;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;


/**
 * 活动详情
 * 2023-05-04 11:32:00
 */
@Data
@ApiModel(" SchoolActivityDetail-活动详情")
@TableName("school_activity_detail")
public class SchoolActivityDetail implements Serializable {

	    @TableId(value = "id_", type = IdType.AUTO)
        private Integer id;

    @ApiModelProperty("合作单位ID")
    @TableField(value = "cooperation_organ_id_")
    private Integer cooperationOrganId;

    @ApiModelProperty("活动id") 
	@TableField(value = "school_activity_id_")
    private Integer schoolActivityId;

    @ApiModelProperty("节目名称") 
	@TableField(value = "name_")
    private String name;

    @ApiModelProperty("节目类型") 
	@TableField(value = "type_")
    private ESchoolActivityProgramType type;

    @ApiModelProperty("乐团ID") 
	@TableField(value = "music_group_id_")
    private String musicGroupId;

    @ApiModelProperty("声部ID集合") 
	@TableField(value = "subject_id_list_")
    private String subjectIdList;

    @ApiModelProperty("学生人数") 
	@TableField(value = "student_num_")
    private Integer studentNum;

    @ApiModelProperty("节目时长-秒") 
	@TableField(value = "time_")
    private Integer time;

    @ApiModelProperty("节目排序")
    @TableField(value = "sort_")
    private Integer sort;

    @ApiModelProperty("附件") 
	@TableField(value = "attachment_url_")
    private String attachmentUrl;

	@TableField(value = "create_time_")
    private Date createTime;

	@TableField(value = "update_time_")
    private Date updateTime;

}