package com.ym.mec.biz.dal.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.ym.mec.biz.dal.enums.school.ESchoolStaffType;
import lombok.Data;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;


/**
 * 学校员工
 * 2023-05-06 10:49:23
 */
@Data
@ApiModel(" SchoolStaff-学校员工")
@TableName("school_staff")
public class SchoolStaff implements Serializable {

    @ApiModelProperty("主键") 
    @TableId(value = "id_", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("学校ID") 
	@TableField(value = "school_id_")
    private Long schoolId;

    @ApiModelProperty("用户帐号ID") 
	@TableField(value = "user_id_")
    private Long userId;

    @ApiModelProperty("头像") 
	@TableField(value = "avatar_")
    private String avatar;

    @ApiModelProperty("昵称") 
	@TableField(value = "nickname_")
    private String nickname;

    @ApiModelProperty("用户身份(校长，乐团领队，分管领导，负责老师)") 
	@TableField(value = "user_type_")
    private ESchoolStaffType userType;

    @ApiModelProperty("帐号状态(注销 -1，冻结 9，激活 1)")
	@TableField(value = "status_")
    private String status;

    @ApiModelProperty("恢复状态") 
	@TableField(value = "recovery_status_")
    private Boolean recoveryStatus;

    @ApiModelProperty("所在分部编号") 
	@TableField(value = "organ_id_list_")
    private String organIdList;

    @ApiModelProperty("机构编号") 
	@TableField(value = "tenant_id_")
    private Integer tenantId;

    @ApiModelProperty("更新时间") 
	@TableField(value = "update_time_")
    private Date updateTime;

    @ApiModelProperty("创建时间") 
	@TableField(value = "create_time_")
    private Date createTime;


    @ApiModelProperty("IM绑定设备")
    @TableField(value = "im_device_id_")
    private String imDeviceId;
}