package com.ym.mec.biz.dal.entity;

import com.ym.mec.biz.dal.enums.AccountType;
import com.ym.mec.biz.dal.enums.SellStatus;
import com.ym.mec.biz.dal.enums.SellTypeEnum;
import com.ym.mec.biz.dal.enums.StockType;
import com.ym.mec.common.entity.BaseEntity;

import com.ym.mec.common.tenant.TenantContextHolder;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@ApiModel(value="com-ym-SellOrder")
@Data
public class SellOrder{
    private Integer id;

    @ApiModelProperty(value="教务id")
    private Integer eduTeacherId;

    @ApiModelProperty(value="教务老师")
    private String eduTeacher;

    @ApiModelProperty(value="分部id")
    private Integer organId;

    @ApiModelProperty(value="学校id")
    private Integer cooperationOrganId;

    @ApiModelProperty(value="学校名称")
    private String schoolName;

    @ApiModelProperty(value="交易流水号")
    private String transNo;

    @ApiModelProperty(value="订单id")
    private Long orderId;

    private String organName;

    @ApiModelProperty(value="订单号")
    private String orderNo;

    @ApiModelProperty(value="应付金额")
    private BigDecimal expectAmount = BigDecimal.ZERO;

    @ApiModelProperty(value="现金支付金额")
    private BigDecimal actualAmount = BigDecimal.ZERO;

    @ApiModelProperty(value="余额支付金额")
    private BigDecimal balanceAmount = BigDecimal.ZERO;

    @ApiModelProperty(value="总部销售成本")
    private BigDecimal sellCost = BigDecimal.ZERO;

    @ApiModelProperty(value="分部销售成本")
    private BigDecimal organSellCost = BigDecimal.ZERO;

    @ApiModelProperty(value="销售成本2")
    private String sellCost2;

    @ApiModelProperty(value="销售类型")
    private SellTypeEnum type;

    @ApiModelProperty(value="组合商品id")
    private Integer parentGoodsId;

    @ApiModelProperty(value="商品id")
    private Integer goodsId;

    @ApiModelProperty(value="商品sku_id")
    private Integer goodsSkuId;

    @ApiModelProperty(value="商品名称")
    private String goodsName;

    @ApiModelProperty(value="数量")
    private Integer num;

    @ApiModelProperty(value="用户id")
    private Integer userId;

    private String userName;

    private String phone;

    @ApiModelProperty(value="交易方式")
    private String paymentChannel;

    private String paymentChannelStr;

    @ApiModelProperty(value="收款账户")
    private String merNo;

    @ApiModelProperty(value="批次号")
    private String batchNo;

    @ApiModelProperty(value="库存类型")
    private StockType stockType;

    @ApiModelProperty(value = "账户类型")
    private AccountType accountType;

    private String accountTypeStr;

    @ApiModelProperty(value = "状态")
    private SellStatus status;

    @ApiModelProperty(value="退货时间")
    private Date refundTime;

    @ApiModelProperty(value="交易时间")
    private Date sellTime;

    @ApiModelProperty(value="创建时间")
    private Date createIme;

    @ApiModelProperty(value="更新时间")
    private Date updateTime;

    @ApiModelProperty(value = "收货状态，NO_RECEIVE 未确认,MANUAL_RECEIVE 手动确认,AUTO_RECEIVE 自动确认",required = true)
    private String receiveStatus;

    private String receiveStatusStr;

    private Boolean hasRoute = false;

    @ApiModelProperty(value="优惠券减免")
    private BigDecimal couponRemitAmount = BigDecimal.ZERO;

    @ApiModelProperty(value="订单金额")
    private BigDecimal orderAmount = BigDecimal.ZERO;

    @ApiModelProperty(value="发货时间")
    private String deliveryTime;

    private Integer tenantId = TenantContextHolder.getTenantId();
}
