package com.ym.mec.biz.dal.entity;

import com.ym.mec.biz.dal.enums.SporadicChargeTypeEnum;
import com.ym.mec.biz.dal.enums.YesOrNoEnum;
import com.ym.mec.common.entity.BaseEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 对应数据库表(sporadic_charge_info):
 */
@Data
public class SporadicChargeInfo extends BaseEntity {
	/**  */
	private Integer id;

	@ApiModelProperty(value = "标题", required = true)
	private String title;

	@ApiModelProperty(value = "收费类型", required = true)
	private SporadicChargeTypeEnum chargeType;

	private String organId;

	private String organName;

	private BigDecimal amount;

	//优惠金额
	private BigDecimal discountAmount;

	private BigDecimal balance;

	private Integer userId;

	private String userName;

	@ApiModelProperty(value = "收费详情", required = true)
	private String detail;

	private Date createTime;

	private Date updateTime;

	@ApiModelProperty(value = "操作人编号", required = true)
	private Integer operatorId;

	@ApiModelProperty(value = "操作人", required = true)
	private String operatorName;

	@ApiModelProperty(value = "是否关闭", required = true)
	private Integer openFlag;

	@ApiModelProperty(value = "是否删除", required = true)
	private Integer delFlag;

	private String openFlagStr;

	private String orderType;

	@ApiModelProperty(value = "所属乐团", required = true)
	private String musicGroupId;

	@ApiModelProperty(value = "所属乐团名称", required = true)
	private String musicGroupName;

	@ApiModelProperty(value = "缴费最大人数", required = true)
	private Integer maxNum;

	private Integer paidNum;

	@ApiModelProperty(value = "最大缴费金额", required = true)
	private BigDecimal maxAmount;

	private BigDecimal paidAmount;

	@ApiModelProperty(value = "是否开启最大缴费金额限制 1 开启 0-关闭", required = true)
	private YesOrNoEnum openMaxTerm;

	private Integer version;
}
