package com.ym.mec.biz.dal.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.ym.mec.auth.api.entity.SysUser;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;

import java.util.Date;
import java.util.HashMap;
import java.util.Map;

/**
 * 对应数据库表(student):
 */
public class Student extends SysUser {
	/**
	 * 
	 */
	private static final long serialVersionUID = -5869690088559659057L;

	/**  */
	private Integer userId;
	
	private String schoolName;
	
	/**  */
	private String subjectIdList;

	/**  */
	private String subjectNames;

	private Integer serviceTag;

	private Integer operatingTag;

	private Integer operatingTempTag;

	/**  */
	private java.util.Date createTime;
	
	/**  */
	private java.util.Date updateTime;

	private Boolean isNewUser;

	@ApiModelProperty(value = "关心包：0：默认不可用；1：可用；2：已使用;")
	private Integer carePackage;

	@ApiModelProperty(value = "加油包：0：默认不可用；1：可用；2：已使用;")
	private Integer comeOnPackage;

	@ApiModelProperty(value = "年级 1-13")
	private Integer currentGradeNum;

	@ApiModelProperty(value = "班级")
	private String currentClass;

	private Integer cooperationOrganId;
	
	private Integer memberRankSettingId;
	
	private Date membershipStartTime;
	
	private Date membershipEndTime;

	private Integer experienceMemberRankSettingId;

	private Date experienceMembershipStartTime;

	private Date experienceMembershipEndTime;
	
	private String memberRankImg;

	@ApiModelProperty(value = "活动排课信息")
	private String activityCourseDetail;

	private Integer countFlag;
	
	private String extSubjectIds;
	
	private Map<Integer,String> extSjectNamesMap = new HashMap<Integer, String>();

	@ApiModelProperty(value = "家长姓名")
	private String parentName;

	@ApiModelProperty(value = "学员是否需要维修乐器")
	private Boolean repairFlag = false;

	@ApiModelProperty(value = "排课老师")
	private Integer courseTeacher;

    @ApiModelProperty("IM绑定设备")
    private String imDeviceId;


    public String getImDeviceId() {
        return imDeviceId;
    }

    public void setImDeviceId(String imDeviceId) {
        this.imDeviceId = imDeviceId;
    }

    public Integer getCourseTeacher() {
		return courseTeacher;
	}

	public void setCourseTeacher(Integer courseTeacher) {
		this.courseTeacher = courseTeacher;
	}

	public Boolean getRepairFlag() {
		return repairFlag;
	}

	public void setRepairFlag(Boolean repairFlag) {
		this.repairFlag = repairFlag;
	}

	public Student(Integer userId, String subjectIdList) {
		this.userId = userId;
		this.subjectIdList = subjectIdList;
	}

	public Integer getCountFlag() {
		return countFlag;
	}

	public void setCountFlag(Integer countFlag) {
		this.countFlag = countFlag;
	}

	public Integer getExperienceMemberRankSettingId() {
		return experienceMemberRankSettingId;
	}

	public void setExperienceMemberRankSettingId(Integer experienceMemberRankSettingId) {
		this.experienceMemberRankSettingId = experienceMemberRankSettingId;
	}

	public Date getExperienceMembershipStartTime() {
		return experienceMembershipStartTime;
	}

	public void setExperienceMembershipStartTime(Date experienceMembershipStartTime) {
		this.experienceMembershipStartTime = experienceMembershipStartTime;
	}

	public Date getExperienceMembershipEndTime() {
		return experienceMembershipEndTime;
	}

	public void setExperienceMembershipEndTime(Date experienceMembershipEndTime) {
		this.experienceMembershipEndTime = experienceMembershipEndTime;
	}

	public String getActivityCourseDetail() {
		return activityCourseDetail;
	}

	public void setActivityCourseDetail(String activityCourseDetail) {
		this.activityCourseDetail = activityCourseDetail;
	}

	public Boolean getIsNewUser() {
		return isNewUser;
	}

	public void setIsNewUser(Boolean isNewUser) {
		this.isNewUser = isNewUser;
	}

	public String getSubjectNames() {
		return subjectNames;
	}

	public void setSubjectNames(String subjectNames) {
		this.subjectNames = subjectNames;
	}

	public Student(Integer userId) {
		this.userId = userId;
	}

	public Student() {
	}

	public void setUserId(Integer userId){
		this.userId = userId;
	}
	
	public Integer getUserId(){
		return this.userId;
	}
			
	public String getSchoolName() {
		return schoolName;
	}

	public void setSchoolName(String schoolName) {
		this.schoolName = schoolName;
	}

	public void setSubjectIdList(String subjectIdList){
		this.subjectIdList = subjectIdList;
	}
	
	public String getSubjectIdList(){
		return this.subjectIdList;
	}
			
	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	public void setUpdateTime(java.util.Date updateTime){
		this.updateTime = updateTime;
	}
	
	public java.util.Date getUpdateTime(){
		return this.updateTime;
	}


	public Integer getServiceTag() {
		return serviceTag;
	}

	public void setServiceTag(Integer serviceTag) {
		this.serviceTag = serviceTag;
	}

	public Integer getOperatingTag() {
		return operatingTag;
	}

	public void setOperatingTag(Integer operatingTag) {
		this.operatingTag = operatingTag;
	}

	public Integer getOperatingTempTag() {
		return operatingTempTag;
	}

	public void setOperatingTempTag(Integer operatingTempTag) {
		this.operatingTempTag = operatingTempTag;
	}

	public Integer getCarePackage() {
		return carePackage;
	}

	public void setCarePackage(Integer carePackage) {
		this.carePackage = carePackage;
	}

	public Integer getComeOnPackage() {
		return comeOnPackage;
	}

	public void setComeOnPackage(Integer comeOnPackage) {
		this.comeOnPackage = comeOnPackage;
	}

	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

	public Integer getCurrentGradeNum() {
		return currentGradeNum;
	}

	public void setCurrentGradeNum(Integer currentGradeNum) {
		this.currentGradeNum = currentGradeNum;
	}

	public Integer getCooperationOrganId() {
		return cooperationOrganId;
	}

	public void setCooperationOrganId(Integer cooperationOrganId) {
		this.cooperationOrganId = cooperationOrganId;
	}

	@Override
	public String getCurrentClass() {
		return currentClass;
	}

	@Override
	public void setCurrentClass(String currentClass) {
		this.currentClass = currentClass;
	}

	public Integer getMemberRankSettingId() {
		return memberRankSettingId;
	}

	public void setMemberRankSettingId(Integer memberRankSettingId) {
		this.memberRankSettingId = memberRankSettingId;
	}

	public Date getMembershipStartTime() {
		return membershipStartTime;
	}

	public void setMembershipStartTime(Date membershipStartTime) {
		this.membershipStartTime = membershipStartTime;
	}

	public Date getMembershipEndTime() {
		return membershipEndTime;
	}

	public void setMembershipEndTime(Date membershipEndTime) {
		this.membershipEndTime = membershipEndTime;
	}

	public String getMemberRankImg() {
		return memberRankImg;
	}

	public void setMemberRankImg(String memberRankImg) {
		this.memberRankImg = memberRankImg;
	}

	public String getParentName() {
		return parentName;
	}

	public void setParentName(String parentName) {
		this.parentName = parentName;
	}

	public String getExtSubjectIds() {
		return extSubjectIds;
	}

	public void setExtSubjectIds(String extSubjectIds) {
		this.extSubjectIds = extSubjectIds;
	}

	public Map<Integer, String> getExtSjectNamesMap() {
		return extSjectNamesMap;
	}

	public void setExtSjectNamesMap(Map<Integer, String> extSjectNamesMap) {
		this.extSjectNamesMap = extSjectNamesMap;
	}
}
