package com.ym.mec.biz.dal.entity;

import com.ym.mec.biz.dal.dto.StudentLessonTrainingDetailWrapper;
import com.ym.mec.biz.dal.enums.ELessonTrainingType;
import com.ym.mec.biz.dal.enums.GroupType;
import com.ym.mec.biz.dal.enums.ImSendTypeEnum;
import com.ym.mec.biz.dal.enums.StandardEnum;
import com.ym.mec.biz.dal.enums.YesOrNoEnum;
import com.ym.mec.common.entity.BaseEntity;

import io.swagger.annotations.ApiModelProperty;

import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;

import java.util.Date;
import java.util.List;

/**
 * 对应数据库表(student_course_homework):
 */
@Data
public class StudentCourseHomework extends BaseEntity {

	/**  */
	private Long id;

	@ApiModelProperty(value = "学生ID",required = false)
	private Integer userId;

	@ApiModelProperty(value = "用户名")
	private String userName;

	@ApiModelProperty(value = "手机号")
	private String phone;

	@ApiModelProperty(value = "头像")
	private String avatar;
	
	/**  */
	@ApiModelProperty(value="作业编号")
	private Long courseHomeworkId;

	@ApiModelProperty(value="课程编号")
	private Long courseScheduleId;
	
	private CourseHomework courseHomework = new CourseHomework();
	
	/** 作品附件 */
	@ApiModelProperty(value="作品附件")
	private String attachments;
	
	/** 评分 */
	@ApiModelProperty(value="评分")
	private Integer score;
	
	/**  */
	private java.util.Date createTime;
	
	/**  */
	private java.util.Date updateTime;

	private boolean extra;

	@ApiModelProperty(value="提交时间")
	private Date submitTime;

    @ApiModelProperty(value="类型")
    private GroupType groupType;

	private ImSendTypeEnum msgType = ImSendTypeEnum.TXT;

	//伴奏编号
	@ApiModelProperty(value="伴奏编号")
	private String musicScoreId;

	//伴奏编号
	@ApiModelProperty(value="伴奏编号（包含分谱信息）")
	private String musicScoreContent;

	//伴奏编号
	@ApiModelProperty(value="伴奏名称")
	private String musicScoreName;

	@ApiModelProperty(value = "0未达标、1达标、2优秀",required = true)
	private StandardEnum standardFlag;

    @ApiModelProperty("完成状态")
    private Boolean  finishFlag;

    @ApiModelProperty("是否是vip")
    private Boolean vipFlag;

    @ApiModelProperty("声部id")
    private Integer subjectId;

    @ApiModelProperty("声部名称")
    private String subjectName;

    @ApiModelProperty(value = "作业类型 来源（HOMEWORK,EXTRACURRICULAR,EXTRA）",required = true)
    private ELessonTrainingType type;

    @ApiModelProperty(value = "练习内容")
    private List<StudentLessonTrainingDetailWrapper.StudentLessonTrainingDetail> studentLessonTrainingDetail;

	@ApiModelProperty(value = "备注",required = false)
	private String remark;

	@ApiModelProperty(value = "提交状态",required = false)
	private YesOrNoEnum status;

	@ApiModelProperty(value = "是否已经回复",required = false)
	private YesOrNoEnum isReplied;

	private Integer isRepliedTimely;

	@ApiModelProperty(value = "是否已查看")
	private YesOrNoEnum isView;

	public Integer getIsRepliedTimely() {
		return isRepliedTimely;
	}

	public void setIsRepliedTimely(Integer isRepliedTimely) {
		this.isRepliedTimely = isRepliedTimely;
	}

	public YesOrNoEnum getIsView() {
		return isView;
	}

	public void setIsView(YesOrNoEnum isView) {
		this.isView = isView;
	}

	public YesOrNoEnum getIsReplied() {
		return isReplied;
	}

	public void setIsReplied(YesOrNoEnum isReplied) {
		this.isReplied = isReplied;
	}
	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}
}
