package com.ym.mec.biz.dal.entity;


import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * 学生进度评测表(StudentLessonExamination)表实体类
 *
 * @author zx
 * @since 2023-04-03 18:21:30
 */
@ApiModel(value = "student_lesson_examination-学生进度评测表")
@Data
public class StudentLessonExamination {
    @TableId(value = "id_", type = IdType.AUTO)
    @ApiModelProperty(value = "主键ID")
    private Long id;

    @TableField("user_id_")
    @ApiModelProperty(value = "用户ID")
    private Integer userId;

    @TableField("lesson_examination_id_")
    @ApiModelProperty(value = "测验编号")
    private Long lessonExaminationId;

    @TableField("training_score_")
    @ApiModelProperty(value = "测评总分")
    private Integer trainingScore;

    @TableField("training_time_")
    @ApiModelProperty(value = "最后测评时间")
    private Date trainingTime;

    @TableField("training_flag_")
    @ApiModelProperty(value = "是否测评")
    private Boolean trainingFlag;

    @TableField("subject_id_")
    @ApiModelProperty(value = "声部")
    private Integer subjectId;

    @TableField("create_time_")
    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @TableField("update_time_")
    @ApiModelProperty(value = "更新时间")
    private Date updateTime;
}

