package com.ym.mec.biz.dal.entity;


import java.util.Date;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.ym.mec.biz.dal.enums.HardLevelEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;

import java.io.Serializable;

/**
 * 进度评测详情表(StudentLessonExaminationDetail)表实体类
 *
 * @author zx
 * @since 2023-04-03 18:22:01
 */
@ApiModel(value = "student_lesson_examination_detail-进度评测详情表")
@Data
public class StudentLessonExaminationDetail implements Serializable {
    @TableId(value = "id_", type = IdType.AUTO)
    @ApiModelProperty(value = "主键ID")
    private Long id;

    @TableField("user_id_")
    @ApiModelProperty(value = "用户ID")
    private Integer userId;

    @TableField("lesson_examination_id_")
    @ApiModelProperty(value = "测验编号")
    private Long lessonExaminationId;

    @TableField("music_score_id_")
    @ApiModelProperty(value = "曲目id")
    private Long musicScoreId;

    @TableField("start_")
    @ApiModelProperty(value = "开始小节")
    private Integer start;

    @TableField("end_")
    @ApiModelProperty(value = "截止小节")
    private Integer end;

    @ApiModelProperty("作业分组")
    @TableField(value = "group_")
    private Integer group;

    @TableField("heard_level_")
    @ApiModelProperty(value = "评测难度")
    private HardLevelEnum heardLevel;

    @TableField("standard_flag_")
    @ApiModelProperty(value = "是否达标")
    private Boolean standardFlag;

    @TableField("standard_score_")
    @ApiModelProperty(value = "达标分数")
    private Integer standardScore;

    @TableField("training_score_")
    @ApiModelProperty(value = "练习最高分数")
    private Integer trainingScore;

    @TableField("actual_avg_score_")
    @ApiModelProperty(value = "实际均摊得分")
    private Integer actualAvgScore;

    @TableField("avg_score_")
    @ApiModelProperty(value = "均摊总分")
    private Integer avgScore;

    @TableField("part_index_")
    @ApiModelProperty(value = "分谱")
    private Integer partIndex;

    @TableField("training_time_")
    @ApiModelProperty(value = "最后提交时间")
    private Date trainingTime;

    @TableField("create_time_")
    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @TableField("update_time_")
    @ApiModelProperty(value = "更新时间")
    private Date updateTime;

}

