package com.ym.mec.biz.dal.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.ym.mec.biz.dal.enums.ELessonTrainingType;
import com.ym.mec.biz.dal.enums.StandardEnum;
import lombok.Data;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;


/**
 * 练习内容
 * 2023-03-31 14:18:47
 */
@Data
@ApiModel(" StudentLessonTrainingDetail-练习内容")
@TableName("student_lesson_training_detail")
public class StudentLessonTrainingDetail implements Serializable {

    @ApiModelProperty("主键ID") 
    @TableId(value = "id_",type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("用户ID") 
	@TableField(value = "user_id_")
    private Long userId;

    @ApiModelProperty("作业类型 来源（HOMEWORK,EXTRACURRICULAR,EXTRA）")
    @TableField(value = "type_")
    private ELessonTrainingType type;

    @ApiModelProperty("作业分组")
    @TableField(value = "group_")
    private Integer group;

    @ApiModelProperty("练习编号") 
	@TableField(value = "course_homework_id_")
    private Long courseHomeworkId;

    @ApiModelProperty("声部id")
    @TableField(value = "subject_id_")
    private Long subjectId;

    @ApiModelProperty("曲目id") 
	@TableField(value = "music_score_id_")
    private Long musicScoreId;

    @ApiModelProperty("开始小节")
    @TableField(value = "start_")
    private Integer start;

    @ApiModelProperty("结束小节")
    @TableField(value = "end_")
    private Integer end;

    @ApiModelProperty("分谱")
    @TableField(value = "part_index_")
    private Integer partIndex;

    @ApiModelProperty("练习速度") 
	@TableField(value = "training_speed_")
    private Integer trainingSpeed;

    @ApiModelProperty("已练习次数") 
	@TableField(value = "training_times_")
    private Integer trainingTimes;

    @ApiModelProperty("练习状态") 
	@TableField(value = "training_status_")
    private StandardEnum trainingStatus;

    @ApiModelProperty("标准练习次数") 
	@TableField(value = "times_")
    private Integer times;

    @ApiModelProperty("作业类型,VIDEO,MUSIC_SCORE")
    @TableField(value = "homework_type_")
    private String homeworkType = "MUSIC_SCORE";

    @ApiModelProperty("曲目名称")
    @TableField(value = "music_score_name_")
    private String musicScoreName;

    @ApiModelProperty("创建时间") 
	@TableField(value = "create_time_")
    private Date createTime;

    @ApiModelProperty("更新时间") 
	@TableField(value = "update_time_")
    private Date updateTime;

}
