package com.ym.mec.biz.dal.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.ym.mec.common.entity.BaseEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * 对应数据库表(student_music_course_fee):
 */
@Data
public class StudentMusicCourseFee{

	@TableId(value = "id_", type = IdType.AUTO)
	private Integer id;

	@TableField("user_id_")
	@ApiModelProperty(value = "学员编号",required = false)
	private Integer userId;

	@TableField("organ_id_")
	@ApiModelProperty(value = "分部编号",required = false)
	private Integer organId;

	@TableField("music_group_id_")
	@ApiModelProperty(value = "乐团编号",required = false)
	private String musicGroupId;

	@TableField("expect_price_")
	@ApiModelProperty(value = "预计总课费",required = false)
	private BigDecimal expectPrice = BigDecimal.ZERO;

	@TableField("actual_price_")
	@ApiModelProperty(value = "实收总课费",required = false)
	private BigDecimal actualPrice = BigDecimal.ZERO;

	@TableField("receivable_price_")
	@ApiModelProperty(value = "应收",required = false)
	private BigDecimal receivablePrice = BigDecimal.ZERO;

	@TableField("create_time_")
	private String createTime;

	@TableField("update_time_")
	private String updateTime;
}
