package com.ym.mec.biz.dal.entity;

import com.ym.mec.biz.dal.enums.YesOrNoEnum;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;

import java.math.BigDecimal;
import java.util.List;

/**
 * 对应数据库表(subject):
 */
@Data
public class Subject {

	/**  */
	private Integer id;

	/**  */
	private Integer cbsSubjectId;
	
	/**  */
	@ApiModelProperty(value = "科目名称",required = false)
	private String name;

	@ApiModelProperty(value = "父类目录名")
	private String parentSubjectName;

	/**  */
	@ApiModelProperty(value = "科目编号",required = false)
	private String code;
	
	/**  */
	@ApiModelProperty(value = "父级编号",required = false)
	private Integer parentSubjectId;
	
	@ApiModelProperty(value = "图片地址",required = false)
	private String img;
	
	/**  */
	private java.util.Date createTime;
	
	/**  */
	private java.util.Date updateTime;
	
	/**  */
	@ApiModelProperty(value = "是否删除1是，0否",required = false)
	private YesOrNoEnum delFlag;

	/**  */
	@ApiModelProperty(value = "课程费用",required = false)
	private BigDecimal fee;

	/**  */
	@ApiModelProperty(value = "对内1对外2",required = false)
	private Integer tenantId = 1;

	/**  */
	@ApiModelProperty(value = "子节点列表",required = false)
	private List<Subject> subjects;

	@ApiModelProperty(value = "乐器编号（逗号分隔）",required = false)
	private String instrumentIds;

	@ApiModelProperty(value = "乐器名称",required = false)
	private String instrumentName;

	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}
}
