package com.ym.mec.biz.dal.entity;

import com.ym.mec.biz.dal.enums.ClientTypeEnum;
import com.ym.mec.biz.dal.enums.ExamSongTypeEnum;
import com.ym.mec.common.enums.BaseEnum;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;

import java.util.List;

/**
 * 对应数据库表(sys_music_score):
 */
@Data
public class SysMusicScore {
	
	public enum PlayMode  implements BaseEnum<String, PlayMode> {
		
		MP3("MP3播放"),XML("XML播放");
		
		private String desc;
		
		private PlayMode(String desc) {
			this.desc = desc;
		}

		@Override
		public String getCode() {
			return this.name();
		}

		public String getDesc() {
			return desc;
		}
		
	}

	private String extConfigJson;
	
	private String extStyleConfigJson;

	/**  */
	private Integer id;

	@ApiModelProperty(value = "内容平台曲目ID")
	private String cbsMusicSheetId;  //主键ID
	
	/**  */
	private Integer musicScoreCategoriesId;
	
	/** 名称 */
	private String name;

	/** 名称 */
	private String categoriesName;

	/** 名称 */
	private Integer categoriesId;

	/** 内容平台曲目分类编号 */
	private Integer cbsMusicCategoriesId;
	
	/** 类型PERSON 个人,COMMON公用 */
	private ExamSongTypeEnum type;

	private String typeName;
	
	/** 声部列表 */
	private String subjectIds;

	private Integer subjectId;

	private String subjectName;
	
	/** 速度 */
	private String speed;
	
	/** 原音MP3 */
	private String url;

	/** 带节拍器原音MP3 */
	private String metronomeUrl;
	
	private String midiUrl;

	private String accompanimentUrl;

	private String accompanimentMetronomeUrl;
	
	private String xmlUrl;

	/** 原音MP3 */
	private String createUserName;
	
	/** 上传人 */
	private Integer createUserId;
	
	/** 是否删除1是0否 */
	private Integer delFlag;

	private Integer order;

	/**
	 * 客户端类型
	 */
	private ClientTypeEnum clientType;

	private String rankIds;
	
	private String renderFrom;
	
	private boolean enableEvaluation;
	
	/**  */
	private java.util.Date updateTime;
	
	/**  */
	private java.util.Date createTime;

	private Integer showFlag = 0;

	private Integer clientShowFlag = 0;

	private String showName;

	private Boolean isOpenMetronome;

	private String openMetronomeName;

	private String museScoreUrl;
	
	private String museScoreMemo;
	
	private PlayMode playMode;

	private String organName;

	//独奏、合奏
	private String musicSheetType;

	@ApiModelProperty("是否可转谱(0:否; 1:是)") // 固定调，首调 有值 1
	private Boolean isConvertibleScore;

	@ApiModelProperty("谱面类型")
	private String scoreType;

	@ApiModelProperty("是否节奏练习")
	private Boolean isAllSubject;

	@ApiModelProperty("是否支持混音节拍器")
	private Boolean isMixBeat;

	@ApiModelProperty("总谱五线谱PDF文件")
	private String musicPdfUrl;

	@ApiModelProperty("总谱首调PDF文件")
	private String firstPdfUrl;

	@ApiModelProperty("总谱固定调PDF文件")
	private String jianPdfUrl;

	@ApiModelProperty("原音五线谱PDF文件")
	private String soundMusicPdfUrl;

	@ApiModelProperty("原音首调PDF文件")
	private String soundFirstPdfUrl;

	@ApiModelProperty("原音固定调PDF文件")
	private String soundJianPdfUrl;

	@ApiModelProperty("伴奏五线谱PDF文件")
	private String accMusicPdfUrl;

	@ApiModelProperty("伴奏首调PDF文件")
	private String accFirstPdfUrl;

	@ApiModelProperty("伴奏固定调PDF文件")
	private String accJianPdfUrl;

	private List<SysMusicScoreAccompaniment> background;

	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
