package com.ym.mec.biz.dal.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.dayaedu.cbs.common.enums.school.EMusicSheetType;
import com.ym.mec.biz.dal.entity.SysMusicScore.PlayMode;
import com.ym.mec.biz.dal.enums.ClientTypeEnum;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;

/**
 * 对应数据库表(sys_music_score_accompaniment):
 */
@Data
public class SysMusicScoreAccompaniment {

	/**  */
	private String id;
	
	/**  */
	private Integer examSongId;
	/**  */
	private String cbsMusicSheetId;
	
	/**  */
	private String subjectId;

	/**  */
	private String subjectName;
	
	/**  */
	private String mp3Url;

	/** 带节拍器MP3 */
	private String metronomeMp3Url;
	
	/** 是否删除 */
	private Integer delFlag;
	
	/** 速度 */
	private String speed;
	
	/**  */
	private String xmlUrl;

	/**  */
	private String examSongName;

	/**  */
	private String categoriesName;

	/**  */
	private Integer categoriesId;
	
	private Integer parentCategoriesId;

	/**  */
	private String type;

	/**  */
	private String url;

	/** 带节拍器MP3 */
	private String metronomeUrl;

	private String midiUrl;
	
	/**  */
	private java.util.Date createTime;
	
	/**  */
	private java.util.Date updateTime;

	//是否显示指法
	private Boolean isShowFingering = true;
	
	private Boolean isOpenMetronome;

	private String memo;

	private String rankIds;

	private ClientTypeEnum clientType;
	
	private String renderFrom;
	
	private boolean enableEvaluation;
	
	private String museScoreUrl;
	
	private String museScoreMemo;
	
	private PlayMode playMode;
	
	private String track;

	private String extConfigJson;
	
	private String extStyleConfigJson;

	@ApiModelProperty("曲目类型(SINGLE:单曲 CONCERT:合奏)")
	private String musicSheetType;

	@ApiModelProperty("是否可转谱(0:否; 1:是)")
	private Boolean isConvertibleScore;

	@ApiModelProperty("谱面类型")
	private String scoreType;

	@ApiModelProperty("是否总谱渲染")
	private Boolean isScoreRender;

	@ApiModelProperty("演奏是否默认展示总谱渲染")
	private Boolean defaultScoreRender;

	@ApiModelProperty("是否支持混音节拍器")
	private Boolean isMixBeat;

	@ApiModelProperty("总谱五线谱PDF文件")
	private String musicPdfUrl;

	@ApiModelProperty("总谱首调PDF文件")
	private String firstPdfUrl;

	@ApiModelProperty("总谱固定调PDF文件")
	private String jianPdfUrl;

	@ApiModelProperty("原音五线谱PDF文件")
	private String soundMusicPdfUrl;

	@ApiModelProperty("原音首调PDF文件")
	private String soundFirstPdfUrl;

	@ApiModelProperty("原音固定调PDF文件")
	private String soundJianPdfUrl;

	@ApiModelProperty("伴奏五线谱PDF文件")
	private String accMusicPdfUrl;

	@ApiModelProperty("伴奏首调PDF文件")
	private String accFirstPdfUrl;

	@ApiModelProperty("伴奏固定调PDF文件")
	private String accJianPdfUrl;

	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
