package com.ym.mec.biz.dal.entity;


import com.baomidou.mybatisplus.annotation.EnumValue;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.ym.mec.common.enums.BaseEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.Getter;
import org.springframework.web.bind.annotation.GetMapping;

import java.io.Serializable;
import java.util.Date;

/**
 * 新闻资讯表(SysNewsInformation)表实体类
 *
 * @author zx
 * @since 2023-05-11 16:08:27
 */
@Data
@ApiModel(value = "sys_news_information-新闻资讯表")
public class SysNewsInformation implements Serializable {
    @TableId(value = "id_", type = IdType.AUTO)
    private Long id;

    @TableField("title_")
    @ApiModelProperty(value = "标题")
    private String title;

    @TableField("content_")
    @ApiModelProperty(value = "内容")
    private String content;

    @TableField("cover_image_")
    @ApiModelProperty(value = "封面图片")
    private String coverImage;

    @TableField("type_")
    @ApiModelProperty(value = "类型")
    private Integer type;

    @TableField("sub_type_")
    @ApiModelProperty(value = "子类型")
    private Integer subType;

    @TableField("status_")
    @ApiModelProperty(value = "状态（1-可见 0-不可见）")
    private String status;

    @TableField("online_time_")
    @ApiModelProperty(value = "上线时间")
    private Date onlineTime;

    @TableField("offline_time_")
    @ApiModelProperty(value = "下线时间")
    private Date offlineTime;

    @TableField("memo_")
    @ApiModelProperty(value = "备注")
    private String memo;

    @TableField("create_time_")
    private Date createTime;

    @TableField("update_time_")
    private Date updateTime;

    @TableField("link_url_")
    @ApiModelProperty(value = "链接地址")
    private String linkUrl;

    @TableField("href_target_")
    @ApiModelProperty(value = "跳转类型_bank,_slef")
    private String hrefTarget;

    @TableField("order_")
    @ApiModelProperty(value = "顺序号")
    private Integer order;

    @TableField("del_flag_")
    @ApiModelProperty(value = "${column.comment}")
    private Integer delFlag;

    @TableField("tenant_id_")
    @ApiModelProperty(value = "1-对内;2-对外")
    private Integer tenantId;

    @TableField("video_cover_image_")
    @ApiModelProperty(value = "视频封面")
    private String videoCoverImage;

    @TableField("attribute1_")
    @ApiModelProperty(value = "${column.comment}")
    private String attribute1;

    @TableField("attribute2_")
    @ApiModelProperty(value = "${column.comment}")
    private String attribute2;

    @TableField("subject_id_list_")
    @ApiModelProperty(value = "声部列表")
    private String subjectIdList;

    @TableField("organ_id_list_")
    @ApiModelProperty(value = "所属分部")
    private String organIdList;

    @TableField("red_point_")
    @ApiModelProperty(value = "红点类型")
    private ERedPointEnum redPoint;

    @Getter
    public enum ERedPointEnum implements BaseEnum<String, ERedPointEnum> {

        BACKLOG("待办事项"),
        SITE_MANAGE("场地管理"),
        ;

        private final String describe;

        @EnumValue
        private final String code;

        ERedPointEnum(String describe) {
            this.describe = describe;
            this.code = this.name();
        }

        @Override
        public String getCode() {
            return this.name();
        }
    }
}

