package com.ym.mec.biz.dal.entity;

import com.ym.mec.biz.dal.enums.SuggestionType;
import com.ym.mec.common.entity.BaseEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;

import java.util.Date;

/**
 * 对应数据库表(sys_suggestion):
 */
@Data
public class SysSuggestion extends BaseEntity {

	/** 编号 */
	private Long id;
	
	/** 联系方式 */
	@ApiModelProperty(value = "联系方式",required = false)
	private String mobileNo;
	
	/** 标题 */
	@ApiModelProperty(value = "标题",required = false)
	private String title;
	
	/** 内容 */
	@ApiModelProperty(value = "内容",required = false)
	private String content;

	@ApiModelProperty(value = "设备号")
	private String deviceNo;

	/** 媒体 */
	@ApiModelProperty(value = "媒体",required = false)
	private String url;
	
	/** 用户编号 */
	@ApiModelProperty(value = "用户编号",required = false)
	private Long userId;

	@ApiModelProperty(value = "用户名",required = false)
	private String username;

	@ApiModelProperty(value = "客户端类型",required = false)
	private String clientType;

	@ApiModelProperty(value = "建议类型")
	private SuggestionType type = SuggestionType.APP;

	@ApiModelProperty(value = "反馈类型")
	private Integer suggestionType;

	@ApiModelProperty(value = "反馈类型编号")
	private String suggestionTypeName;

	@ApiModelProperty(value = "处理人")
	private Integer operatorId;

	@ApiModelProperty(value = "处理人")
	private String operatorName;

	@ApiModelProperty(value = "处理时间",required = false)
	private Date operatorTime;

	@ApiModelProperty(value = "处理备注")
	private String operatorMemo;

	@ApiModelProperty(value = "是否需要反馈用户")
	private Boolean feedbackFlag;

	@ApiModelProperty(value = "是否需要处理")
	private Boolean handleFlag;
	
	/** 提交时间 */
	private java.util.Date createTime;
			
	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
