package com.ym.mec.biz.dal.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.ym.mec.biz.dal.enums.SuggestionType;
import com.ym.mec.common.entity.BaseEntity;
import com.ym.mec.common.tenant.TenantContextHolder;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;

import java.util.Date;

/**
 * 对应数据库表(sys_suggestion_type):
 */
@Data
public class SysSuggestionType{

	@ApiModelProperty(value = "id")
	@TableId(value = "id_", type = IdType.AUTO)
	private Integer id;

	@ApiModelProperty(value = "反馈类型")
	@TableField("type_")
	private String type;

	@ApiModelProperty(value = "操作人")
	@TableField("operator_id_")
	private Integer operatorId;

	@ApiModelProperty(value = "操作人名称")
	@TableField("operator_name_")
	private String operatorName;

	@ApiModelProperty(value = "创建时间")
	@TableField("create_time_")
	private Date createTime;

	@ApiModelProperty(value = "更新时间")
	@TableField("update_time_")
	private Date updateTime;

	@ApiModelProperty(value = "机构编号")
	@TableField("tenant_id_")
	private Integer tenantId = TenantContextHolder.getTenantId();
}
