package com.ym.mec.biz.dal.entity;

import com.ym.mec.auth.api.entity.SysUser;
import com.ym.mec.biz.dal.enums.AuditStatusEnum;
import com.ym.mec.common.entity.BaseEntity;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;

/**
 * 对应数据库表(teacher_leave_record):
 */
@Data
public class TeacherLeaveRecord extends BaseEntity {

    private Long id;

    private Integer userId;

    /**
     * 请假天数
     */
    private double days;

    /**
     * 请假类型
     */
    private Integer leaveCategoryId;

    /**
     * 请假类型名称
     */
    private String leaveCategoryName;

    /**
     * 请假状态（审批中、拒绝、通过）
     */
    private AuditStatusEnum status;

    /**
     * 备注
     */
    private String remark;

    private java.util.Date createTime;

    private java.util.Date updateTime;

    /**
     * 请假开始时间
     */
    private java.util.Date startTime;

    /**
     * 请假结束时间
     */
    private java.util.Date endTime;

    /**
     * 课程调整
     */
    private String coursesScheduleJson;

    /**
     * 流程定义
     */
    private String wfProcessId;

    /**
     * 流程实例
     */
    private String wfOrderId;
    
    private SysUser user = new SysUser();

	@Override
    public String toString() {
        return ToStringBuilder.reflectionToString(this);
    }


    @Data
    public static class CoursesScheduleHistory {

        private CourseSchedule before;

        private CourseSchedule after;
    }
}
