package com.ym.mec.biz.dal.entity;


import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

@ApiModel(value = "temp_director_training_camp_detail-乐队指导训练营活动")
@Data
public class TempDirectorTrainingCampDetail implements Serializable {

    @TableId(value = "id_", type = IdType.AUTO)
    @ApiModelProperty(value = "主键")
    private Integer id;

    @ApiModelProperty(value = "用户编号")
    @TableField("user_id_")
    private Integer userId;

    @ApiModelProperty(value = "训练营编号")
    @TableField("temp_director_training_camp_id_")
    private Integer tempDirectorTrainingCampId;

    @TableField("username_")
    @ApiModelProperty(value = "姓名")
    private String username;

    @TableField("mobile_")
    @ApiModelProperty(value = "手机号")
    private String mobile;

    @TableField("card_no_")
    @ApiModelProperty(value = "身份证号")
    private String cardNo;

    @ApiModelProperty(value = "省份")
    @TableField("province_")
    private String province;

    @ApiModelProperty(value = "省份")
    @TableField("province_code_")
    private String provinceCode;

    @ApiModelProperty(value = "城市")
    @TableField("city_code_")
    private String cityCode;

    @ApiModelProperty(value = "城市")
    @TableField("city_")
    private String city;

    @ApiModelProperty(value = "区县")
    @TableField("region_code_")
    private String regionCode;

    @ApiModelProperty(value = "区县")
    @TableField("region_")
    private String region;

    @TableField("payment_status_")
    @ApiModelProperty(value = "已缴费 PAID,未缴费 NO,已退费 REFUND")
    private String paymentStatus;

    @TableField("payment_amount_")
    @ApiModelProperty(value = "缴费金额")
    private BigDecimal paymentAmount;

    @TableField("bird_flag_")
    @ApiModelProperty(value = "是否早鸟报名")
    private Boolean birdFlag;

    @TableField("payment_date_")
    @ApiModelProperty(value = "缴费时间")
    private Date paymentDate;

    @TableField("job_")
    @ApiModelProperty(value = "职业")
    private String job;

    @TableField("subject_name_")
    @ApiModelProperty(value = "声部")
    private String subjectName;

    @TableField("study_")
    @ApiModelProperty(value = "之前乐队指导学习基础")
    private String study;

    @TableField("study_target_")
    @ApiModelProperty(value = "目标效果")
    private String studyTarget;

    @TableField("suggestion_")
    @ApiModelProperty(value = "需求或建议")
    private String suggestion;

    @TableField("del_flag_")
    @ApiModelProperty(value = "是否删除")
    private Boolean delFlag;

    @TableField("create_time_")
    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @TableField("update_time_")
    @ApiModelProperty(value = "修改时间")
    private Date updateTime;
}

