package com.ym.mec.biz.dal.entity;

import com.ym.mec.biz.dal.enums.AuditStatusEnum;
import com.ym.mec.biz.dal.enums.TeachModeEnum;
import com.ym.mec.biz.dal.enums.VipGroupStatusEnum;
import com.ym.mec.common.entity.BaseEntity;

import io.swagger.annotations.ApiModelProperty;

import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 对应数据库表(vip_group):
 */
@Data
public class VipGroup extends BaseEntity {

	/**  */
	private Long id;

	@ApiModelProperty(value = "课程名称",required = false)
	private String name;

	@ApiModelProperty(value = "课程类型: VIP, LIVE", required = true)
	private String groupType;

	/**  */
	@ApiModelProperty(value = "用户编号", required = false)
	private Integer userId;

	@ApiModelProperty(value = "用户名")
	private String userName;

	/** 单节课时 */
	@ApiModelProperty(value = "单节课时", required = false)
	private Integer singleClassMinutes;

	/** 缴费截止时间 */
	@ApiModelProperty(value = "缴费截止时间", required = false)
	private java.util.Date paymentExpireDate;

	/** 课程结束日期 */
	@ApiModelProperty(value = "课程结束日期", required = false)
	private java.util.Date coursesExpireDate;

	@ApiModelProperty(value = "报名开始时间", required = false)
	private Date registrationStartTime;

	/**  */
	private java.util.Date createTime;

	/**  */
	private java.util.Date updateTime;

	private String organName;

	private String schoolName;

	private String subjectName;

	/** 教学点 */
	@ApiModelProperty(value = "教学点", required = false)
	private Integer teacherSchoolId;

	/** 线上课课时数 */
	@ApiModelProperty(value = "线上课课时数", required = false)
	private Integer onlineClassesNum;

	/** 线下课课时数 */
	@ApiModelProperty(value = "线下课课时数", required = false)
	private Integer offlineClassesNum;

	@ApiModelProperty(value = "线上课单价",required = false)
	private BigDecimal onlineClassesUnitPrice;

	@ApiModelProperty(value = "线下课单价",required = false)
	private BigDecimal offlineClassesUnitPrice;

	@ApiModelProperty(value = "课程总价",required = false)
	private BigDecimal totalPrice = new BigDecimal(0);


    @ApiModelProperty(value = "课程总原价",required = false)
    private BigDecimal originalTotalPrice = new BigDecimal(0);

	@ApiModelProperty(value = "审批状态",required = false)
	private AuditStatusEnum auditStatus;

	@ApiModelProperty(value = "课程类型ID",required = false)
	private Integer vipGroupCategoryId;

	private String vipGroupCategoryName;
	
	@ApiModelProperty(value = "所属分部列表",required = false)
	private String organIdList;

	@ApiModelProperty("活动方案编号")
	private Integer vipGroupActivityId;

	@ApiModelProperty(value = "活动方案名称")
	private String vipGroupActivityName;

	@ApiModelProperty(value = "课程状态")
	private VipGroupStatusEnum status;

	@ApiModelProperty(value = "学生数量")
	private Integer studentNum;

	@ApiModelProperty(value = "课时总数")
	private Integer totalClassTimes;

	@ApiModelProperty(value = "剩余课时")
	private Integer subClassTimes;

	@ApiModelProperty(value = "当前课时")
	private Integer currentClassTimes;

	@ApiModelProperty(value = "赠送课时类型")
	private TeachModeEnum giveTeachMode;
	
	private Integer organId;

	@ApiModelProperty(value = "取消原因")
	private String stopReason;

	@ApiModelProperty(value = "备注")
	private String memo;

	@ApiModelProperty(value = "月度消耗百分数")
	private Integer monthConsumeRate;

	@ApiModelProperty(value = "开课时间")
	private Date courseStartDate;

	private String courseSchedulesJson;

	@ApiModelProperty(value = "指定学员列表")
	private String studentIdList;

	@ApiModelProperty("直播间配置信息")
	private String liveConfigJson;

	private Integer educationalTeacherId;

	private String educationalTeacherName;

	private String userInfo;

	private String lastOverTime;

	private BigDecimal courseUnitPrice;

	private int enableDelete;

    private Integer subjectId;

    private Boolean delFlag;

	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}
}
