package com.ym.mec.biz.dal.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.ym.mec.common.enums.BaseEnum;
import lombok.Getter;

/**
 * Description
 *
 * @author liujunchi
 * @date 2023-04-10
 */
@Getter
public enum EDegreeStatus implements BaseEnum<String, EDegreeStatus> {

    /**
     * 未开始
     */
    NOT_START("NOT_START", "未开始"),

    /**
     * 进行中
     */
    START("START", "进行中"),

    /**
     * 已结束
     */
    END("END", "已结束"),
    ;

    @EnumValue
    private String code;


    private String msg;

    EDegreeStatus(String code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    /**
     * 获取枚举类的code值
     *
     * @return
     */
    @Override
    public String getCode() {
        return this.code;
    }
}
