package com.ym.mec.biz.dal.enums;

import com.ym.mec.auth.api.enums.SysUserType;
import com.ym.mec.common.enums.BaseEnum;


public enum EFriendRoleType implements BaseEnum<Integer, EFriendRoleType> {

    SCHOOLMASTER(1,"校长"),
    ORCHESTRA_LEADER(2,"乐团领队"),
    SCHOOL_LEADER(3,"分管领导"),
    SCHOOL_TEACHER(4,"负责老师"),
    ORCHESTRA_MANAGER(5,"乐团主管"),
    MAINTENANCE_TECHNICIAN(6,"维护技师"),
    ORCHESTRA_TEACHER(7,"指导老师"),
    STUDENT(8,"学生"),
    BAND_DIRECTOR(9,"乐队指导"),
    BRIDGING_TEACHER(10,"衔接老师"),
    UNDEFINE(11,""),


    ;
    private Integer code;
    private String msg;

    EFriendRoleType(Integer code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    public static EFriendRoleType getByName(String name) {
        if (name == null) return STUDENT;
        switch (name) {
            case "SCHOOLMASTER":
                return SCHOOLMASTER;
            case "ORCHESTRA_LEADER":
                return ORCHESTRA_LEADER;
            case "SCHOOL_LEADER":
                return SCHOOL_LEADER;
            case "TEACHER":
            case "SCHOOL_TEACHER":
                return SCHOOL_TEACHER;
            case "STUDENT":
                return STUDENT;
            case "BRIDGING_TEACHER":
                return BRIDGING_TEACHER;
            case "BAND_DIRECTOR":
                return BAND_DIRECTOR;
            case "乐团主管":
            case "ORCHESTRA_MANAGER":
                return ORCHESTRA_MANAGER;
            case "指导老师":
                return ORCHESTRA_TEACHER;
            case "校长":
                return SCHOOLMASTER;
            case "乐团领队":
                return ORCHESTRA_LEADER;
            case "分管领导":
                return SCHOOL_LEADER;
            case "负责老师":
                return SCHOOL_TEACHER;
            case "维护技师":
                return SCHOOL_TEACHER;
            case "衔接老师":
                return BRIDGING_TEACHER;
            case "乐队指导":
                return BAND_DIRECTOR;
            default:
                return STUDENT;
//                return UNDEFINE;
        }
    }

    //转为sysUserType
    public SysUserType toSysUserType() {
        switch (this) {
            case STUDENT:
                return SysUserType.STUDENT;
            case SCHOOLMASTER:
            case ORCHESTRA_LEADER:
            case SCHOOL_LEADER:
            case SCHOOL_TEACHER:
                return SysUserType.SCHOOL;
            case ORCHESTRA_MANAGER:
            case MAINTENANCE_TECHNICIAN:
                return SysUserType.EDUCATION;

            case ORCHESTRA_TEACHER:
                return SysUserType.STUDENT;
        }

        return null;
    }

    public String getMsg() {
        return msg;
    }

    @Override
    public Integer getCode() {
        return code;
    }
}
