package com.ym.mec.biz.dal.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.ym.mec.common.enums.BaseEnum;
import lombok.Getter;

@Getter
public enum EGroupGradeType implements BaseEnum<String, EGroupGradeType> {

    // 团年级分布 小学团 PRIMARY 初中团 MIDDLE 高中团 HIGH 混合团 MIXED
    //小学团：学生报名时【年级】只可选择1 ~ 5/6年级
    //
    //初中团：学生报名时【年级】只可选择初一 ~ 初三/初四
    //
    //混合团：学生报名时【年级】可选择1~初三/初四
    //
    //高中团：学生报名时【年级】可选择高一~高三

    PRIMARY("PRIMARY", "小学团"),
    MIDDLE("MIDDLE", "初中团"),
    HIGH("HIGH", "高中团"),
    MIXED("MIXED", "混合团");

    @EnumValue
    private String code;

    private String msg;

    EGroupGradeType(String code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    public static EGroupGradeType get(String code) {
        for (EGroupGradeType vpg : EGroupGradeType.values()) {
            if (vpg.getCode().equals(code)) {
                return vpg;
            }
        }
        return null;
    }
}
