package com.ym.mec.biz.dal.enums;

import com.ym.mec.common.enums.BaseEnum;

public enum ExpenditureTypeEnum implements BaseEnum<Integer, ExpenditureTypeEnum> {
    FIXED(1, "固定费用"),
    VARIABLE(2, "变动费用"),
    REFUND(3, "业务退费");
    private Integer code;

    private String desc;

    private ExpenditureTypeEnum(Integer code, String desc) {
        this.code = code;
        this.desc = desc;
    }

    public static ExpenditureTypeEnum valueOfDesc(String desc) {
        ExpenditureTypeEnum[] values = ExpenditureTypeEnum.values();
        for (ExpenditureTypeEnum value : values) {
            if(value.getDesc().equals(desc)){
                return value;
            }
        }
        return null;
    }

    @Override
    public Integer getCode() {
        return code;
    }

    public String getDesc() {
        return desc;
    }
}
