package com.ym.mec.biz.dal.enums;

import com.ym.mec.common.enums.BaseEnum;

public enum ExportTypeEnum implements BaseEnum<Integer, ExportTypeEnum> {
	ORDER(0, "订单列表"),
	COURSE_SCHEDULE(1, "课表列表"),
	ROUTE_ORDER(2, "财务管理"),
	STUDENT_VIP_PRACTICE(3, "VIP网管课耗导出"),
	STUDENT_MUSIC_THEORY_COURSE_INFO(4, "小组课学员课程导出"),
	STUDENT_VIP_COURSE_INFO(5, "VIP课学员课程信息导出"),
	VIP_STUDENT_COURSE_MANAGE(6, "vip学员课程管理"),
	STUDENT_SMALL_CLASS_STATISTICS(7, "学员小课数据统计"),
	ORDER_LIST_SUM(8, "订单汇总"),
	MUSIC_GROUP_COURSE_LIST(9, "乐团课表详情导出"),
	MUSIC_GROUP_DATA_EXPORT(10, "乐团数据导出"),
	EXPORT_STUDENT_SUBCOURSE(11, "活动资格导出"),
	EXPORT_TRAINING_STATISTICS(12, "训练统计导出"),
	MALL_ORDER(13, "商城订单列表"),
	MALL_ROUTE_ORDER(14, "商城财务管理"),
	EXPORT_COURSE_CONSUMER(15, "实际课耗导出"),
	EXPORT_COURSE_CONSUMER_DETAIL(16, "实际课耗学员详情导出"),
	EXPORT_PRE_COURSE_CONSUMER(17, "预计课耗导出"),
	EXPORT_PRE_COURSE_CONSUMER_DETAIL(18, "预计课耗学员详情导出"),
	EXPORT_COURSE_CONSUMER_SUM(19, "课耗统计导出"),
	EXPORT_CLOUD_TEACHER_SUM(20, "云教练统计导出"),
	CLASS_GROUP(21, "班级列表导出"),
	EXPORT_CLOUD_TEACHER_SUM_DETAIL(22, "云教练统计详情导出"),
	EXPORT_TEACHER_CLOUD_COURSE_REPORT(23, "老师云教练使用数据"),
	EXPORT_OA_SUMMARY_EXPENSES(24,"oa费用汇总"),
	EXPORT_OA_SUMMARY_EXPENSES_DETAIL(25,"oa费用明细"),
	EXPORT_OPERATING_SUMMARY_INCOME(26,"经营报表收入汇总"),

	CLOUD_COACH_ACTIVATION_DETAILS(27,"云教练激活明细"),
	EXPORT_COURSE_INCOME(28,"课程收入明细导出"),
	EXPORT_MUSIC_GROUP_ECHELON_DATA(29,"乐团梯队数据导出"),
	EXPORT_BALANCED_RELATIONSHIP_MUSIC_COURSE(30,"平衡关系-乐团课"),
	EXPORT_BALANCED_RELATIONSHIP_VIP_COURSE(31,"平衡关系-VIP已排课"),
	EXPORT_BALANCED_RELATIONSHIP_VIP_NO_COURSE(32,"平衡关系-VIP未排课"),
	EXPORT_BALANCED_RELATIONSHIP_MUSIC_SUB_COURSE(33,"平衡关系-缴费项目课时明细"),
	EXPORT_BALANCED_RELATIONSHIP_STUDENT_INFO(34,"平衡关系-学员情况总表"),
	EXPORT_BALANCED_RELATIONSHIP_STUDENT_NORMAL_DETAIL(35,"平衡关系(分表)-乐团在读学员"),
	EXPORT_BALANCED_RELATIONSHIP_STUDENT_QUIT_DETAIL(36,"平衡关系(分表)-乐团退团学员"),
	VIDEO_PLAY_STAT(37,"云课堂统计导出"),
	VIDEO_PLAY_DETAIL_STAT(38,"云课堂统计详情导出"),
	;

	private Integer code;

	private String desc;

	private ExportTypeEnum(Integer code, String desc) {
		this.code = code;
		this.desc = desc;
	}

	@Override
	public Integer getCode() {
		return code;
	}

	public String getDesc() {
		return desc;
	}

}
