package com.ym.mec.biz.dal.enums;

import com.ym.mec.common.enums.BaseEnum;

public enum FeeProjectEnum implements BaseEnum<Integer, FeeProjectEnum> {
    SALARY(1, "工资"),
    SOCIAL_SECURITY_HOUSE_ALLOWANCE(2, "社保公积金"),
    HOUSE(3, "房租"),
    OFFICE(4, "办公"),
    MAINS_PROPERTY(5, "水电物业"),
    TRAVEL(6, "差旅"),
    SERVICES(7, "外部服务"),
    WELFARE(8, "福利"),
    ACTIVITIES(9, "活动"),
    TRAFFIC(10, "交通"),
    CERTIFICATES(11, "考级"),
    INSTRUMENT(12, "临时场地租赁"),
    HANDLING(13, "手续费"),
    TAXES(14, "税金"),
    COMMUNICATIONS(15, "通讯费"),
    POSTAL_TRANSPORT(16, "邮递运输"),
    HOSPITALITY(17, "招待费"),
    NETWORK_CLASS(18, "网络教室成本"),
    REFUND(19, "业务退费"),
    TEACHING_POINT_RENTAL(20, "教学点租赁"),
    MUSICAL_INSTRUMENT_REPAIR(21, "乐器维修"),
    INTERNAL_SETTLEMENT(22, "内部结算"),
    MUSICAL(23, "乐器"),
    COST_PARTS(24, "配件费"),
    DEPOSIT(25, "押金"),
    OTHER(26, "其他"),
    ;

    private Integer code;

    private String desc;

    FeeProjectEnum(Integer code, String desc) {
        this.code = code;
        this.desc = desc;
    }

    public static FeeProjectEnum valueOfDesc(String desc) {
        FeeProjectEnum[] values = FeeProjectEnum.values();
        for (FeeProjectEnum value : values) {
            if(value.getDesc().equals(desc)){
                return value;
            }
        }
        return null;
    }

    @Override
    public Integer getCode() {
        return code;
    }

    public String getDesc() {
        return desc;
    }
}
