package com.ym.mec.biz.dal.enums;

import com.ym.mec.common.enums.BaseEnum;

/**
 * Description
 *
 * @author liujunchi
 * @date 2023-02-28
 */
public enum LiveServiceProviderEnum  implements BaseEnum<String, LevelEnum> {
    RONG_CLOUD("融云"),
    TENCENT_CLOUD("腾讯云"),
    ;

    private String code;
    private String msg;

    LiveServiceProviderEnum(String msg) {
        this.code = this.name();
        this.msg = msg;
    }

    public String getMsg() {
        return msg;
    }

    @Override
    public String getCode() {
        return this.code;
    }


    public static LiveServiceProviderEnum getByName(String name) {
        for (LiveServiceProviderEnum level : LiveServiceProviderEnum.values()) {
            if (level.getMsg().equals(name)) {
                return level;
            }
        }
        return null;
    }

}
