package com.ym.mec.biz.dal.enums;

import com.ym.mec.common.enums.BaseEnum;

/**
 * 类型(乐器、教辅、课程)'
 */
public enum OrderDetailTypeEnum implements BaseEnum<String, OrderDetailTypeEnum> {
    MUSICAL("MUSICAL", "乐器"),
    ACCESSORIES("ACCESSORIES", "辅件"),
    TEACHING("TEACHING", "教谱"),
    STAFF("STAFF", "曲谱"),
    OTHER("OTHER", "其他"),
    COURSE("COURSE", "乐团课"),
    HIGH_ONLINE_COURSE("HIGH_ONLINE_COURSE", "线上基础技能课"),
    SINGLE("SINGLE", "声部课"),
    MIX("MIX", "合奏课"),
    HIGH("HIGH", "基础技能课"),
    VIP("VIP", "vip课"),
    PRACTICE("PRACTICE", "网管课"),
    DEMO("DEMO", "试听课"),
    COMPREHENSIVE("COMPREHENSIVE", "综合课"),
    ENLIGHTENMENT("ENLIGHTENMENT", "启蒙课"),
    TRAINING_SINGLE("TRAINING_SINGLE", "集训单技课"),
    TRAINING_MIX("TRAINING_MIX", "集训合奏课"),
    HIGH_ONLINE("HIGH_ONLINE", "线上基础技能课"),
    MUSIC_NETWORK("MUSIC_NETWORK", "乐团网管课"),
    CLASSROOM("CLASSROOM", "课堂课"),
	DEGREE_REGISTRATION("DEGREE_REGISTRATION", "考级报名"),
    MAINTENANCE("MAINTENANCE","乐保服务"),
    CLOUD_TEACHER("CLOUD_TEACHER","云教练"),
    CLOUD_TEACHER_PLUS("CLOUD_TEACHER_PLUS","云教练"),
    THEORY_COURSE("THEORY_COURSE", "小组课"),
    REPAIR("REPAIR", "乐器维修"),
    DIRECTOR_TRAINING_CAMP("DIRECTOR_TRAINING_CAMP", "乐队指导训练营报名"),
    ORGAN_SHARE_PROFIT("ORGAN_SHARE_PROFIT", "分部分润");

    private String code;

    private String msg;

    OrderDetailTypeEnum(String code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

    @Override
    public String getCode() {
        return this.code;
    }
}
