package com.ym.mec.biz.dal.enums;

import org.apache.commons.lang3.StringUtils;

import com.ym.mec.common.enums.BaseEnum;

public enum PaymentChannelEnum implements BaseEnum<String, PaymentChannelEnum> {
	YQPAY("YQPAY", "双乾"),
	ADAPAY("ADAPAY", "汇付"),
	YEEPAY("YEEPAY", "易宝"),
	BALANCE("BALANCE", "余额"),
	UNIONPAY("UNIONPAY", "银联");

	private String code;

	private String desc;

	private PaymentChannelEnum(String code, String desc) {
		this.code = code;
		this.desc = desc;
	}

	@Override
	public String getCode() {
		return code;
	}

	public String getDesc() {
		return desc;
	}
	
	public static PaymentChannelEnum codeOf(String code) {
		for (PaymentChannelEnum pce : values()) {
			if (StringUtils.equals(pce.code, code)) {
				return pce;
			}
		}
		return null;
	}

}
