package com.ym.mec.biz.dal.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.ym.mec.common.enums.BaseEnum;
import lombok.Getter;


/**
 * @author 袁亮
 * @apiNote 课程共享方式：未分享/开放/私有
 */
@Getter
public enum ShareModeEnum implements BaseEnum<String, ShareModeEnum> {
    /**
     * 课程未分享
     */
    NO_SHARE("NO_SHARE"),

    /**
     * 公开分享
     */
    OPEN("OPEN"),

    /**
     * 私密分享
     */
    PRIVATE("PRIVATE");

    @EnumValue
    private final String code;

    ShareModeEnum(String code) {
        this.code = code;
    }
}
