package com.ym.mec.biz.dal.enums.im;

import com.baomidou.mybatisplus.annotation.EnumValue;

/**
 * Description
 *
 * @author liujunchi
 * @date 2022-04-28
 */
public enum ClientEnum{
    TEACHER("老师端"),
    STUDENT("学生端"),
    SYSTEM("平台端"),
    SCHOOL("教务端"),
    WEBSITE("官网"),

    ;
    @EnumValue
    private String code;
    private String msg;

    ClientEnum(String msg) {
        this.code = this.name();
        this.msg = msg;
    }

    public String getCode() {
        return code;
    }

    public String getMsg() {
        return msg;
    }

    /**
     * 校验客户端类型合法性
     * @param clientType 客户端类型
     * @return boolean
     */
    public static boolean invalid(String clientType) {

        ClientEnum[] values = ClientEnum.values();

        for (ClientEnum item : values) {

            if (item.getCode().equals(clientType)) {
                return false;
            }
        }

        return true;
    }

    /**
     * 客户端类型匹配
     * @param dataType 数据类型
     * @return boolean
     */
    public boolean match(String dataType) {
        return getCode().equals(dataType);
    }
}
