package com.ym.mec.biz.dal.enums.im;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.microsvc.toolkit.common.enums.ConverterEnum;
import lombok.Getter;

/**
 * 群组成员角色
 */
@Getter
public enum EImGroupRoleType implements ConverterEnum<String> {

    Owner("群主"),
    Admin("管理员"),
    Member("群成员"),
    ;

    private final String msg;

    @EnumValue
    private final String code;

    EImGroupRoleType(String msg) {
        this.msg = msg;

        this.code = this.name();
    }

    // ClientType -> EImGroupRoleType
    public static EImGroupRoleType fromClientType(String clientType) {
        switch (clientType) {
            case "TEACHER":
                return Admin;
            case "STUDENT":
            default:
                return Member;
        }
    }
}
