package com.ym.mec.biz.dal.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.ym.mec.biz.dal.entity.DegreeLevelFeeNew;
import com.ym.mec.biz.dal.vo.DegreeLevelFeeNewVo;
import com.ym.mec.biz.dal.wrapper.DegreeLevelFeeWrapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 考级等级费用配置
 * 2023-04-10 10:24:25
 */
@Repository
public interface DegreeLevelFeeMapper extends BaseMapper<DegreeLevelFeeNew> {

	/**
	 * 分页查询
	 * @param page IPage<DegreeLevelFeeWrapper.DegreeLevelFee>
	 * @param param DegreeLevelFeeWrapper.DegreeLevelFeeQuery
	 * @return List<DegreeLevelFeeWrapper.DegreeLevelFee>
	 */
	List<DegreeLevelFeeNewVo> selectPage(@Param("page") IPage<DegreeLevelFeeNewVo> page, @Param("param") DegreeLevelFeeWrapper.DegreeLevelFeeQuery param);

    String checkSave(@Param("subjectId") Integer subjectId,
					 @Param("degreeType") String degreeType,
					 @Param("levels") String levels,
					 @Param("degreeLevelFeeId") Integer degreeLevelFeeId,
					 @Param("tenantId") Integer tenantId);
}