package com.ym.mec.biz.dal.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import com.ym.mec.biz.dal.entity.SchoolActivity;
import com.ym.mec.biz.dal.wrapper.SchoolActivityWrapper;

/**
 * 学校活动
 * 2023-05-04 11:32:00
 */
@Repository
public interface SchoolActivityMapper extends BaseMapper<SchoolActivity> {

	/**
	 * 分页查询
	 * @param page IPage<SchoolActivityWrapper.SchoolActivity>
	 * @param param SchoolActivityWrapper.SchoolActivityQuery
	 * @return List<SchoolActivityWrapper.SchoolActivity>
	 */
	List<SchoolActivityWrapper.SchoolActivity> selectPage(@Param("page") IPage<SchoolActivityWrapper.SchoolActivity> page, @Param("param") SchoolActivityWrapper.SchoolActivityQuery param);

    /**
     * 获取学生列表
     */
    List<SchoolActivityWrapper.SchoolActivityStudent> getUserList(@Param("param") SchoolActivityWrapper.SchoolActivityStudentQuery query);
}