package com.ym.mec.biz.dal.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.ym.mec.biz.dal.enums.school.ESchoolStaffType;
import com.ym.mec.biz.dal.wrapper.StatGroupWrapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import com.ym.mec.biz.dal.entity.SchoolStaff;
import com.ym.mec.biz.dal.wrapper.SchoolStaffWrapper;

/**
 * 学校员工
 * 2023-05-06 10:49:23
 */
@Repository
public interface SchoolStaffMapper extends BaseMapper<SchoolStaff> {

	/**
	 * 分页查询
	 * @param page IPage<SchoolStaffWrapper.SchoolStaff>
	 * @param param SchoolStaffWrapper.SchoolStaffQuery
	 * @return List<SchoolStaffWrapper.SchoolStaff>
	 */
	List<SchoolStaffWrapper.SchoolStaff> selectPage(@Param("page") IPage<SchoolStaffWrapper.SchoolStaff> page, @Param("param") SchoolStaffWrapper.SchoolStaffQuery param);

	/**
	 * 学校员工身份数统计
	 * @param schoolId 学校Id
	 * @return List<StatGroupWrapper>
	 */
    List<StatGroupWrapper> selectUserTypeNumsStat(@Param("schoolId") Integer schoolId);

    /**
     * 修改学校用户状态
     *
     * @param status 状态
     * @param cooperationOrganId 合作单位ID
     */
    void updateStatusAndRecoveryStatus(@Param("status") Boolean status, @Param("cooperationOrganId") Integer cooperationOrganId);

    void delUser(@Param("userId") Long userId);

    List<SchoolStaff> getByCoopIdAndType(@Param("cooperationOrganId") Integer cooperationOrganId, @Param("staffType") ESchoolStaffType staffType);

	List<SchoolStaffWrapper.SchoolStaff> selectBaseInfoByPage(@Param("page") IPage<SchoolStaffWrapper.SchoolStaff> page,
															  @Param("param") SchoolStaffWrapper.SchoolStaffQuery query);
}