package com.ym.mec.biz.dal.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import com.ym.mec.biz.dal.entity.StudentCoursewarePlayRecord;
import com.ym.mec.biz.dal.wrapper.StudentCoursewarePlayRecordWrapper;

/**
 * 学生课件播放统计记录
 * 2024-07-04 14:48:14
 */
@Repository
public interface StudentCoursewarePlayRecordMapper extends BaseMapper<StudentCoursewarePlayRecord> {

    /**
     * 分页查询
     *
     * @param page  IPage<StudentCoursewarePlayRecordWrapper.StudentCoursewarePlayRecord>
     * @param param StudentCoursewarePlayRecordWrapper.StudentCoursewarePlayRecordQuery
     * @return List<StudentCoursewarePlayRecordWrapper.StudentCoursewarePlayRecord>
     */
    List<StudentCoursewarePlayRecord> selectPage(@Param("page") IPage<StudentCoursewarePlayRecord> page, @Param("param") StudentCoursewarePlayRecordWrapper.StudentCoursewarePlayRecordQuery param);

    void save(@Param("record") StudentCoursewarePlayRecord record);

    List<StudentCoursewarePlayRecordWrapper.StatQueryData> statList(@Param("statQuery") StudentCoursewarePlayRecordWrapper.StatQuery statQuery);

    List<StudentCoursewarePlayRecordWrapper.StatQueryData> statDetailPage(@Param("page") IPage<StudentCoursewarePlayRecordWrapper.StatQueryData> page,
                                                                          @Param("statQuery") StudentCoursewarePlayRecordWrapper.StatQuery statQuery);
}