package com.ym.mec.biz.dal.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.ym.mec.biz.dal.entity.UserMusicStar;
import com.ym.mec.biz.dal.wrapper.UserMusicStarWrapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 用户曲目作品点赞记录
 * 2023-10-30 14:59:53
 */
@Repository
public interface UserMusicStarMapper extends BaseMapper<UserMusicStar> {

	/**
	 * 分页查询
	 * @param page IPage<UserMusicStarWrapper.UserMusicStar>
	 * @param param UserMusicStarWrapper.UserMusicStarQuery
	 * @return List<UserMusicStarWrapper.UserMusicStar>
	 */
	List<UserMusicStar> selectPage(@Param("page") IPage<UserMusicStar> page, @Param("param") UserMusicStarWrapper.UserMusicStarQuery param);

    List<UserMusicStarWrapper.StarCount> getStarCountMapByUserMusicIds(@Param("userMusicIds") List<Long> userMusicIds);
}
