package com.ym.mec.biz.dal.page;

import com.ym.mec.biz.dal.enums.ClassGroupTypeEnum;
import com.ym.mec.biz.dal.enums.GroupType;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

public class ClassGroupQueryInfo extends EducationBaseQueryInfo {
	
	@ApiModelProperty(value = "班级编号", required = false)
	private Integer id;

	@ApiModelProperty(value = "课程组编号", required = false)
    private String musicGroupId;
    
	@ApiModelProperty(value = "班级类型(普通班级、合奏班级、提高课班级、VIP班级、试听课)", required = false)
    private ClassGroupTypeEnum type;
    
	@ApiModelProperty(value = "课程组类型（MUSIC、VIP、DEMO、PRACTICE、COMM、REPAIR）", required = true)
    private GroupType groupType;
    
    @ApiModelProperty(value = "班级名称", required = false)
    private String name;

    private Integer delFlag;

    @ApiModelProperty(value = "少于3人的线上基础技能班，大于0。异常传true、提醒传false")
    private Boolean lessThenThreeHighOnline;

    @ApiModelProperty(value = "主教老师编号", required = false)
    private Integer mainTeacherUserId;

	@ApiModelProperty(value = "班级编号列表")
	private List<Integer> classGroupIdList;

	public List<Integer> getClassGroupIdList() {
		return classGroupIdList;
	}

	public void setClassGroupIdList(List<Integer> classGroupIdList) {
		this.classGroupIdList = classGroupIdList;
	}

	public Boolean getLessThenThreeHighOnline() {
		return lessThenThreeHighOnline;
	}

	public void setLessThenThreeHighOnline(Boolean lessThenThreeHighOnline) {
		this.lessThenThreeHighOnline = lessThenThreeHighOnline;
	}

	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public String getMusicGroupId() {
		return musicGroupId;
	}

	public void setMusicGroupId(String musicGroupId) {
		this.musicGroupId = musicGroupId;
	}

	public ClassGroupTypeEnum getType() {
		return type;
	}

	public void setType(ClassGroupTypeEnum type) {
		this.type = type;
	}

	public GroupType getGroupType() {
		return groupType;
	}

	public void setGroupType(GroupType groupType) {
		this.groupType = groupType;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public Integer getDelFlag() {
		return delFlag;
	}

	public void setDelFlag(Integer delFlag) {
		this.delFlag = delFlag;
	}

	public Integer getMainTeacherUserId() {
		return mainTeacherUserId;
	}

	public void setMainTeacherUserId(Integer mainTeacherUserId) {
		this.mainTeacherUserId = mainTeacherUserId;
	}
}
