package com.ym.mec.biz.dal.page;

import com.ym.mec.common.page.PageInfo;
import com.ym.mec.common.page.QueryInfo;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

public class CloudTeacherActiveWapper {

    @Data
    public static class Query extends QueryInfo {
        @ApiModelProperty(value = "分部")
        private String organId;

        @ApiModelProperty(value = "开始时间")
        private String startDate;

        @ApiModelProperty(value = "结束时间")
        private String endDate;

        @ApiModelProperty(value = "声部")
        private Integer subjectId;

        @ApiModelProperty(value = "教师ID")
        private Integer teacherId;

        @ApiModelProperty(value = "是否会员")
        private Boolean hasMember;
    }

    @Data
    public static class Result {
        @ApiModelProperty(value = "学员编号")
        private Integer userId;

        @ApiModelProperty(value = "学员姓名")
        private String username;

        @ApiModelProperty(value = "手机号")
        private String phone;

        @ApiModelProperty(value = "声部")
        private Integer subjectId;

        @ApiModelProperty(value = "声部")
        private String subjectName;

        @ApiModelProperty(value = "练习总时长")
        private BigDecimal trainTotalTime = BigDecimal.ZERO;

        @ApiModelProperty(value = "练习次数")
        private BigDecimal trainNum = BigDecimal.ZERO;

        @ApiModelProperty(value = "练习天数")
        private BigDecimal trainDays = BigDecimal.ZERO;

        @ApiModelProperty(value = "平均练习时长")
        private BigDecimal avgTrainTime = BigDecimal.ZERO;

        @ApiModelProperty(value = "评测次数")
        private BigDecimal testNum = BigDecimal.ZERO;

        @ApiModelProperty(value = "是否会员")
        private Boolean memberFlag;
    }

    @Data
    public static class Statistics {
        @ApiModelProperty(value = "练习总时长")
        private BigDecimal trainTotalTime = BigDecimal.ZERO;

        @ApiModelProperty(value = "练习天数")
        private BigDecimal trainDays = BigDecimal.ZERO;

        @ApiModelProperty(value = "平均练习时长")
        private BigDecimal avgTrainTime = BigDecimal.ZERO;
    }

    @Data
    public static class ResultMap {
        @ApiModelProperty(value = "列表")
        private PageInfo<Result> result;

        @ApiModelProperty(value = "汇总")
        private Statistics statistics;
    }

}
