package com.ym.mec.biz.dal.page;

import com.ym.mec.common.page.QueryInfo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotNull;

/**
 * @author 袁亮
 * @apiNote 课程分享分页查询模型
 */
@EqualsAndHashCode(callSuper = true)
@ApiModel("课程分享分页查询模型")
@Data
public class CourseShareQueryInfo extends QueryInfo {

    @NotNull(message = "课程编号不能为空")
    @ApiModelProperty(value = "课程编号")
    private Long courseId;

    @ApiModelProperty(value = "查询条件")
    private String search;

    @ApiModelProperty(value = "声部ID")
    private String subjectId;

    @ApiModelProperty(value = "分部ID，多个逗号隔开")
    private String organIds;

    @ApiModelProperty(value = "群聊ID")
    private String groupIds;

    @ApiModelProperty(value = "乐团ID")
    private String teamIds;

    @ApiModelProperty(value = "学校ID")
    private String schoolIds;

}
