package com.ym.mec.biz.dal.page;

import com.ym.mec.biz.dal.entity.CourseSchedule;
import com.ym.mec.biz.dal.enums.*;
import com.ym.mec.common.page.QueryInfo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @Author Joburgess
 * @Date 2019/12/27
 */
@Data
public class EndCourseScheduleQueryInfo extends QueryInfo {

    @ApiModelProperty(value = "部门编号列表")
    private String organIdList;

    @ApiModelProperty(value = "团体类型")
    private GroupType groupType;

    @ApiModelProperty(value = "团体编号")
    private String groupId;

    @ApiModelProperty(value = "班级编号")
    private Integer classGroupId;

    @ApiModelProperty(value = "是否点名")
    private Integer isCallNames;

    @ApiModelProperty(value = "学生编号")
    private String studentIdList;

    @ApiModelProperty(value = "学生编号")
    private Integer studentId;

    @ApiModelProperty(value = "学生名称")
    private String studentName;

    @ApiModelProperty(value = "教师编号")
    private String teacherIdList;

    @ApiModelProperty(value = "教师名称")
    private String teacherName;

    @ApiModelProperty(value = "上课开始时间")
    private String startTime;

    @ApiModelProperty(value = "上课结束时间")
    private String endTime;

	@ApiModelProperty(value = "上课时间字符")
	private String startClassTimeStr;

	@ApiModelProperty(value = "结束时间字符")
	private String endClassTimeStr;
    
    @ApiModelProperty(value = "课程创建开始时间")
    private Date createStartDate;
    
    @ApiModelProperty(value = "课程创建结束时间")
    private Date createEndDate;

    @ApiModelProperty(value = "课程状态")
    private CourseStatusEnum courseStatus;

    @ApiModelProperty(value = "课程类型")
    private CourseSchedule.CourseScheduleType courseType;

    @ApiModelProperty(value = "班级类型")
    private ClassGroupTypeEnum classGroupType;

    @ApiModelProperty(value = "教学点编号")
    private Integer schoolId;

    @ApiModelProperty(value = "上课模式")
    private TeachModeEnum teachMode;

    @ApiModelProperty(value = "职务类型（助教、主教）")
    private TeachTypeEnum teachType;

    private boolean isExport = false;

    @ApiModelProperty(value = "合并课程类型，MASTER 主课，ASSIST 副课，ALL 全部")
    private String mergeCourseType;

    @ApiModelProperty(value = "TEACHER_ERR_ATTENDANCE 老师考勤异常，STUDENT_ERR_ATTENDANCE 学员考勤异常，NO_ATTENDANCE 课程异常")
    private String searchType;

    @ApiModelProperty(value = "课程编号搜索")
    private Long courseIdSearch;

    private String generateStartTime;

    private String generateEndTime;

    private String dealStartTime;

    private String dealEndTime;

    private Boolean hasDealTime;

    private Integer educationUserId;

    @ApiModelProperty(value = "是否云教练课程")
    private Integer memberFlag;

    @ApiModelProperty(value = "是否有助教")
    private Boolean hasTeaching;
}
