package com.ym.mec.biz.dal.page;

import com.ym.mec.biz.dal.enums.ELessonTrainingType;
import com.ym.mec.common.page.QueryInfo;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

/**
 * @Author Joburgess
 * @Date 2020/3/26
 */
public class ExtraExercilseQueryInfo extends QueryInfo {

	private String startTime;

	private String endTime;

	private String batchNo;// 批次号

	private Integer teacherId;

	private Integer studentId;

	private Date createTime;

	private String title;// 作业标题
	
	private String organIdList;

	private Date assignStartTime;// 布置作业的开始时间

	private Date assignEndTime;// 布置作业的结束时间

	@ApiModelProperty(value = "是否云教练作业")
	private Boolean cloudHomeworkFlag;



    @ApiModelProperty(value = "作业练习类型（HOMEWORK,EXTRACURRICULAR,EXTRA）")
    private ELessonTrainingType type;

    @ApiModelProperty("完成状态 false 未完成 true 已完成")
    private Boolean finishStatus;

    @ApiModelProperty("模糊查询 乐团名称/老师")
    private String search;

    @ApiModelProperty("是否是学员布置")
    private Boolean studentAssignFlag;

    private Long studentExerciseId;

    private String versionTag;

    public String getVersionTag() {
        return versionTag;
    }

    public void setVersionTag(String versionTag) {
        this.versionTag = versionTag;
    }

    public Boolean getStudentAssignFlag() {
        return studentAssignFlag;
    }

    public void setStudentAssignFlag(Boolean studentAssignFlag) {
        this.studentAssignFlag = studentAssignFlag;
    }

    public Long getStudentExerciseId() {
        return studentExerciseId;
    }

    public void setStudentExerciseId(Long studentExerciseId) {
        this.studentExerciseId = studentExerciseId;
    }

    @Override
    public String getSearch() {
        return search;
    }

    @Override
    public void setSearch(String search) {
        this.search = search;
    }

    public ELessonTrainingType getType() {
        return type;
    }

    public void setType(ELessonTrainingType type) {
        this.type = type;
    }

    public Boolean getFinishStatus() {
        return finishStatus;
    }

    public void setFinishStatus(Boolean finishStatus) {
        this.finishStatus = finishStatus;
    }
	public Boolean getCloudHomeworkFlag() {
		return cloudHomeworkFlag;
	}

	public void setCloudHomeworkFlag(Boolean cloudHomeworkFlag) {
		this.cloudHomeworkFlag = cloudHomeworkFlag;
	}

	public String getStartTime() {
		return startTime;
	}

	public void setStartTime(String startTime) {
		this.startTime = startTime;
	}

	public String getEndTime() {
		return endTime;
	}

	public void setEndTime(String endTime) {
		this.endTime = endTime;
	}

	public Integer getTeacherId() {
		return teacherId;
	}

	public void setTeacherId(Integer teacherId) {
		this.teacherId = teacherId;
	}

	public Integer getStudentId() {
		return studentId;
	}

	public void setStudentId(Integer studentId) {
		this.studentId = studentId;
	}

	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	public String getBatchNo() {
		return batchNo;
	}

	public void setBatchNo(String batchNo) {
		this.batchNo = batchNo;
	}

	public String getTitle() {
		return title;
	}

	public void setTitle(String title) {
		this.title = title;
	}

	public String getOrganIdList() {
		return organIdList;
	}

	public void setOrganIdList(String organIdList) {
		this.organIdList = organIdList;
	}

	public Date getAssignStartTime() {
		return assignStartTime;
	}

	public void setAssignStartTime(Date assignStartTime) {
		this.assignStartTime = assignStartTime;
	}

	public Date getAssignEndTime() {
		return assignEndTime;
	}

	public void setAssignEndTime(Date assignEndTime) {
		this.assignEndTime = assignEndTime;
	}
}
