package com.ym.mec.biz.dal.page;

import com.ym.mec.biz.dal.enums.GoodsType;
import com.ym.mec.biz.dal.enums.YesOrNoEnum;
import com.ym.mec.common.page.QueryInfo;
import io.swagger.annotations.ApiModelProperty;

public class GoodsQueryInfo extends QueryInfo {

    @ApiModelProperty(value = "商品分类",required = false)
    private Integer goodsCategoryId;

    //是否是新品（1，是  0，否）
    @ApiModelProperty(value = "是否是新品（1，是  0，否）",required = false)
    private YesOrNoEnum isNew;

    //是否置顶（1，置顶   0，不置顶）
    @ApiModelProperty(value = "是否置顶（1，置顶   0，不置顶）",required = false)
    private YesOrNoEnum isTop;

    //状态（1，上架  0，下架）
    @ApiModelProperty(value = "状态（1，上架  0，下架）",required = false)
    private YesOrNoEnum status;

    @ApiModelProperty(value = "商品类型", required = false)
    private GoodsType type;

    @ApiModelProperty(value = "是否组合商品：0/1")
    private Integer groupGoods;

    @ApiModelProperty(value = "客户端展示分部")
    private String studentShowOrganId;

    @ApiModelProperty(value = "教务端展示分部")
    private String educationShowOrganId;

    @ApiModelProperty(value = "课程收费团展示分部")
    private String courseFeeShowOrganId;

    @ApiModelProperty(value = "会员收费团展示分部")
    private String memberFeeShowOrganId;

    @ApiModelProperty(value = "免费团展示分部")
    private String freeFeeShowOrganId;

    @ApiModelProperty(value = "乐器置换展示分部")
    private String replacementShowOrganId;

    @ApiModelProperty(value = "分部")
    private String organId;

    @ApiModelProperty(value = "此参数为1则不按分部查询")
    private Integer noOrganSearch;

    @ApiModelProperty(value = "品牌ID")
    private String brandId;

    @ApiModelProperty(value = "商品名称")
    private String name;

    @ApiModelProperty(value = "货号")
    private String sn;

    private Integer subjectId;

    public Integer getNoOrganSearch() {
        return noOrganSearch;
    }

    public void setNoOrganSearch(Integer noOrganSearch) {
        this.noOrganSearch = noOrganSearch;
    }

    public String getOrganId() {
        return organId;
    }

    public void setOrganId(String organId) {
        this.organId = organId;
    }

    public String getStudentShowOrganId() {
        return studentShowOrganId;
    }

    public void setStudentShowOrganId(String studentShowOrganId) {
        this.studentShowOrganId = studentShowOrganId;
    }

    public String getEducationShowOrganId() {
        return educationShowOrganId;
    }

    public void setEducationShowOrganId(String educationShowOrganId) {
        this.educationShowOrganId = educationShowOrganId;
    }

    public String getCourseFeeShowOrganId() {
        return courseFeeShowOrganId;
    }

    public void setCourseFeeShowOrganId(String courseFeeShowOrganId) {
        this.courseFeeShowOrganId = courseFeeShowOrganId;
    }

    public String getMemberFeeShowOrganId() {
        return memberFeeShowOrganId;
    }

    public void setMemberFeeShowOrganId(String memberFeeShowOrganId) {
        this.memberFeeShowOrganId = memberFeeShowOrganId;
    }

    public String getReplacementShowOrganId() {
        return replacementShowOrganId;
    }

    public void setReplacementShowOrganId(String replacementShowOrganId) {
        this.replacementShowOrganId = replacementShowOrganId;
    }

    public Integer getGroupGoods() {
        return groupGoods;
    }

    public void setGroupGoods(Integer groupGoods) {
        this.groupGoods = groupGoods;
    }

    public GoodsType getType() {
        return type;
    }

    public void setType(GoodsType type) {
        this.type = type;
    }

    public Integer getGoodsCategoryId() {
        return goodsCategoryId;
    }

    public void setGoodsCategoryId(Integer goodsCategoryId) {
        this.goodsCategoryId = goodsCategoryId;
    }

    public YesOrNoEnum getIsNew() {
        return isNew;
    }

    public void setIsNew(YesOrNoEnum isNew) {
        this.isNew = isNew;
    }

    public YesOrNoEnum getIsTop() {
        return isTop;
    }

    public void setIsTop(YesOrNoEnum isTop) {
        this.isTop = isTop;
    }

    public YesOrNoEnum getStatus() {
        return status;
    }

    public void setStatus(YesOrNoEnum status) {
        this.status = status;
    }

    public Integer getSubjectId() {
        return subjectId;
    }

    public void setSubjectId(Integer subjectId) {
        this.subjectId = subjectId;
    }

	public String getFreeFeeShowOrganId() {
		return freeFeeShowOrganId;
	}

	public void setFreeFeeShowOrganId(String freeFeeShowOrganId) {
		this.freeFeeShowOrganId = freeFeeShowOrganId;
	}

    public String getBrandId() {
        return brandId;
    }

    public void setBrandId(String brandId) {
        this.brandId = brandId;
    }

    public String getSn() {
        return sn;
    }

    public void setSn(String sn) {
        this.sn = sn;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }
}
