package com.ym.mec.biz.dal.page;

import com.ym.mec.biz.dal.enums.FeatureType;
import com.ym.mec.biz.dal.enums.HeardLevelEnum;
import com.ym.mec.common.page.QueryInfo;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

public class MusicCompareRecordWapper {

    @Data
    public static class Query extends QueryInfo {
        @ApiModelProperty(value = "评测难度")
        private HeardLevelEnum heardLevel;

        @ApiModelProperty(value = "开始时间")
        private String startDate;

        @ApiModelProperty(value = "结束时间")
        private String endDate;

        @ApiModelProperty(value = "功能点")
        private FeatureType feature;

        @ApiModelProperty(value = "学员编号")
        private Integer studentId;
    }

    @Data
    public static class Result {

        @ApiModelProperty(value = "教程编号")
        private Integer sysMusicScoreId;

        @ApiModelProperty(value = "评测难度")
        private HeardLevelEnum heardLevel;

        @ApiModelProperty(value = "教程名称")
        private String sysMusicScoreName;

        @ApiModelProperty(value = "评分数据")
        private String scoreData;

        @ApiModelProperty(value = "总分")
        private BigDecimal score;

        @ApiModelProperty(value = "音准")
        private BigDecimal intonation;

        @ApiModelProperty(value = "节奏")
        private BigDecimal cadence;

        @ApiModelProperty(value = "完成度")
        private BigDecimal integrity;

        @ApiModelProperty(value = "录音文件地址")
        private String recordFilePath;

        @ApiModelProperty(value = "视频文件地址")
        private String videoFilePath;

        @ApiModelProperty(value = "功能点")
        private FeatureType feature;

        @ApiModelProperty(value = "创建时间")
        private java.util.Date createTime;
    }
}
