package com.ym.mec.biz.dal.page;

import com.ym.mec.biz.dal.enums.CourseStatusEnum;
import com.ym.mec.biz.dal.enums.StudentAttendanceStatusEnum;
import com.ym.mec.common.page.QueryInfo;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @Author Joburgess
 * @Date 2019/9/12
 */
@Data
public class StudentAttendanceQueryInfo extends QueryInfo {

    @ApiModelProperty(value = "学生ID",required = false)
    private Integer studentID;
    
    @ApiModelProperty(value = "老师编号",required = false)
    private Integer teacherId;

    @ApiModelProperty(value = "乐团ID")
    private Long musicGroupId;
    
    @ApiModelProperty(value = "课程组类型")
    private String groupType;
    
    @ApiModelProperty(value = "课程类型")
    private String courseScheduleType;
    
    @ApiModelProperty(value = "班级ID")
    private Long classGroupId;

    @ApiModelProperty(value = "课程ID")
    private Long courseScheduleId;

    @ApiModelProperty(value = "状态（正常、旷课、请假、休学）",required = false)
    private StudentAttendanceStatusEnum status;
    
    @ApiModelProperty(value = "课程状态")
    private CourseStatusEnum courseStatus;

    @ApiModelProperty(value = "过滤状态")
    private StudentAttendanceStatusEnum filterStatus;
    
    @ApiModelProperty(value = "课程开始时间")
    private Date startDateOfCourse;
    
    @ApiModelProperty(value = "课程结束时间")
    private Date endDateOfCourse;

    @ApiModelProperty(value = "分部")
    private String organId;

    @ApiModelProperty(value = "courseScheduleStudentPaymentId")
    private String ids;

    //是否回访
    private Boolean visitFlag;

    private Boolean orderFlag;

    @ApiModelProperty(value = "是否达标1是0否")
    private Boolean qualifiedFlag;
}
