package com.ym.mec.biz.dal.page;

import com.ym.mec.biz.dal.enums.FeatureType;
import com.ym.mec.biz.dal.enums.HeardLevelEnum;
import com.ym.mec.common.page.QueryInfo;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @Author Joburgess
 * @Date 2021/8/11 0011
 */
@Data
public class SysMusicCompareRecordQueryInfo extends QueryInfo {

    private Integer userId;

    private Integer teacherId;

    private String startTime;

    private String endTime;

    @ApiModelProperty("乐团")
    private String musicGroupId;

    @ApiModelProperty("班级")
    private Integer classGroupId;

    private int orderType;

    @ApiModelProperty("是否是会员")
    private Boolean memberFlag;

    @ApiModelProperty("是否乐团学员(进行中乐团在读学员)")
    private Boolean musicFlag = false;

    @ApiModelProperty("是否有已结束的小课（没有未开始）")
    private Boolean hasEndVipFlag = false;

    @ApiModelProperty("是否有未开始的小课")
    private Boolean hasNotStartVipFlag = false;

    @ApiModelProperty("排序字段：TRAINDAYS(训练天数);TRAINTIME(训练时长);TRAINNUM(训练次数)")
    private String sortField = "TRAINDAYS";

    private FeatureType featureType;

    private HeardLevelEnum heardLevel;

    private Boolean visitFlag;

    private Integer organId;

    //基础数据
    private List<Integer> studentIdList;
}
