package com.ym.mec.biz.dal.page;

import com.ym.mec.biz.dal.enums.JobNatureEnum;
import com.ym.mec.common.page.QueryInfo;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class TeacherCloseQueryInfo extends QueryInfo {
    @ApiModelProperty(value = "考勤编号列表")
    private String teacherAttendanceId;

    @ApiModelProperty(value = "教师编号")
    private Integer teacherId;

    @ApiModelProperty(value = "上课开始日期")
    private String courseStartDate;

    @ApiModelProperty(value = "上课结束日期")
    private String courseEndDate;

    @ApiModelProperty(value = "老师角色")
    private String teacherRole;

    @ApiModelProperty(value = "课程类型")
    private String courseScheduleType;

    @ApiModelProperty(value = "课程状态")
    private String courseScheduleStatus;

    @ApiModelProperty(value = "课程名称")
    private String classGroupName;

    @ApiModelProperty(value = "签到状态")
    private String signInStatus;

    @ApiModelProperty(value = "签退状态")
    private String signOutStatus;

    @ApiModelProperty(value = "分部")
    private String organId;

    @ApiModelProperty(value = "工作性质（兼职 PART_JOB、全职FULL_JOB）", required = false)
    private JobNatureEnum jobNature;

    @ApiModelProperty(value = "考勤状态，ERR_ATTENDANCE,NO_ATTENDANCE")
    private String attendanceStatus;
}
