package com.ym.mec.biz.dal.school.page;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.ym.mec.biz.dal.enums.CourseStatusEnum;
import com.ym.mec.common.enums.BaseEnum;
import com.ym.mec.common.tenant.TenantContextHolder;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
public class TeacherAttendanceQueryInfo{
    public enum TeacherAttendanceEnum implements BaseEnum<String,TeacherAttendanceEnum> {
        NORMAL("NORMAL", "正常"),
        ERR("ERR", "异常"),
        NO_COURSE("NO_COURSE", "无课"),
        ;

        @EnumValue
        private String code;
        private String msg;

        TeacherAttendanceEnum(String code, String msg) {
            this.code = code;
            this.msg = msg;
        }

        public String getMsg() {
            return msg;
        }

        @Override
        public String getCode() {
            return code;
        }
    }

    @ApiModelProperty(value = "班级类型",required = false)
    private String classType;

    @ApiModelProperty(value = "模糊查询",required = false)
    private String search;

    @ApiModelProperty(value = "合作单位编号",required = true)
    private Integer coopId;

    @ApiModelProperty(value = "班级编号",required = false)
    private Integer classGroupId;

    @ApiModelProperty(value = "老师编号（不用传）",required = false)
    private Integer teacherId;

    @ApiModelProperty(value = "考勤状态",required = false)
    private TeacherAttendanceEnum teacherAttendanceStatus;

    @ApiModelProperty(value = "学期（不用传）",required = false)
    private String startTerm;

    @ApiModelProperty(value = "学期（不用传）",required = false)
    private String endTerm;

    @ApiModelProperty(value = "（不用传）",required = false)
    private List<String> musicGroupIds;

    @ApiModelProperty(value = "课程状态",required = true)
    private CourseStatusEnum courseStatus;

    private Integer tenantId = TenantContextHolder.getTenantId();
}
