package com.ym.mec.biz.dal.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.List;

/**
 * 课程表数据类
 * Created by Eric.Shang on 2023/6/7.
 */
public class CourseScheduleWrapper {


    @Data
    @Builder
    @NoArgsConstructor
    @AllArgsConstructor
    @ApiModel("课程表")
    public static class LiveCourseSchedule implements Serializable {

        @ApiModelProperty("直播间编号")
        private String liveRoomId;

        @ApiModelProperty("声部编号")
        private String subjectId;

        @ApiModelProperty("课程结束后是否自动关闭课程")
        private Boolean autoCloseFlag;

        @ApiModelProperty("课程结束后多少分钟关闭网络教室")
        private String autoCloseNetworkRoomTime;

        @ApiModelProperty("获取当前课程剩余时长")
        private Integer surplusTime;

        @ApiModelProperty("当前时间戳")
        private Long timestamp;

        @ApiModelProperty("课程表时间")
        private List<CourseScheduleTime> courseScheduleTimes;
    }

    @Data
    @Builder
    @NoArgsConstructor
    @AllArgsConstructor
    @ApiModel("课程表时间")
    public static class CourseScheduleTime implements Serializable {

        @ApiModelProperty("开始时间")
        private Long startTime;

        @ApiModelProperty("结束时间")
        private Long endTime;
    }

}
