package com.ym.mec.biz.dal.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ym.mec.biz.dal.enums.DegreeTypeEnum;
import com.ym.mec.common.tenant.TenantContextHolder;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import java.util.Optional;

/**
 * 考级等级费用配置
 * 2023-04-10 10:24:25
 */
@Data
public class DegreeLevelFeeNewVo{

    @TableId(value = "id_", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty("声部ID")
    private Integer subjectId;

    @ApiModelProperty("声部")
    private String subjectName;

    @ApiModelProperty("等级")
    private Integer level;

    @ApiModelProperty("费用")
    private BigDecimal fee;

    @ApiModelProperty("考级分类, GRADE,THEORY")
    private DegreeTypeEnum degreeType;

    @ApiModelProperty("是否上传证书")
    private Boolean credentials;

    @ApiModelProperty("创建时间")
    private Date createTime;

    @ApiModelProperty("修改时间")
    private Date updateTime;

    private Integer tenantId;

    public Integer getTenantId() {
        return Optional.ofNullable(tenantId).orElse(TenantContextHolder.getTenantId());
    }
}