package com.ym.mec.biz.dal.vo;

import com.ym.mec.biz.dal.enums.DegreeNewsTypeEnum;
import com.ym.mec.common.tenant.TenantContextHolder;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.Optional;


/**
 * 考级资讯表
 * 2023-04-10 10:24:25
 */
@Data
public class DegreeNewsVo{

    @ApiModelProperty("主键ID") 
    private Long id;

    @ApiModelProperty("标题")
    private String title;

    @ApiModelProperty("内容")
    private String content;

    @ApiModelProperty("封面图片")
    private String coverImage;

    @ApiModelProperty("咨询类型")
    private DegreeNewsTypeEnum type;

    @ApiModelProperty("状态（1-可见 0-不可见）")
    private Boolean status;

    @ApiModelProperty("上线时间")
    private Date onlineTime;

    @ApiModelProperty("下线时间")
    private Date offlineTime;

    @ApiModelProperty("备注")
    private String memo;

    @ApiModelProperty("链接地址")
    private String linkUrl;

    @ApiModelProperty("跳转类型_bank,_slef")
    private String hrefTarget;

    @ApiModelProperty("顺序号")
    private Integer order;

    @ApiModelProperty("删除标识")
    private Boolean delFlag;

    @ApiModelProperty("机构ID")
    private Integer tenantId;

    @ApiModelProperty("所属分部")
    private String organIds;

    @ApiModelProperty("所属分部")
    private String organNames;

    @ApiModelProperty("视频封面")
    private String videoCoverImage;

    @ApiModelProperty("操作人")
    private Integer operatorId;

    @ApiModelProperty("操作人")
    private String operatorName;

    @ApiModelProperty("更新时间")
    private Date updateTime;

    @ApiModelProperty("创建时间")
    private Date createTime;

    public Integer getTenantId() {
        return Optional.ofNullable(tenantId).orElse(TenantContextHolder.getTenantId());
    }
}
