package com.ym.mec.biz.dal.vo;

import com.alibaba.fastjson.JSON;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

/**
 * @author hgw
 * Created by 2022-02-25
 */
public class ImLiveBroadcastRoomMemberVo implements java.io.Serializable {

    @ApiModelProperty(value = "房间编号")
    private String roomUid;

    @ApiModelProperty(value = "房间标题")
    private String roomTitle;
    
    @ApiModelProperty(value = "主讲人")
    private String speakerName;

    @ApiModelProperty(value = "学生编号")
    private Integer studentId;

    @ApiModelProperty(value = "学生姓名")
    private String studentName;

    @ApiModelProperty(value = "学生头像")
    private String avatar;

    @ApiModelProperty(value = "手机号")
    private String phone;

    @ApiModelProperty(value = "声部名称")
    private String subName;
    
    @ApiModelProperty(value = "分部")
    private String organName;

    @ApiModelProperty("机构编号")
    private Integer organId;
    
    @ApiModelProperty(value = "乐团")
    private String musicGroupName;

    @ApiModelProperty(value = "进入房间时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date joinTime;

    @ApiModelProperty(value = "累计观看时长")
    private Integer totalViewTime;

    @ApiModelProperty(value = "连麦状态 0:未申请1:申请连麦中2:连麦中")
    private Integer whetherMicStatus;

    @ApiModelProperty(value = "是否黑名单")
    private boolean blackFlag;

    @ApiModelProperty("游客凭据")
    private String fingerprint;

    @ApiModelProperty(value = "是否能上麦:false否；true是")
    private boolean microphoneFlag;

    public boolean isMicrophoneFlag() {
        return microphoneFlag;
    }

    public void setMicrophoneFlag(boolean microphoneFlag) {
        this.microphoneFlag = microphoneFlag;
    }

    public ImLiveBroadcastRoomSimpleMemberVo getSimpleMemberVo(ImLiveBroadcastRoomMemberVo memberVo) {
        return JSON.parseObject(JSON.toJSONString(memberVo), ImLiveBroadcastRoomSimpleMemberVo.class);
    }

    public ImLiveBroadcastRoomMemberVo roomTitle(String roomTitle) {
        this.roomTitle = roomTitle;
        return this;
    }

    public ImLiveBroadcastRoomMemberVo speakerName(String speakerName) {
        this.speakerName = speakerName;
        return this;
    }

    public ImLiveBroadcastRoomMemberVo subName(String subName) {
        this.subName = subName;
        return this;
    }

    public ImLiveBroadcastRoomMemberVo organName(String organName) {
        this.organName = organName;
        return this;
    }

    public ImLiveBroadcastRoomMemberVo musicGroupName(String musicGroupName) {
        this.musicGroupName = musicGroupName;
        return this;
    }

    public static class ImLiveBroadcastRoomSimpleMemberVo {

        @ApiModelProperty(value = "学生头像")
        private String avatar;
        @ApiModelProperty(value = "是否黑名单")
        private boolean blackFlag;
        @ApiModelProperty(value = "进入房间时间")
        @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
        private Date joinTime;
        @ApiModelProperty(value = "学生编号")
        private Integer studentId;

        @ApiModelProperty(value = "学生姓名")
        private String studentName;

        public String getAvatar() {
            return avatar;
        }

        public void setAvatar(String avatar) {
            this.avatar = avatar;
        }

        public boolean isBlackFlag() {
            return blackFlag;
        }

        public void setBlackFlag(boolean blackFlag) {
            this.blackFlag = blackFlag;
        }

        public Date getJoinTime() {
            return joinTime;
        }

        public void setJoinTime(Date joinTime) {
            this.joinTime = joinTime;
        }

        public Integer getStudentId() {
            return studentId;
        }

        public void setStudentId(Integer studentId) {
            this.studentId = studentId;
        }

        public String getStudentName() {
            return studentName;
        }

        public void setStudentName(String studentName) {
            this.studentName = studentName;
        }
    }

    public boolean isBlackFlag() {
        return blackFlag;
    }

    public void setBlackFlag(boolean blackFlag) {
        this.blackFlag = blackFlag;
    }

    public String getAvatar() {
        return avatar;
    }

    public void setAvatar(String avatar) {
        this.avatar = avatar;
    }

    public Integer getWhetherMicStatus() {
        return whetherMicStatus;
    }

    public void setWhetherMicStatus(Integer whetherMicStatus) {
        this.whetherMicStatus = whetherMicStatus;
    }

    public Integer getStudentId() {
        return studentId;
    }

    public void setStudentId(Integer studentId) {
        this.studentId = studentId;
    }

    public String getStudentName() {
        return studentName;
    }

    public void setStudentName(String studentName) {
        this.studentName = studentName;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getSubName() {
        return subName;
    }

    public void setSubName(String subName) {
        this.subName = subName;
    }

    public Date getJoinTime() {
        return joinTime;
    }

    public void setJoinTime(Date joinTime) {
        this.joinTime = joinTime;
    }

    public Integer getTotalViewTime() {
        return totalViewTime;
    }

    public void setTotalViewTime(Integer totalViewTime) {
        this.totalViewTime = totalViewTime;
    }

    public String getRoomUid() {
        return roomUid;
    }

    public void setRoomUid(String roomUid) {
        this.roomUid = roomUid;
    }

    public String getRoomTitle() {
        return roomTitle;
    }

    public void setRoomTitle(String roomTitle) {
        this.roomTitle = roomTitle;
    }

	public String getSpeakerName() {
		return speakerName;
	}

	public void setSpeakerName(String speakerName) {
		this.speakerName = speakerName;
	}

	public String getOrganName() {
		return organName;
	}

	public void setOrganName(String organName) {
		this.organName = organName;
	}

	public String getMusicGroupName() {
		return musicGroupName;
	}

	public void setMusicGroupName(String musicGroupName) {
		this.musicGroupName = musicGroupName;
	}

    public String getFingerprint() {
        return fingerprint;
    }

    public void setFingerprint(String fingerprint) {
        this.fingerprint = fingerprint;
    }

    public Integer getOrganId() {
        return organId;
    }

    public void setOrganId(Integer organId) {
        this.organId = organId;
    }


}
