package com.ym.mec.biz.dal.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.math.RoundingMode;
import java.util.Objects;

@ApiModel(value = "训练营详情")
@Data
public class TempCampUserTrainingDetailVo implements Serializable {
    @ApiModelProperty(value = "用户id")
    private Integer id;
    @ApiModelProperty(value = "用户名称")
    private String username;
    @ApiModelProperty(value = "手机号")
    private String phone;
    @ApiModelProperty(value = "群组名称")
    private String imGroupName;
    @ApiModelProperty(value = "训练天数")
    private Integer playDay;
    @ApiModelProperty(value = "训练时间")
    private Integer playTime;
    @ApiModelProperty(value = "是否达标")
    private Boolean standardFlag;
    @ApiModelProperty(value = "声部")
    private String subjectName;
    @ApiModelProperty(value = "乐团")
    private String musicGroupName;
    @ApiModelProperty(value = "连续打卡天数")
    private Long cloudStudySequenceDays = 0l;

    /**
     * 传入秒钟换算成分钟
     */
    public void setPlayTime(Integer playTime) {
        if (Objects.nonNull(playTime)) {
            if (playTime >= 60) {
                BigDecimal divide = BigDecimal.valueOf(playTime).divide(BigDecimal.valueOf(60), 0, RoundingMode.DOWN);
                playTime = divide.intValue();
            } else {
                playTime = 0;
            }
        }
        this.playTime = playTime;
    }
}
