package com.ym.mec.biz.dal.wrapper;

import com.alibaba.fastjson.JSON;
import com.microsvc.toolkit.common.response.paging.QueryInfo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.util.Optional;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.apache.commons.lang3.StringUtils;

/**
 * app版本信息管理
 * 2023-11-03 13:55:54
 */
@ApiModel(value = "AppVersionInfoWrapper对象", description = "app版本信息管理查询对象")
public class AppVersionInfoWrapper {

    @Data
	@Builder
    @NoArgsConstructor
    @AllArgsConstructor
    @ApiModel(" AppVersionInfoQuery-app版本信息管理")
    public static class AppVersionInfoQuery implements QueryInfo {
    
    	@ApiModelProperty("当前页")
        private Integer page;
        
        @ApiModelProperty("分页行数")
        private Integer rows;
        
        @ApiModelProperty("关键字匹配")
		private String keyword;

        @ApiModelProperty("平台")
        private String platform;

        @ApiModelProperty("状态")
        private String status;

        public String getKeyword() {
            return Optional.ofNullable(keyword).filter(StringUtils::isNotBlank).orElse(null);
        }
        
        public String jsonString() {
            return JSON.toJSONString(this);
        }

        public static AppVersionInfoQuery from(String json) {
            return JSON.parseObject(json, AppVersionInfoQuery.class);
        }
    }  

	@ApiModel(" AppVersionInfo-app版本信息管理")
    public static class AppVersionInfo {
        
        public String jsonString() {
            return JSON.toJSONString(this);
        }

        public static AppVersionInfo from(String json) {
            return JSON.parseObject(json, AppVersionInfo.class);
        }
	}

}