package com.ym.mec.biz.dal.wrapper;

import com.alibaba.fastjson.JSON;
import com.microsvc.toolkit.common.response.paging.QueryInfo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.util.Optional;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.apache.commons.lang3.StringUtils;

/**
 * 组合商品，子商品信息
 * 2024-02-26 15:42:42
 */
@ApiModel(value = "GoodsSubWrapper对象", description = "组合商品，子商品信息查询对象")
public class GoodsSubWrapper {

    @Data
    @Builder
    @NoArgsConstructor
    @AllArgsConstructor
    @ApiModel(" GoodsSubQuery-组合商品，子商品信息")
    public static class GoodsSubQuery implements QueryInfo {

        @ApiModelProperty("当前页")
        private Integer page;

        @ApiModelProperty("分页行数")
        private Integer rows;

        @ApiModelProperty("关键字匹配")
        private String keyword;

        public String getKeyword() {
            return Optional.ofNullable(keyword).filter(StringUtils::isNotBlank).orElse(null);
        }

        public String jsonString() {
            return JSON.toJSONString(this);
        }

        public static GoodsSubQuery from(String json) {
            return JSON.parseObject(json, GoodsSubQuery.class);
        }
    }

    @ApiModel(" GoodsSub-组合商品，子商品信息")
    public static class GoodsSub {

        public String jsonString() {
            return JSON.toJSONString(this);
        }

        public static GoodsSub from(String json) {
            return JSON.parseObject(json, GoodsSub.class);
        }
    }

}