package com.ym.mec.biz.dal.wrapper;

import com.alibaba.fastjson.JSON;
import com.microsvc.toolkit.common.response.paging.QueryInfo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.util.Optional;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.apache.commons.lang3.StringUtils;

/**
 * 活动详情人员
 * 2023-05-04 11:32:00
 */
@ApiModel(value = "SchoolActivityDetailUserWrapper对象", description = "活动详情人员查询对象")
public class SchoolActivityDetailUserWrapper {

    @Data
	@Builder
    @NoArgsConstructor
    @AllArgsConstructor
    @ApiModel(" SchoolActivityDetailUserQuery-活动详情人员")
    public static class SchoolActivityDetailUserQuery implements QueryInfo {
    
    	@ApiModelProperty("当前页")
        private Integer page;
        
        @ApiModelProperty("分页行数")
        private Integer rows;
        
        @ApiModelProperty("关键字匹配")
		private String keyword;
        
        public String getKeyword() {
            return Optional.ofNullable(keyword).filter(StringUtils::isNotBlank).orElse(null);
        }
        
        public String jsonString() {
            return JSON.toJSONString(this);
        }

        public static SchoolActivityDetailUserQuery from(String json) {
            return JSON.parseObject(json, SchoolActivityDetailUserQuery.class);
        }
    }  

	@ApiModel(" SchoolActivityDetailUser-活动详情人员")
    public static class SchoolActivityDetailUser {
        
        public String jsonString() {
            return JSON.toJSONString(this);
        }

        public static SchoolActivityDetailUser from(String json) {
            return JSON.parseObject(json, SchoolActivityDetailUser.class);
        }
	}

}