package com.ym.mec.biz.dal.wrapper;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

public class SchoolIndexStatWrapper {

    @Data
    @ApiModel(" QueryDto-查询接口参数")
    public static class QueryDto {

        @ApiModelProperty("合作单位编号")
        private Integer coopId;

        @ApiModelProperty("乐团编号")
        private String musicGroupId;

        @ApiModelProperty("查询周期（week按周，month按月,term按学期）")
        private String period;

        @ApiModelProperty("开始时间（年月日）")
        private String startTime;

        @ApiModelProperty("截止时间（年月日）")
        private String endTime;
    }

    @Data
    @ApiModel(" GradeDistribution-年级分布")
    public static class GradeDistribution {

        @ApiModelProperty("年级")
        private String grade;

        @ApiModelProperty("在读人数")
        private Long studentNum;
    }

    @Data
    @ApiModel(" GradeDistribution-声部分布")
    public static class SubjectDistribution {

        @ApiModelProperty("声部")
        private String subjectName;

        @ApiModelProperty("在读人数")
        private Long studentNum;
    }

    @Data
    @ApiModel(" MusicGradeDistribution-乐团年级分布")
    public static class MusicGradeDistribution {

        @ApiModelProperty("乐团名称")
        private String musicGroupName;

        @ApiModelProperty("声部名称")
        private String subjectName;

        @ApiModelProperty("声部编号")
        private Integer subjectId;

        @ApiModelProperty("年级")
        private String grade;

        @ApiModelProperty("在读人数")
        private Long studentNum;
    }

    @Data
    @ApiModel(" MusicGradeDistribution-声部年级分布")
    public static class SubjectGradeDistribution {

        @ApiModelProperty("声部编号")
        private Integer subjectId;

        @ApiModelProperty("声部名称")
        private String subjectName;

        @ApiModelProperty("年级")
        private String grade;

        @ApiModelProperty("在读人数")
        private Long studentNum;
    }

    @Data
    @ApiModel(" StudentAttendance-学员考勤数据")
    public static class StudentAttendance {

        @ApiModelProperty("正常人数")
        private Integer normalNum = 0;

        @ApiModelProperty("迟到人数")
        private Integer lateNum = 0;

        @ApiModelProperty("旷课人数")
        private Integer truantNum = 0;

        @ApiModelProperty("请假人数")
        private Integer leaveNum = 0;

        @ApiModelProperty("总人数")
        private Integer totalNum = 0;

        @ApiModelProperty("出勤率")
        private BigDecimal attendanceRate = BigDecimal.ZERO;
    }

    @Data
    @ApiModel(" StudentLesson-学员练习数据")
    public static class StudentLesson {

        @ApiModelProperty("应交人数")
        private Integer expectNum = 0;

        @ApiModelProperty("实际提交人数")
        private Integer actualNum = 0;

        @ApiModelProperty("合格提交人数")
        private Integer passNum = 0;

        @ApiModelProperty("提交率")
        private BigDecimal commitRate = BigDecimal.ZERO;

        @ApiModelProperty("合格率")
        private BigDecimal passRate = BigDecimal.ZERO;
    }


    @Data
    @ApiModel(" SchoolData-学校信息")
    public static class SchoolData {

        @ApiModelProperty("合作单位编号")
        private Integer coopId;

        @ApiModelProperty("logo")
        private String logo;
    }
}
