package com.ym.mec.biz.dal.wrapper;

import com.alibaba.fastjson.JSON;
import com.microsvc.toolkit.common.response.paging.QueryInfo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.util.Optional;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.apache.commons.lang3.StringUtils;

/**
 * 学生订单收货地址
 * 2024-03-01 12:05:41
 */
@ApiModel(value = "StudentPaymentOrderAddressWrapper对象", description = "学生订单收货地址查询对象")
public class StudentPaymentOrderAddressWrapper {

    @Data
	@Builder
    @NoArgsConstructor
    @AllArgsConstructor
    @ApiModel(" StudentPaymentOrderAddressQuery-学生订单收货地址")
    public static class StudentPaymentOrderAddressQuery implements QueryInfo {
    
    	@ApiModelProperty("当前页")
        private Integer page;
        
        @ApiModelProperty("分页行数")
        private Integer rows;
        
        @ApiModelProperty("关键字匹配")
		private String keyword;
        
        public String getKeyword() {
            return Optional.ofNullable(keyword).filter(StringUtils::isNotBlank).orElse(null);
        }
        
        public String jsonString() {
            return JSON.toJSONString(this);
        }

        public static StudentPaymentOrderAddressQuery from(String json) {
            return JSON.parseObject(json, StudentPaymentOrderAddressQuery.class);
        }
    }  

	@ApiModel(" StudentPaymentOrderAddress-学生订单收货地址")
    public static class StudentPaymentOrderAddress {
        
        public String jsonString() {
            return JSON.toJSONString(this);
        }

        public static StudentPaymentOrderAddress from(String json) {
            return JSON.parseObject(json, StudentPaymentOrderAddress.class);
        }
	}

}