package com.ym.mec.biz.dal.wrapper;

import com.ym.mec.biz.dal.enums.MessageSendMode;
import com.ym.mec.biz.dal.enums.SendStatusEnum;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

public class SysMessageWrapper {

    @Data
    public static class Message {

        /** 主键 */
        private String id;

        private Integer messageConfigId;

        /** 标题 */
        @ApiModelProperty(value = "标题",required = false)
        private String title;

        /** 消息内容 */
        @ApiModelProperty(value = "消息内容",required = false)
        private String content;

        /** 消息类型；1，表示短信；2，表示邮件; 3,app推送消息 */
        @ApiModelProperty(value = "消息类型",required = false)
        private MessageSendMode type;

        /** 状态，-1,发送失败;0,待发送;1,发送中;2,发送完成 */
        @ApiModelProperty(value = "状态",required = false)
        private SendStatusEnum status;

        /** 接收人(多个人用逗号分隔) */
        @ApiModelProperty(value = "接收人(多个人用逗号分隔)",required = false)
        private String receiver;

        /** 发送时间 */
        @ApiModelProperty(value = "发送时间",required = false)
        private java.util.Date sendTime;

        /** 错误信息 */
        @ApiModelProperty(value = "错误信息",required = false)
        private String errorMsg;

        /** 创建时间 */
        private java.util.Date createOn;

        /** 修改时间 */
        private java.util.Date modifyOn;

        /** 用户编号 */
        @ApiModelProperty(value = "用户编号",required = false)
        private Integer userId;

        /** 备注 */
        @ApiModelProperty(value = "备注",required = false)
        private String memo;

        /** 是否已读 */
        @ApiModelProperty(value = "是否已读",required = false)
        private Integer readStatus;

        @ApiModelProperty(value = "消息组",required = false)
        private String group;

        @ApiModelProperty(value = "极光推送客户端标识",required = false)
        private String jpushType;
    }
}
