package com.ym.mec.biz.dal.wrapper;

import com.ym.mec.biz.dal.entity.CourseSchedule;
import com.ym.mec.biz.dal.enums.CourseStatusEnum;
import com.ym.mec.biz.dal.enums.TeachModeEnum;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

public class TeacherAttendanceWrapper {

    @Data
    public static class CourseTeacherAttendance{
        private Long courseScheduleId;

        private Integer actualTeacherId;

        private CourseStatusEnum courseStatus;

        private Integer signInStatus = 0;

        private Integer signOutStatus = 0;

        private String signInLongitudeLatitude;

        private String signOutLongitudeLatitude;

        private Integer schoolId;

        private TeachModeEnum teachMode;

        private Integer classGroupId;
    }

    @Data
    public static class ClassTeacherAttendanceQuery{
        @ApiModelProperty("课程类型")
        private String courseType;

        @ApiModelProperty("班级编号")
        private Integer classGroupId;

        @ApiModelProperty("老师编号")
        private Integer teacherId;

        @ApiModelProperty("考勤状态")
        private Boolean signStatus;
    }
}