package com.ym.mec.biz.dal.wrapper;

import com.microsvc.toolkit.common.response.paging.QueryInfo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.Date;

@ApiModel(value = "TempDirectorTrainingCampWrapper对象")
public class TempDirectorTrainingCampWrapper {


    @Data
    @ApiModel(" AddCamp-新增/修改")
    public static class AddCamp {

        @ApiModelProperty(value = "主键")
        private Integer id;

        @ApiModelProperty(value = "特训营名称")
        @NotNull(message = "特训营名称不能为空")
        private String name;

        @ApiModelProperty(value = "报名开始时间")
        @NotNull(message = "报名开始时间不能为空")
        private Date applyStartDate;

        @ApiModelProperty(value = "报名截止时间")
        @NotNull(message = "报名截止时间不能为空")
        private Date applyEndDate;

        @ApiModelProperty(value = "是否配置早鸟价")
        @NotNull(message = "是否配置早鸟价不能为空")
        private Boolean hasBirdPrice;

        @ApiModelProperty(value = "早鸟价截止日期")
        private Date birdPriceEndDate;

        @ApiModelProperty(value = "早鸟价")
        private BigDecimal birdPrice;

        @ApiModelProperty(value = "优惠价")
        @NotNull(message = "优惠价不能为空")
        private BigDecimal currentPrice;

        @ApiModelProperty(value = "原价")
        @NotNull(message = "原价不能为空")
        private BigDecimal originalPrice;

        @ApiModelProperty(value = "修改人")
        private Integer updateBy;
    }


    @Data
    public static class TempDirectorTrainingCampQueryInfo implements QueryInfo {


        /**
         * 默认当前页码
         */
        private Integer page = 1;
        /**
         * 默认页码大小
         */
        private Integer rows = 20;

        @ApiModelProperty(value = "特训营名称")
        private String search;


        @ApiModelProperty(value = "未开始 NOT_START,报名中 APPLY,已结束 END ")
        private String status;

    }

    @Data
    public static class TempDirectorTrainingCamp{

        @ApiModelProperty(value = "主键")
        private Integer id;

        @ApiModelProperty(value = "活动名称")
        private String name;

        @ApiModelProperty(value = "报名开始日期")
        private Date applyStartDate;

        @ApiModelProperty(value = "报名结束日期")
        private Date applyEndDate;


        @ApiModelProperty(value = "是否配置早鸟价")
        private Boolean hasBirdPrice;

        @ApiModelProperty(value = "早鸟价截止日期")
        private Date birdPriceEndDate;

        @ApiModelProperty(value = "早鸟价")
        private BigDecimal birdPrice;

        @ApiModelProperty(value = "优惠价")
        private BigDecimal currentPrice;

        @ApiModelProperty(value = "原价")
        private BigDecimal originalPrice;

        @ApiModelProperty(value = "未开始 NOT_START,报名中 APPLY,已结束 END ")
        private String status;

        @ApiModelProperty("报名人数")
        private Integer applyCount;

        @ApiModelProperty("缴费人数")
        private Integer payCount;

        @ApiModelProperty("收款金额")
        private BigDecimal payAmount;

        @ApiModelProperty(value = "修改人")
        private Integer updateBy;

        @ApiModelProperty(value = "修改人名称")
        private String updateByName;

        @ApiModelProperty(value = "创建时间")
        private Date createTime;

        @ApiModelProperty(value = "修改时间")
        private Date updateTime;

    }
}
