package com.ym.mec.biz.service;

import com.ym.mec.biz.dal.dao.CooperationOrganDao;
import com.ym.mec.biz.dal.entity.CooperationOrgan;
import com.ym.mec.biz.dal.entity.MusicGroup;
import com.ym.mec.biz.dal.entity.MusicGroupPaymentCalender;
import com.ym.mec.common.dto.SchoolDto;
import com.ym.mec.common.service.BaseService;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

public interface CooperationOrganService extends BaseService<Integer, CooperationOrgan> {
    CooperationOrganDao getDao();

    /**
     * 根据机构编号获取合作单位(教学点)列表
     *
     * @param organId
     * @return
     */
    List<CooperationOrgan> queryByOrganId(String organId);
    List<CooperationOrgan> queryByOrganId(String organId,Boolean enable);


    /**
     * 获取合作单位乐团的学校缴费
     *
     * @param id
     * @return
     */
    List<MusicGroupPaymentCalender> getCooperationOrganCalender4School(Integer id);

    void updateCooperation(CooperationOrgan cooperationOrgan);

    void updateCooperationEdu(List<Integer> organIds);

    /**
     * 根据合作单位id获取合作单位信息
     *
     * @param cooperationIds 合作单位id
     */
    Map<Integer,CooperationOrgan> getMapByIds(List<Integer> cooperationIds);

    List<MusicGroup> musicGroupPage(Integer id);

    List<SchoolDto> coopListByIds(List<Integer> coopIds);

    List<MusicGroup> musicGroupPage(String organIds,String coopId);
}