package com.ym.mec.biz.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ym.mec.biz.dal.wrapper.CoursePatrolEvaluationWrapper;
import com.ym.mec.biz.dal.entity.CoursePatrolEvaluation;

/**
 * 巡堂详情
 * 2023-05-04 11:32:00
 */
public interface CoursePatrolEvaluationService extends IService<CoursePatrolEvaluation>  {

	/**
     * 查询详情
     * @param id 详情ID
     * @return CoursePatrolEvaluation
     */
    CoursePatrolEvaluationWrapper.CoursePatrolEvaluationInfo detail(Long id);

    /**
     * 分页查询
     * @param page IPage<CoursePatrolEvaluation>
     * @param query CoursePatrolEvaluationWrapper.CoursePatrolEvaluationQuery
     * @return IPage<CoursePatrolEvaluation>
     */
    IPage<CoursePatrolEvaluationWrapper.CoursePatrolEvaluationInfo> selectPage(IPage<CoursePatrolEvaluationWrapper.CoursePatrolEvaluationInfo> page, CoursePatrolEvaluationWrapper.CoursePatrolEvaluationQuery query);
	
    /**
     * 添加
     * @param coursePatrolEvaluation CoursePatrolEvaluationWrapper.CoursePatrolEvaluation
     * @return Boolean
     */
     Boolean add(CoursePatrolEvaluationWrapper.CoursePatrolEvaluation coursePatrolEvaluation);   

    /**
     * 更新
     * @param coursePatrolEvaluation CoursePatrolEvaluationWrapper.CoursePatrolEvaluation
     * @return Boolean
     */
     Boolean update(CoursePatrolEvaluationWrapper.CoursePatrolEvaluation coursePatrolEvaluation);

    /**
     *  巡堂课统计列表
     *
     */
    IPage<CoursePatrolEvaluationWrapper.CoursePatrolEvaluationStat> pageStat(IPage<Object> page, CoursePatrolEvaluationWrapper.CoursePatrolEvaluationQuery query);
}