package com.ym.mec.biz.service;

import com.ym.mec.biz.dal.entity.ClassGroupDto;
import com.ym.mec.common.entity.HttpResponseResult;

import java.util.HashMap;
import java.util.List;

public interface CourseScheduleConvertService{

    /**
    * @description: 根据用户所选课程编号，查询出需要进行课程转换的学员列表，
     * 并计算可转换课程时长，
     * 1、校验学员剩余时长是否一致
     * 2、所选课程是否未开始
     * 3、课程类似是否一致
     * 4、目前只能转换声部和集训声部为线上基础技能课。或者将线上基础技能课还原
     * 5、老师课酬总额和原课酬总额一致，平铺到所有课程
     * @param courseIds
    * @return java.util.List<com.ym.mec.biz.dal.dto.BasicUserDto>
    * @author zx
    * @date 2022/9/21 10:15
    */
    HashMap<String, Object> queryConvertStudent(String courseIds);

    /**
    * @description: 课程转换
     * @param classGroups
    * @return java.lang.Boolean
    * @author zx
    * @date 2022/9/21 18:01
    */
    HttpResponseResult action(List<ClassGroupDto> classGroups);

    /**
    * @description: 课程转换还原
     * @param courseConvertId
    * @return com.ym.mec.common.entity.HttpResponseResult
    * @author zx
    * @date 2022/9/27 10:14
    */
    void revoke(Integer courseConvertId);
}
