package com.ym.mec.biz.service;

import com.ym.mec.biz.dal.dto.CourseShareDto;
import com.ym.mec.biz.dal.dto.StudentManageListDto;
import com.ym.mec.biz.dal.entity.CourseShare;
import com.ym.mec.biz.dal.page.CourseShareQueryInfo;
import com.ym.mec.common.page.PageInfo;
import com.ym.mec.common.service.BaseService;
import org.springframework.web.multipart.MultipartFile;

public interface CourseShareService extends BaseService<Integer, CourseShare> {

    Boolean saveCourseShare(CourseShareDto courseShareDto);

    Boolean saveCourseShareByOne(CourseShareDto courseShareDto);

    PageInfo<StudentManageListDto> queryCourseSharedStudent(CourseShareQueryInfo shareQueryInfo);

    boolean createPaymentRecord(Long courseId, Integer userId);

    String importStudent(MultipartFile file, Long courseId);

    boolean deleteStudent(CourseShareDto courseShareDto);

    /**
     * 根据用户id和课程id查询是否已经私有分享当前课程
     *
     * @param studentId        用户id
     * @param courseScheduleId 课程id
     * @return
     */
    CourseShare getByUserIdAndCourseId(Integer studentId, Integer courseScheduleId);

    PageInfo<StudentManageListDto> queryAllCourseShareStudent(CourseShareQueryInfo shareQueryInfo);
}
