package com.ym.mec.biz.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ym.mec.biz.dal.entity.DegreeLevelFeeNew;
import com.ym.mec.biz.dal.vo.DegreeLevelFeeNewVo;
import com.ym.mec.biz.dal.wrapper.DegreeLevelFeeWrapper;
import com.ym.mec.biz.dal.entity.DegreeLevelFee;

import java.util.List;

/**
 * 考级等级费用配置
 * 2023-04-10 10:24:25
 */
public interface DegreeLevelFeeService extends IService<DegreeLevelFeeNew>  {

	/**
     * 查询详情
     * @param id 详情ID
     * @return DegreeLevelFee
     */
    DegreeLevelFeeNew detail(Long id);

    /**
     * 分页查询
     * @param page IPage<DegreeLevelFee>
     * @param query DegreeLevelFeeWrapper.DegreeLevelFeeQuery
     * @return IPage<DegreeLevelFee>
     */
    IPage<DegreeLevelFeeNewVo> selectPage(IPage<DegreeLevelFeeNewVo> page, DegreeLevelFeeWrapper.DegreeLevelFeeQuery query);

    /**
     * 机构考级价格配置
     * @param tenantId 机构ID
     * @return DegreeLevelFeeWrapper.DegreeLevelFee
     */
    DegreeLevelFeeWrapper.DegreeLevelFee degreeLevelFeeConfig(Integer tenantId);

    /**
    * @description: 批量新增
     * @param degreeLevelFees
    * @return void
    * @author zx
    * @date 2023/4/11 19:43
    */
    void batchSave(List<DegreeLevelFeeNew> degreeLevelFees);

    void update(DegreeLevelFeeNew degreeLevelFee);
}