package com.ym.mec.biz.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ym.mec.biz.dal.vo.DegreeNewsVo;
import com.ym.mec.biz.dal.wrapper.DegreeNewsWrapper;
import com.ym.mec.biz.dal.entity.DegreeNews;

/**
 * 考级资讯表
 * 2023-04-10 10:24:25
 */
public interface DegreeNewsService extends IService<DegreeNews>  {

	/**
     * 查询详情
     * @param id 详情ID
     * @return DegreeNews
     */
	DegreeNews detail(Long id);

    /**
     * 分页查询
     * @param page IPage<DegreeNews>
     * @param query DegreeNewsWrapper.DegreeNewsQuery
     * @return IPage<DegreeNews>
     */
    IPage<DegreeNewsVo> selectPage(IPage<DegreeNewsVo> page, DegreeNewsWrapper.DegreeNewsQuery query);
	
    /**
     * 添加
     * @param degreeNews DegreeNewsWrapper.DegreeNews
     * @return Boolean
     */
     Boolean add(DegreeNewsWrapper.DegreeNews degreeNews);   

    /**
     * 更新
     * @param degreeNews DegreeNewsWrapper.DegreeNews
     * @return Boolean
     */
     Boolean update(DegreeNewsWrapper.DegreeNews degreeNews);
     
}