package com.ym.mec.biz.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ym.mec.biz.dal.wrapper.DegreeWrapper;
import com.ym.mec.biz.dal.entity.Degree;

/**
 * 考级信息
 * 2023-04-10 10:24:25
 */
public interface DegreeService extends IService<Degree>  {

	/**
     * 查询详情
     * @param id 详情ID
     * @return Degree
     */
	Degree detail(Long id);

    /**
     * 分页查询
     * @param page IPage<Degree>
     * @param query DegreeWrapper.DegreeQuery
     * @return IPage<Degree>
     */
    IPage<DegreeWrapper.Degree> selectPage(IPage<Degree> page, DegreeWrapper.DegreeQuery query);
	
    /**
     * 添加
     * @param degree DegreeWrapper.Degree
     * @return Boolean
     */
     Boolean add(DegreeWrapper.Degree degree);   

    /**
     * 更新
     * @param degree DegreeWrapper.Degree
     * @return Boolean
     */
     Boolean update(DegreeWrapper.Degree degree);

    /**
     * 统计
     * @param id 详情ID
     */
    DegreeWrapper.DegreeStatistical statistic(Long id);

    /**
     * 学生考级信息查询
     * @param id 考级ID
     * @return DegreeWrapper.StudentDegreeInfo
     */
    DegreeWrapper.StudentDegreeInfo studentDegreeInfoById(Long id);

    /**
     * 考级状态变更
     */
    void degreeStatusChange();
}
