package com.ym.mec.biz.service;

import com.ym.mec.biz.dal.dto.BasicUserDto;
import com.ym.mec.biz.dal.dto.CourseHomeworkWrapper;
import com.ym.mec.biz.dal.dto.SimpleUserDto;
import com.ym.mec.biz.dal.dto.TeacherHomeworkListDto;
import com.ym.mec.biz.dal.dto.WebCourseHomeworkListDto;
import com.ym.mec.biz.dal.entity.ExtracurricularExercises;
import com.ym.mec.biz.dal.page.ExtraExercilseQueryInfo;
import com.ym.mec.common.page.PageInfo;
import com.ym.mec.common.service.BaseService;

import java.util.List;
import java.util.Map;

public interface ExtracurricularExercisesService extends BaseService<Long, ExtracurricularExercises> {

    /**
     * @describe 创建课外训练
     * @author Joburgess
     * @date 2020/3/26
     * @param exercises:
     * @return void
     */
    void createExtraExercises(ExtracurricularExercises exercises);

    /**
     * @describe 获取教师创建的课外训练列表
     * @author Joburgess
     * @date 2020/3/26
     * @param queryInfo:
     * @return com.ym.mec.common.page.PageInfo
     */
    List<Map<String, Object>> findExtraExercilses(ExtraExercilseQueryInfo queryInfo);

    /**
     * @describe 获取待布置学员列表
     * @author Joburgess
     * @date 2020.05.28
     * @param search:
     * @return java.util.List<com.ym.mec.biz.dal.dto.SimpleUserDto>
     */
    List<BasicUserDto> getDontServeStudents(Integer teacherId,
                                            String search,
                                            String musicGroupId,
                                            Long classGroupId,
                                            Integer subjectId,
                                            Integer hasMember,
                                            String studentIds);

    /**
     * @describe 应布置课外训练提醒
     * @author Joburgess
     * @date 2020.06.03
     * @return void
     */
    void studentServeRemind();

    /**
     * 获取已布置训练列表
     * @param queryInfo
     * @return
     */
    PageInfo<TeacherHomeworkListDto> findExtraExercilsesHomeworks(ExtraExercilseQueryInfo queryInfo);

    PageInfo<CourseHomeworkWrapper.WebExtraCourseHomework> findExtraExercilsesV2(ExtraExercilseQueryInfo queryInfo);
}
