package com.ym.mec.biz.service;

import com.ym.mec.biz.dal.dto.SubjectGoodsDto;
import com.ym.mec.biz.dal.entity.GoodsCategory;
import com.ym.mec.biz.dal.enums.AccountType;
import com.ym.mec.biz.dal.page.GoodsCategoryQueryInfo;
import com.ym.mec.common.page.PageInfo;
import com.ym.mec.common.service.BaseService;

import java.util.List;

public interface GoodsCategoryService extends BaseService<Integer, GoodsCategory> {
    /**
     * 新增、修改商品类型
     * @param goodsCategory
     */
    void upsetGoodsCategory(GoodsCategory goodsCategory);

    /**
     * 获取声部默认商品
     * @param queryInfo
     * @return
     */
    PageInfo<SubjectGoodsDto> querySubjectGoods(GoodsCategoryQueryInfo queryInfo);

    /**
     * 修改声部关联的默认乐器
     * @param subjectGoodsMapperId
     * @param goodsIds
     */
    void updateSubjectGoods(Long subjectGoodsMapperId, String goodsIds);
}
