package com.ym.mec.biz.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ym.mec.biz.dal.dao.ImLiveBroadcastRoomMemberDao;
import com.ym.mec.biz.dal.dto.LiveRoomStatus;
import com.ym.mec.biz.dal.entity.ImLiveBroadcastRoomMember;
import com.ym.mec.biz.dal.vo.ImLiveBroadcastRoomDetailVo;
import com.ym.mec.biz.dal.vo.ImLiveBroadcastRoomMemberVo;
import com.ym.mec.common.page.PageInfo;

import java.util.List;
import java.util.Map;
import java.util.Set;

/**
 * 直播间人员关系表(ImLiveBroadcastRoomMember)表服务接口
 *
 * @author hgw
 * @since 2022-02-21 14:26:59
 */
public interface ImLiveBroadcastRoomMemberService extends IService<ImLiveBroadcastRoomMember> {

    ImLiveBroadcastRoomMemberDao getDao();

    /**
     * 查询房间详情
     */
    ImLiveBroadcastRoomDetailVo queryRoomDetail(Map<String, Object> param);

    /**
     * 查询房间观看人员详情
     */
    PageInfo<ImLiveBroadcastRoomMemberVo> queryRoomMember(Map<String, Object> param);

    /**
     * 查询在房间人员
     */
    List<Integer> getLiveRoomMember(String roomUid);

    List<ImLiveBroadcastRoomMember> getByRoomUidAndUserIds(String liveRoomId, Set<Long> userIds);
}

