package com.ym.mec.biz.service;

import com.ym.mec.biz.dal.dto.InspectionItemPlanConclusionDto;
import com.ym.mec.biz.dal.entity.CourseSchedule;
import com.ym.mec.biz.dal.entity.InspectionItemPlanConclusion;
import com.ym.mec.common.service.BaseService;

import java.util.List;
import java.util.Map;

public interface InspectionItemPlanConclusionService extends BaseService<Long, InspectionItemPlanConclusion> {
    /**
     * 添加巡查结果
     *
     * @param inspectionItemPlanConclusionDto
     * @return
     */
    InspectionItemPlanConclusionDto add(InspectionItemPlanConclusionDto inspectionItemPlanConclusionDto);

    /**
     * 获取巡查检查结果(以检查项分组)
     * @param planId
     * @param checkItem
     * @return
     */
   Map<Integer,List<InspectionItemPlanConclusion>> getInfo(Long planId, Integer checkItem);

    /**
     * 获取日程内的课程信息
     * @param planId
     * @return
     */
    List<CourseSchedule> getPlanCourses(Long planId);


    /**
     * 获取巡查检查结果(以课程id分组)
     * @param planId
     * @return
     */
    List<Map<String, String>> getPlanConclusion(Long planId);
}



