package com.ym.mec.biz.service;

import com.ym.mec.biz.dal.entity.Inspection;
import com.ym.mec.biz.dal.entity.School;
import com.ym.mec.biz.dal.page.InspectionQueryInfo;
import com.ym.mec.biz.dal.page.SchoolQueryInfo;
import com.ym.mec.common.page.PageInfo;
import com.ym.mec.common.service.BaseService;

import java.util.List;

public interface InspectionService extends BaseService<Long, Inspection> {

    /**
     * 获取巡查任务列表
     * @param queryInfo
     * @return
     */
    PageInfo<Inspection> getPageList(InspectionQueryInfo queryInfo);


    /**
     * 添加巡查任务
     * @param inspections
     * @return
     */
    List<Inspection> add(List<Inspection> inspections,Integer operationUserId);

    /**
     * 获取巡查任务详情
     * @param id
     * @return
     */
    Inspection getInfo(Long id);

    /**
     * 修改巡查任务
     * @return
     */
    Inspection updateInspection(Inspection inspection,Integer operationUserId);

    /**
     * 删除巡查任务
     * @param id
     * @return
     */
    Boolean delInspections(Long id);
}


