package com.ym.mec.biz.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ym.mec.biz.dal.dao.LessonExaminationDao;
import com.ym.mec.biz.dal.dto.LessonExaminationResultDto;
import com.ym.mec.biz.dal.dto.LessonExaminationResultDto1;
import com.ym.mec.biz.dal.dto.LessonExaminationSaveDto;
import com.ym.mec.biz.dal.entity.LessonExamination;
import com.ym.mec.biz.dal.entity.Subject;
import com.ym.mec.biz.dal.page.LessonExaminationQueryInfo;
import com.ym.mec.biz.dal.page.LessonExaminationQueryInfo1;
import com.ym.mec.common.page.PageInfo;

import java.util.List;

/**
 * 进度评测表(LessonExamination)表服务接口
 *
 * @author zx
 * @since 2023-04-03 18:20:40
 */
public interface LessonExaminationService extends IService<LessonExamination> {

    LessonExaminationDao getDao();

    void publish(LessonExaminationSaveDto lessonExaminationSaveDto);

    PageInfo<LessonExaminationResultDto> queryPage(LessonExaminationQueryInfo queryInfo);

    PageInfo<LessonExaminationResultDto1> queryPageByStudent(LessonExaminationQueryInfo1 queryInfo);

    LessonExaminationResultDto1 getOne(Integer userId, Long lessonExaminationId);

    void pushEndMsg();

    List<Subject> querySubject(Long lessonExaminationId);
}

