package com.ym.mec.biz.service;

import com.ym.mec.biz.dal.dto.CooperationCalenderRefundDto;
import com.ym.mec.biz.dal.dto.CooperationCalenderRefundUpdateDto;
import com.ym.mec.biz.dal.dto.CooperationRefundDto;
import com.ym.mec.biz.dal.dto.MusicGroupPaymentBaseCalender;
import com.ym.mec.biz.dal.entity.MusicGroupCalenderRefundPeriod;
import com.ym.mec.biz.dal.page.CooperationRefundQueryInfo;
import com.ym.mec.common.page.PageInfo;
import com.ym.mec.common.service.BaseService;

import java.math.BigDecimal;
import java.util.List;

public interface MusicGroupCalenderRefundPeriodService extends BaseService<Integer, MusicGroupCalenderRefundPeriod> {

    void savePeriod(MusicGroupPaymentBaseCalender musicGroupPaymentBaseCalender);

    List<MusicGroupCalenderRefundPeriod> findByCalenderId(Long calenderId);

    PageInfo<CooperationRefundDto> queryCoopRefund(CooperationRefundQueryInfo queryInfo);

    BigDecimal sumCoopRefund(CooperationRefundQueryInfo queryInfo);


    PageInfo<CooperationCalenderRefundDto> queryCoopCalender(CooperationRefundQueryInfo queryInfo);

    void deleteByCalenderId(Long id);

    /**
    * @description: 学校缴费回款
     * @param calenderId
     * @param amount
    * @return void
    * @author zx
    * @date 2022/10/19 11:20
    */
    Boolean calcRefundAmount(Long calenderId,String orderNo, BigDecimal amount);

    void batchUpdate(List<CooperationCalenderRefundUpdateDto> refundPeriods);
}