package com.ym.mec.biz.service;

import com.ym.mec.biz.dal.entity.MusicGroupPaymentCalender;
import com.ym.mec.biz.dal.entity.MusicGroupPaymentCalenderCourseSettings;
import com.ym.mec.common.service.BaseService;
import java.util.List;
import java.util.Map;

public interface MusicGroupPaymentCalenderCourseSettingsService extends BaseService<Integer, MusicGroupPaymentCalenderCourseSettings> {

    /**
     * @describe 获取指定学员在指定乐团下本次课排课时长
     * @author Joburgess
     * @date 2020.11.02
     * @param musicGroupId:
     * @param studentIds:
     * @return java.util.List<com.ym.mec.biz.dal.entity.MusicGroupPaymentCalenderCourseSettings>
     */
    Map<String, Integer> getMusicCourseSettingsWithStudents(String musicGroupId, List<Integer> studentIds);

    void batchInsert(MusicGroupPaymentCalender musicGroupPaymentCalender);

    void deleteByMusicGroupPaymentCalenderId(List<Long> calenderIds);

    List<MusicGroupPaymentCalenderCourseSettings> queryCalenderCourseSettings(Long calenderId);

    List<MusicGroupPaymentCalenderCourseSettings> queryCalenderCourseSettingsByBatchNo(String batchNo);
}
