package com.ym.mec.biz.service;

import com.ym.mec.biz.dal.entity.MusicGroupPaymentCalender;
import com.ym.mec.biz.dal.entity.MusicGroupPaymentCalenderCourseSettings;
import com.ym.mec.biz.dal.entity.MusicGroupPaymentStudentCourseDetail;
import com.ym.mec.common.service.BaseService;

import java.util.List;
import java.util.Map;
import java.util.Set;

public interface MusicGroupPaymentStudentCourseDetailService extends BaseService<Long, MusicGroupPaymentStudentCourseDetail> {

    /**
    * @description: 新增学员可排课时长
     * @param userIdList
     * @param calender
     * @param userCalenderDetailMap
    * @return void
    * @author zx
    * @date 2023/3/23 11:07
    */
    void batchInsert(Set<Integer> userIdList,
                     MusicGroupPaymentCalender calender,
                     Map<Integer, Long> userCalenderDetailMap);

    void batchInsert(Integer userId,
                     MusicGroupPaymentCalender musicGroupPaymentCalender,
                     Long calenderDetailId,
                     Long paymentOrderId);

    List<MusicGroupPaymentStudentCourseDetail> queryByMusicGroupPaymentStudentCourseDetailId(List<Long> musicGroupPaymentCalenderDetailIdList);

    void deleteByMusicGroupPaymentCalenderDetailId(List<Long> musicGroupPaymentCalenderDetailIdList);

    void deleteByMusicGroupPaymentCalenderId(String calenderId,Integer userId);

    void deleteByUserIdAndMusicGroupId(Integer userId, String musicGroupId);

    void clearRemainCourseMinutesByMusicGroupId(String musicGroupId);
}