package com.ym.mec.biz.service;

import com.ym.mec.biz.dal.entity.MusicGroupQuit;
import com.ym.mec.biz.dal.school.dto.MusicGroupQuitDetailDto;
import com.ym.mec.biz.dal.school.dto.MusicGroupQuitPageDto;
import com.ym.mec.biz.dal.school.page.MusicGroupQuitQueryInfo;
import com.ym.mec.common.page.PageInfo;
import com.ym.mec.common.service.BaseService;

import java.util.List;

public interface MusicGroupQuitService extends BaseService<Long, MusicGroupQuit> {

    /**
    * @description: 学校端退团审批列表
     * @param queryInfo
    * @return java.util.List<com.ym.mec.biz.dal.school.dto.MusicGroupQuitPageDto>
    * @author zx
    * @date 2023/5/10 19:03
    */
    PageInfo<MusicGroupQuitPageDto> queryPageBySchool(MusicGroupQuitQueryInfo queryInfo);

    /**
    * @description: 获取退团详情
     * @param musicGroupQuitId
    * @return com.ym.mec.biz.dal.school.dto.MusicGroupQuitDetailDto
    * @author zx
    * @date 2023/5/11 13:57
    */
    MusicGroupQuitDetailDto getDetailBySchool(Long musicGroupQuitId);

    /**
    * @description: 学校退团审批通过
     * @param musicGroupQuitId
    * @return void
    * @author zx
    * @date 2023/5/11 14:08
    */
    void auditPassBySchool(Long musicGroupQuitId,String reason);

    /**
    * @description: 学校退团审批拒绝
     * @param musicGroupQuitId
    * @return void
    * @author zx
    * @date 2023/5/11 14:08
    */
    void auditRejectBySchool(Long musicGroupQuitId,String reason);
}