package com.ym.mec.biz.service;

import com.ym.mec.biz.dal.dto.OnlineMusicGroupCourseDto;
import com.ym.mec.biz.dal.dto.SimpleUserDto;
import com.ym.mec.biz.dal.entity.MusicGroup;
import com.ym.mec.common.page.QueryInfo;

import java.util.List;
import java.util.Map;
import java.util.Objects;

public interface OnlineMusicGroupService {

    /**
     * 创建线上乐团班级
     * @param onlineMusicGroupCourseInfo
     */
    Map<String, Object> createOnlineMusicClassGroup(OnlineMusicGroupCourseDto onlineMusicGroupCourseInfo);

    /**
     * @describe 获取可以预约的教师
     * @author Joburgess
     * @date 2020/2/9
     * @param studentId: 学生编号
     * @param subjectId: 声部编号
     * @return java.util.List<com.ym.mec.biz.dal.dto.SimpleUserDto>
     */
    List<SimpleUserDto> getEnableApplyTeachers(Integer studentId, Integer subjectId);

    /**
     * 获取教师空闲时间
     * @param studentId
     * @param teacherId
     * @return
     */
    Map getTeacherFreeTimes(Integer studentId, Integer teacherId, boolean skipHoliday);

}
