package com.ym.mec.biz.service;

import com.ym.mec.biz.dal.dao.OperatingReportCloudDao;
import com.ym.mec.biz.dal.entity.CourseSchedule;
import com.ym.mec.biz.dal.entity.MusicGroupPaymentCalender;
import com.ym.mec.biz.dal.entity.MusicGroupPaymentCalenderDetail;
import com.ym.mec.biz.dal.entity.OperatingReportCloud;
import com.ym.mec.common.service.BaseService;
import org.springframework.transaction.annotation.Transactional;

import java.math.BigDecimal;
import java.util.List;

public interface OperatingReportCloudService extends BaseService<Integer, OperatingReportCloud> {

    OperatingReportCloudDao getDao();

    /**
    * @description: 缴费后，更新缴费项目关联的课程、云教练预收
     * @param musicGroupPaymentCalender
    * @return void
    * @author zx
    * @date 2022/9/6 10:09
    */
    void updateSet(MusicGroupPaymentCalender musicGroupPaymentCalender, BigDecimal amount);

    /**
    * @description: 乐团排课、活动排课，计算课程预收
     * @param calenderId
     * @param scheduleIdList
    * @return void
    * @author zx
    * @date 2022/9/6 10:52
    */
    void updateSet(Long calenderId, List<Long> scheduleIdList);

    public void updateSet(MusicGroupPaymentCalender calender,List<Long> scheduleIdList);

    void save(MusicGroupPaymentCalender musicGroupPaymentCalender);
}