package com.ym.mec.biz.service;

import com.ym.mec.biz.dal.entity.CourseSchedule;
import com.ym.mec.biz.dal.entity.CourseSchedule.CourseScheduleType;
import com.ym.mec.biz.dal.entity.OrganizationCourseDurationSettings;
import com.ym.mec.common.service.BaseService;

import java.util.Map;

public interface OrganizationCourseDurationSettingsService extends BaseService<Integer, OrganizationCourseDurationSettings> {

    /**
     * 根据分部编号以及课程类型查询对象
     *
     * @param organId    分部编号
     * @param courseType 课程类型
     * @return
     */
    OrganizationCourseDurationSettings queryByOrganIdAndCourseType(Integer organId, CourseScheduleType courseType);


    /**
     * 获取分部所有课程类型的时长
     * @param organId
     * @return
     */
    Map<String,String> queryByOrganId(Integer organId);
}