package com.ym.mec.biz.service;

import java.util.List;

import com.ym.mec.biz.dal.entity.CourseSchedule.CourseScheduleType;
import com.ym.mec.biz.dal.entity.OrganizationCourseUnitPriceSettings;
import com.ym.mec.biz.dal.enums.CourseViewTypeEnum;
import com.ym.mec.common.service.BaseService;

public interface OrganizationCourseUnitPriceSettingsService extends BaseService<Integer, OrganizationCourseUnitPriceSettings> {

	/**
	 * 批量新增
	 * @param organizationCourseUnitPriceSettingsList
	 * @return
	 */
	boolean batchInsert(List<OrganizationCourseUnitPriceSettings> organizationCourseUnitPriceSettingsList);

	/**
	 * 根据分部编号以及课程类型查询对象
	 * @param organId 分部编号
	 * @param courseType 课程类型
	 * @param courseViewType 收费模式
	 * @return
	 */
	OrganizationCourseUnitPriceSettings queryByOrganIdAndCourseTypeAndChargeType(Integer organId, CourseScheduleType courseType, CourseViewTypeEnum courseViewType);

	List<OrganizationCourseUnitPriceSettings> querySingle(Integer organId, String courseType, Integer tenantId);

    int save(List<OrganizationCourseUnitPriceSettings> organizationCourseUnitPriceSettingsList);
}