package com.ym.mec.biz.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ym.mec.biz.dal.wrapper.SchoolActivityDetailWrapper;
import com.ym.mec.biz.dal.entity.SchoolActivityDetail;

import java.util.List;

/**
 * 活动详情
 * 2023-05-04 11:32:00
 */
public interface SchoolActivityDetailService extends IService<SchoolActivityDetail>  {

	/**
     * 查询详情
     * @param id 详情ID
     * @return SchoolActivityDetail
     */
	SchoolActivityDetail detail(Long id);

    /**
     * 分页查询
     * @param page IPage<SchoolActivityDetail>
     * @param query SchoolActivityDetailWrapper.SchoolActivityDetailQuery
     * @return IPage<SchoolActivityDetail>
     */
    IPage<SchoolActivityDetail> selectPage(IPage<SchoolActivityDetail> page, SchoolActivityDetailWrapper.SchoolActivityDetailQuery query);
	
    /**
     * 添加
     * @param schoolActivityDetail SchoolActivityDetailWrapper.SchoolActivityDetail
     * @return Boolean
     */
     Boolean add(SchoolActivityDetailWrapper.SchoolActivityDetail schoolActivityDetail);   

    /**
     * 更新
     * @param schoolActivityDetail SchoolActivityDetailWrapper.SchoolActivityDetail
     * @return Boolean
     */
     Boolean update(SchoolActivityDetailWrapper.SchoolActivityDetail schoolActivityDetail);

    /**
     *  获取活动的节目列表
     *
     * @param activityId 活动ID
     */
    List<SchoolActivityDetailWrapper.SchoolActivityDetail> selectListByActivityId(Long activityId);
}