package com.ym.mec.biz.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ym.mec.biz.dal.wrapper.SchoolActivityDetailUserWrapper;
import com.ym.mec.biz.dal.entity.SchoolActivityDetailUser;
import com.ym.mec.biz.dal.wrapper.SchoolActivityWrapper;

import java.util.List;
import java.util.Map;

/**
 * 活动详情人员
 * 2023-05-04 11:32:00
 */
public interface SchoolActivityDetailUserService extends IService<SchoolActivityDetailUser>  {

	/**
     * 查询详情
     * @param id 详情ID
     * @return SchoolActivityDetailUser
     */
	SchoolActivityDetailUser detail(Long id);

    /**
     * 分页查询
     * @param page IPage<SchoolActivityDetailUser>
     * @param query SchoolActivityDetailUserWrapper.SchoolActivityDetailUserQuery
     * @return IPage<SchoolActivityDetailUser>
     */
    IPage<SchoolActivityDetailUser> selectPage(IPage<SchoolActivityDetailUser> page, SchoolActivityDetailUserWrapper.SchoolActivityDetailUserQuery query);
	
    /**
     * 添加
     * @param schoolActivityDetailUser SchoolActivityDetailUserWrapper.SchoolActivityDetailUser
     * @return Boolean
     */
     Boolean add(SchoolActivityDetailUserWrapper.SchoolActivityDetailUser schoolActivityDetailUser);   

    /**
     * 更新
     * @param schoolActivityDetailUser SchoolActivityDetailUserWrapper.SchoolActivityDetailUser
     * @return Boolean
     */
     Boolean update(SchoolActivityDetailUserWrapper.SchoolActivityDetailUser schoolActivityDetailUser);

    /**
     * 保存活动人员
     *
     * @param schoolActivityDetailId 活动详情ID
     * @param studentList 学生ID列表
     */
    void save(Integer schoolActivityDetailId, List<SchoolActivityWrapper.SchoolActivitySubject> studentList);

    /**
     * 获取活动人员列表
     *
     * @param detailIds 活动详情ID列表
     */
    Map<Integer, List<SchoolActivityWrapper.SchoolActivitySubject>> getSchoolActivitySubjectMapByDetailIds(List<Integer> detailIds);
    /**
     * 获取活动人员列表数据
     *
     * @param schoolActivityStudents 活动人员列表
     */
    List<SchoolActivityWrapper.SchoolActivitySubject> getSchoolActivitySubjects(List<SchoolActivityWrapper.SchoolActivityStudent> schoolActivityStudents);


    /**
     * 获取学生列表
     *
     * @param query 查询条件
     */
    List<SchoolActivityWrapper.SchoolActivitySubject> getUserList(SchoolActivityWrapper.SchoolActivityStudentQuery query);
}