package com.ym.mec.biz.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ym.mec.biz.dal.wrapper.SchoolActivityWrapper;
import com.ym.mec.biz.dal.entity.SchoolActivity;

import java.util.List;

/**
 * 学校活动
 * 2023-05-04 11:32:00
 */
public interface SchoolActivityService extends IService<SchoolActivity>  {

	/**
     * 查询详情
     * @param id 详情ID
     * @return SchoolActivity
     */
    SchoolActivityWrapper.SchoolActivityInfo detail(Long id);

    /**
     * 分页查询
     * @param page IPage<SchoolActivity>
     * @param query SchoolActivityWrapper.SchoolActivityQuery
     * @return IPage<SchoolActivity>
     */
    IPage<SchoolActivityWrapper.SchoolActivity> selectPage(IPage<SchoolActivityWrapper.SchoolActivity> page, SchoolActivityWrapper.SchoolActivityQuery query);
	
    /**
     * 添加
     * @param schoolActivity SchoolActivityWrapper.SchoolActivity
     * @return Boolean
     */
     Boolean add(SchoolActivityWrapper.SchoolActivityInfo schoolActivity);

    /**
     * 更新
     * @param schoolActivity SchoolActivityWrapper.SchoolActivity
     * @return Boolean
     */
     Boolean update(SchoolActivityWrapper.SchoolActivityInfo schoolActivity);

}