package com.ym.mec.biz.service;

import com.ym.mec.biz.dal.dto.StudentCompetitionRankingDto;
import com.ym.mec.biz.dal.entity.StudentCompetition;
import com.ym.mec.biz.dal.page.StudentCompetitionQueryInfo;
import com.ym.mec.common.page.PageInfo;
import com.ym.mec.common.service.BaseService;

import java.util.List;

public interface StudentCompetitionService extends BaseService<Long, StudentCompetition> {

    /**
     * @describe 新增选手参赛作品
     * @author Joburgess
     * @date 2020.11.10
     * @param studentCompetition:
     * @return void
     */
    void addStudentCompetition(StudentCompetition studentCompetition);

    PageInfo<StudentCompetition> queryPage(StudentCompetitionQueryInfo queryInfo);

    /**
     * @describe
     * @author Joburgess
     * @date 2020.11.10
     * @return void
     */
    List<StudentCompetitionRankingDto> getWinnerList(Integer tenantId);

    StudentCompetition checkIsUpload(Integer userId);

    /**
     * @describe 更新参赛作品信息
     * @author Joburgess
     * @date 2020.11.10
     * @param studentCompetition:
     * @return void
     */
    void updateCompetition(StudentCompetition studentCompetition);
}
