package com.ym.mec.biz.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ym.mec.biz.dal.wrapper.StudentCoursewarePlayRecordWrapper;
import com.ym.mec.biz.dal.entity.StudentCoursewarePlayRecord;

import java.util.List;

/**
 * 学生课件播放统计记录
 * 2024-07-04 14:48:14
 */
public interface StudentCoursewarePlayRecordService extends IService<StudentCoursewarePlayRecord>  {

    /**
     * 查询详情
     * @param id 详情ID
     * @return StudentCoursewarePlayRecord
     */
    StudentCoursewarePlayRecord detail(Long id);

    /**
     * 分页查询
     * @param page IPage<StudentCoursewarePlayRecord>
     * @param query StudentCoursewarePlayRecordWrapper.StudentCoursewarePlayRecordQuery
     * @return IPage<StudentCoursewarePlayRecord>
     */
    IPage<StudentCoursewarePlayRecord> selectPage(IPage<StudentCoursewarePlayRecord> page, StudentCoursewarePlayRecordWrapper.StudentCoursewarePlayRecordQuery query);

    /**
     * 添加
     * @param studentCoursewarePlayRecord StudentCoursewarePlayRecordWrapper.StudentCoursewarePlayRecord
     * @return Boolean
     */
    Boolean add(StudentCoursewarePlayRecordWrapper.StudentCoursewarePlayRecord studentCoursewarePlayRecord);

    /**
     * 更新
     * @param studentCoursewarePlayRecord StudentCoursewarePlayRecordWrapper.StudentCoursewarePlayRecord
     * @return Boolean
     */
    Boolean update(StudentCoursewarePlayRecordWrapper.StudentCoursewarePlayRecord studentCoursewarePlayRecord);

    void save(StudentCoursewarePlayRecordWrapper.StudentCoursewarePlayRecordSave studentCoursewarePlayRecord);

    List<StudentCoursewarePlayRecordWrapper.StatQueryData> statList(StudentCoursewarePlayRecordWrapper.StatQuery statQuery);

    IPage<StudentCoursewarePlayRecordWrapper.StatQueryData> statDetailPage(StudentCoursewarePlayRecordWrapper.StatQuery statQuery);
}