package com.ym.mec.biz.service;


import com.ym.mec.biz.dal.dto.StudentGoodsSellDto;
import com.ym.mec.biz.dal.dto.StudentPaymentOrderDto;
import com.ym.mec.biz.dal.entity.StudentGoodsSell;
import com.ym.mec.biz.dal.entity.StudentInstrument;
import com.ym.mec.biz.dal.entity.StudentPaymentOrder;
import com.ym.mec.biz.dal.page.GoodsSellQueryInfo;
import com.ym.mec.common.page.PageInfo;
import com.ym.mec.common.service.BaseService;

import java.util.List;

public interface StudentGoodsSellService extends BaseService<Integer, StudentGoodsSell> {

    /**
     * @describe 分页查询教务老师关联的学员订单
     * @apiNote 时光荏苒，认真工作的时间总是过得很快，而我、享受这一刻！
     * @author zouxuan
     * @date 2020/9/23
     * @time 11:51
     * @param queryInfo:
     * @return java.lang.Object
     */
    PageInfo<StudentGoodsSellDto> queryStudentGoodsOrders(GoodsSellQueryInfo queryInfo);

    /**
     * @describe 确认收货
     * @apiNote 时光荏苒，认真工作的时间总是过得很快，而我、享受这一刻！
     * @author zouxuan
     * @date 2020/10/10
     * @time 17:53
     * @param orderNo:
     * @return void
     */
    void affirmReceive(String orderNo);

    /**
     * @describe 获取学生端商品购买列表
     * @apiNote 时光荏苒，认真工作的时间总是过得很快，而我、享受这一刻！
     * @author zouxuan
     * @date 2020/10/14
     * @time 17:33
     * @param queryInfo:
     * @return com.ym.mec.common.page.PageInfo<com.ym.mec.biz.dal.dto.StudentGoodsSellDto>
     */
    PageInfo<StudentPaymentOrderDto> queryStudentPaymentOrders(GoodsSellQueryInfo queryInfo);


    /**
     * 将购买的乐器加入学生乐器列表
     * @return
     */
    List<StudentInstrument> saveStudentInstrument(StudentPaymentOrder order);

    /**
     * 获取商品订单详情
     * @param goodsSellId
     * @return
     */
    StudentGoodsSell getStudentGoodsOrder(Integer goodsSellId);
}