package com.ym.mec.biz.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ym.mec.biz.dal.dao.StudentLessonExaminationDao;
import com.ym.mec.biz.dal.dto.*;
import com.ym.mec.biz.dal.entity.StudentLessonExamination;
import com.ym.mec.biz.dal.page.StudentLessonExaminationQueryInfo;
import com.ym.mec.common.page.PageInfo;

import java.util.List;

/**
 * 学生进度评测表(StudentLessonExamination)表服务接口
 *
 * @author zx
 * @since 2023-04-03 18:21:30
 */
public interface StudentLessonExaminationService extends IService<StudentLessonExamination> {

    StudentLessonExaminationDao getDao();

    List<Integer> save(Long lessonExaminationId,List<StudentLessonExaminationSaveDto> studentLessonExaminationSaveDtos);

    PageInfo<StudentLessonExaminationDto> queryPage(StudentLessonExaminationQueryInfo queryInfo);

    /**
    * @description: 提交作业
     * @param submitDto
    * @return void
    * @author zx
    * @date 2023/4/4 19:25
    */
    void submit(LessonExaminationSubmitDto submitDto);

    List<StudentLessonExaminationDto1> queryStudentPage(Long lessonExaminationId,Integer subjectId);
}

