package com.ym.mec.biz.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ym.mec.biz.dal.dto.CourseHomeworkWrapper;
import com.ym.mec.biz.dal.dto.StudentLessonTrainingDetailWrapper;
import com.ym.mec.biz.dal.dto.StudentSubjectDto;
import com.ym.mec.biz.dal.entity.StudentLessonTrainingDetail;
import com.ym.mec.biz.dal.enums.ELessonTrainingType;
import org.jetbrains.annotations.NotNull;

import java.util.List;
import java.util.Map;

/**
 * 练习内容
 * 2023-03-31 14:18:47
 */
public interface StudentLessonTrainingDetailService extends IService<StudentLessonTrainingDetail>  {

	/**
     * 查询详情
     * @param id 详情ID
     * @return StudentLessonTrainingDetail
     */
	StudentLessonTrainingDetail detail(Long id);
	
    /**
     * 添加
     * @param studentLessonTrainingDetail StudentLessonTrainingDetailWrapper.StudentLessonTrainingDetail
     * @return Boolean
     */
     Boolean add(StudentLessonTrainingDetailWrapper.StudentLessonTrainingDetail studentLessonTrainingDetail);   

    /**
     * 更新
     * @param studentLessonTrainingDetail StudentLessonTrainingDetailWrapper.StudentLessonTrainingDetail
     * @return Boolean
     */
     Boolean update(StudentLessonTrainingDetailWrapper.StudentLessonTrainingDetail studentLessonTrainingDetail);

    /**
     * 将作业标准 转换为 需要的作业详情
     *
     * @param studentLessonTrainingDetails 作业标准
     * @param userIdList                   学生ID
     * @param group
     */
    List<StudentLessonTrainingDetail> homeWorkDetail(List<StudentLessonTrainingDetailWrapper.AddStudentLessonTrainingDetail> studentLessonTrainingDetails, List<Integer> userIdList, Long homeworkId, ELessonTrainingType type, Integer group);

    /**
     * 查询布置的作业详情
     *
     * @param courseHomeworkId 作业ID
     * @param type 作业类型
     */
    List<StudentLessonTrainingDetailWrapper.StudentLessonTrainingDetail> getBaseLessonTrainingDetail(Long courseHomeworkId, ELessonTrainingType type);

    /**
     * 学生端查询作业详情
     *
     * @param courseHomeworkId 作业ID
     * @param type 作业类型
     * @param userId 学生ID
     */
    List<StudentLessonTrainingDetailWrapper.StudentLessonTrainingDetail> getBaseLessonTrainingDetail(Long courseHomeworkId, ELessonTrainingType type, Long userId,String homeworkType);

    void updateMusicScoreName(List<StudentLessonTrainingDetailWrapper.StudentLessonTrainingDetail> studentLessonTrainingDetails);

    /**
     * 查询作业详情练习组
     *
     * @param courseHomeworkId 作业ID
     * @param trainingType 作业类型
     */
    List<CourseHomeworkWrapper.StudentLessonTrainingStat> getLessonTrainingStat(Long courseHomeworkId, ELessonTrainingType trainingType);

    @NotNull
    Map<Integer, StudentSubjectDto> getStudentMusicGroupSubject(List<Integer> userIdList, String musicGroupId);

    @NotNull
    Map<Integer, List<StudentLessonTrainingDetailWrapper.StudentLessonTrainingDetail>> getGroupMap(Long courseHomeworkId, ELessonTrainingType trainingType);
}
