package com.ym.mec.biz.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ym.mec.biz.dal.wrapper.StudentPaymentOrderAddressWrapper;
import com.ym.mec.biz.dal.entity.StudentPaymentOrderAddress;

/**
 * 学生订单收货地址
 * 2024-03-01 12:05:41
 */
public interface StudentPaymentOrderAddressService extends IService<StudentPaymentOrderAddress>  {

	/**
     * 查询详情
     * @param id 详情ID
     * @return StudentPaymentOrderAddress
     */
	StudentPaymentOrderAddress detail(Long id);

    /**
     * 分页查询
     * @param page IPage<StudentPaymentOrderAddress>
     * @param query StudentPaymentOrderAddressWrapper.StudentPaymentOrderAddressQuery
     * @return IPage<StudentPaymentOrderAddress>
     */
    IPage<StudentPaymentOrderAddress> selectPage(IPage<StudentPaymentOrderAddress> page, StudentPaymentOrderAddressWrapper.StudentPaymentOrderAddressQuery query);
	
    /**
     * 添加
     * @param studentPaymentOrderAddress StudentPaymentOrderAddressWrapper.StudentPaymentOrderAddress
     * @return Boolean
     */
     Boolean add(StudentPaymentOrderAddressWrapper.StudentPaymentOrderAddress studentPaymentOrderAddress);   

    /**
     * 更新
     * @param studentPaymentOrderAddress StudentPaymentOrderAddressWrapper.StudentPaymentOrderAddress
     * @return Boolean
     */
     Boolean update(StudentPaymentOrderAddressWrapper.StudentPaymentOrderAddress studentPaymentOrderAddress);
     
}