package com.ym.mec.biz.service;

import com.ym.mec.biz.dal.dto.HomeworkStat;
import com.ym.mec.biz.dal.dto.IndexBaseDto;

import java.util.Date;
import java.util.List;
import java.util.Map;
import java.util.Set;

/**
 * @Author Joburgess
 * @Date 2020.05.27
 */
public interface StudentServeService {

    void exercisesSituationStatistics2(String monday, Integer tenantId);

    /**
     * @describe
     * @author Joburgess
     * @date 2020.06.15
     * @param courseScheduleId:
     * @param studentIds:
     * @return int
     */
    Map<String, Object> checkeIsAssignHomework(Long courseScheduleId, String studentIds, Integer teacherId, Integer tenantId);

    /**
     * @describe 获取教师应布置课程编号列表
     * @author Joburgess
     * @date 2020/12/25 0025
     * @param teacherId:
     * @return java.util.Set<java.lang.Long>
     */
    Set<Long> getTeacherServeCourseIds(Integer teacherId);

    /**
     * @describe 根据周一日期获取教师应布置课后作业课程编号列表
     * @author Joburgess
     * @date 2021/4/29 0029
     * @param teacherId:
     * @param date:
     * @return java.util.Set<java.lang.Long>
     */
    Set<Long> getTeacherHomeworkCourseIdsWithMonday(Integer teacherId, Date date);

    void updateExercisesSituation(String musicGroupId, Date date, List<Integer> studentIds, Integer teacherId);

    /**
     * 更新学生服务指标
     */
    void closeStudentServiceTag();

    /**
     * 解除会员
     */
    void cleanStudentMember();

    /**
     * @describe 乐团作业情况
     * @author Joburgess
     * @date 2021/7/13 0013
     * @param musicGroupId:
     * @return void
     */
    List<IndexBaseDto> musicGroupHomeworkStat(String musicGroupId, Integer studentId, String startDay, String endDay);


    List<IndexBaseDto> musicGroupHomeworkStatWithStu(String musicGroupId, Integer studentId, String startDay, String endDay);

    /**
     * 展示按钮红点
     *
     * @param userId 用户id
     */
    List<HomeworkStat> homeworkStat(Integer userId);
}
