package com.ym.mec.biz.service;

import com.ym.mec.biz.dal.dto.BasicUserDto;
import com.ym.mec.biz.dal.dto.StudentPreVisitDto;
import com.ym.mec.biz.dal.dto.StudentVisitDto;
import com.ym.mec.biz.dal.entity.MusicGroup;
import com.ym.mec.biz.dal.entity.StudentRegistration;
import com.ym.mec.biz.dal.entity.StudentVisit;
import com.ym.mec.biz.dal.page.StudentPreVisitQueryInfo;
import com.ym.mec.biz.dal.page.StudentVisitQueryInfo;
import com.ym.mec.common.page.PageInfo;
import com.ym.mec.common.service.BaseService;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

public interface StudentVisitService extends BaseService<Integer, StudentVisit> {


    /**
     * 添加访问记录
     * @param studentVisit
     * @return
     */
    StudentVisit addVisit(StudentVisit studentVisit);

    /**
     * 添加访问记录
     * @param studentVisit
     * @return
     */
    void batchAddVisit(List<StudentVisit> studentVisit);
    /**
     * 获取访问详情
     *
     * @param id
     * @return
     */
    StudentVisitDto getInfo(Integer id);

    /**
     * 根据id修改状态
     */
    String updateProbStatus(Integer id, Integer probStatus);

    /**
     * 获取访问列表
     *
     * @param queryInfo
     * @return
     */
    PageInfo<StudentVisitDto> getPageList(StudentVisitQueryInfo queryInfo);

    /**
     * 获取老师对应乐团的学生
     *
     * @param musicGroupId
     * @param teacherId
     * @return
     */
    List<StudentRegistration> getMusicGroupStu(String musicGroupId, Integer teacherId);

    /**
     * 获取老师的乐团
     * @param teacherId
     * @return
     */
    List<MusicGroup> getMusicGroup(Integer teacherId);


    /**
     * 获取学生列表
     *
     * @param queryInfo
     * @return
     */
    PageInfo<BasicUserDto> getStudents(StudentVisitQueryInfo queryInfo);

    PageInfo<StudentPreVisitDto> queryWaitVisit(StudentPreVisitQueryInfo queryInfo);

    /**
    * @description: 缴费中乐团批量导入学员回访
     * @param file
    * @return java.util.List<java.lang.String>
    * @author zx
    * @date 2023/6/13 14:34
    */
    List<String> importMusicVisit(MultipartFile file) throws Exception;
}
