package com.ym.mec.biz.service;

import com.ym.mec.biz.dal.entity.SysAccount;
import com.ym.mec.biz.dal.entity.SysArea;
import com.ym.mec.common.service.BaseService;
import org.apache.ibatis.annotations.Param;

import java.math.BigDecimal;
import java.util.List;

public interface SysAccountService extends BaseService<Integer, SysAccount> {

    /**
     * 获取收款账户
     * @param company
     * @param channel
     * @param type
     * @param amount
     * @return
     */
    List<SysAccount> getAccount(String company, String channel, String type,  BigDecimal amount);

    /**
     * 获取一个支付账户
     * @param company
     * @param channel
     * @param type
     * @param amount
     * @return
     */
    SysAccount getOneAccount(String company, String channel, String type,  BigDecimal amount);


    /**
     * 获取私有账户
     * @param channel
     * @return
     */
    SysAccount getPerAccount(@Param("channel") String channel,SysAccount account);


    List<SysAccount> getAdaAccount(Integer organId, String channel, BigDecimal amount);

}