package com.ym.mec.biz.service;


import java.util.List;
import java.util.Map;

import com.dayaedu.cbs.domain.wrapper.MusicSheetWrapper;
import com.dayaedu.cbs.openfeign.wrapper.music.CbsMusicSheetWrapper;
import com.dayaedu.cbs.openfeign.wrapper.musicInstrument.CbsMusicalInstrumentWrapper;
import com.ym.mec.biz.dal.dao.SysMusicScoreDao;
import com.ym.mec.biz.dal.dto.MusicScoreDto;
import com.ym.mec.biz.dal.dto.ReasonDto;
import com.ym.mec.biz.dal.entity.SysMusicScore;
import com.ym.mec.biz.dal.page.SysExamSongQueryInfo;
import com.ym.mec.common.page.PageInfo;
import com.ym.mec.common.service.BaseService;

public interface SysMusicScoreService extends BaseService<Integer, SysMusicScore> {

    SysMusicScoreDao getDao();

    CbsMusicSheetWrapper.MusicSheetApplicationQuery getMusicSheetApplicationQuery();

    List<CbsMusicSheetWrapper.MusicSheetApplication> queryCbsMusicSheetApplication(CbsMusicSheetWrapper.MusicSheetApplicationQuery query);

    PageInfo<CbsMusicSheetWrapper.MusicSheetAccApplication> queryCbsMusicSheetSoundApplication(CbsMusicSheetWrapper.MusicSheetApplicationQuery query);

    List<CbsMusicSheetWrapper.MusicSheetApplication> queryCbsMusicSheetApplication(List<String> cbsMusicSheetIds);

    //获取乐器名称
    List<CbsMusicalInstrumentWrapper.MusicalInstrumentQueryDto> queryMusicalInstrument(List<Integer> musicalInstrumentIds);

    List<SysMusicScore> queryMusicScoreAll(SysExamSongQueryInfo queryInfo);

    PageInfo<SysMusicScore> queryMusicScorePage(SysExamSongQueryInfo queryInfo);
    
    PageInfo<SysMusicScore> queryMusicScorePageInfo(SysExamSongQueryInfo queryInfo);

    Map<Long, SysMusicScore> getMapByIds(List<Long> musicSheetIds);

    Boolean stateList(ReasonDto reasonDto);

    Boolean state(Integer id);

    void updateCbs(MusicSheetWrapper.MusicSheetApplicationExtendWrapper addMusicSheetApplicationExtend);

    void sync();

    void del(Long id);
}
