package com.ym.mec.biz.service;

import com.ym.mec.biz.dal.entity.SysPaymentConfig;
import com.ym.mec.biz.dal.enums.AccountType;
import com.ym.mec.biz.dal.enums.PaymentChannelEnum;
import com.ym.mec.common.service.BaseService;

import java.util.List;

public interface SysPaymentConfigService extends BaseService<Integer, SysPaymentConfig> {
	

    /**
     * 根据分部id获取配置
     * @param organId
     * @return
     */
    SysPaymentConfig findPaymentConfigByOrganId(Integer organId);

    /**
     * 根据分部id获取配置
     * @param organId
     * @return
     */
    SysPaymentConfig findPaymentConfigByOrganId(PaymentChannelEnum paymentChannel, Integer organId);

    /**
     * 根据分部ids获取配置
     * @param organIds
     * @return
     */
    List<SysPaymentConfig> findPaymentConfigByOrganIds(PaymentChannelEnum paymentChannel, List<Integer> organIds);


    /**
     * 分解渠道类型获取配置
     * @param payType
     * @return
     */
    List<SysPaymentConfig> getPaymentConfigs(PaymentChannelEnum payType, Integer tenantId);


    /**
     * 查询收款是否包含账户类型为对外的用户
     * @param payType
     * @param merNos
     * @return
     */
    AccountType checkAccountType(PaymentChannelEnum payType, String merNos, Integer tenantId);

    /**
     * 根据汇付获取配置
     * @param merNo
     * @return
     */
    SysPaymentConfig findPaymentConfigByMerNo(String merNo);
}