package com.ym.mec.biz.service;

import java.math.BigDecimal;

import com.ym.mec.biz.dal.entity.SysTenantAccount;
import com.ym.mec.biz.dal.entity.SysTenantAccountDetail.TransType;
import com.ym.mec.common.service.BaseService;

public interface SysTenantAccountService extends BaseService<Integer, SysTenantAccount> {

	/**
	 * 更新账户
	 * @param userId 用户编号
	 * @param minutes 修改的分钟数(正数相加，负数相减)
	 * @param orderNo 订单号
	 * @param type 交易类型
	 * @param transNo 交易流水
	 * @param cashAmount 交易金额
	 * @param memo 备注
	 * @return
	 */
	public boolean update(Integer userId, int minutes, String orderNo, TransType type, String transNo, BigDecimal cashAmount, String memo);

	/**
	 * 后台人工更新账户
	 * @param teacherId 用户编号
	 * @param minutes 分钟数
	 * @param type 交易类型
	 * @param operatorId 操作人
	 * @param memo 备注
	 * @return
	 */
	boolean manualUpdate(Integer teacherId, int minutes, TransType type,Integer operatorId, String memo);
}