package com.ym.mec.biz.service;

import com.ym.mec.biz.dal.dto.TeacherCourseSalaryDetail4WebDto;
import com.ym.mec.biz.dal.entity.TeacherCourseReward;
import com.ym.mec.biz.dal.page.CourseSalaryQueryInfo4Web;
import com.ym.mec.common.page.PageInfo;
import com.ym.mec.common.service.BaseService;

import java.util.List;

public interface TeacherCourseRewardService extends BaseService<Long, TeacherCourseReward> {

    /**
     * @describe 增加转化奖励
     * @author Joburgess
     * @date 2020/4/24
     * @param studentId:
     * @param teacherId:
     * @return void
     */
    void addConvertReward(Integer studentId, Integer teacherId);

    /**
     * @describe 获取教师奖励结算记录
     * @author Joburgess
     * @date 2020/4/24
     * @param queryInfo:
     * @return com.ym.mec.common.page.PageInfo<com.ym.mec.biz.dal.dto.TeacherCourseSalaryDetail4WebDto>
     */
    PageInfo<TeacherCourseSalaryDetail4WebDto> findTeacherRewards(CourseSalaryQueryInfo4Web queryInfo);

    /**
     * 批量修改
     * @param teacherCourseRewards
     */
    void batchUpdate(List<TeacherCourseReward> teacherCourseRewards);
}
