package com.ym.mec.biz.service;

import java.util.Date;
import java.util.List;

import com.ym.mec.biz.dal.entity.TeacherDefaultMusicGroupSalary;
import com.ym.mec.biz.dal.enums.SalarySettlementTypeEnum;
import com.ym.mec.common.service.BaseService;

public interface TeacherDefaultMusicGroupSalaryService extends BaseService<Long, TeacherDefaultMusicGroupSalary> {


    /**
     * 获取老师对应课程类型的课酬
     * @param userId
     * @param classGroupType
     * @return
     */
    List<TeacherDefaultMusicGroupSalary> getTeacherSalaryByUserIdAndType(int userId, String classGroupType, SalarySettlementTypeEnum settlementType);

    /**
     * 批量新增修改教师薪酬设置
     * @param teacherDefaultMusicGroupSalaries
     * @param startDate
     */
    void batchUpset(List<TeacherDefaultMusicGroupSalary> teacherDefaultMusicGroupSalaries, Date startDate);
}