package com.ym.mec.biz.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ym.mec.biz.dal.dao.TempLittleArtistTrainingCampUserRelationDao;
import com.ym.mec.biz.dal.entity.TempLittleArtistTrainingCampUserRelation;
import com.ym.mec.biz.dal.vo.TempCampUserQualificationsVo;

/**
 * 训练营与学生关系表(TempLittleArtistTrainingCampUserRelation)表服务接口
 *
 * @author hgw
 * @since 2022-05-18 15:48:00
 */
public interface TempLittleArtistTrainingCampUserRelationService extends IService<TempLittleArtistTrainingCampUserRelation> {

    TempLittleArtistTrainingCampUserRelationDao getDao();

    /**
     * 参与训练营
     *
     * @param campId 训练营id
     */
    void add(Integer campId);

    /**
     * 查询当前登录学生有没有资格参加训练营
     */
    TempCampUserQualificationsVo checkCampQualifications();
}

