package com.ym.mec.biz.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ym.mec.biz.dal.dao.TenantProxyDividendDao;
import com.ym.mec.biz.dal.entity.TenantProxyDividend;
import com.ym.mec.biz.dal.vo.ProxyDividendInfoVo;
import com.ym.mec.biz.dal.vo.ProxyDividendVo;
import com.ym.mec.common.page.PageInfo;

import java.util.Map;

/**
 * 代理商分润表(TenantProxyDividend)表服务接口
 *
 * @author hgw
 * @since 2022-04-22 14:08:19
 */
public interface TenantProxyDividendService extends IService<TenantProxyDividend> {

    TenantProxyDividendDao getDao();

    /**
     * 代理商分润汇总查询
     */
    ProxyDividendVo queryProxyDividend();

    /**
     * 代理商分润查询
     *
     * @param param 传入参数
     *
     *              <p> -  proxyId 代理商id
     *              <p> -  recommenderId 推荐人id
     *              <p> -  startData 开始日期 年月日
     *              <p> -  endData 结束日期 年月日
     *              <p> - row 条数
     *              <p> - page 页数
     */
    PageInfo<ProxyDividendInfoVo> queryProxyDividendInfo(Map<String, Object> param);

}

