package com.ym.mec.biz.service.impl;

import com.dayaedu.cbs.common.enums.EClientType;
import com.dayaedu.cbs.openfeign.service.CbsUserService;
import com.dayaedu.cbs.openfeign.wrapper.user.CbsUserWrapper;
import com.ym.mec.biz.dal.dao.TeacherDao;
import com.ym.mec.biz.dal.dto.SimpleUserDto;
import org.apache.commons.collections.CollectionUtils;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.ArrayList;
import java.util.List;
import java.util.Optional;

@Service
public class CbsUserServiceImpl implements CbsUserService {

    @Resource
    private TeacherDao teacherDao;

    @Override
    public List<CbsUserWrapper.User> list(CbsUserWrapper.UserQuery query) {
        if (query == null || CollectionUtils.isEmpty(query.getUserIds())) {
            return new ArrayList<>();
        }
        List<Integer> userIds = new ArrayList<>();
        for (Long userId : query.getUserIds()) {
            userIds.add(userId.intValue());
        }
        List<SimpleUserDto> userDtoList = teacherDao.getUsersSimpleInfo(userIds);
        List<CbsUserWrapper.User> result = new ArrayList<>();
        if (CollectionUtils.isNotEmpty(userDtoList)){
            for (SimpleUserDto simpleUserDto : userDtoList) {
                CbsUserWrapper.User user = new CbsUserWrapper.User();
                user.setId(simpleUserDto.getUserId().longValue());
                user.setUsername(query.getClientType() == null || query.getClientType() == EClientType.STUDENT ?
                        simpleUserDto.getNickName() : Optional.ofNullable(simpleUserDto.getUserName()).orElse(simpleUserDto.getNickName()));
                user.setPhone(simpleUserDto.getPhone());
                result.add(user);
            }
        }
        return result;
    }

}
