package com.ym.mec.biz.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ym.mec.biz.dal.entity.ImGroupMemberPlus;
import com.ym.mec.biz.service.ImGroupMemberPlusService;
import com.ym.mec.common.tenant.TenantContextHolder;
import org.springframework.stereotype.Service;
import lombok.extern.slf4j.Slf4j;
import com.ym.mec.biz.dal.mapper.ImGroupMemberPlusMapper;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;
import java.util.Objects;

/**
 * 群成员表
 * 2023-08-29 17:18:04
 */
@Slf4j
@Service
public class ImGroupMemberPlusServiceImpl extends ServiceImpl<ImGroupMemberPlusMapper, ImGroupMemberPlus> implements ImGroupMemberPlusService {

	/**
     * 查询详情
     * @param id 详情ID
     * @return ImGroupMember
     */
	@Override
    public ImGroupMemberPlus detail(Long id) {
        
        return baseMapper.selectById(id);
    }

    @Transactional(rollbackFor = Exception.class)
    @Override
    public void insertBatch(List<ImGroupMemberPlus> imGroupMemberEntity) {
        // 添加机构ID
        for (ImGroupMemberPlus item : imGroupMemberEntity) {
            if (Objects.isNull(item.getTenantId())) {
                item.setTenantId(TenantContextHolder.getTenantId());
            }
        }
        baseMapper.insertBatch(imGroupMemberEntity);
    }

}