package com.ym.mec.biz.service.impl;

import com.ym.mec.common.exception.BizException;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.ym.mec.biz.dal.dao.PracticeGroupSellPriceDao;
import com.ym.mec.biz.dal.entity.PracticeGroupSellPrice;
import com.ym.mec.biz.service.PracticeGroupSellPriceService;
import com.ym.mec.common.dal.BaseDAO;
import com.ym.mec.common.service.impl.BaseServiceImpl;

import java.math.BigDecimal;
import java.util.Optional;

@Service
public class PracticeGroupSellPriceServiceImpl extends BaseServiceImpl<Integer, PracticeGroupSellPrice> implements PracticeGroupSellPriceService {
	
	@Autowired
	private PracticeGroupSellPriceDao practiceGroupSellPriceDao;

	@Override
	public BaseDAO<Integer, PracticeGroupSellPrice> getDAO() {
		return practiceGroupSellPriceDao;
	}

	@Override
	public BigDecimal getAmount(Integer organId, BigDecimal courseNum) {
		PracticeGroupSellPrice practiceGroupSellPrice = Optional.ofNullable(practiceGroupSellPriceDao.get(organId)).
				orElseThrow(()->new BizException("请配置网管课价格"));
		return practiceGroupSellPrice.getSingleClassMinutesPrice().multiply(courseNum);
	}
}
