package com.ym.mec.biz.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ym.mec.biz.dal.dao.StudentMusicCourseFeeDao;
import com.ym.mec.biz.dal.entity.StudentMusicCourseFee;
import com.ym.mec.biz.service.StudentMusicCourseFeeService;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.math.BigDecimal;
import java.util.Objects;


@Service("studentMusicCourseFeeService")
public class StudentMusicCourseFeeServiceImpl extends ServiceImpl<StudentMusicCourseFeeDao, StudentMusicCourseFee> implements StudentMusicCourseFeeService {

    @Override
    public StudentMusicCourseFeeDao getDao() {
        return this.baseMapper;
    }

    @Override
    @Transactional(rollbackFor = Exception.class)
    public void addActualPrice(Integer userId, String musicGroupId, BigDecimal actualPrice) {
        StudentMusicCourseFee one = this.lambdaQuery().eq(StudentMusicCourseFee::getMusicGroupId, musicGroupId)
                .eq(StudentMusicCourseFee::getUserId, userId).one();
        this.baseMapper.addActualPrice(one.getId(),actualPrice);
    }

    @Override
    @Transactional(rollbackFor = Exception.class)
    public void addExpectPrice(Integer userId, String musicGroupId, BigDecimal expectPrice) {
        StudentMusicCourseFee one = this.lambdaQuery().eq(StudentMusicCourseFee::getMusicGroupId, musicGroupId)
                .eq(StudentMusicCourseFee::getUserId, userId).one();
        if(Objects.isNull(one)){
            one = new StudentMusicCourseFee();
            one.setExpectPrice(expectPrice);
            one.setMusicGroupId(musicGroupId);
            one.setUserId(userId);
            this.save(one);
        }else {
            this.baseMapper.addExpectPrice(one.getId(),expectPrice);
        }
    }

    @Override
    @Transactional(rollbackFor = Exception.class)
    public void cutExpectPrice(Integer userId, String musicGroupId, BigDecimal expectPrice) {
        StudentMusicCourseFee one = this.lambdaQuery().eq(StudentMusicCourseFee::getMusicGroupId, musicGroupId)
                .eq(StudentMusicCourseFee::getUserId, userId).one();
        if(Objects.isNull(one)){
            one = new StudentMusicCourseFee();
            one.setMusicGroupId(musicGroupId);
            one.setUserId(userId);
            this.save(one);
        }else {
            this.baseMapper.cutExpectPrice(one.getId(),expectPrice);
        }
    }

    @Override
    public boolean updateById(StudentMusicCourseFee entity) {
        this.lambdaQuery().eq(StudentMusicCourseFee::getMusicGroupId,entity.getMusicGroupId())
                .eq(StudentMusicCourseFee::getUserId,entity.getUserId()).one();
        return super.save(entity);
    }
}

