package com.ym.mec.biz.service.impl;

import com.alibaba.fastjson.JSON;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import lombok.extern.slf4j.Slf4j;
import com.ym.mec.biz.dal.entity.StudentPaymentOrderAddress;
import com.ym.mec.biz.dal.wrapper.StudentPaymentOrderAddressWrapper;
import com.ym.mec.biz.dal.mapper.StudentPaymentOrderAddressMapper;
import com.ym.mec.biz.service.StudentPaymentOrderAddressService;

/**
 * 学生订单收货地址
 * 2024-03-01 12:05:41
 */
@Slf4j
@Service
public class StudentPaymentOrderAddressServiceImpl extends ServiceImpl<StudentPaymentOrderAddressMapper, StudentPaymentOrderAddress> implements StudentPaymentOrderAddressService {

	/**
     * 查询详情
     * @param id 详情ID
     * @return StudentPaymentOrderAddress
     */
	@Override
    public StudentPaymentOrderAddress detail(Long id) {
        
        return baseMapper.selectById(id);
    }
    
    /**
     * 分页查询
     * @param page IPage<StudentPaymentOrderAddress>
     * @param query StudentPaymentOrderAddressWrapper.StudentPaymentOrderAddressQuery
     * @return IPage<StudentPaymentOrderAddress>
     */
    @Override
    public IPage<StudentPaymentOrderAddress> selectPage(IPage<StudentPaymentOrderAddress> page, StudentPaymentOrderAddressWrapper.StudentPaymentOrderAddressQuery query) {
        
        return page.setRecords(baseMapper.selectPage(page, query));
    }
	
    /**
     * 添加
     * @param studentPaymentOrderAddress StudentPaymentOrderAddressWrapper.StudentPaymentOrderAddress
     * @return Boolean
     */
    @Override
    public Boolean add(StudentPaymentOrderAddressWrapper.StudentPaymentOrderAddress studentPaymentOrderAddress) {    	
        
        return this.save(JSON.parseObject(studentPaymentOrderAddress.jsonString(), StudentPaymentOrderAddress.class));
    }

    /**
     * 更新
     * @param studentPaymentOrderAddress StudentPaymentOrderAddressWrapper.StudentPaymentOrderAddress
     * @return Boolean
     */
    @Override
    public Boolean update(StudentPaymentOrderAddressWrapper.StudentPaymentOrderAddress studentPaymentOrderAddress){

        return this.updateById(JSON.parseObject(studentPaymentOrderAddress.jsonString(), StudentPaymentOrderAddress.class));       
    }
}