package com.ym.mec.biz.service.impl;

import com.microsvc.toolkit.common.webportal.exception.BizException;
import com.ym.mec.auth.api.entity.SysUser;
import com.ym.mec.biz.dal.dao.SysSuggestionDao;
import com.ym.mec.biz.dal.entity.SysSuggestion;
import com.ym.mec.biz.dal.enums.MessageTypeEnum;
import com.ym.mec.biz.service.SysMessageService;
import com.ym.mec.biz.service.SysSuggestionService;
import com.ym.mec.biz.service.SysUserService;
import com.ym.mec.common.dal.BaseDAO;
import com.ym.mec.common.service.impl.BaseServiceImpl;
import com.ym.mec.thirdparty.message.MessageSenderPluginContext;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.HashMap;
import java.util.Map;

@Service
public class SysSuggestionServiceImpl extends BaseServiceImpl<Long, SysSuggestion>  implements SysSuggestionService {
	
	@Autowired
	private SysSuggestionDao sysSuggestionDao;
	@Autowired
	private SysUserService sysUserService;
	@Autowired
	private SysMessageService sysMessageService;

	@Override
	public BaseDAO<Long, SysSuggestion> getDAO() {
		return sysSuggestionDao;
	}

	@Override
	public SysSuggestion getDetail(Long id) {
		return sysSuggestionDao.getDetail(id);
	}

	@Override
	public void dispose(SysSuggestion sysSuggestion) {
		SysSuggestion suggestion = sysSuggestionDao.getDetail(sysSuggestion.getId());
		if (suggestion == null) {
			throw new BizException("数据不存在");
		}
		if (suggestion.getOperatorId() != null) {
			throw new BizException("数据已处理");
		}
		SysUser sysUser = sysUserService.getUser();
		sysSuggestion.setOperatorId(sysUser.getId());
		sysSuggestion.setOperatorTime(new Date());
		sysSuggestionDao.update(sysSuggestion);
		if (sysSuggestion.getFeedbackFlag()) {
			String notifyUrl;
			if("SCHOOL".equals(suggestion.getClientType())){
				notifyUrl = "{\"pageTag\":\"feedback\",\"action\":\"app\",\"url\":\"\"}";
			}else {
				notifyUrl = "feedback?id=" + sysSuggestion.getId();
			}
			Map<Integer,String> userMap = new HashMap<>(1);
			userMap.put(suggestion.getUserId().intValue(),suggestion.getUserId().toString());
			sysMessageService.batchSendMessage(MessageSenderPluginContext.MessageSender.JIGUANG, MessageTypeEnum.PUSH_SUGGESTION_FEEDBACK_CONTENT,
					userMap, null, 0, notifyUrl, suggestion.getClientType());
		}
	}

}