package com.ym.mec.biz.service.impl;

import com.ym.mec.biz.dal.dao.VipGroupDefaultClassesUnitPriceDao;
import com.ym.mec.biz.dal.entity.VipGroupDefaultClassesUnitPrice;
import com.ym.mec.biz.dal.enums.GroupType;
import com.ym.mec.biz.service.VipGroupDefaultClassesUnitPriceService;
import com.ym.mec.common.dal.BaseDAO;
import com.ym.mec.common.exception.BizException;
import com.ym.mec.common.service.impl.BaseServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.math.BigDecimal;
import java.util.Objects;
import java.util.Optional;

@Service
public class VipGroupDefaultClassesUnitPriceServiceImpl extends BaseServiceImpl<Integer, VipGroupDefaultClassesUnitPrice>  implements VipGroupDefaultClassesUnitPriceService {
	
	@Autowired
	private VipGroupDefaultClassesUnitPriceDao vipGroupDefaultClassesUnitPriceDao;

	@Override
	public BaseDAO<Integer, VipGroupDefaultClassesUnitPrice> getDAO() {
		return vipGroupDefaultClassesUnitPriceDao;
	}

	@Override
	public long insert(VipGroupDefaultClassesUnitPrice bean) {

		if(Objects.isNull(bean.getOrganId()) && GroupType.VIP.getCode().equals(bean.getGroupType())) {
			throw new BizException("请选择分部");
		}
		VipGroupDefaultClassesUnitPrice byVipGroupCategory = vipGroupDefaultClassesUnitPriceDao.getByVipGroupCategory(bean.getVipGroupCategoryId(),
				bean.getOrganId(), bean.getGroupType(),null);
		if(null!=byVipGroupCategory){
			return vipGroupDefaultClassesUnitPriceDao.updateByVipGroupCategory(bean);
		}else{
			return super.insert(bean);
		}
	}

	@Override
	public BigDecimal getAmount(Integer categoryId,Integer organId, BigDecimal courseNum) {
		VipGroupDefaultClassesUnitPrice vipGroupDefaultClassesUnitPrice = Optional.ofNullable(vipGroupDefaultClassesUnitPriceDao.getByVipGroupCategory(categoryId,organId, "VIP",null)).
				orElseThrow(()->new BizException("课程单价设置错误"));
		return vipGroupDefaultClassesUnitPrice.getOnlineClassesUnitPrice().multiply(courseNum);
	}
}
