<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8"/>
    <meta http-equiv="X-UA-Compatible" content="IE=edge"/>
    <meta name="viewport"
          content="width=device-width,initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0, user-scalable=no, viewport-fit=cover"/>
    <meta http-equiv="Pragma" content="no-cache"/>
    <meta http-equiv="Cache-Control" content="no-cache"/>
    <meta http-equiv="Expires" content="0"/>
    <title>费用报销单</title>
    <style>
        body {
            margin: 0;
        }

        .container {
            padding: 22px 20px 3px;
            font-size: 14px;
            max-width: 600px;
            margin: 0 auto;
        }

        h1 {
            font-size: 18px;
            text-align: center;
            margin-bottom: 8px;
        }

        table {
            width: 100%;
            border-collapse: collapse;
        }

        table, tr, td {
            border: 1px solid #424242;
        }

        .title {
            width: 110px;
            text-align: center;
        }

        td {
            padding: 10px 5px;
        }
    </style>
</head>
<body style="font-family:'SimSun'">
<div class="container">
    <h1>${organName!}费用报销单</h1>
    <table class="table">
        <tr>
            <td class="title">公司名称:</td>
            <td class="concat">${organName!}</td>
        </tr>
        <tr>
            <td class="title">费用申请人:</td>
            <td class="concat">${realName!}</td>
        </tr>
        <tr>
            <td class="title">费用类型:</td>
            <td class="concat">${feeType!}</td>
        </tr>
        <tr>
            <td class="title">报销金额:</td>
            <td class="concat">${totalMoney?string(',###.00')}</td>
        </tr>
        <tr>
            <td class="title">是否有借款:</td>
            <td class="concat">${hasLoan!}</td>
        </tr>

        <tr>
            <td class="title">情况说明:</td>
            <td class="concat">
                ${memo!}
            </td>
        </tr>
    </table>
    <table style="border-top: 0;">
        <#list circulationUsers as circulationUser>
            <#if circulationUser_index=0>
                <tr style="border-top: 0;">
                    <td style="border-top: 0;" rowspan="${circulationUsers?size}" class="title">审批意见:</td>
                    <td class="title" style="width: 110px;border-top: 0;">${circulationUser.state!}:</td>
                    <td style="border-top: 0;" class="concat">${circulationUser.remarks!}<span style="color: #ffffff;">${circulationUser.userId?c}</span></td>
                </tr>
            <#else>
                <tr>
                    <td class="title" style="width: 110px;">${circulationUser.state!}:</td>
                    <td class="concat">${circulationUser.remarks!}<span style="color: #ffffff;">${circulationUser.userId?c}</span></td>
                </tr>
            </#if>
        </#list>
        <#list executors as executor>
            <tr>
                <#if executor_index=0>
                    <td rowspan="${executors?size}" class="title">执行:</td>
                </#if>
                <td class="title" style="width: 110px;">${executor.state!}:</td>
                <td class="concat">${executor.remarks!}<span style="color: #ffffff;">${executor.userId?c}</span></td>
            </tr>
        </#list>
    </table>
</div>
</body>
</html>