<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width,initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0, user-scalable=no, viewport-fit=cover" />
    <meta http-equiv="Pragma" content="no-cache" />
    <meta http-equiv="Cache-Control" content="no-cache" />
    <meta http-equiv="Expires" content="0" />
    <title>产品与服务协议</title>
    <style>
        body { margin: 0; }
        header {
            height: 40px;
            line-height: .40px;
            color: #000;
            font-size: 17px;
            background: #fff;
            box-shadow: 0px 1px 8px 0px rgba(0, 0, 0, 0.07);
            text-align: center;
        }
        header .back {
            width: 20px;
            height: 20px;
            position: absolute;
            left: 12px;
            top: 10px;
        }
        .container {
            padding: 22px 20px 3px;
            font-size: 14px;
        }
        h1 {
            font-size: 18px;
            text-align: center;
            margin-bottom: 8px;
        }
        h2 {
            font-size: 16px;
            font-weight: bold;
            padding-top: 15px;
        }
        h3 {
            font-size: 14px;
            font-weight: bold;
        }
        .signature {
            padding-top: 50px;
        }
        .signature .sign {
            position: relative;
            width: 49%;
            display: inline-block;
        }
        .signature span {
            display: block;
        }
        .signature .cachet {
            position: absolute;
            top: -60px;
            left: 0;
            width: 150px;
            height: 150px;
        }
        .iInfo {
            display: flex;
        }
        .iInfo span {
            flex: 1;
        }
        .iInfoContent, .iInfoContent span {
            display: block;
        }

        .underline {
            text-decoration: underline;
        }
        .bold {
            font-weight: bold;
        }
    </style>
</head>
<body style="font-family:'SimSun'">
    <div class="container">
        <h1>《产品与服务协议》</h1>
                            甲方：${compayName} <br/>
        <!-- <#if ownershipType == 'OWN'>
		甲方：深圳大雅乐盟网络教育股份有限公司
		<#else>
		甲方：武汉长乐长风乐器销售有限公司
		</#if>
		<br/> -->
        <div style="display: flex;">乙方：
            <div style="flex: 1 auto;">
                <div class="iInfo">
                    <span>家长姓名：${studentInfo.realName!}</span>
                    <span>电话：${studentInfo.phone!}</span>
                </div>
                <#if studentInfo.certificateType == 'IDENTITY'>
                    <div class="iInfo">
                        <span>身份证号：${studentInfo.idCardNo!}</span>
                    </div>
                </#if>
                <div class="iInfo">
                    <span>学生姓名：${studentInfo.username!}</span>
                </div>
                <#if studentInfo.grade?default("")?trim?length gt 1>
                <div class="iInfo">
                    <span>所在班级：${studentInfo.grade!} ${studentInfo.clazz!}</span>
                </div>
                </#if>
                <#if studentInfo.subject.name?default("")?trim?length gt 1>
                <div class="iInfo">
                    <span>所在声部：${studentInfo.subject.name!}</span>
                </div>
                </#if>
            </div>
        </div>
        <div>（本协议中“乙方“指学员及家长；”乙方学员“指购买甲方产品或服务的学员；”乙方家长“仅指乙方学员的法定监护人。）</div>

        <p class="underline bold">重要须知：在注册或购买使用甲方提供的产品、服务之前，请您务必审慎阅读、充分理解本使用协议各条款内容， 特别是免除或者限制甲方责任的条款、对您权利进行限制的条款、约定争议解决方式和司法管辖的条款等。 限制、免责条款或者其他涉及您重大权益的条款可能以加粗、加下划线等形式提示您重点注意。您注册或购买使用甲方提供的产品和服务，均视为您同意本使用协议，以及同意接受本使用协议的约束。</p>
        <p class="underline bold">如无特别说明 ，下列术语在本协议中的定义为：管乐迷平台（下称“本平台”），即管乐迷APP；AMR器乐练习系统（下称“本系统”）指由甲方提供的器乐教学全流程辅助系统，包括媒体资料，教师点评，课前、课中、课后管理等服务，具体以该系统实际提供为准。该系统将根据实际需要进行调整和增减，乙方使用平台时需遵守本服务协议。</p>

        <h2>一、注册及购买</h2>
        <div>1、无论是否源自甲方建议，乙方选择报名注册加入乐团，或选择购买使用甲方提供的产品和服务，均为乙方自主意愿的表达及独立自主的选择。</div>
        2、乙方完成所选产品或服务缴费后，乙方务必妥善保管甲方收款后开具的加盖公司印章的收款凭据或电子凭据。

        <h2>二、乐团及上课规范</h2>
				1、乙方学员在应服从甲方的管理，遵守甲方的制度。<br />
				2、乙方学员应按时到达甲方指定上课地点，作好课前准备；如发生迟到、早退或因其他乙方原因未能按时上课的，视为乙方学员放弃该次课程，为避免影响老师后续课程的正常进行，授课老师除完成原定时间安排的授课外，将不再提供额外延长课时，也不会因乙方学员缺席而暂停教学课程。<br />
				3、乙方学员不得携带任何食品进入教室，所有进食应在课前完成；进入教室后，不得大声喧哗、追逐嬉戏，应当听从授课老师的安排；乙方学员应爱护公共财产和教学设施，严禁在桌椅上刻、划、涂、写等不文明行为；乙方学员未经授课老师同意，不得擅自使用教室内的乐器、音响、电视、空调等器材、设施，如造成此类器材、设施损坏的，乙方应照价赔偿。<br />
				4、未经授课老师同意，乙方家长不得进入课堂，以免影响老师和学员上课；为保证训练质量及进度，乙方学员应保证按照指导老师或教务老师所提出的要求在家练习，遇到专业问题应及时向指导老师请教，非专业问题可随时向教务老师反映。<br />
				5、乙方家长应教育及监督乙方学员务必注意个人安全，妥善保管个人财物，对于非甲方原因造成的人身安全事故或财物损失，由乙方自行承担。<br />
				6、对于乐团学员出现以下情形时，甲方有权对乙方学员作出警告，如甲方作出警告后，乙方学员仍然不遵守甲方的管理制度的，甲方有权对该团员作出退团等处分。<br />
                &#160;&#160;6.1上课、排练时不服从管理和指导，不遵守纪律，影响其他团员的正常上课、排练；<br />
                &#160;&#160;6.2一个学期内发生两次及以上旷课行为；<br />
                &#160;&#160;6.3一个学期内发生两次及以上未按老师要求回传视频作业的情形；<br />
                &#160;&#160;6.4无特殊原因连续七天不练习，影响团员和乐团的整体水平的。<br />

        <h2>三、请假</h2>
        1、基于教学进度和质量保证，甲方对于课程延续性有严格要求，因此乙方学员应尽量参加课程，无特殊情况则应避免请假。<br />
        2、VIP课程学员如有特殊情况需要请假的，应提前4小时以上通过管乐迷APP完成请假，否则当次课程将视同发生，系统将自动记录结算课时并扣除相应课程费用。<br />
        3、VIP学员如遇特殊情况需要长期请假时，可向甲方/授课老师申请办理临时休会。学员可在6个月内申请复学，超过6个月未申请复学的，甲方有权按自动退会处理。VIP课程为一对二课程的，其中一位学员申请临时休会的，还需征得同组另一位学员的同意后方可申请休会。否则将不予受理。<br />
        4、鉴于团体课的特殊性，团体课学员个人请假，当次课程仍视同发生。<br />

        <h2>四、退费</h2>
        1、乐器、教辅、配件等，未经签收，自购买缴款之日起15日内提出申请可全额退还，超过上述期限则不予受理退费申请；非因商品本身存在质量问题，一经签收，无论使用与否，均不予退费；<br />
        2、乐保服务，在维修老师下校检查前提出申请可全额退还，下校检查日过后则不予退费；<br />
        3、AMR器乐练习系统服务，自购买缴款之日起15日内提出申请可全额退还，超过上述期限或实际已提供相应服务则一律不予受理退费；<br />
        4、正价购买的个别课程，包括但不限于VIP课程项下一对一、网管课等，课程有效期内可申请退费，可退款金额为：购买金额-课时原价*已消耗课时数量；<br />
        5、活动期间以优惠价格购买的个别课程，自购买缴款之日起15日内提出申请可全额退还，超过上述期限或实际已发生课时消耗的则一律不予受理退费；<br />

        <h2>五、违约责任</h2>
        1、当事人一方不履行合同义务或者履行合同义务不符合约定的，均构成违约，守约方有权以书面通知的方式要求违约方纠正其违约行为并采取及时、有效的补救措施消除违约后果，并赔偿守约方因违约方之违约行为而遭致的损失。若违约方在收到守约方的上述通知后5日内未纠正其违约行为的，守约方有权在做出书面通知的情况下，单方解除本协议，违约方应赔偿守约方因此遭致的全部损失，包括但不限于守约方因此支付的律师费，差旅费等。<br />
        2、乙方应始终维护甲方的知识产权以及品牌形象，本协议期间以及本协议因任何原因失效、被撤销、解除或终止后，均不得直接或间接通过任何公众媒体（包括但不限于传统大众媒体，以及微信、微博、博客、直播平台等社交平台）发表损害甲方（包括但不限于其产品、服务及甲方授课老师）声誉的言论或实施任何类似行为，否则乙方应赔偿甲方因此遭受的全部损失，包括但不限于守约方因此支付的律师费，差旅费等。<br />

        <h2>六、保密条款</h2>
        1、双方对本协议的条款、本协议的签订及履行情况以及通过签订和履行本协议而获知的对方及对方关联公司的任何信息均负有保密义务。任何一方不得以任何形式透露给第三方（有关法律法规要求和甲乙双方的法律、会计顾问、授权雇员除外），也不得擅自使用。<br />
        2、本保密义务期限不受本协议期限的限制。本协议失效、被撤销、解除或终止等任何情况下，双方均应遵守本保密义务。<br />

        <h2>七、不可抗力</h2>
        1、一方遇到不可抗力事件（指甲乙双方无法控制、无法预见或即使预见也无法避免的事件，该事件妨碍、影响或延误任何一方履行本协议的全部或部分义务，该事件包括但不限于自然灾害（如水灾、地震等）、火灾、政府行为、法律或政策变化（含学校合作变化）、战争或其他任何类似事件）时，受影响方应当立即书面通知对方，并告知该不可抗力事件对本协议可能产生的影响，并在该不可抗力事件发生后5日内向对方提供该事件的详细信息及由有关机构出具的解释受影响方因此无法履行本协议项下全部或部分义务的相关证明。<br />
        2、由于上述不可抗力事件致使受影响方无法履行或无法按时履行本协议项下全部或部分义务的，双方于彼此间均不承担违约责任，但双方应在相互信任的基础上协商解决，尽力减少不可抗力事件对本协议的影响，并采取合理方式进行调整（包括但不限于另行签订补充协议等），尽量避免损失的扩大。<br />
        3、不可抗力事件消失或结束后，除双方另行协商一致外，受到不可抗力影响的一方应当立即采取措施继续履行本协议，如不可抗力事件持续30日以上的，则任何一方有权以书面通知对方的方式单方解除本协议。<br />

        <h2>八、适用法律及争议解决方式</h2>
        1、本协议的订立、效力、履行、解释及争议解决均适用中华人民共和国法律。<br />
        2、因履行本协议发生的一切争议，甲乙双方应友好协商解决；如双方在发生争议后30日内无法通过协商解决时，任何一方有权向甲方所在地有管辖权的人民法院提起诉讼解决。<br />

        <h2>九、其他</h2>
        1、乙方同意，甲方有权在乙方学习、上课、排练和活动期间对其拍摄照片、视频，甲方对所拍摄的照片、视频享有著作权，乙方同意甲方可使用该等照片、视频。<br />
        2、未经甲方事先书面同意，乙方不得将本课程转让给乙方以外的任何第三方。<br />
        3、双方确认并同意，本协议的电子版本与纸质版本具有同等法律效力。双方发生争议时，电子合同打印件可作为证据提交。双方通过网络以在线方式签订本协议的 ，则以乙方点击“确认”或“同意”等相关按钮或以电子签名的方式作为对合同内容的同意、确认以及本协议的签署；如双方签订纸质版本协议的，则本协议壹式贰份，甲方盖公章或合同专用章并且乙方签字作为有效签署方式，并且双方各执壹份，每份具有同等法律效力。<br />
        4、本协议自双方按照本协议约定方式签署之日起生效，有效期至双方履行完本协议约定的全部义务时止。<br />
        5、本协议未尽事宜或对本协议的任何修改、补充，有双方另行协商后以签订补充协议的方式解决，补充协议与本协议具有同等法律效力；双方没有约定也没有协商一致的，遵照相关法律法规规定执行。<br />
        6、双方因履行本协议而相互发出或者提供的所有通知、文件、资料，均以本协议中所列明的电话、APP推送消息送达，乙方如果变更电话号码的，应当自变更后1日内通知甲方且获得甲方确认，甲方通过电话、APP方式无法联系乙方或者甲方认为必要时，甲方也可以通过特快专递至乙方住址的方式向乙方发出上述任何通知、文件、资料等，并在甲方寄出特快专递后第5日视为送达成功。<br />

        <div class="signature">
        	<#if isShowVisualSeal>
            <div class="sign">甲方签章：${compayName}<img class="cachet" src="${sealPicture!}" alt="" />
                <span>日期：${.now?string("yyyy年MM月dd日")}</span>
            </div>
            <div class="sign">乙方签章：${studentInfo.realName!}
                <span>日期：${.now?string("yyyy年MM月dd日")} </span>
            </div>
        	<#else>
            <div class="sign">甲方签章：${compayName}
                <span>日期：${.now?string("yyyy年MM月dd日")}</span>
            </div>
            <div class="sign">乙方签章：
                <span>日期：${.now?string("yyyy年MM月dd日")} </span>
            </div>
        	</#if>
        </div>
    </div>
</body>
</html>
