package com.ym.mec.task;

import com.ym.mec.common.config.FeignConfiguration;
import com.ym.mec.common.entity.HttpResponseResult;
import com.ym.mec.task.fallback.MallPortalFeignServiceFallback;
import com.ym.mec.task.fallback.TaskRemoteServiceFallback;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;

@FeignClient(name = "mall-portal-server", contextId = "TaskMallRemoteService", configuration = {FeignConfiguration.class}, fallback = MallPortalFeignServiceFallback.class)
public interface MallPortalFeignService {

    /**
     * 订单轮询
     */
    @GetMapping("/task/cancelTimeOutOrder")
    Object cancelTimeOutOrder();

    /**
     * 自动收货
     */
    @GetMapping("/task/autoReceive")
    HttpResponseResult autoReceive();
}
