package com.ym.mec.task.fallback;

import com.ym.mec.common.entity.HttpResponseResult;
import com.ym.mec.task.TaskRemoteService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Component;

@Component
public class TaskRemoteServiceFallback implements TaskRemoteService {

    private final static Logger logger = LoggerFactory.getLogger(TaskRemoteServiceFallback.class);

    @Override
    public void refreshPaymentFeeStatus() {
        logger.info("更新学生缴费状态的服务调用失败");
    }

    @Override
    public void refreshUserMusicGroupPaymentStatusTask() {
        logger.info("刷新学员乐团付费状态");
    }

    @Override
    public void vipGroupAwardedMonthlyRewards() {
        logger.info("vip课月度奖励的服务调用失败");
    }

    @Override
    public void updateCourseScheduleToOverStatus() {
        logger.info("更新课程状态至已结束服务调用失败");
    }

    @Override
    public void pushNoSignOutMessage() {
        logger.info("推送未签退消息提醒的服务调用失败");
    }

    @Override
    public void vipGroupTeacherSalarySettlement() {
        logger.info("vip课课酬结算的服务调用失败");
    }

    @Override
    public void practiceTeacherSalarySettlement() {
        logger.info("网管课课酬结算的服务调用失败");
    }

    @Override
    public void MusicGroupTeacherSalarySettlement() {
        logger.info("乐团课课酬结算的服务调用失败");
    }

    @Override
    public void studentCoursesScheduleRemind() {
        logger.info("有课提醒的服务调用失败");
    }

    @Override
    public void studentSignInRemind() {
        logger.info("上课提醒的服务调用失败");
    }

    @Override
    public void studentHomeworkRemind() {
        logger.info("学生训练提醒的服务调用失败");
    }

    @Override
    public void teacherCoursesScheduleRemind() {
        logger.info("老师有课提醒的服务调用失败");
    }

    @Override
    public void teacherSignInRemind() {
        logger.info("老师上课提醒的服务调用失败");
    }

    @Override
    public void homeworkNoReplyRemind() {
        logger.info("老师未回复训练提醒的服务调用失败");
    }

    @Override
    public void queryOrderStatus() {
        logger.info("查询订单状态的服务调用失败");
    }

    @Override
    public void updateVipGroupToFinishedStatus() {
        logger.info("更新VIP课程状态至已结束的服务调用失败");
    }

    @Override
    public void stopVipGroupWithNoCreate() {
        logger.info("取消达到报名时间未达到报名人数的vip课失败");
    }

    @Override
    public void teacherCourseStatistic() {
        logger.info("统计老师课酬失败");
    }

    @Override
    public void updateHistoryPracticeGroupStatus() {
        logger.info("历史网管课状态更新失败");
    }

    @Override
    public void pushStudyReport() {
        logger.info("练习报告推送失败");
    }

    @Override
    public void pushNeedPostReport() {
        logger.info("新增待填写月报推送失败");
    }

    @Override
    public void createEvaluate() {
        logger.info("预生成待提交月报失败");
    }

    @Override
    public void pushNeedReview2Teacher() {
        logger.info("新增待填写评论推送失败");
    }

    @Override
    public void noStudentsCourseGroupRemind() {
        logger.info("对外课程组无学生推送失败");
    }

    @Override
    public void finishCourseGroup() {
        logger.info("更新对外课程组至已结束失败");
    }

    @Override
    public void exercisesSituationStatistics() {
        logger.info("学员服务信息统计失败");
    }

    @Override
    public void updateStudentOperatingTag() {
        logger.info("更新学生运营指标失败");
    }

    @Override
    public void updateMusicGroupPaymentCalenderStatus() {
        logger.info("更新乐团缴费日历的状态失败");
    }

    @Override
    public void pushWaitSendMessageTask() {
        logger.info("延时推送执行失败");
    }

    @Override
    public void pushTeacherExceptionAttendanceTask() {
        logger.info("教师异常考勤推送失败");
    }

    @Override
    public void updateMusicGroupStudentFeeStatus() {
        logger.info("更新乐团学员缴费状态失败");
    }

    @Override
    public void studentServeRemind() {
        logger.info("本周应布置课外训练推送失败");
    }

    @Override
    public void operatingReport() {
        logger.info("经营报表生成失败");
    }

    @Override
    public void goodsRepertoryFBIWarnTask() {
        logger.info("商品库存预警推送失败");
    }

    @Override
    public void autoAffirmReceiveTask() {
        logger.info("确认收货执行失败");
    }

    @Override
    public void countIndexBaseData() {
        logger.info("首页数据统计失败");
    }

    @Override
    public void inspectionPlan() {
        logger.info("巡查日程提醒提送失败");
    }

    @Override
    public void closeStudentServiceTag() {
        logger.info("学员服务指标关闭失败");
    }

    @Override
    public void updateGrade() {
        logger.info("学生年级更新失败");
    }

    @Override
    public void maintenanceNotice() {
        logger.info("乐保到期提醒推送失败");
    }

    @Override
    public void maintenanceOldDateAdd() {
        logger.info("乐保历史数据处理失败");
    }

    @Override
    public void updateStudentTeacherAndSubject() {
        logger.error("更新学员指导老师和声部信息失败");
    }

    @Override
    public void todayIncomeRemind() {
        logger.error("推送查看今日收入提醒失败");
    }

    @Override
    public void salaryMarkNew() {
        logger.error("大雅基本工资标记失败");
    }

    @Override
    public void syncImHistoryMessageTask() {
        logger.error("同步即时通讯聊天记录失败");
    }

    @Override
    public void indexErrDataRecord() {
        logger.error("历史异常数据记录失败");
    }

    @Override
    public void autoCleanPreCourseTask() {
        logger.error("每天凌晨3点清理所有的乐团预排课");
    }

    @Override
    public void musicSchoolTermPush() {
        logger.error("每天10点推送乐团排课、续费、退团提醒");
    }

    @Override
    public void memberEndAutoQuitMusic() {
        logger.error("会员到期自动退团");
    }

    @Override
    public void cleanStudentMember() {
        logger.error("学员会员到期状态更新");
    }

    @Override
    public void cleanStudentCloudStudySequenceDays() {
        logger.error("清理学员云教练连续使用天数失败");
    }

    @Override
    public void curWeekStudentTrainRemind() {
        logger.error("本周学员训练提醒失败");
    }

    @Override
    public void remarkCountFlag() {
        logger.error("标记进行中乐团在读学员+VIP、网管有课学员总数 失败");
    }

    @Override
    public void checkTenantOrder() {
        logger.error("校验机构付款记录支付状态失败");
    }

    @Override
    public void checkTenantState() {
        logger.error("校验机构状态失败");
    }

    @Override
    public void redemptionCodeWarn() {
        logger.error("兑换码分配数量底告警");
    }

	@Override
	public void queryTeacherContractSignStatus() {
		logger.error("查询老师协议签订状态失败");
	}

    @Override
    public void createLiveRoom() {
        logger.error("直播间创建失败");
    }

    @Override
    public void destroyExpiredLiveRoom() {
        logger.error("销毁直播间失败");
    }

    @Override
    public void destroyLiveRoom() {
        logger.error("销毁直播间失败");
    }

    @Override
    public void studentSmallClassStatistics() {
        logger.error("学员小课统计失败");
    }

    @Override
    public void checkCampState(){
        logger.error("校验营地状态失败");
    }

    @Override
    public void pushStartTrain(){
        logger.error("开始训练通知推送失败");
    }

    @Override
    public void operatingReportMonth() {
        logger.error("新经营报表统计失败");
    }

    @Override
    public void findAllWaitVisit() {
        logger.error("查询所有学员并生成未回访记录失败");
    }

    @Override
    public void updateStudentTeacherMapper() {
        logger.error("更新学员老师关联关系");
    }

    @Override
    public void initSysMusicCompareDayData() {

    }

    @Override
    public void teacherCloudCourseReport() {

    }

    @Override
    public void degreeStatusChange() {
        logger.error("考级状态变更失败");
    }

    @Override
    public void liveCourseRemind() {
        logger.error("直播课提醒失败");
    }

    @Override
    public void closeLiveCourseRoom() {
        logger.error("关闭直播间失败");
    }

    /**
     * 作品过期设置
     */
    @Override
    public void workOverdue() {
        logger.error("作品过期设置失败");
    }
}
