package com.yonge.log.dal.model;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.mapping.Document;
import org.springframework.data.mongodb.core.mapping.Field;

import java.io.Serializable;

/**
 * @author 袁亮
 * @apiNote 腾讯IM消息模型
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Document(collection = "im_history_message_tencent")
public class HistoryMessageTencent implements Serializable {

    @Id
    private String id;

    @Field("msg_time")
    private Long msgTime;

    @Field("chat_type")
    private String chatType;

    @Field("client_ip")
    private String clientIp;

    @Field("cloud_custom_data")
    private String cloudCustomData;

    @Field("from_account")
    private String fromAccount;

    @Field("app_service")
    private String appService;

    @Field("msg_from_platform")
    private String msgFromPlatform;

    @Field("msg_random")
    private Long msgRandom;

    @Field("msg_seq")
    private Long msgSeq;

    @Field("msg_timestamp")
    private Long msgTimestamp;

    @Field("to_account")
    private String toAccount;

    @Field("group_id")
    private String groupId;

    @Field("msg_body")
    private String msgBody;

    @Field("msg_body_json")
    private JSONArray msgBodyJson;


    @Field("json_flag")
    private Integer jsonFlag;
}
