package com.yonge.log.wrapper;

import com.alibaba.fastjson.annotation.JSONField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.mapping.Document;
import org.springframework.data.mongodb.core.mapping.Field;

import java.io.Serializable;
import java.util.Date;

public class HistoryMessageTencentWrapper {


    @Data
    @Builder
    @NoArgsConstructor
    @AllArgsConstructor
    @ApiModel(" DegreeQuery-考级信息")
    public static class HistoryMessageTencentQuery {

        @ApiModelProperty("当前页")
        private Integer page =1;

        @ApiModelProperty("分页行数")
        private Integer rows =20;

        @ApiModelProperty("文本内容")
        private String keyword;


        @ApiModelProperty("开始时间")
        private Date startTime;

        @ApiModelProperty("结束时间")
        private Date endTime;

        @ApiModelProperty("类型C2C:单聊,GROUP:群聊")
        private String chatType;

        @ApiModelProperty("发送人")
        private String fromAccount;

        @ApiModelProperty("接收人")
        private String toAccount;

        @ApiModelProperty("群ID")
        private String groupId;

        @ApiModelProperty(value = "系统",hidden = true)
        private String appService = "MEC";
    }


    @Data
    @Builder
    @NoArgsConstructor
    @AllArgsConstructor
    public static class HistoryMessageTencent implements Serializable {


        @ApiModelProperty(value = "发送日期")
        private Long msgTime;

        @ApiModelProperty("类型C2C:单聊,GROUP:群聊")
        private String chatType;

        @ApiModelProperty("客户端IP")
        private String clientIp;

        @ApiModelProperty("自定义数据")
        private String cloudCustomData;

        @ApiModelProperty("发送人id")
        private String fromAccount;


        @ApiModelProperty("发送人名称")
        private String fromAccountName;


        @ApiModelProperty("发送人头像")
        private String fromAccountAvatar;

        @ApiModelProperty("系统")
        private String appService;

        @ApiModelProperty("消息来源平台")
        private String msgFromPlatform;

        @ApiModelProperty("消息随机数")
        private Long msgRandom;

        @ApiModelProperty("消息序列号")
        private Long msgSeq;

        @ApiModelProperty("消息时间戳")
        private Long msgTimestamp;

        @ApiModelProperty("接收人")
        private String toAccount;


        @ApiModelProperty("接收人名称")
        private String toAccountName;


        @ApiModelProperty("接收人头像")
        private String toAccountAvatar;

        @ApiModelProperty("群ID")
        private String groupId;


        @ApiModelProperty("群名称")
        private String groupName;

        @ApiModelProperty("群头像")
        private String groupAvatar;


        @ApiModelProperty("消息内容")
        private String msgBody;

    }

}
