package com.ym.mec.common.config;

import javax.servlet.http.HttpServletRequest;

import org.apache.commons.lang3.StringUtils;
import org.springframework.web.context.request.RequestContextHolder;
import org.springframework.web.context.request.ServletRequestAttributes;

import feign.RequestInterceptor;
import feign.RequestTemplate;

import java.util.Collection;
import java.util.Map;

public class RequestHeaderConfiguration implements RequestInterceptor {

	@Override
	public void apply(RequestTemplate template) {
		ServletRequestAttributes attributes = (ServletRequestAttributes) RequestContextHolder.getRequestAttributes();
		if (attributes == null) {
			return;
		}
		HttpServletRequest request = attributes.getRequest();
		
		String authorization = request.getHeader("Authorization");

		// open-feign请求头已包含Authorization，不再添加
		Map<String, Collection<String>> headers = template.headers();
		if (StringUtils.isNotBlank(authorization) && !headers.containsKey("Authorization")) {
			template.header("Authorization", authorization);
		}
		
		/*Enumeration<String> headerNames = request.getHeaderNames();
		if (headerNames != null) {
			while (headerNames.hasMoreElements()) {
				String name = headerNames.nextElement();
				String values = request.getHeader(name);
				template.header(name, values);

			}
		}*/
	}

}
