package com.ym.mec.common.entity;

import org.apache.commons.lang3.StringUtils;

import java.io.Serializable;

public class ImUserModel {
    public String id;

    public String name;

    private String title;

    public String portrait;

    private Integer minute;

    private ImUserModel[] blacklist;

    // 用户身份
    private String clientType;
    // 用户头象
    private String avatar;

    public ImUserModel(String id, String name, String portrait) {
        this.id = id;
        this.name = name;
        if(StringUtils.isEmpty(portrait)){
            this.portrait = "https://oss.dayaedu.com/201912/RkoZBNq.jpeg";
        }else {
            this.portrait = portrait;
        }
    }

    public ImUserModel() {
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getPortrait() {
        return portrait;
    }

    public void setPortrait(String portrait) {
        this.portrait = portrait;
    }

    public Integer getMinute() {
        return minute;
    }

    public void setMinute(Integer minute) {
        this.minute = minute;
    }

    public ImUserModel[] getBlacklist() {
        return blacklist;
    }

    public void setBlacklist(ImUserModel[] blacklist) {
        this.blacklist = blacklist;
    }

    public String getClientType() {
        return clientType;
    }

    public void setClientType(String clientType) {
        this.clientType = clientType;
    }

    public String getAvatar() {
        return avatar;
    }

    public void setAvatar(String avatar) {
        this.avatar = avatar;
    }

    /**
     * IM用户Token返回信息
     */
    public static class ImUserResult implements Serializable {

        // 用户ID
        private String imUserId;

        // 授权Token
        private String imToken;

        public String getImUserId() {
            return imUserId;
        }

        public void setImUserId(String imUserId) {
            this.imUserId = imUserId;
        }

        public String getImToken() {
            return imToken;
        }

        public void setImToken(String imToken) {
            this.imToken = imToken;
        }
    }
}
