package com.ym.pojo;

import lombok.Data;

@Data
public class RecordNotify {
	//时间戳，单位为毫秒
	Long timestamp;
	//回调事件类型，如下：1: 录制开始；2: 录制切片；3: 录制结束；4: 文件上传
	Integer type;
	//当前使用的 App Key。
	String appKey;
	//录制 ID，每次录制任务的唯一标识。如果文件切片，可以通过此 ID 进行关联
	String recordId;
	//房间 ID 。
	String roomId;
	//会话 ID，每次通话的唯一标识
	String sessionId;
	//用户 ID。如果录制模式为 Mix，此字段为空。
	String userId;
	//录制模式0：音视频 single 模式； 1：纯视频 single 模式； 2：纯音频 single 模式；
	//3：音视频 mix 模式；
	//4：纯视频 mix 模式；
	//5：纯音频 mix 模式；
	//6：单人 mix 音视频模式
	Integer mode;
	RecordNotifyOutput output;
	RecordNotifyConfig config;
	//扩展字段，内容为手动录制时传入的 extra 字段的值
	String extra;
	//状态码，200 为正常
	Integer code;
	//错误信息。
	String errorMessage;

	@Override
	public String toString() {
		return "RecordNotify{" +
				"recordId='" + recordId + '\'' +
				", roomId='" + roomId + '\'' +
				", sessionId='" + sessionId + '\'' +
				", userId='" + userId + '\'' +
				", output=" + output +
				", config=" + config +
				", extra='" + extra + '\'' +
				", code=" + code +
				", errorMessage='" + errorMessage + '\'' +
				'}';
	}
}
