package com.ym.service.Impl;

import com.ym.dao.RoomMemberDao;
import com.ym.service.RoomMemberService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Propagation;
import org.springframework.transaction.annotation.Transactional;

/**
 * 房间用户
 * Created by Eric.Shang on 2023/5/31.
 */
@Slf4j
@Service
public class RoomMemberServiceImpl implements RoomMemberService {

    @Autowired
    private RoomMemberDao roomMemberDao;

    /**
     * 删除房间用户
     * @param roomId 房间编号
     * @param userId 用户编号
     */
    @Transactional(propagation = Propagation.REQUIRES_NEW, rollbackFor = Exception.class)
    @Override
    public void deleteRoomMember(String roomId, String userId) {

        try {
            // 删除房间用户信息
            roomMemberDao.deleteUserByRidAndUid(roomId, userId);
        } catch (Exception e) {
            log.error("deleteRoomMember roomId={}, userId={}", roomId, userId, e);
        }
    }
}
