package com.yonge.cooleshow.admin;

import com.spring4all.swagger.EnableSwagger2Doc;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.cloud.openfeign.EnableFeignClients;
import org.springframework.context.annotation.ComponentScan;

/**
 * 应用启动入口
 * Created by macro on 2018/4/26.
 */
@SpringBootApplication
@EnableDiscoveryClient
@MapperScan({"com.yonge.cooleshow.admin.dao", "com.yonge.cooleshow.mbg.mapper", "com.yonge.toolset.payment.core.dao", "com.ym.mec.biz.dal.mapper"})
@ComponentScan(basePackages = {"com.yonge.cooleshow.admin", "com.yonge.cooleshow.mbg", "com.yonge.cooleshow.mall.common","com.ym.mec"})
@EnableSwagger2Doc
@EnableFeignClients("com.ym.mec")
public class MallAdminApplication {
    public static void main(String[] args) {
        SpringApplication.run(MallAdminApplication.class, args);
    }
}
