package com.yonge.cooleshow.admin.dao;

import com.yonge.cooleshow.admin.dto.*;
import com.yonge.cooleshow.admin.dto.search.UserStatisticalSearch;
import com.yonge.cooleshow.mbg.model.OmsOrder;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * 订单查询自定义Dao
 * Created by macro on 2018/10/12.
 */
public interface OmsOrderDao {
    /**
     * 条件查询订单
     */
    List<OrderVo> getList(@Param("queryParam") OmsOrderQueryParam queryParam);

    /**
     * 批量发货
     */
    int delivery(@Param("list") List<OmsOrderDeliveryParam> deliveryParamList);

    /**
     * 获取订单详情
     */
    OmsOrderDetail getDetail(@Param("id") Long id);

    List<Map<String, Object>> getUserOrderInfoList(Map<String, Object> param);

    /**
     * 统计订单状态数量
     */
    HomeStatistical selectOrderStatusNum();

    /**
     * 统计订单完成数量 和订单金额
     *
     * @param startTime  开始时间
     * @param endTime    结束时间
     * @param dateFormat 时间统计格式   （DAY:按天统计， WEEK:按周统计， MONTH:按月统计）
     * @return
     */
    List<OrderStatistical> selectOrderCountAndAmount(@Param("startTime") Date startTime, @Param("endTime") Date endTime,
                                                     @Param("dateFormat") String dateFormat);

    List<OrderDetailVo> queryOrderDetail(@Param("queryParam") OmsOrderQueryParam queryParam);
}
