package com.yonge.cooleshow.admin.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

/**
 * Description
 *
 * @author liujunchi
 * @date 2023-01-10
 */
@Data
public class OrderCreate {

    @ApiModelProperty("乐团ID")
    private String orchestraId;

    @ApiModelProperty("用户ID/学校ID")
    private Long memberId;

    @ApiModelProperty("订单编号")
    private String orderNo;

    @ApiModelProperty("订单总金额")
    private BigDecimal totalAmount;

    @ApiModelProperty("支付类型  1->支付宝；2->微信 3余额")
    private Integer payType;

    @ApiModelProperty(value = "收货人姓名")
    private String receiverName;

    @ApiModelProperty(value = "收货人电话")
    private String receiverPhone;

    @ApiModelProperty(value = "收货人邮编")
    private String receiverPostCode;

    @ApiModelProperty(value = "省份/直辖市")
    private String receiverProvince;

    @ApiModelProperty(value = "城市")
    private String receiverCity;

    @ApiModelProperty(value = "区")
    private String receiverRegion;

    @ApiModelProperty(value = "订单来源 ")
    private String orderFormType = "MEC";


    @ApiModelProperty(value = "订单来源 SCHOOL:学校,STUDENT:学生,TEACHER:老师")
    private String platformType = "SCHOOL";

    @ApiModelProperty(value = "详细地址")
    private String receiverDetailAddress;
    @ApiModelProperty(value = "订单来源：0->PC订单；1->app订单 2->学校采购 3 个人订单 4 其他订单")
    private Integer sourceType;


    @ApiModelProperty(value = "订单状态：0->待付款；1->待发货；2->已发货；3->已完成；4->已关闭；5->无效订单")
    private Integer status;

    @ApiModelProperty("商品详情")
    private List<OrderItem> orderItemList;

    // 需要关闭的订单号
    private List<String> closeOrderNoList;

    @Data
    public static class OrderItem implements Serializable {


        @ApiModelProperty(value = "购买数量")
        private Integer productQuantity;

        @ApiModelProperty(value = "商品sku编号")
        private Long productSkuId;

        @ApiModelProperty(value = "该商品经过优惠后的分解金额")
        private BigDecimal realAmount;

    }

}
