package com.yonge.cooleshow.admin.dto;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.yonge.cooleshow.admin.enums.OpenTypeEnum;
import lombok.Data;
import org.apache.commons.lang3.StringUtils;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

@Data
public class OrderDetailVo{

    @ExcelProperty("分部")
    private String organName;

    @ExcelProperty("用户编号")
    private Integer memberId;

    @ExcelProperty("用户姓名")
    private String memberUsername;

    @ExcelProperty("交易流水号")
    private String transNo;

    @ExcelProperty("订单号")
    private String orderSn;

    @ExcelIgnore
    private OpenTypeEnum openTypeEnum;

    @ExcelProperty(value = "收款渠道")
    private String openType;

    @ExcelProperty("收款账户")
    private String merNos;

    @ExcelProperty("订单金额")
    private BigDecimal expectAmount;

    @ExcelProperty("到账时间")
    private Date paymentTime;

    @ExcelProperty("商品货号")
    private String productSn;

    @ExcelProperty("购买商品")
    private String productName;

    @ExcelProperty("商品规格")
    private String productSpecification;

    @ExcelIgnore
    private String productAttr;

    @ExcelProperty("商品属性")
    private String productAttrDesc;

    @ExcelProperty("数量")
    private Integer productQuantity;

    @ExcelProperty("收件人")
    private String receiverName;

    @ExcelProperty("电话")
    private String receiverPhone;

    @ExcelProperty("地址")
    private String receiverDetailAddress;

    @ExcelProperty("物流")
    private String deliveryCompany;

    @ExcelProperty("单号")
    private String deliverySn;

    @ExcelProperty("备注")
    private String note;

    public String getProductAttr() {
        return productAttr;
    }

    public void setProductAttr(String productAttr) {
        this.productAttr = productAttr;
        if(StringUtils.isNotEmpty(productAttr)){
            try {
                List<JSONObject> list = JSON.parseArray(productAttr,JSONObject.class);
                StringBuffer sb = new StringBuffer();
                for (JSONObject jsonObject : list) {
                    sb.append(jsonObject.get("key")).append(":").append(jsonObject.get("value")).append(";");
                }
                this.productAttrDesc = sb.toString();
            }catch (Exception e){

            }
        }
    }

    public OpenTypeEnum getOpenTypeEnum() {
        return openTypeEnum;
    }

    public void setOpenTypeEnum(OpenTypeEnum openTypeEnum) {
        this.openTypeEnum = openTypeEnum;
        this.openType = openTypeEnum.getMsg();
    }
}
