package com.yonge.cooleshow.admin.service;

import com.yonge.cooleshow.admin.dto.PmsBrandParam;
import com.yonge.cooleshow.mbg.model.PmsBrand;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;
import java.util.Map;

/**
 * 商品品牌管理Service
 * Created by macro on 2018/4/26.
 */
public interface PmsBrandService {
    /**
     * 获取所有品牌
     */
    List<PmsBrand> listAllBrand();

    /**
     * 创建品牌
     */
    @Transactional
    int createBrand(PmsBrandParam pmsBrandParam);

    /**
     * 修改品牌
     */
    @Transactional
    int updateBrand(Long id, PmsBrandParam pmsBrandParam);

    /**
     * 删除品牌
     */
    @Transactional
    int deleteBrand(Long id);

    /**
     * 批量删除品牌
     */
    @Transactional
    int deleteBrand(List<Long> ids);

    /**
     * 分页查询品牌
     */
    List<PmsBrand> listBrand(String keyword, int pageNum, int pageSize);

    /**
     * 获取品牌详情
     */
    PmsBrand getBrand(Long id);

    /**
     * 修改显示状态
     */
    @Transactional
    int updateShowStatus(List<Long> ids, Integer showStatus);

    /**
     * 修改厂家制造商状态
     */
    @Transactional
    int updateFactoryStatus(List<Long> ids, Integer factoryStatus);

    Map<Long,PmsBrand> getMapByIds(List<Long> brandIds);
}
