package com.yonge.cooleshow.admin.service;

import com.yonge.cooleshow.admin.wrapper.PmsSkuStockWrapper;
import com.yonge.cooleshow.mbg.model.PmsSkuStock;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;
import java.util.Map;

/**
 * 商品SKU库存管理Service
 * Created by macro on 2018/4/27.
 */
public interface PmsSkuStockService {
    /**
     * 根据产品id和skuCode关键字模糊搜索
     */
    List<PmsSkuStockWrapper.PmsSkuStock> getList(Long pid, String keyword);

    /**
     * 批量更新商品库存信息
     */
    @Transactional
    int update(Long pid, List<PmsSkuStock> skuStockList);

    Map<Long,PmsSkuStock> getMapByIds(List<Long> skuIds);
}
