package com.yonge.cooleshow.admin.wrapper;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.List;

public class OmsOrderWrapper {

    @Data
    public static class OrderStatusUpdate {

        // 订单ID集合
        @ApiModelProperty("订单ID集合")
        @NotNull(message = "订单ID集合不能为空")
        @NotEmpty(message = "订单ID集合不能为空")
        private List<Long> ids;

        // 状态
        @ApiModelProperty("订单状态：0->待付款；1->待发货；2->已发货；3->已完成；4->已关闭；5->无效订单")
        @NotNull(message = "订单状态不能为空")
        private Integer status;
    }
}
