package com.yonge.cooleshow.admin.wrapper;

import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

public class PmsSkuStockWrapper {

    @Data
    @ApiModel("PmsSkuStock-sku管理")
    public static class PmsSkuStock {
        @ApiModelProperty(value = "sku库存表id")
        private Long id;

        @ApiModelProperty(value = "商品id")
        private Long productId;

        @ApiModelProperty(value = "sku编码")
        private String skuCode;

        private BigDecimal price;

        /**
         * 内部库存
         */
        @ApiModelProperty("内部库存")
        private Integer internalStock;

        /**
         * 税务库存
         */
        @ApiModelProperty("税务库存")
        private Integer taxStock;

        @ApiModelProperty(value = "预警库存")
        private Integer lowStock;

        @ApiModelProperty(value = "展示图片")
        private String pic;

        @ApiModelProperty(value = "销量")
        private Integer sale;

        @ApiModelProperty(value = "单品促销价格")
        private BigDecimal promotionPrice;


        @ApiModelProperty(value = "商品销售属性，json格式")
        private String spData;
    }


}
