package com.yonge.cooleshow.portal;

import com.spring4all.swagger.EnableSwagger2Doc;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.cloud.openfeign.EnableFeignClients;
import org.springframework.context.annotation.ComponentScan;

@SpringBootApplication
@MapperScan({"com.yonge.cooleshow.portal.dao", "com.yonge.toolset.payment.core.dao", "com.yonge.cooleshow.mbg.mapper", "com.ym.mec.biz.dal.mapper"})
@ComponentScan(basePackages = {"com.yonge.cooleshow.portal", "com.yonge.cooleshow.mbg", "com.yonge.cooleshow.mall.common","com.ym.mec"})
@EnableSwagger2Doc
@EnableDiscoveryClient
@EnableFeignClients("com.ym.mec")
public class MallPortalApplication {

    public static void main(String[] args) {
        SpringApplication.run(MallPortalApplication.class, args);
    }

}
