package com.yonge.cooleshow.portal.controller.open;

import com.ym.mec.common.controller.BaseController;
import com.yonge.cooleshow.mall.common.api.CommonResult;
import com.yonge.cooleshow.portal.dto.StockOperateModel;
import com.yonge.cooleshow.portal.service.OmsPortalOrderService;
import com.yonge.cooleshow.portal.service.PmsPortalProductService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

@RestController
@RequestMapping("/open")
@Api(tags = "开放权限接口")
public class OpenShareController extends BaseController {
    private final static Logger log = LoggerFactory.getLogger(OpenShareController.class);

    @Autowired
    private PmsPortalProductService portalProductService;

    @Autowired
    private OmsPortalOrderService portalOrderService;


    // @ApiOperation(value = "老师商品分享分润")
    // @PostMapping(value="/productProfit")
    // @ResponseBody
    // public CommonResult<ShareProductVo> shareProductProfit(@RequestBody ShareProfitParam param) {
    //     SysUser sysUser = sysUserFeignService.queryUserById(param.getUserId());
    //     if (sysUser == null  || sysUser.getId() == null) {
    //         return CommonResult.failed("用户信息获取失败");
    //     }
    //     HttpResponseResult<String> client = sysUserFeignService.client();
    //     if (client.getStatus()) {
    //         if (!StringUtil.isEmpty(client.getData()) && "teacher".equals(client.getData())) {
    //             return CommonResult.success(portalProductService.shareProductProfit(sysUser, param.getBizId()));
    //         }
    //     } else {
    //         return CommonResult.success(portalProductService.shareProductProfit(sysUser, param.getBizId()));
    //     }
    //     return CommonResult.failed("分享功能暂未开放");
    // }

    @ApiOperation(value = "同步库存")
    @PostMapping(value="/updateStock/{stockType}")
    @ResponseBody
    public CommonResult<String> updateStock(@RequestBody List<StockOperateModel> model, @PathVariable String stockType) {
        // 库存操作 stockType  add:添加   reduce:减少  lock:锁定  unlock:解锁
        portalProductService.reduceStock(model,stockType);
        return CommonResult.success("");
    }


}
