package com.yonge.cooleshow.portal.service;

import com.ym.mec.auth.api.entity.SysUser;
import com.yonge.cooleshow.mbg.model.PmsProduct;
import com.yonge.cooleshow.mbg.model.PmsSkuStock;
import com.yonge.cooleshow.portal.domain.PmsPortalProductDetail;
import com.yonge.cooleshow.portal.domain.PmsProductCategoryNode;
import com.yonge.cooleshow.portal.dto.ProductSearchConditionVo;
import com.yonge.cooleshow.portal.dto.ShareProductVo;
import com.yonge.cooleshow.portal.dto.StockOperateModel;

import java.util.List;

/**
 * 前台商品管理Service
 * Created by macro on 2020/4/6.
 */
public interface PmsPortalProductService {
    /**
     * 综合搜索商品
     */
    List<PmsProduct> search(String keyword, Long brandId, Long productCategoryId, Long productAttributeCategoryId, Integer pageNum, Integer pageSize, Integer sort);

    List<PmsSkuStock> updateProductSkuStock(List<PmsSkuStock> skuStocks);

    List<PmsProduct> updateProductStock(List<PmsProduct> pmsProducts);

    /**
     * 以树形结构获取所有商品分类
     */
    List<PmsProductCategoryNode> categoryTreeList();

    /**
     * 获取前台商品详情
     */
    PmsPortalProductDetail detail(Long id);

    /**
     * 获取商品列表下拉条件
     *
     * @return ProductSearchConditionVo
     */
    ProductSearchConditionVo searchCondition();

    /**
     * 老师分享商品分润
     *
     * @param sysUser 推荐人信息
     * @param productId 商品id
     */
    ShareProductVo shareProductProfit(SysUser sysUser, Long productId);

    /**
     * 同步修改商品库存
     *
     * @param model
     * @param stockType
     */
    void reduceStock(List<StockOperateModel> model, String stockType);
}
