package com.ym.mec.thirdparty.message;

import java.io.IOException;
import java.util.List;

public interface MessageSenderPlugin {
	
	/**
	 * 发送消息至目的地
	 * @param subject 消息主题
	 * @param content 消息内容
	 * @param receiver 收件人
	 * @param url 链接地址
	 * @param jpushType 极光应用类型
	 * @return 是否发送成功
	 * @throws IOException
	 */
	public boolean send(String subject, String content, String receiver, String url, String jpushType,String sound,String channelId) throws Exception;

	/**
	 * 批量发送消息至目的地
	 * @param subject 消息主题
	 * @param content 消息内容
	 * @param receivers 收件人列表
	 * @param url 链接地址
	 * @param jpushType 极光应用类型
	 * @return 是否发送成功
	 * @throws IOException
	 */
	public boolean batchSend(String subject, String content, String[] receivers, String url, String jpushType,String sound,String channelId) throws Exception;

    /**
     * 删除设备的别名
     *
     * @param alias      用户别名
     * @param registerIds 设备注册ID
     * @param pushType   极光应用类型
     */
    void deviceRemoveAlias(String alias, List<String> registerIds, String pushType);
}
