package com.ym.mec.thirdparty.yeepay;

import java.io.File;
import java.io.IOException;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Service;

import com.alibaba.fastjson.JSONObject;
import com.yeepay.g3.sdk.yop.client.YopRequest;
import com.yeepay.g3.sdk.yop.client.YopResponse;
import com.yeepay.g3.sdk.yop.client.YopRsaClient;
import com.ym.mec.thirdparty.adapay.entity.HfMerchantConfig;

@Service
public class YeepayUploadService {
	
	private static final Logger LOGGER = LoggerFactory.getLogger(YeepayUploadService.class);

	public String upload(HfMerchantConfig hfMerchantConfig, File file) {
		
		YopRequest request = new YopRequest(hfMerchantConfig.getAppId(), hfMerchantConfig.getRsaPrivateKey());
		
		request.addFile("merQual", file);
		try {
			YopResponse response = YopRsaClient.upload("/yos/v1.0/sys/merchant/qual/upload", request);
			
			LOGGER.info("易宝上传接口 resp:{}", response.getStringResult());
			
			JSONObject jsonObject = JSONObject.parseObject(response.getStringResult());
			
			return jsonObject.getString("merQualUrl");
		} catch (IOException e) {
			LOGGER.error("Exception when calling SysClient#merchantQualUpload, ex:", e);
		}
        
        return null;
		
	}
}
