package com.ym.mec.util.web;

import com.google.common.collect.Lists;
import lombok.Getter;

import java.util.stream.Stream;

/**
 * Created by Eric.Shang on 2019-08-08.
 */
@Getter
public enum EParallelStream {

    P1(1, "P1"),
    P2(2, "P2"),
    P3(3, "P3"),
    P4(4, "P4"),
    P5(5, "P5"),
    P6(6, "P6"),
    P7(7, "P7"),
    P8(8, "P8"),
    P9(9, "P9"),
    P10(10, "P10"),
    P11(11, "P11"),
    P12(12, "P12"),
    P13(13, "P13"),
    P14(14, "P14"),
    P15(15, "P15"),
    P16(16, "P16"),
    ;

    private final int value;
    private final String name;

    EParallelStream(int value, String name) {
        this.value = value;
        this.name = name;
    }

    /**
     * 并发执行流程
     * @param value 数据流
     * @return EParallelStream
     */
    public static EParallelStream get(int value) {
        EParallelStream[] values = EParallelStream.values();
        for (EParallelStream item : values) {
            if (item.getValue() == value) {
                return item;
            }
        }
        return P1;
    }

    /**
     * 并发执行流程
     * @return List<EParallelStream>
     */
    public static Stream<EParallelStream> getParallelStream() {

        return Lists.newArrayList(EParallelStream.values()).parallelStream();
    }
}
