package com.ym.mec.web.handler;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * 画板消息
 * Created by Eric.Shang on 2022/11/4.
 */
public class WhiteboardMessage {

    /**
     * 心跳同步配置
     */
    @Data
    @Builder
    @NoArgsConstructor
    @AllArgsConstructor
    public static class HeartbeatConfig implements Serializable {

        // 事件名称
        private String event;
        // 当前时间戳
        private Long timestamp;
        // 心跳同步间隔(默认60s)
        private Integer interval = 60;

    }
}
